typedef unsigned int size_t;
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
int printf(const char *, ...);
float fabsf(float);
float fabs(float);
void __assert_fail(const char * __assertion,
                   const char * __file,
                   unsigned int __line,
                   const char * __function);
static void platform_main_end(uint32_t crc, int flag)
{
    printf("checksum = %X\n", crc);
}
static int8_t safe_unary_minus_func_int8_t_s(int8_t si)
{
    return -si;
}
static int8_t safe_add_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 + si2;
}
static int8_t safe_sub_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 - si2;
}
static int8_t safe_mul_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 * si2;
}
static int8_t safe_mod_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 % si2;
}
static int8_t safe_div_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 / si2;
}
static int8_t safe_lshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 127 >> (int) right ? left : left << (int) right;
}
static int8_t safe_lshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 127 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int8_t safe_rshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int8_t safe_rshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int16_t safe_unary_minus_func_int16_t_s(int16_t si)
{
    return -si;
}
static int16_t safe_add_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 + si2;
}
static int16_t safe_sub_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 - si2;
}
static int16_t safe_mul_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 * si2;
}
static int16_t safe_mod_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int16_t safe_div_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int16_t safe_lshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 32767 >> (int) right ? left : left << (int) right;
}
static int16_t safe_lshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 32767 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int16_t safe_rshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int16_t safe_rshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int32_t safe_unary_minus_func_int32_t_s(int32_t si)
{
    return si == -2147483647 - 1 ? si : -si;
}
static int32_t safe_add_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 - si2 || si1 < 0 && si2 < 0 && si1 < -2147483647 - 1 - si2 ? si1 : si1 + si2;
}
static int32_t safe_sub_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~2147483647) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int32_t safe_mul_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 / si2 || si1 > 0 && si2 <= 0 && si2 < (-2147483647 - 1) / si1 || si1 <= 0 && si2 > 0 && si1 < (-2147483647 - 1) / si2 || si1 <= 0 && si2 <= 0 && si1 != 0 && si2 < 2147483647 / si1 ? si1 : si1 * si2;
}
static int32_t safe_mod_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int32_t safe_div_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int32_t safe_lshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 2147483647 >> (int) right ? left : left << (int) right;
}
static int32_t safe_lshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 2147483647 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int32_t safe_rshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int32_t safe_rshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int64_t safe_unary_minus_func_int64_t_s(int64_t si)
{
    return si == -9223372036854775807L - 1 ? si : -si;
}
static int64_t safe_add_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 9223372036854775807L - si2 || si1 < 0 && si2 < 0 && si1 < -9223372036854775807L - 1 - si2 ? si1 : si1 + si2;
}
static int64_t safe_sub_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~9223372036854775807L) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int64_t safe_mul_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 9223372036854775807L / si2 || si1 > 0 && si2 <= 0 && si2 < (-9223372036854775807L - 1) / si1 || si1 <= 0 && si2 > 0 && si1 < (-9223372036854775807L - 1) / si2 || si1 <= 0 && si2 <= 0 && si1 != 0 && si2 < 9223372036854775807L / si1 ? si1 : si1 * si2;
}
static int64_t safe_mod_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int64_t safe_div_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int64_t safe_lshift_func_int64_t_s_s(int64_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 9223372036854775807L >> (int) right ? left : left << (int) right;
}
static int64_t safe_lshift_func_int64_t_s_u(int64_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 9223372036854775807L >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int64_t safe_rshift_func_int64_t_s_s(int64_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int64_t safe_rshift_func_int64_t_s_u(int64_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint8_t safe_unary_minus_func_uint8_t_u(uint8_t ui)
{
    return -ui;
}
static uint8_t safe_add_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 + ui2;
}
static uint8_t safe_sub_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 - ui2;
}
static uint8_t safe_mul_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint8_t safe_mod_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint8_t safe_div_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint8_t safe_lshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 255 >> (int) right ? left : left << (int) right;
}
static uint8_t safe_lshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 || left > 255 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint16_t safe_unary_minus_func_uint16_t_u(uint16_t ui)
{
    return -ui;
}
static uint16_t safe_add_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 + ui2;
}
static uint16_t safe_sub_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 - ui2;
}
static uint16_t safe_mul_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint16_t safe_mod_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_lshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 65535 >> (int) right ? left : left << (int) right;
}
static uint16_t safe_lshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 65535 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_lshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 4294967295u >> (int) right ? left : left << (int) right;
}
static uint32_t safe_lshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 4294967295u >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint64_t safe_unary_minus_func_uint64_t_u(uint64_t ui)
{
    return -ui;
}
static uint64_t safe_add_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 + ui2;
}
static uint64_t safe_sub_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 - ui2;
}
static uint64_t safe_mul_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return (unsigned long long) ui1 * (unsigned long long) ui2;
}
static uint64_t safe_mod_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint64_t safe_div_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint64_t safe_lshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 18446744073709551615uL >> (int) right ? left : left << (int) right;
}
static uint64_t safe_lshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 18446744073709551615uL >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static float safe_add_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0.5f * sf1 + 0.5f * sf2) > 0.5f * 3.40282347e+38F ? sf1 : sf1 + sf2;
}
static float safe_sub_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0.5f * sf1 - 0.5f * sf2) > 0.5f * 3.40282347e+38F ? sf1 : sf1 - sf2;
}
static float safe_mul_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0x1.0p-100f * sf1 * (0x1.0p-28f * sf2)) > 0x1.0p-100f * (0x1.0p-28f * 3.40282347e+38F) ? sf1 : sf1 * sf2;
}
static float safe_div_func_float_f_f(float sf1, float sf2)
{
    return fabsf(sf2) < 1.0f && (sf2 == 0.0f || fabsf(0x1.0p-49f * sf1 / (0x1.0p100f * sf2)) > 0x1.0p-100f * (0x1.0p-49f * 3.40282347e+38F)) ? sf1 : sf1 / sf2;
}
static double safe_add_func_double_f_f(double sf1, double sf2)
{
    return fabs(0.5 * sf1 + 0.5 * sf2) > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 + sf2;
}
static double safe_sub_func_double_f_f(double sf1, double sf2)
{
    return fabs(0.5 * sf1 - 0.5 * sf2) > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 - sf2;
}
static double safe_mul_func_double_f_f(double sf1, double sf2)
{
    return fabs(0x1.0p-100 * sf1 * (0x1.0p-924 * sf2)) > 0x1.0p-100 * (0x1.0p-924 * 1.7976931348623157e+308) ? sf1 : sf1 * sf2;
}
static double safe_div_func_double_f_f(double sf1, double sf2)
{
    return fabs(sf2) < 1.0 && (sf2 == 0.0 || fabs(0x1.0p-974 * sf1 / (0x1.0p100 * sf2)) > 0x1.0p-100 * (0x1.0p-974 * 1.7976931348623157e+308)) ? sf1 : sf1 / sf2;
}
static int32_t safe_convert_func_float_to_int32_t(float sf1)
{
    return sf1 <= -2147483647 - 1 || sf1 >= 2147483647 ? 2147483647 : (int32_t) sf1;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_gentab(void)
{
    uint32_t crc;
    const uint32_t poly = 0xedb88320uL;
    int i, j;
    for (i = 0; i < 256; i++)
    {
        crc = i;
        for (j = 8; j > 0; j--)
        {
            if (crc & 1)
            {
                crc = crc >> 1 ^ poly;
            }
            else
            {
                crc >>= 1;
            }
        }
        crc32_tab[i] = crc;
    }
}
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
static void crc32_8bytes(uint64_t val)
{
    crc32_byte(val >> 0 & 0xff);
    crc32_byte(val >> 8 & 0xff);
    crc32_byte(val >> 16 & 0xff);
    crc32_byte(val >> 24 & 0xff);
    crc32_byte(val >> 32 & 0xff);
    crc32_byte(val >> 40 & 0xff);
    crc32_byte(val >> 48 & 0xff);
    crc32_byte(val >> 56 & 0xff);
}
static void transparent_crc(uint64_t val, char * vname, int flag)
{
    crc32_8bytes(val);
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static void transparent_crc_bytes(char * ptr,
                                  int nbytes,
                                  char * vname,
                                  int flag)
{
    int i;
    for (i = 0; i < nbytes; i++)
    {
        crc32_byte(ptr[i]);
    }
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static long __undefined;
struct S0 {
    signed f0 : 1; int64_t f1; signed f2 : 20; unsigned f3 : 8;
};
static int32_t g_2 = 1L;
static struct S0 g_35 = { -0, -1L, 631, 9 };
static uint16_t g_40 = 65534uL;
static int32_t g_85 = 0x89ab98cfL;
static uint8_t g_86 = 2uL;
static int64_t g_131 = 1L;
static int16_t g_153 = 0L;
static uint32_t g_154 = 3uL;
static int16_t g_158 = 0L;
static uint32_t g_159 = 0x5cc1ffd3L;
static uint32_t g_203 = 0xbd2ee514L;
static int16_t g_250 = 0x8c40L;
static uint32_t g_251 = 0xb89a725eL;
static uint8_t g_312 = 1uL;
static int32_t g_316 = 0x123013cdL;
static uint32_t g_355 = 9uL;
static int32_t g_356 = -1L;
static struct S0 g_388 = { 0, 6L, -661, 1 };
static int32_t g_390 = -1L;
static uint8_t g_391 = 255uL;
static uint16_t g_420[4][10] = { { 65535uL, 0x88f0L, 65535uL, 65532uL, 0x88f0L, 7uL, 7uL, 0x88f0L, 65532uL, 65535uL }, { 0uL, 0uL, 0x54a8L, 0x88f0L, 0x8ac6L, 0x54a8L, 0x8ac6L, 0x88f0L, 0x54a8L, 0uL }, { 0x8ac6L, 7uL, 65535uL, 0x8ac6L, 65532uL, 65532uL, 0x8ac6L, 65535uL, 7uL, 0x8ac6L }, { 65535uL, 0uL, 7uL, 65532uL, 0uL, 65532uL, 7uL, 0uL, 65535uL, 65535uL } };
static int32_t g_421[5][10][5] = { { { -1L, 0x9cc7936fL, 0x733e4b69L, -10L, 3L }, { 0x6f17c7b4L, 0x504e397cL, 0xfaf5c5a5L, 0x7c3e73e6L, -1L }, { 9L, 0x276b277bL, -1L, 6L, 6L }, { -8L, 0xa1e38021L, -8L, 0x94c3bd62L, 0xa7408f1fL }, { 0x8ac3a7dbL, 0xd1f34a63L, 0x5469b73L, 0x41e353bdL, 0x2626dbabL }, { 0x6f17c7b4L, 0L, -3L, 1L, 0xc693e4d5L }, { -1L, 0x468dfb35L, 0x5469b73L, 0x2626dbabL, 3L }, { 0xd2a2360eL, -9L, -8L, 0x962c5fe5L, 0x6f17c7b4L }, { 0x44593456L, 0x9cc7936fL, -1L, 0xadf75ad1L, 0xd7fdc368L }, { 0xc7dfe44cL, 0x889a9044L, 0xfaf5c5a5L, -1L, 0x504e397cL } }, { { 0xd1f34a63L, 0x7d366db7L, 0xfa444388L, 0x468dfb35L, 0x4a120eaaL }, { 0x7c3e73e6L, 0x40dd39b6L, 0xd06cbe39L, 0x73bcdcaeL, 0x92d6179aL }, { 3L, 0L, 0xadf75ad1L, 0L, 0x8ac3a7dbL }, { 0x889a9044L, 7L, 0x2dc81d43L, 0xb3515830L, 0xfaf5c5a5L }, { 0xfa444388L, 0x5469b73L, 1L, -5L, 1L }, { 0x34421670L, 0x34421670L, -1L, -1L, 0x73bcdcaeL }, { 0xb2f5332aL, 0x2626dbabL, 0x7e2228e0L, 0x28b7bcceL, 0x276b277bL }, { 0xde5c95e5L, 0L, -4L, 0xa3ea5012L, 0xda0ab8efL }, { 0xd5dd3e96L, 0x2626dbabL, 9L, 0x13025689L, 1L }, { 0L, 0x34421670L, 0x57f46e1eL, 0x40dd39b6L, 0xc7dfe44cL } }, { { 0x28b7bcceL, 0x5469b73L, 1L, 1L, 0x7d366db7L }, { -1L, 7L, 0x962c5fe5L, 0L, 0xdfefce86L }, { 0xb56072fL, 0L, 0x733e4b69L, 0xd7fdc368L, 0L }, { -1L, 0x40dd39b6L, -1L, 0xfaf5c5a5L, 0xd2a2360eL }, { 0xcd05dc4eL, 0x7d366db7L, 1L, 0x4772fbbaL, 0xbb4b3d1cL }, { 0xda0ab8efL, 0x889a9044L, 0xa3ea5012L, 0x6f17c7b4L, -1L }, { -1L, 0x9cc7936fL, 0xb2f5332aL, 0xb2f5332aL, 0x9cc7936fL }, { 0xc693e4d5L, -9L, 0x504e397cL, 0xd06cbe39L, 0xa3ea5012L }, { 1L, 0x468dfb35L, 9L, -7L, 0x2871c56aL }, { 0xd06cbe39L, 0L, 0xeb725935L, -1L, 1L } }, { { 1L, 0xd1f34a63L, -1L, 1L, 0x13025689L }, { 0xc693e4d5L, 0xa1e38021L, 1L, -1L, 0x5d2bdd0bL }, { -1L, 0x276b277bL, 0x2871c56aL, -1L, 6L }, { 0xda0ab8efL, 0x504e397cL, 0x5d2bdd0bL, 7L, 0L }, { 0xcd05dc4eL, -1L, 0xbb4b3d1cL, 3L, 0L }, { -1L, -1L, 8L, 0x3e7f1e87L, 0x962c5fe5L }, { 0xb56072fL, 0x28b7bcceL, 0L, 0x2871c56aL, -1L }, { -1L, 0x552e894L, -1L, 0x5cf14d71L, -8L }, { 0x28b7bcceL, -1L, 8L, -1L, 0x28b7bcceL }, { 0L, -8L, 0xa7408f1fL, 0L, 1L } }, { { -1L, 0x2871c56aL, 0L, 0x28b7bcceL, 0xb56072fL }, { 1L, 1L, -1L, 0xb7c597ceL, 1L }, { 6L, 0x28b7bcceL, 0xd1f34a63L, 0x9cc7936fL, 3L }, { 1L, 0x45cbe6d6L, -3L, 0x3e7f1e87L, 0xb7c597ceL }, { 0xbc0fe9d4L, 1L, 0x4772fbbaL, 1L, 3L }, { 0x40dd39b6L, 0xc693e4d5L, 0x552e894L, 0x6f17c7b4L, 0L }, { 0xcd05dc4eL, -5L, 0x5469b73L, -1L, 0x7e2228e0L }, { 0L, 0x552e894L, 1L, 1L, 0xfaf5c5a5L }, { 0xbb4b3d1cL, 0x276b277bL, 9L, 1L, 0L }, { 0x3e7f1e87L, 0L, 0x962c5fe5L, -1L, 0xd2a2360eL } } };
static uint64_t g_506 = 0uL;
static uint64_t g_559[8] = { 4uL, 4uL, 4uL, 4uL, 4uL, 4uL, 4uL, 4uL };
static int16_t g_594 = 1L;
static uint16_t g_750[1][6][1] = { { { 0xe455L }, { 0xe455L }, { 0xe455L }, { 0xe455L }, { 0xe455L }, { 0xe455L } } };
static uint64_t g_754[6][10] = { { 0x91ff780ddfefe0baLL, 0x91ff780ddfefe0baLL, 0xb71ef27d511e6b97LL, 0x79ab76c8654775d1LL, 0xf443b1863dba0e6aLL, 18446744073709551608uL, 0x91ff780ddfefe0baLL, 0xf443b1863dba0e6aLL, 0uL, 0xf443b1863dba0e6aLL }, { 0x91ff780ddfefe0baLL, 0x5376858ca911c115LL, 0x7f1eb7a26dc46069LL, 0x79ab76c8654775d1LL, 0x7f1eb7a26dc46069LL, 0x5376858ca911c115LL, 0x91ff780ddfefe0baLL, 0x7f1eb7a26dc46069LL, 18446744073709551615uL, 0xf443b1863dba0e6aLL }, { 0x5376858ca911c115LL, 0x91ff780ddfefe0baLL, 0x7f1eb7a26dc46069LL, 18446744073709551615uL, 0xf443b1863dba0e6aLL, 0x5376858ca911c115LL, 0x5376858ca911c115LL, 0xf443b1863dba0e6aLL, 18446744073709551615uL, 0x7f1eb7a26dc46069LL }, { 0x91ff780ddfefe0baLL, 0x91ff780ddfefe0baLL, 0xb71ef27d511e6b97LL, 0x79ab76c8654775d1LL, 0xf443b1863dba0e6aLL, 18446744073709551608uL, 0x91ff780ddfefe0baLL, 0xf443b1863dba0e6aLL, 0uL, 0xf443b1863dba0e6aLL }, { 0x91ff780ddfefe0baLL, 0x5376858ca911c115LL, 0x7f1eb7a26dc46069LL, 0x79ab76c8654775d1LL, 0x7f1eb7a26dc46069LL, 0x5376858ca911c115LL, 0x91ff780ddfefe0baLL, 0x7f1eb7a26dc46069LL, 18446744073709551615uL, 0xf443b1863dba0e6aLL }, { 0x5376858ca911c115LL, 0x91ff780ddfefe0baLL, 0x7f1eb7a26dc46069LL, 18446744073709551615uL, 0xf443b1863dba0e6aLL, 0x5376858ca911c115LL, 0x5376858ca911c115LL, 0xf443b1863dba0e6aLL, 18446744073709551615uL, 0x7f1eb7a26dc46069LL } };
static int32_t g_755[8] = { 0x7375c0fdL, 0x7375c0fdL, 0x5f05b9d7L, 0x7375c0fdL, 0x7375c0fdL, 0x5f05b9d7L, 0x7375c0fdL, 0x7375c0fdL };
static int32_t g_1021[5] = { 1L, 1L, 1L, 1L, 1L };
static int32_t g_1031 = 1L;
static uint32_t g_1032[9] = { 18446744073709551615uL, 18446744073709551606uL, 18446744073709551615uL, 18446744073709551606uL, 18446744073709551615uL, 18446744073709551606uL, 18446744073709551615uL, 18446744073709551606uL, 18446744073709551615uL };
static int32_t g_1103 = 0x44377efeL;
static int8_t g_1109 = -10L;
static struct S0 g_1145[8] = { { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 }, { -0, -1L, 887, 10 } };
static int64_t g_1238 = 0xef73cdc07db9fd50LL;
static uint64_t g_1241 = 1uL;
static uint32_t g_1304 = 0uL;
static uint32_t g_1732[2][7] = { { 4294967287uL, 4294967287uL, 4294967287uL, 4294967287uL, 4294967287uL, 4294967287uL, 4294967287uL }, { 0xa22dcd37L, 0uL, 0xa22dcd37L, 0uL, 0xa22dcd37L, 0uL, 0xa22dcd37L } };
static uint64_t g_1756[1][1][10] = { { { 1uL, 2uL, 1uL, 1uL, 2uL, 1uL, 1uL, 2uL, 1uL, 1uL } } };
static uint32_t g_1935 = 3uL;
static int64_t g_1985 = 0x4e20e02fb14d3adfLL;
static uint32_t g_2138 = 0xe3d39b8fL;
static uint8_t g_2239 = 0x2bL;
static uint32_t g_2299 = 0x533c3544L;
static int32_t g_2300 = -1L;
static int32_t g_2342 = 0x91c31f8bL;
static int64_t func_1(void);
static int32_t func_6(uint32_t p_7,
                      uint32_t p_8,
                      int64_t p_9,
                      int8_t p_10,
                      int32_t p_11);
static uint8_t func_22(uint32_t p_23);
static struct S0 func_59(uint32_t p_60,
                         int16_t p_61,
                         uint64_t p_62,
                         uint8_t p_63,
                         struct S0 p_64);
static int32_t func_71(uint8_t p_72, uint32_t p_73, uint32_t p_74);
static uint8_t func_78(uint32_t p_79);
static int64_t func_1(void)
{
    uint32_t l_5 = 0x6da5043cL;
    struct S0 l_34 = { 0, 0x5c82f744ed25e425LL, -208, 14 };
    int32_t l_2303[5];
    int8_t l_2308 = 3L;
    uint16_t l_2311 = 65527uL;
    uint16_t l_2345[4] = { 0xedbeL, 0xedbeL, 0xedbeL, 0xedbeL };
    uint32_t l_2354 = 0x7fa494a4L;
    int32_t l_2357 = 0x75fe5bb8L;
    uint16_t l_2358 = 0uL;
    int i;
    for (i = 0; i < 5; i++)
        l_2303[i] = -1L;
    for (g_2 = 22; g_2 <= -3; g_2 = safe_sub_func_int16_t_s_s(g_2, 2))
    {
        uint32_t l_30 = 0uL;
        uint8_t l_33 = 255uL;
        int32_t l_2301 = 0x444d8480L;
        int32_t l_2302 = -2L;
        int32_t l_2304 = 0x33ea3733L;
        int32_t l_2305 = 0x25c00ca3L;
        int32_t l_2306 = 0L;
        int32_t l_2307 = 7L;
        int32_t l_2309 = 3L;
        int32_t l_2310[1];
        int16_t l_2343 = -1L;
        uint32_t l_2344 = 1uL;
        int i;
        {
            uint32_t l_30 = 0uL;
            uint8_t l_33 = 255uL;
            int32_t l_2301 = 0x444d8480L;
            int32_t l_2302 = -2L;
            int32_t l_2304 = 0x33ea3733L;
            int32_t l_2305 = 0x25c00ca3L;
            int32_t l_2306 = 0L;
            int32_t l_2307 = 7L;
            int32_t l_2309 = 3L;
            int32_t l_2310[1];
            int16_t l_2343 = -1L;
            uint32_t l_2344 = 1uL;
            int i;
            for (i = 0; i < 1; i++)
                l_2310[i] = 0xf3d959faL;
            l_5 = g_2;
            g_2300 |= func_6((18446744073709551615uL != 0x315362daab72b21aLL) > l_34.f0,
                             l_30,
                             l_33,
                             g_2,
                             l_33);
            l_2311++;
            l_2304 = g_35.f0 = ((0xb378L <= safe_mul_func_int8_t_s_s(safe_mul_func_int8_t_s_s(g_506,
                                                                                              safe_mul_func_int8_t_s_s(safe_lshift_func_int16_t_s_u(g_2299-- != (g_1756[0][0][6] = safe_add_func_uint32_t_u_u(g_1732[0][1]--,
                                                                                                                                                                                                              l_2305 && (safe_mod_func_int8_t_s_s(safe_rshift_func_int8_t_s_s(safe_mod_func_int64_t_s_s(safe_rshift_func_uint8_t_u_s(g_391 |= safe_rshift_func_int8_t_s_s((l_2306 &= l_2308) <= safe_rshift_func_uint8_t_u_u(safe_mod_func_uint32_t_u_u(l_33,
                                                                                                                                                                                                                                                                                                                                                                                                                                                        l_34.f1),
                                                                                                                                                                                                                                                                                                                                                                                                                             (l_2305 > g_755[7] | (g_35.f2 = (g_388.f0 = (g_35.f3, l_2310[0]) < g_2) >= g_2342), 0x30870b0L) >= g_754[2][1] > g_755[0] & l_2302 && l_34.f0),
                                                                                                                                                                                                                                                                                                                                                                          7),
                                                                                                                                                                                                                                                                                                                                     g_1145[0].f0),
                                                                                                                                                                                                                                                                                                        l_2343) && g_131,
                                                                                                                                                                                                                                                                              4) | 0uL,
                                                                                                                                                                                                                                                  l_2344), 1uL))) < l_2345[1],
                                                                                                                                                    g_2138),
                                                                                                                       0uL)),
                                                                     g_1103) && g_250) != g_131) >= l_34.f3;
        }
        safe_mod_func_uint64_t_u_u(0x720fL == 0x14d4L,
                                   0x1e7b790c5a96d6b6LL);
        func_78(++g_86);
        if (g_158)
        {
            g_506 &= 0x387e3cdf10492640LL;
        }
        safe_lshift_func_int8_t_s_s(-4L, 5);
        {
            g_85 ^= 0x5d1f78ddL;
        }
        g_1103 += 1;
        g_131 -= 1;
        safe_lshift_func_int8_t_s_s(-4L, 5);
        safe_add_func_uint64_t_u_u(safe_lshift_func_uint16_t_u_u(0x6d2bL,
                                                                 12),
                                   g_1032[4]);
        safe_rshift_func_uint8_t_u_s(g_203, 0);
        safe_unary_minus_func_uint16_t_u(((safe_rshift_func_int16_t_s_u(g_35.f1,
                                                                        3) & g_356, 8L) ^ 4294967295uL) <= g_159 != g_312);
        safe_mod_func_uint32_t_u_u(g_388.f0, 0xd95d3b69L);
        safe_lshift_func_uint16_t_u_u(0x6d2bL, 12);
    }
    g_356 |= safe_add_func_uint8_t_u_u(0xbeL,
                                       253uL) >= (g_35, ((0x1bf0108eL ^ safe_mod_func_int16_t_s_s((l_5 | (((l_2303[2] = g_2138, safe_sub_func_int64_t_s_s(g_131 &= 7L,
                                                                                                                                                          safe_add_func_int32_t_s_s(0x5b5f2838L,
                                                                                                                                                                                    5uL) <= g_1935)), 0xb2cL) == g_251, g_559[3])) == 0x870bf6b6L,
                                                                                                  65527uL)) != g_1238, l_5) == g_559[6]);
    l_2354--;
    ++l_2358;
    return g_1756[0][0][6];
}
static int32_t func_6(uint32_t p_7,
                      uint32_t p_8,
                      int64_t p_9,
                      int8_t p_10,
                      int32_t p_11)
{
    return p_8;
}
static uint8_t func_22(uint32_t p_23)
{
    return p_23;
}
static struct S0 func_59(uint32_t p_60,
                         int16_t p_61,
                         uint64_t p_62,
                         uint8_t p_63,
                         struct S0 p_64)
{
    int16_t l_75 = -1L;
    int32_t l_80 = 0xda297315L;
    int32_t l_81 = 0xeae3254cL;
    int32_t l_82 = 0x588cb35bL;
    int64_t l_83 = -5L;
    int32_t l_84[10][9] = { { 0xa6b6b07cL, 0xa9e7339aL, -1L, 0xa9e7339aL, 0xa6b6b07cL, 0xa9e7339aL, -1L, 0xa9e7339aL, 0xa6b6b07cL }, { 0xf4112691L, 0xaa3ce9d1L, 0xd0b4e555L, 0x43a44adeL, 0x43a44adeL, 0xd0b4e555L, 0xaa3ce9d1L, 0xf4112691L, 0xf4112691L }, { 0xc018302aL, 0xa9e7339aL, 0xc018302aL, 0x1d2d5faL, 0xc018302aL, 0xa9e7339aL, 0xc018302aL, 0x1d2d5faL, 0xc018302aL }, { 0xf4112691L, 0x43a44adeL, 0xaa3ce9d1L, 0xaa3ce9d1L, 0x43a44adeL, 0xf4112691L, 0xd0b4e555L, 0xd0b4e555L, 0xf4112691L }, { 0xa6b6b07cL, 0x1d2d5faL, -1L, 0x1d2d5faL, 0xa6b6b07cL, 0x1d2d5faL, -1L, 0x1d2d5faL, 0xa6b6b07cL }, { 0x43a44adeL, 0xaa3ce9d1L, 0xaa3ce9d1L, 0x43a44adeL, 0xf4112691L, 0xd0b4e555L, 0xd0b4e555L, 0xf4112691L, 0x43a44adeL }, { 0xc018302aL, 0x1d2d5faL, 0xc018302aL, 0xa9e7339aL, 0xc018302aL, 0x1d2d5faL, 0xc018302aL, 0xa9e7339aL, 0xc018302aL }, { 0x43a44adeL, 0x43a44adeL, 0xd0b4e555L, 0xaa3ce9d1L, 0xf4112691L, 0xf4112691L, 0xaa3ce9d1L, 0xd0b4e555L, 0x43a44adeL }, { 0xa6b6b07cL, 0xa9e7339aL, -1L, 0xa9e7339aL, 0xa6b6b07cL, 0xa9e7339aL, -1L, 0xa9e7339aL, 0xa6b6b07cL }, { 0xf4112691L, 0xaa3ce9d1L, 0xd0b4e555L, 0x43a44adeL, 0x43a44adeL, 0xd0b4e555L, 0xaa3ce9d1L, 0xf4112691L, 0xf4112691L } };
    struct S0 l_163 = { 0, 0x74f8ce80c63ed81aLL, -372, 13 };
    int64_t l_603[2];
    uint64_t l_606 = 0uL;
    uint64_t l_712 = 0xdb55fde756c50d62LL;
    uint32_t l_716 = 1uL;
    int32_t l_902 = 0xded8928L;
    int64_t l_959[4];
    int32_t l_961 = 0L;
    int i, j;
    g_1109 ^= 0xface4f9578fc59a3LL <= 0x61490d3a8ca6555aLL;
    safe_unary_minus_func_int8_t_s(0L < safe_add_func_int16_t_s_s(g_35.f3,
                                                                  0x16abL));
    {
    }
    safe_sub_func_int8_t_s_s(0x5cL,
                             safe_rshift_func_uint16_t_u_u(0xd7eeL, 14));
    g_158 -= 1;
    safe_lshift_func_uint16_t_u_s(safe_mul_func_uint8_t_u_u(1uL,
                                                            g_420[2][1] < p_64.f3),
                                  p_64.f0);
    safe_add_func_int8_t_s_s(g_153, 1);
    safe_sub_func_int64_t_s_s(g_153, 1);
    g_35.f0 |= 0xaf702fe3L;
    safe_lshift_func_int8_t_s_s(p_61 >= p_61, 7);
    safe_lshift_func_int16_t_s_u(g_1756[0][0][6] || 0x96ae7fbL, 13);
    safe_sub_func_uint16_t_u_u(safe_lshift_func_int16_t_s_u((0xffL && p_61) | g_153,
                                                            0),
                               0x9350L);
lbl_903:
    for (g_250 = -5; g_250 == 28; g_250++)
    {
        int16_t l_604 = 0xb5c8L;
        int32_t l_605 = 0xb57bc166L;
        if (g_355)
            break;
        if (p_62)
            break;
        p_64.f2 = (p_64.f3, (g_158 = 0L) <= ((l_163.f2 && (g_559[7] && (g_388.f0 = g_86)) < safe_mod_func_int16_t_s_s(safe_sub_func_uint16_t_u_u(safe_lshift_func_int16_t_s_u((0xffL && p_61) | g_153,
                                                                                                                                                                              0),
                                                                                                                                                 0x9350L),
                                                                                                                      l_163.f1)) != 5L | p_62)) && l_75;
        l_606--;
    }
    safe_lshift_func_int16_t_s_u(safe_add_func_uint64_t_u_u(18446744073709551608uL,
                                                            l_84[1][0] >= (safe_sub_func_uint8_t_u_u((safe_add_func_int32_t_s_s(safe_mod_func_int16_t_s_s(safe_lshift_func_uint8_t_u_u((safe_mul_func_int16_t_s_s(p_64.f1,
                                                                                                                                                                                                                  safe_mul_func_int8_t_s_s(safe_add_func_int8_t_s_s(g_40,
                                                                                                                                                                                                                                                                    g_594 = safe_add_func_uint8_t_u_u(~l_163.f1,
                                                                                                                                                                                                                                                                                                      g_153) > 0x3b4629f6L),
                                                                                                                                                                                                                                           p_62)), 0x2de3a813L) && l_81,
                                                                                                                                                                                       g_355) > 0x41687dfaaf6ebba7LL < -10L,
                                                                                                                                                          g_131),
                                                                                                                                l_163.f3), l_81),
                                                                                                     1L), 0x3674L)),
                                 g_355);
    safe_add_func_uint8_t_u_u(g_355, 1);
    safe_lshift_func_uint8_t_u_u(g_754[2][3], 0);
    if (g_316)
        goto lbl_903;
    safe_sub_func_uint8_t_u_u(247uL, 0x85L);
    safe_lshift_func_int8_t_s_s(-4L, 5);
    safe_unary_minus_func_int8_t_s(0L < safe_add_func_int16_t_s_s(g_35.f3,
                                                                  0x16abL));
    g_251 += 1;
    safe_unary_minus_func_uint32_t_u(1uL);
    if (g_316)
        goto lbl_903;
    safe_add_func_int32_t_s_s(safe_mod_func_int16_t_s_s(safe_lshift_func_uint8_t_u_u((safe_mul_func_int16_t_s_s(p_64.f1,
                                                                                                                safe_mul_func_int8_t_s_s(safe_add_func_int8_t_s_s(g_40,
                                                                                                                                                                  g_594 = safe_add_func_uint8_t_u_u(~l_163.f1,
                                                                                                                                                                                                    g_153) > 0x3b4629f6L),
                                                                                                                                         p_62)), 0x2de3a813L) && l_81,
                                                                                     g_355) > 0x41687dfaaf6ebba7LL < -10L,
                                                        g_131),
                              l_163.f3);
    safe_unary_minus_func_int16_t_s(g_506 <= (g_388.f1 < g_420[1][5]));
    return p_64;
}
static int32_t func_71(uint8_t p_72, uint32_t p_73, uint32_t p_74)
{
    int32_t l_145 = 1L;
    int32_t l_148[4];
    int32_t l_151[6] = { -1L, 0x6c71f3ecL, 0x6c71f3ecL, -1L, 0x6c71f3ecL, 0x6c71f3ecL };
    int32_t l_152 = 0xf6c6ad03L;
    int32_t l_155 = 3L;
    int8_t l_162 = 0x2dL;
    int i;
    {
        safe_lshift_func_int8_t_s_u(0xf0L <= (g_391 = g_559[6]), g_755[3]);
        g_35.f0 |= 0xaf702fe3L;
    }
    safe_rshift_func_int8_t_s_s(g_250, 5);
    {
        crc32_gentab();
    }
    g_251 += 1;
    g_388.f1 -= 1;
    safe_unary_minus_func_uint64_t_u(0xa46d5f4f3d787ca5LL);
    g_506 &= 0x387e3cdf10492640LL;
    safe_mod_func_uint8_t_u_u(func_78(++g_86), g_85);
    safe_unary_minus_func_uint8_t_u(g_754[1][9]);
    safe_unary_minus_func_int16_t_s(g_506 <= (g_388.f1 < g_420[1][5]));
    g_388.f1 -= 1;
    g_355 += 1;
    safe_add_func_uint64_t_u_u(safe_lshift_func_uint16_t_u_u(0x6d2bL,
                                                             12),
                               g_1032[4]);
    {
        g_35.f2 = 65535uL ^ safe_lshift_func_uint16_t_u_s(g_35.f3, 14);
    }
    safe_rshift_func_int16_t_s_u(0x1823L, 11);
    safe_lshift_func_uint8_t_u_u(safe_mod_func_uint32_t_u_u(g_388.f0,
                                                            0xd95d3b69L),
                                 (g_1032[4], 0x46L));
    safe_add_func_uint8_t_u_u(g_355, 1);
    safe_mul_func_int8_t_s_s(g_388.f3, 7uL);
    g_1985 -= 1;
    safe_mul_func_int8_t_s_s(0L > g_391, -9L);
    g_159 += 1;
    g_158 -= 1;
    g_86 += 1;
    safe_mul_func_uint16_t_u_u(1uL, 0x5e27L);
    for (i = 0; i < 4; i++)
    {
        safe_mul_func_int8_t_s_s(safe_lshift_func_int8_t_s_s(g_154 = (g_153 = (safe_sub_func_uint32_t_u_u(p_74,
                                                                                                          0xc8dcdbdL) != safe_add_func_int64_t_s_s((g_35.f3, safe_lshift_func_uint8_t_u_u(l_145,
                                                                                                                                                                                          (l_152 = ((g_131, l_145), l_151[5] = safe_add_func_int8_t_s_s(l_148[1] = 0L,
                                                                                                                                                                                                                                                        (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                                                                                                                                                                                                           0x6805fa10L)) > 3L))) ^ p_73)),
                                                                                                                                                   8uL), 0xc672L)) > g_35.f2,
                                                             l_145),
                                 0x5dL);
        g_391 |= g_312++;
    }
    g_251 += 1;
    l_155 |= g_85 = safe_mul_func_int8_t_s_s(safe_lshift_func_int8_t_s_s(g_154 = (g_153 = (safe_sub_func_uint32_t_u_u(p_74,
                                                                                                                      0xc8dcdbdL) != safe_add_func_int64_t_s_s((g_35.f3, safe_lshift_func_uint8_t_u_u(l_145,
                                                                                                                                                                                                      (l_152 = ((g_131, l_145), l_151[5] = safe_add_func_int8_t_s_s(l_148[1] = 0L,
                                                                                                                                                                                                                                                                    (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                                                                                                                                                                                                                       0x6805fa10L)) > 3L))) ^ p_73)),
                                                                                                                                                               8uL), 0xc672L)) > g_35.f2,
                                                                         l_145),
                                             0x5dL);
    g_86 += 1;
    {
        g_85 ^= 0x5d1f78ddL;
        return g_131;
    }
    safe_add_func_int32_t_s_s(g_355, 2);
    safe_rshift_func_int16_t_s_u(g_594 = 0x925bL, 6);
    safe_add_func_int64_t_s_s((g_35.f3, safe_lshift_func_uint8_t_u_u(l_145,
                                                                     (l_152 = ((g_131, l_145), l_151[5] = safe_add_func_int8_t_s_s(l_148[1] = 0L,
                                                                                                                                   (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                                                                                      0x6805fa10L)) > 3L))) ^ p_73)),
                              8uL);
    safe_lshift_func_uint8_t_u_u(l_145,
                                 (l_152 = ((g_131, l_145), l_151[5] = safe_add_func_int8_t_s_s(l_148[1] = 0L,
                                                                                               (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                                                  0x6805fa10L)) > 3L))) ^ p_73);
    safe_unary_minus_func_uint8_t_u(g_754[1][9]);
    safe_lshift_func_int16_t_s_u(g_1756[0][0][6] || 0x96ae7fbL, 13);
    safe_sub_func_int8_t_s_s(0x5cL,
                             safe_rshift_func_uint16_t_u_u(0xd7eeL, 14));
    safe_unary_minus_func_uint16_t_u(((safe_rshift_func_int16_t_s_u(g_35.f1,
                                                                    3) & g_356, 8L) ^ 4294967295uL) <= g_159 != g_312);
    safe_lshift_func_int8_t_s_s(g_154 = (g_153 = (safe_sub_func_uint32_t_u_u(p_74,
                                                                             0xc8dcdbdL) != safe_add_func_int64_t_s_s((g_35.f3, safe_lshift_func_uint8_t_u_u(l_145,
                                                                                                                                                             (l_152 = ((g_131, l_145), l_151[5] = safe_add_func_int8_t_s_s(l_148[1] = 0L,
                                                                                                                                                                                                                           (p_73 & safe_sub_func_uint32_t_u_u(0xa808b72aL,
                                                                                                                                                                                                                                                              0x6805fa10L)) > 3L))) ^ p_73)),
                                                                                                                      8uL), 0xc672L)) > g_35.f2,
                                l_145);
    return g_85;
}
static uint8_t func_78(uint32_t p_79)
{
    int8_t l_93 = 0xfcL;
    uint32_t l_94 = 0xe62b9925L;
    uint8_t l_95 = 1uL;
    int32_t l_96 = 0x683588d2L;
    int32_t l_105 = 0x5d52aebL;
    int64_t l_124[9] = { 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL, 0x184c74488338c196LL };
    int i;
    safe_unary_minus_func_uint64_t_u(0xa46d5f4f3d787ca5LL);
    for (g_159 = 0; g_159 <= 3; g_159 += 1)
    {
        return g_754[4][9];
    }
    ;
    safe_lshift_func_uint16_t_u_s(65535uL, 9);
    safe_unary_minus_func_uint16_t_u(safe_mul_func_uint8_t_u_u((8uL ^ g_388.f3, 0xf4L),
                                                               0x13L));
    if (safe_unary_minus_func_uint16_t_u((l_105 = l_94, p_79)))
    {
        return p_79;
    }
    else
    {
        l_96 = 0xa4836abeL;
    }
    ;
    safe_rshift_func_uint16_t_u_u(g_755[5] < (0x70e0L != safe_sub_func_uint32_t_u_u((g_755[7], g_1109),
                                                                                    1uL) || g_1145[0].f2),
                                  2);
    safe_rshift_func_uint16_t_u_u(0xd7eeL, 14);
    safe_add_func_int16_t_s_s(g_35.f3, 0x16abL);
    safe_mod_func_uint8_t_u_u(g_153, 0x1fL);
    g_159 += 1;
    g_86 += 1;
    safe_mod_func_uint8_t_u_u(func_78(++g_86), g_85);
    g_159 += 1;
    safe_lshift_func_int16_t_s_u(g_1756[0][0][6] || 0x96ae7fbL, 13);
    safe_rshift_func_uint8_t_u_s(g_203, 0);
    {
        {
            g_85 ^= 0x5d1f78ddL;
        }
    }
    safe_mod_func_int16_t_s_s(8L, 0x9ed3L);
    {
        safe_lshift_func_uint8_t_u_u(safe_mod_func_uint32_t_u_u(g_388.f0,
                                                                0xd95d3b69L),
                                     (g_1032[4], 0x46L));
    }
    safe_rshift_func_uint8_t_u_u(0xacL, 1);
    safe_unary_minus_func_uint64_t_u(0xa46d5f4f3d787ca5LL);
    safe_rshift_func_int8_t_s_s(g_250, 5);
    return g_40;
}
int main(void)
{
    int i, j, k;
    int print_hash_value = 0;
    crc32_gentab();
    func_1();
    transparent_crc(g_2, "g_2", print_hash_value);
    transparent_crc(g_35.f0, "g_35.f0", print_hash_value);
    transparent_crc(g_35.f1, "g_35.f1", print_hash_value);
    transparent_crc(g_35.f2, "g_35.f2", print_hash_value);
    transparent_crc(g_35.f3, "g_35.f3", print_hash_value);
    transparent_crc(g_40, "g_40", print_hash_value);
    transparent_crc(g_85, "g_85", print_hash_value);
    transparent_crc(g_86, "g_86", print_hash_value);
    transparent_crc(g_131, "g_131", print_hash_value);
    transparent_crc(g_153, "g_153", print_hash_value);
    transparent_crc(g_154, "g_154", print_hash_value);
    transparent_crc(g_158, "g_158", print_hash_value);
    transparent_crc(g_159, "g_159", print_hash_value);
    transparent_crc(g_203, "g_203", print_hash_value);
    transparent_crc(g_250, "g_250", print_hash_value);
    transparent_crc(g_251, "g_251", print_hash_value);
    transparent_crc(g_312, "g_312", print_hash_value);
    transparent_crc(g_316, "g_316", print_hash_value);
    transparent_crc(g_355, "g_355", print_hash_value);
    transparent_crc(g_356, "g_356", print_hash_value);
    transparent_crc(g_388.f0, "g_388.f0", print_hash_value);
    transparent_crc(g_388.f1, "g_388.f1", print_hash_value);
    transparent_crc(g_388.f2, "g_388.f2", print_hash_value);
    transparent_crc(g_388.f3, "g_388.f3", print_hash_value);
    transparent_crc(g_390, "g_390", print_hash_value);
    transparent_crc(g_391, "g_391", print_hash_value);
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 10; j++)
        {
            transparent_crc(g_420[i][j], "g_420[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    for (i = 0; i < 5; i++)
    {
        for (j = 0; j < 10; j++)
        {
            for (k = 0; k < 5; k++)
            {
                transparent_crc(g_421[i][j][k],
                                "g_421[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_506, "g_506", print_hash_value);
    for (i = 0; i < 8; i++)
    {
        transparent_crc(g_559[i], "g_559[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_594, "g_594", print_hash_value);
    for (i = 0; i < 1; i++)
    {
        for (j = 0; j < 6; j++)
        {
            for (k = 0; k < 1; k++)
            {
                transparent_crc(g_750[i][j][k],
                                "g_750[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    for (i = 0; i < 6; i++)
    {
        for (j = 0; j < 10; j++)
        {
            transparent_crc(g_754[i][j], "g_754[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    for (i = 0; i < 8; i++)
    {
        transparent_crc(g_755[i], "g_755[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 5; i++)
    {
        transparent_crc(g_1021[i], "g_1021[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_1031, "g_1031", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        transparent_crc(g_1032[i], "g_1032[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_1103, "g_1103", print_hash_value);
    transparent_crc(g_1109, "g_1109", print_hash_value);
    for (i = 0; i < 8; i++)
    {
        transparent_crc(g_1145[i].f0, "g_1145[i].f0", print_hash_value);
        transparent_crc(g_1145[i].f1, "g_1145[i].f1", print_hash_value);
        transparent_crc(g_1145[i].f2, "g_1145[i].f2", print_hash_value);
        transparent_crc(g_1145[i].f3, "g_1145[i].f3", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_1238, "g_1238", print_hash_value);
    transparent_crc(g_1241, "g_1241", print_hash_value);
    transparent_crc(g_1304, "g_1304", print_hash_value);
    for (i = 0; i < 2; i++)
    {
        for (j = 0; j < 7; j++)
        {
            transparent_crc(g_1732[i][j], "g_1732[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    for (i = 0; i < 1; i++)
    {
        for (j = 0; j < 1; j++)
        {
            for (k = 0; k < 10; k++)
            {
                transparent_crc(g_1756[i][j][k],
                                "g_1756[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_1935, "g_1935", print_hash_value);
    transparent_crc(g_1985, "g_1985", print_hash_value);
    transparent_crc(g_2138, "g_2138", print_hash_value);
    transparent_crc(g_2239, "g_2239", print_hash_value);
    transparent_crc(g_2299, "g_2299", print_hash_value);
    transparent_crc(g_2300, "g_2300", print_hash_value);
    transparent_crc(g_2342, "g_2342", print_hash_value);
    platform_main_end(crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
