typedef unsigned int size_t;
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
int printf(const char *, ...);
float fabs(float);
float fabsf(float);
void __assert_fail(const char * __assertion,
                   const char * __file,
                   unsigned int __line,
                   const char * __function)
{
}
static void platform_main_end(uint32_t crc, int flag)
{
    printf("checksum = %X\n", crc);
}
static int8_t safe_unary_minus_func_int8_t_s(int8_t si)
{
    return -si;
}
static int8_t safe_add_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 + si2;
}
static int8_t safe_sub_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 - si2;
}
static int8_t safe_mul_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 * si2;
}
static int8_t safe_mod_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 % si2;
}
static int8_t safe_div_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 / si2;
}
static int8_t safe_lshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 127 >> (int) right ? left : left << (int) right;
}
static int8_t safe_lshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 127 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int8_t safe_rshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int8_t safe_rshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int16_t safe_unary_minus_func_int16_t_s(int16_t si)
{
    return -si;
}
static int16_t safe_add_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 + si2;
}
static int16_t safe_sub_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 - si2;
}
static int16_t safe_mul_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 * si2;
}
static int16_t safe_mod_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int16_t safe_div_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int16_t safe_lshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 32767 >> (int) right ? left : left << (int) right;
}
static int16_t safe_lshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 32767 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int16_t safe_rshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int16_t safe_rshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int32_t safe_unary_minus_func_int32_t_s(int32_t si)
{
    return si == -2147483647 - 1 ? si : -si;
}
static int32_t safe_add_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 - si2 || si1 < 0 && si2 < 0 && si1 < -2147483647 - 1 - si2 ? si1 : si1 + si2;
}
static int32_t safe_sub_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~2147483647) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int32_t safe_mod_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int32_t safe_div_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int32_t safe_lshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 2147483647 >> (int) right ? left : left << (int) right;
}
static int32_t safe_lshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 2147483647 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int32_t safe_rshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int32_t safe_rshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int64_t safe_unary_minus_func_int64_t_s(int64_t si)
{
    return si == -9223372036854775807L - 1 ? si : -si;
}
static int64_t safe_add_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 9223372036854775807L - si2 || si1 < 0 && si2 < 0 && si1 < -9223372036854775807L - 1 - si2 ? si1 : si1 + si2;
}
static int64_t safe_sub_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~9223372036854775807L) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int64_t safe_mod_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int64_t safe_div_func_int64_t_s_s(int64_t si1, int64_t si2)
{
    return si2 == 0 || si1 == -9223372036854775807L - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int64_t safe_lshift_func_int64_t_s_s(int64_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 9223372036854775807L >> (int) right ? left : left << (int) right;
}
static int64_t safe_lshift_func_int64_t_s_u(int64_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 9223372036854775807L >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int64_t safe_rshift_func_int64_t_s_s(int64_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int64_t safe_rshift_func_int64_t_s_u(int64_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint8_t safe_unary_minus_func_uint8_t_u(uint8_t ui)
{
    return -ui;
}
static uint8_t safe_add_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 + ui2;
}
static uint8_t safe_sub_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 - ui2;
}
static uint8_t safe_mul_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint8_t safe_mod_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint8_t safe_div_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint8_t safe_lshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 255 >> (int) right ? left : left << (int) right;
}
static uint8_t safe_lshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 || left > 255 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint16_t safe_unary_minus_func_uint16_t_u(uint16_t ui)
{
    return -ui;
}
static uint16_t safe_add_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 + ui2;
}
static uint16_t safe_sub_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 - ui2;
}
static uint16_t safe_mul_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint16_t safe_mod_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_lshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 65535 >> (int) right ? left : left << (int) right;
}
static uint16_t safe_lshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 65535 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_lshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 4294967295u >> (int) right ? left : left << (int) right;
}
static uint32_t safe_lshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 4294967295u >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint64_t safe_unary_minus_func_uint64_t_u(uint64_t ui)
{
    return -ui;
}
static uint64_t safe_add_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 + ui2;
}
static uint64_t safe_sub_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui1 - ui2;
}
static uint64_t safe_mul_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return (unsigned long long) ui1 * (unsigned long long) ui2;
}
static uint64_t safe_mod_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint64_t safe_div_func_uint64_t_u_u(uint64_t ui1,
                                           uint64_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint64_t safe_lshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 18446744073709551615uL >> (int) right ? left : left << (int) right;
}
static uint64_t safe_lshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 18446744073709551615uL >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_s(uint64_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint64_t safe_rshift_func_uint64_t_u_u(uint64_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static float safe_add_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0.5f * sf1 + 0.5f * sf2) > 0.5f * 3.40282347e+38F ? sf1 : sf1 + sf2;
}
static float safe_sub_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0.5f * sf1 - 0.5f * sf2) > 0.5f * 3.40282347e+38F ? sf1 : sf1 - sf2;
}
static float safe_mul_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0x1.0p-100f * sf1 * (0x1.0p-28f * sf2)) > 0x1.0p-100f * (0x1.0p-28f * 3.40282347e+38F) ? sf1 : sf1 * sf2;
}
static float safe_div_func_float_f_f(float sf1, float sf2)
{
    return fabsf(sf2) < 1.0f && (sf2 == 0.0f || fabsf(0x1.0p-49f * sf1 / (0x1.0p100f * sf2)) > 0x1.0p-100f * (0x1.0p-49f * 3.40282347e+38F)) ? sf1 : sf1 / sf2;
}
static double safe_add_func_double_f_f(double sf1, double sf2)
{
    return fabs(0.5 * sf1 + 0.5 * sf2) > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 + sf2;
}
static double safe_sub_func_double_f_f(double sf1, double sf2)
{
    return fabs(0.5 * sf1 - 0.5 * sf2) > 0.5 * 1.7976931348623157e+308 ? sf1 : sf1 - sf2;
}
static double safe_mul_func_double_f_f(double sf1, double sf2)
{
    return fabs(0x1.0p-100 * sf1 * (0x1.0p-924 * sf2)) > 0x1.0p-100 * (0x1.0p-924 * 1.7976931348623157e+308) ? sf1 : sf1 * sf2;
}
static int32_t safe_convert_func_float_to_int32_t(float sf1)
{
    return sf1 <= -2147483647 - 1 || sf1 >= 2147483647 ? 2147483647 : (int32_t) sf1;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
static void transparent_crc(uint64_t val, char * vname, int flag)
{
    val;
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static long __undefined;
struct S0 {
    volatile uint8_t f0;
    volatile uint32_t f1;
    const volatile int16_t f2;
    volatile uint32_t f3;
    int16_t f4;
    volatile uint64_t f5;
};
struct S1 {
    signed f0 : 5; signed f1 : 8; uint32_t f2; volatile uint16_t f3;
};
static int8_t g_16 = 0x61L;
static int32_t g_25 = 0x6eab3cf8L;
static struct S0 g_59 = { 1uL, 0xed469f41L, 0xf53cL, 0xcbf698baL, -1L, 0x49e864adb5d2300bLL };
static volatile int64_t g_60 = 0xe07f0936a74b4fbfLL;
static int32_t g_62 = 3L;
static volatile struct S1 g_80 = { -4, -4, 0x4f663622L, 0xfa2eL };
static volatile int32_t * * volatile g_108 = (void *) 0;
static volatile int32_t * * volatile * const g_107 = &g_108;
static int32_t * g_116 = &g_62;
static struct S1 g_125 = { 1, -5, 0x24141e32L, 1uL };
static volatile struct S0 g_126 = { 0xbL, 0uL, 0x77e3L, 18446744073709551615uL, 0x4c8L, 5uL };
static int32_t * * * volatile g_129 = (void *) 0;
static int32_t * * g_132 = &g_116;
static int32_t * * * volatile g_131 = &g_132;
static uint8_t g_266 = 0xccL;
static volatile struct S1 g_313 = { -4, -14, 0xbce0e0f3L, 0x7a9bL };
static int64_t g_566 = -9L;
static volatile uint16_t g_570 = 0uL;
static uint8_t g_687 = 250uL;
static volatile uint8_t g_692 = 0x82L;
static volatile struct S0 g_753 = { 1uL, 18446744073709551606uL, -1L, 7uL, 0x7256L, 18446744073709551611uL };
static volatile struct S0 g_763 = { 1uL, 0xdc33b451L, -8L, 0x53a7278cL, 3L, 18446744073709551615uL };
static volatile struct S0 g_792 = { 255uL, 0x45f4a48L, -1L, 1uL, -1L, 0x64b141677a4ac4cLL };
static volatile struct S1 g_793 = { 3, 15, 0x139af61bL, 65526uL };
static volatile struct S1 g_794 = { -3, 6, 0x7005ee34L, 0xc9b9L };
static struct S0 g_803 = { 0x55L, 18446744073709551615uL, 0xa09cL, 0xcfb1d8efL, -4L, 0xbd35dc7e0b9db818LL };
static struct S0 g_804 = { 246uL, 0xaa6aa057L, -6L, 0xa3680caeL, 1L, 1uL };
static const struct S1 g_818 = { -4, -10, 0uL, 0x2c76L };
static volatile struct S1 g_847 = { -3, 9, 18446744073709551614uL, 0x1b89L };
static struct S1 g_1163 = { -0, -13, 0xbae1ce67L, 4uL };
static const struct S1 * g_1174 = (void *) 0;
static const struct S1 g_1202 = { -2, -4, 0x4b14e178L, 0x6718L };
static uint32_t g_1416 = 0x7aec422eL;
static struct S0 g_1441 = { 0xc3L, 0uL, 0x3f39L, 3uL, 8L, 0xdf5ca00cac530f6eLL };
static volatile int32_t g_1478 = 0x647e141eL;
static struct S0 g_1530 = { 0xdfL, 0x6abbda1eL, 0L, 0xf4ed0adL, 0L, 0x194cd6b76cc454e7LL };
static struct S0 * g_1529 = &g_1530;
static struct S1 g_1594 = { 1, -15, 1uL, 65529uL };
static volatile struct S1 * g_1596 = &g_847;
static volatile struct S1 * * volatile g_1595 = &g_1596;
static const struct S0 g_1639 = { 253uL, 0uL, 0x8b90L, 0uL, 0xf2bcL, 18446744073709551608uL };
static int32_t g_1648 = 0xe1a00619L;
static uint8_t g_2015 = 0uL;
static volatile struct S1 g_2191 = { -3, -0, 0xff05b2f0L, 65531uL };
static volatile struct S1 * * volatile g_2210 = &g_1596;
static struct S1 g_2213 = { 0, -0, 0xe975e4d3L, 0xde00L };
static int32_t g_2243 = 0x41ccde37L;
static int32_t * volatile g_2280 = (void *) 0;
static uint32_t g_2309 = 0x78979873L;
static struct S0 g_2321 = { 255uL, 18446744073709551613uL, 0xeb97L, 9uL, 0xda48L, 0xe34739b25885d871LL };
static const struct S1 g_2325 = { 3, -13, 0xd605087L, 65528uL };
static struct S1 g_2326 = { 4, 11, 0xf27c41d8L, 0xe835L };
static const struct S0 g_2347 = { 0uL, 0xfc64b101L, 9L, 18446744073709551615uL, 0x2928L, 18446744073709551607uL };
static int32_t * * volatile g_2678 = &g_116;
static const struct S1 g_2792 = { -0, 11, 0xaf3db8f7L, 0x8427L };
static int32_t g_2951 = 0x91fa2ad1L;
static volatile struct S1 g_2952 = { 0, -7, 0uL, 0xc54dL };
static int32_t * * volatile g_2976 = &g_116;
static int32_t * * const volatile g_3092 = &g_116;
static int32_t * * volatile g_3383 = &g_116;
static volatile uint32_t g_3732 = 1uL;
static const struct S0 g_3771 = { 0xe7L, 0xbd7eb7f6L, 0x3aa0L, 18446744073709551613uL, 0x7cecL, 0xc87c56e30e774214LL };
static int32_t * * volatile g_3800 = &g_116;
static uint32_t g_4114 = 0xf64a08c1L;
static struct S0 g_4141 = { 0x42L, 18446744073709551611uL, -8L, 0x11136a37L, -8L, 0x82d87d8d374f33a5LL };
static int32_t * * volatile g_4148 = (void *) 0;
static const volatile struct S1 g_4181 = { 0, -7, 1uL, 1uL };
static const struct S0 * g_4217 = &g_2321;
static const struct S0 * * volatile g_4216 = &g_4217;
static volatile uint16_t g_4582 = 65532uL;
static struct S1 g_4585 = { 1, -3, 0x62f0ff62L, 0xc4a2L };
int main(void)
{
    int print_hash_value = 0;
    transparent_crc(g_16, "g_16", print_hash_value);
    transparent_crc(g_25, "g_25", print_hash_value);
    transparent_crc(g_59.f0, "g_59.f0", print_hash_value);
    transparent_crc(g_59.f1, "g_59.f1", print_hash_value);
    transparent_crc(g_59.f2, "g_59.f2", print_hash_value);
    transparent_crc(g_59.f3, "g_59.f3", print_hash_value);
    transparent_crc(g_59.f4, "g_59.f4", print_hash_value);
    transparent_crc(g_59.f5, "g_59.f5", print_hash_value);
    transparent_crc(g_60, "g_60", print_hash_value);
    transparent_crc(g_62, "g_62", print_hash_value);
    transparent_crc(g_80.f0, "g_80.f0", print_hash_value);
    transparent_crc(g_80.f1, "g_80.f1", print_hash_value);
    transparent_crc(g_80.f2, "g_80.f2", print_hash_value);
    transparent_crc(g_80.f3, "g_80.f3", print_hash_value);
    transparent_crc(g_125.f0, "g_125.f0", print_hash_value);
    transparent_crc(g_125.f1, "g_125.f1", print_hash_value);
    transparent_crc(g_125.f2, "g_125.f2", print_hash_value);
    transparent_crc(g_125.f3, "g_125.f3", print_hash_value);
    transparent_crc(g_126.f0, "g_126.f0", print_hash_value);
    transparent_crc(g_126.f1, "g_126.f1", print_hash_value);
    transparent_crc(g_126.f2, "g_126.f2", print_hash_value);
    transparent_crc(g_126.f3, "g_126.f3", print_hash_value);
    transparent_crc(g_126.f4, "g_126.f4", print_hash_value);
    transparent_crc(g_126.f5, "g_126.f5", print_hash_value);
    transparent_crc(g_266, "g_266", print_hash_value);
    transparent_crc(g_313.f0, "g_313.f0", print_hash_value);
    transparent_crc(g_313.f1, "g_313.f1", print_hash_value);
    transparent_crc(g_313.f2, "g_313.f2", print_hash_value);
    transparent_crc(g_313.f3, "g_313.f3", print_hash_value);
    transparent_crc(g_566, "g_566", print_hash_value);
    transparent_crc(g_570, "g_570", print_hash_value);
    transparent_crc(g_687, "g_687", print_hash_value);
    transparent_crc(g_692, "g_692", print_hash_value);
    transparent_crc(g_753.f0, "g_753.f0", print_hash_value);
    transparent_crc(g_753.f1, "g_753.f1", print_hash_value);
    transparent_crc(g_753.f2, "g_753.f2", print_hash_value);
    transparent_crc(g_753.f3, "g_753.f3", print_hash_value);
    transparent_crc(g_753.f4, "g_753.f4", print_hash_value);
    transparent_crc(g_753.f5, "g_753.f5", print_hash_value);
    transparent_crc(g_763.f0, "g_763.f0", print_hash_value);
    transparent_crc(g_763.f1, "g_763.f1", print_hash_value);
    transparent_crc(g_763.f2, "g_763.f2", print_hash_value);
    transparent_crc(g_763.f3, "g_763.f3", print_hash_value);
    transparent_crc(g_763.f4, "g_763.f4", print_hash_value);
    transparent_crc(g_763.f5, "g_763.f5", print_hash_value);
    transparent_crc(g_792.f0, "g_792.f0", print_hash_value);
    transparent_crc(g_792.f1, "g_792.f1", print_hash_value);
    transparent_crc(g_792.f2, "g_792.f2", print_hash_value);
    transparent_crc(g_792.f3, "g_792.f3", print_hash_value);
    transparent_crc(g_792.f4, "g_792.f4", print_hash_value);
    transparent_crc(g_792.f5, "g_792.f5", print_hash_value);
    transparent_crc(g_793.f0, "g_793.f0", print_hash_value);
    transparent_crc(g_793.f1, "g_793.f1", print_hash_value);
    transparent_crc(g_793.f2, "g_793.f2", print_hash_value);
    transparent_crc(g_793.f3, "g_793.f3", print_hash_value);
    transparent_crc(g_794.f0, "g_794.f0", print_hash_value);
    transparent_crc(g_794.f1, "g_794.f1", print_hash_value);
    transparent_crc(g_794.f2, "g_794.f2", print_hash_value);
    transparent_crc(g_794.f3, "g_794.f3", print_hash_value);
    transparent_crc(g_803.f0, "g_803.f0", print_hash_value);
    transparent_crc(g_803.f1, "g_803.f1", print_hash_value);
    transparent_crc(g_803.f2, "g_803.f2", print_hash_value);
    transparent_crc(g_803.f3, "g_803.f3", print_hash_value);
    transparent_crc(g_803.f4, "g_803.f4", print_hash_value);
    if (g_60 < -2270085556831825985)
    {
        * (* (* (&g_132))) |= * (&g_62);
    }
    transparent_crc(g_803.f5, "g_803.f5", print_hash_value);
    transparent_crc(g_804.f0, "g_804.f0", print_hash_value);
    transparent_crc(g_804.f1, "g_804.f1", print_hash_value);
    transparent_crc(g_804.f2, "g_804.f2", print_hash_value);
    transparent_crc(g_804.f3, "g_804.f3", print_hash_value);
    transparent_crc(g_804.f4, "g_804.f4", print_hash_value);
    transparent_crc(g_804.f5, "g_804.f5", print_hash_value);
    transparent_crc(g_818.f0, "g_818.f0", print_hash_value);
    transparent_crc(g_818.f1, "g_818.f1", print_hash_value);
    transparent_crc(g_818.f2, "g_818.f2", print_hash_value);
    transparent_crc(g_818.f3, "g_818.f3", print_hash_value);
    transparent_crc(g_847.f0, "g_847.f0", print_hash_value);
    transparent_crc(g_847.f1, "g_847.f1", print_hash_value);
    transparent_crc(g_847.f2, "g_847.f2", print_hash_value);
    transparent_crc(g_847.f3, "g_847.f3", print_hash_value);
    transparent_crc(g_1163.f0, "g_1163.f0", print_hash_value);
    transparent_crc(g_1163.f1, "g_1163.f1", print_hash_value);
    transparent_crc(g_1163.f2, "g_1163.f2", print_hash_value);
    if (g_108 != 0 && *g_108 != 0 && * (*g_108) != 0 && * (*g_108) < 0)
    {
        print_hash_value ^= (* (* (* (&g_132))), 0xab871195L);
    }
    transparent_crc(g_1163.f3, "g_1163.f3", print_hash_value);
    transparent_crc(g_1202.f0, "g_1202.f0", print_hash_value);
    transparent_crc(g_1202.f1, "g_1202.f1", print_hash_value);
    transparent_crc(g_1202.f2, "g_1202.f2", print_hash_value);
    transparent_crc(g_1202.f3, "g_1202.f3", print_hash_value);
    transparent_crc(g_1416, "g_1416", print_hash_value);
    transparent_crc(g_1441.f0, "g_1441.f0", print_hash_value);
    transparent_crc(g_1441.f1, "g_1441.f1", print_hash_value);
    transparent_crc(g_1441.f2, "g_1441.f2", print_hash_value);
    transparent_crc(g_1441.f3, "g_1441.f3", print_hash_value);
    transparent_crc(g_1441.f4, "g_1441.f4", print_hash_value);
    transparent_crc(g_1441.f5, "g_1441.f5", print_hash_value);
    if (g_3383 != 0 && *g_3383 != 0 && * (*g_3383) != 0 && * (*g_3383) < 0)
    {
        * (&g_2243) &= 0xd866L || g_753.f5;
    }
    transparent_crc(g_1478, "g_1478", print_hash_value);
    transparent_crc(g_1530.f0, "g_1530.f0", print_hash_value);
    transparent_crc(g_1530.f1, "g_1530.f1", print_hash_value);
    transparent_crc(g_1530.f2, "g_1530.f2", print_hash_value);
    transparent_crc(g_1530.f3, "g_1530.f3", print_hash_value);
    transparent_crc(g_1530.f4, "g_1530.f4", print_hash_value);
    if (g_1648 < -509606375)
    {
        for (g_62 = 13; g_62 == -30; --g_62)
        {
            const int32_t * * l_1206 = (void *) 0;
            const int32_t * * * l_1205 = &l_1206;
            int32_t * l_1236 = & (*g_116);
            struct S1 * l_1239 = (void *) 0;
            int32_t l_1271 = 0x45209252L;
            int32_t l_1342 = 0xef6f63aL;
            int32_t l_1353 = 1L;
            int32_t l_1364 = 1L;
            int32_t l_1403 = 1L;
        }
        ;
    }
    transparent_crc(g_1530.f5, "g_1530.f5", print_hash_value);
    transparent_crc(g_1594.f0, "g_1594.f0", print_hash_value);
    transparent_crc(g_1594.f1, "g_1594.f1", print_hash_value);
    transparent_crc(g_1594.f2, "g_1594.f2", print_hash_value);
    transparent_crc(g_1594.f3, "g_1594.f3", print_hash_value);
    transparent_crc(g_1639.f0, "g_1639.f0", print_hash_value);
    transparent_crc(g_1639.f1, "g_1639.f1", print_hash_value);
    transparent_crc(g_1639.f2, "g_1639.f2", print_hash_value);
    transparent_crc(g_1639.f3, "g_1639.f3", print_hash_value);
    transparent_crc(g_1639.f4, "g_1639.f4", print_hash_value);
    transparent_crc(g_1639.f5, "g_1639.f5", print_hash_value);
    transparent_crc(g_1648, "g_1648", print_hash_value);
    transparent_crc(g_2015, "g_2015", print_hash_value);
    transparent_crc(g_2191.f0, "g_2191.f0", print_hash_value);
    transparent_crc(g_2191.f1, "g_2191.f1", print_hash_value);
    transparent_crc(g_2191.f2, "g_2191.f2", print_hash_value);
    transparent_crc(g_2191.f3, "g_2191.f3", print_hash_value);
    transparent_crc(g_2213.f0, "g_2213.f0", print_hash_value);
    transparent_crc(g_2213.f1, "g_2213.f1", print_hash_value);
    transparent_crc(g_2213.f2, "g_2213.f2", print_hash_value);
    transparent_crc(g_2213.f3, "g_2213.f3", print_hash_value);
    transparent_crc(g_2243, "g_2243", print_hash_value);
    if (g_2976 != 0 && *g_2976 != 0 && * (*g_2976) != 0 && * (*g_2976) < 0)
    {
        * (*g_132) &= 0xd866L || g_126.f5;
    }
    transparent_crc(g_2309, "g_2309", print_hash_value);
    transparent_crc(g_2321.f0, "g_2321.f0", print_hash_value);
    transparent_crc(g_2321.f1, "g_2321.f1", print_hash_value);
    transparent_crc(g_2321.f2, "g_2321.f2", print_hash_value);
    if (g_1478 < 1685984286)
    {
        {
            int32_t l_817 = 0xe6cd8062L;
            * (* (* (&g_132))) = l_817;
            * (* (&g_116)) = (g_116 == g_116) < g_763.f4 > (g_4141.f4 || * (* (&g_116)));
        }
    }
    transparent_crc(g_2321.f3, "g_2321.f3", print_hash_value);
    transparent_crc(g_2321.f4, "g_2321.f4", print_hash_value);
    transparent_crc(g_2321.f5, "g_2321.f5", print_hash_value);
    transparent_crc(g_2325.f0, "g_2325.f0", print_hash_value);
    transparent_crc(g_2325.f1, "g_2325.f1", print_hash_value);
    transparent_crc(g_2325.f2, "g_2325.f2", print_hash_value);
    transparent_crc(g_2325.f3, "g_2325.f3", print_hash_value);
    transparent_crc(g_2326.f0, "g_2326.f0", print_hash_value);
    transparent_crc(g_2326.f1, "g_2326.f1", print_hash_value);
    transparent_crc(g_2326.f2, "g_2326.f2", print_hash_value);
    transparent_crc(g_2326.f3, "g_2326.f3", print_hash_value);
    transparent_crc(g_2347.f0, "g_2347.f0", print_hash_value);
    transparent_crc(g_2347.f1, "g_2347.f1", print_hash_value);
    transparent_crc(g_2347.f2, "g_2347.f2", print_hash_value);
    transparent_crc(g_2347.f3, "g_2347.f3", print_hash_value);
    transparent_crc(g_2347.f4, "g_2347.f4", print_hash_value);
    transparent_crc(g_2347.f5, "g_2347.f5", print_hash_value);
    transparent_crc(g_2792.f0, "g_2792.f0", print_hash_value);
    transparent_crc(g_2792.f1, "g_2792.f1", print_hash_value);
    transparent_crc(g_2792.f2, "g_2792.f2", print_hash_value);
    transparent_crc(g_2792.f3, "g_2792.f3", print_hash_value);
    transparent_crc(g_2951, "g_2951", print_hash_value);
    if (g_2280 != 0 && *g_2280 != 0 && *g_2280 < 0)
    {
        {
            int32_t * l_124 = &g_62;
            * (&g_116) = l_124;
            g_116 == &g_62 ? (void) 0 : __assert_fail("g_116 == &g_62",
                                                      "t.c",
                                                      2838,
                                                      __PRETTY_FUNCTION__);
            g_313 = g_1594;
            g_116 = g_116;
        }
    }
    transparent_crc(g_2952.f0, "g_2952.f0", print_hash_value);
    transparent_crc(g_2952.f1, "g_2952.f1", print_hash_value);
    transparent_crc(g_2952.f2, "g_2952.f2", print_hash_value);
    transparent_crc(g_2952.f3, "g_2952.f3", print_hash_value);
    transparent_crc(g_3732, "g_3732", print_hash_value);
    transparent_crc(g_3771.f0, "g_3771.f0", print_hash_value);
    transparent_crc(g_3771.f1, "g_3771.f1", print_hash_value);
    transparent_crc(g_3771.f2, "g_3771.f2", print_hash_value);
    transparent_crc(g_3771.f3, "g_3771.f3", print_hash_value);
    transparent_crc(g_3771.f4, "g_3771.f4", print_hash_value);
    transparent_crc(g_3771.f5, "g_3771.f5", print_hash_value);
    transparent_crc(g_4114, "g_4114", print_hash_value);
    transparent_crc(g_4141.f0, "g_4141.f0", print_hash_value);
    transparent_crc(g_4141.f1, "g_4141.f1", print_hash_value);
    transparent_crc(g_4141.f2, "g_4141.f2", print_hash_value);
    transparent_crc(g_4141.f3, "g_4141.f3", print_hash_value);
    if (g_129 != 0 && *g_129 != 0 && * (*g_129) != 0 && * (* (*g_129)) != 0 && * (* (*g_129)) < 0)
    {
        {
            struct S0 * * l_4142 = (void *) 0;
            struct S0 * * l_4143 = (void *) 0;
            struct S0 * * l_4144 = &g_1529;
            *l_4144 = (g_803, &g_803);
            g_1529 == &g_803 ? (void) 0 : __assert_fail("g_1529 == &g_803",
                                                        "t.c",
                                                        2870,
                                                        __PRETTY_FUNCTION__);
        }
    }
    transparent_crc(g_4141.f4, "g_4141.f4", print_hash_value);
    transparent_crc(g_4141.f5, "g_4141.f5", print_hash_value);
    transparent_crc(g_4181.f0, "g_4181.f0", print_hash_value);
    transparent_crc(g_4181.f1, "g_4181.f1", print_hash_value);
    transparent_crc(g_4181.f2, "g_4181.f2", print_hash_value);
    transparent_crc(g_4181.f3, "g_4181.f3", print_hash_value);
    transparent_crc(g_4582, "g_4582", print_hash_value);
    transparent_crc(g_4585.f0, "g_4585.f0", print_hash_value);
    transparent_crc(g_4585.f1, "g_4585.f1", print_hash_value);
    transparent_crc(g_4585.f2, "g_4585.f2", print_hash_value);
    transparent_crc(g_4585.f3, "g_4585.f3", print_hash_value);
    platform_main_end(crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
