typedef unsigned int size_t;
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
int printf(const char *, ...);
void __assert_fail(const char * __assertion,
                   const char * __file,
                   unsigned int __line,
                   const char * __function);
static void platform_main_end(uint32_t crc, int flag)
{
    printf("checksum = %X\n", crc);
}
static int8_t safe_unary_minus_func_int8_t_s(int8_t si)
{
    return -si;
}
static int8_t safe_add_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 + si2;
}
static int8_t safe_sub_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 - si2;
}
static int8_t safe_mul_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 * si2;
}
static int8_t safe_mod_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 % si2;
}
static int8_t safe_div_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 / si2;
}
static int8_t safe_lshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 127 >> (int) right ? left : left << (int) right;
}
static int8_t safe_lshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 127 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int8_t safe_rshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int8_t safe_rshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int16_t safe_unary_minus_func_int16_t_s(int16_t si)
{
    return -si;
}
static int16_t safe_add_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 + si2;
}
static int16_t safe_sub_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 - si2;
}
static int16_t safe_mul_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 * si2;
}
static int16_t safe_mod_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int16_t safe_div_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int16_t safe_lshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 32767 >> (int) right ? left : left << (int) right;
}
static int16_t safe_lshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 32767 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int16_t safe_rshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int16_t safe_rshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int32_t safe_unary_minus_func_int32_t_s(int32_t si)
{
    return si == -2147483647 - 1 ? si : -si;
}
static int32_t safe_add_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 - si2 || si1 < 0 && si2 < 0 && si1 < -2147483647 - 1 - si2 ? si1 : si1 + si2;
}
static int32_t safe_sub_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~2147483647) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int32_t safe_mul_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 / si2 || si1 > 0 && si2 <= 0 && si2 < (-2147483647 - 1) / si1 || si1 <= 0 && si2 > 0 && si1 < (-2147483647 - 1) / si2 || si1 <= 0 && si2 <= 0 && si1 != 0 && si2 < 2147483647 / si1 ? si1 : si1 * si2;
}
static int32_t safe_mod_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int32_t safe_div_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int32_t safe_lshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 2147483647 >> (int) right ? left : left << (int) right;
}
static int32_t safe_lshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 2147483647 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int32_t safe_rshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int32_t safe_rshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint8_t safe_unary_minus_func_uint8_t_u(uint8_t ui)
{
    return -ui;
}
static uint8_t safe_add_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 + ui2;
}
static uint8_t safe_sub_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 - ui2;
}
static uint8_t safe_mul_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint8_t safe_mod_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint8_t safe_div_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint8_t safe_lshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 255 >> (int) right ? left : left << (int) right;
}
static uint8_t safe_lshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 || left > 255 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint16_t safe_unary_minus_func_uint16_t_u(uint16_t ui)
{
    return -ui;
}
static uint16_t safe_add_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 + ui2;
}
static uint16_t safe_sub_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 - ui2;
}
static uint16_t safe_mul_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint16_t safe_mod_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_lshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 65535 >> (int) right ? left : left << (int) right;
}
static uint16_t safe_lshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 65535 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_lshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 4294967295u >> (int) right ? left : left << (int) right;
}
static uint32_t safe_lshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 4294967295u >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_gentab(void)
{
    uint32_t crc;
    const uint32_t poly = 0xedb88320uL;
    int i, j;
    for (i = 0; i < 256; i++)
    {
        crc = i;
        for (j = 8; j > 0; j--)
        {
            if (crc & 1)
            {
                crc = crc >> 1 ^ poly;
            }
            else
            {
                crc >>= 1;
            }
        }
        crc32_tab[i] = crc;
    }
}
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
static void crc32_8bytes(uint32_t val)
{
    crc32_byte(val >> 0 & 0xff);
    crc32_byte(val >> 8 & 0xff);
    crc32_byte(val >> 16 & 0xff);
    crc32_byte(val >> 24 & 0xff);
}
static void transparent_crc(uint32_t val, char * vname, int flag)
{
    crc32_8bytes(val);
    if (flag)
    {
        printf("...checksum after hashing %s : %X\n",
               vname,
               crc32_context ^ 0xffffffffu);
    }
}
static void transparent_crc_bytes(char * ptr,
                                  int nbytes,
                                  char * vname,
                                  int flag)
{
    int i;
    for (i = 0; i < nbytes; i++)
    {
        crc32_byte(ptr[i]);
    }
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static long __undefined;
struct S0 {
    int8_t f0; int8_t f1; uint32_t f2; int32_t f3; uint16_t f4;
};
static int32_t g_3 = 0x9ba095a9L;
static int32_t g_4[10][4][2] = { { { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL }, { 0x8dc5336dL, 0xd4a0d461L } }, { { 1L, 0xfc3a065cL }, { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL } }, { { 0x8dc5336dL, 0xd4a0d461L }, { 1L, 0xfc3a065cL }, { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L } }, { { 0x8dc5336dL, 0x8dc5336dL }, { 0x8dc5336dL, 0xd4a0d461L }, { 1L, 0xfc3a065cL }, { 0xd4a0d461L, 0xfc3a065cL } }, { { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL }, { 0x8dc5336dL, 0xd4a0d461L }, { 1L, 0xfc3a065cL } }, { { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL }, { 0xd4a0d461L, 1L } }, { { 0xc8f0d071L, 0x8dc5336dL }, { 1L, 0x8dc5336dL }, { 0xc8f0d071L, 1L }, { 0xd4a0d461L, 0xd4a0d461L } }, { { 0xd4a0d461L, 1L }, { 0xc8f0d071L, 0x8dc5336dL }, { 1L, 0x8dc5336dL }, { 0xc8f0d071L, 1L } }, { { 0xd4a0d461L, 0xd4a0d461L }, { 0xd4a0d461L, 1L }, { 0xc8f0d071L, 0x8dc5336dL }, { 1L, 0x8dc5336dL } }, { { 0xc8f0d071L, 1L }, { 0xd4a0d461L, 0xd4a0d461L }, { 0xd4a0d461L, 1L }, { 0xc8f0d071L, 0x8dc5336dL } } };
static int32_t g_5[3] = { 0xb2c41ac3L, 0xb2c41ac3L, 0xb2c41ac3L };
static uint8_t g_22 = 0x4cL;
static uint32_t g_23[3] = { 0x69c1477aL, 0x69c1477aL, 0x69c1477aL };
static int8_t g_26 = 4L;
static uint16_t g_27 = 65532uL;
static uint16_t g_32 = 0xb7a2L;
static uint8_t g_55[9][8] = { { 252uL, 255uL, 0x79L, 3uL, 0x17L, 3uL, 0uL, 255uL }, { 249uL, 0uL, 0xe3L, 3uL, 251uL, 255uL, 0uL, 251uL }, { 0xd5L, 251uL, 247uL, 0xd5L, 249uL, 255uL, 0x5bL, 252uL }, { 0uL, 0xd5L, 255uL, 0uL, 255uL, 0xd5L, 0uL, 0x17L }, { 0x1cL, 255uL, 255uL, 0x8aL, 0x49L, 4uL, 0x8aL, 0uL }, { 247uL, 251uL, 0xd5L, 0x7eL, 0x49L, 0x5bL, 0uL, 0uL }, { 0x1cL, 0x79L, 0x7eL, 0uL, 255uL, 3uL, 251uL, 0x5bL }, { 0uL, 0x49L, 255uL, 249uL, 249uL, 255uL, 0x49L, 0uL }, { 0xd5L, 3uL, 0uL, 0x17L, 251uL, 255uL, 247uL, 0x8aL } };
static int32_t g_57 = 0xeb039226L;
static int32_t g_58 = 4L;
static uint32_t g_59[9] = { 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL };
static uint32_t g_69 = 0x797cfcbfL;
static int32_t g_80 = 0xd47b9da0L;
static uint32_t g_81[4] = { 0xfacdc9ffL, 0xfacdc9ffL, 0xfacdc9ffL, 0xfacdc9ffL };
static struct S0 g_152[2] = { { 0x6eL, 1L, 0uL, 0x4ab730d5L, 0uL }, { 0x6eL, 1L, 0uL, 0x4ab730d5L, 0uL } };
static uint16_t g_203[3] = { 0x582dL, 0x582dL, 0x582dL };
static int32_t g_214 = -2L;
static uint32_t g_231 = 4294967286uL;
static int16_t g_234 = 0L;
static int16_t g_277 = 1L;
static struct S0 g_283 = { 0xb0L, -1L, 0xf2b8033dL, 0x5451df1bL, 0x22dL };
static uint32_t g_407 = 0x57a78fe8L;
static int32_t g_410 = 0x38f403baL;
static int32_t g_465 = 0x5f3e33faL;
static uint32_t g_466 = 0uL;
static int16_t g_551 = -1L;
static int32_t g_616[5] = { 0x79c30704L, 0x79c30704L, 0x79c30704L, 0x79c30704L, 0x79c30704L };
static int32_t g_621[2][9][5] = { { { -10L, 1L, 0xd5ef2f06L, 1L, -10L }, { 1L, 1L, 8L, -10L, 8L }, { 8L, 8L, 0xd5ef2f06L, -10L, 0x1e4228d9L }, { 1L, 1L, 1L, 1L, 8L }, { 1L, -10L, -4L, -4L, -10L }, { 8L, 1L, -4L, 0xd5ef2f06L, 0xd5ef2f06L }, { 1L, 8L, 1L, -4L, 0xd5ef2f06L }, { -10L, 1L, 0xd5ef2f06L, 1L, -10L }, { 1L, 1L, 8L, -10L, 8L } }, { { 8L, 8L, 0xd5ef2f06L, -10L, 0x1e4228d9L }, { 1L, 1L, 1L, 1L, 8L }, { 1L, -4L, 0xd5ef2f06L, 0xd5ef2f06L, -4L }, { 0x1e4228d9L, -10L, 0xd5ef2f06L, 8L, 8L }, { -10L, 0x1e4228d9L, -10L, 0xd5ef2f06L, 8L }, { -4L, 1L, 8L, 1L, -4L }, { -10L, 1L, 0x1e4228d9L, -4L, 0x1e4228d9L }, { 0x1e4228d9L, 0x1e4228d9L, 8L, -4L, 1L }, { 1L, -10L, -10L, 1L, 0x1e4228d9L } } };
static int32_t g_973 = 0x44345857L;
static uint32_t g_976 = 4294967294uL;
static int16_t g_1185 = -1L;
static int32_t g_1356 = 0xfa767bcL;
static uint16_t g_1477 = 0xbab5L;
static uint32_t g_1570 = 0x6920269fL;
static uint32_t g_1707 = 5uL;
static uint8_t g_1917 = 0x44L;
static int32_t g_2181 = 9L;
static uint32_t g_2432 = 4294967293uL;
static uint16_t func_13(int8_t p_14, int32_t p_15, uint32_t p_16);
static int32_t func_17(int32_t p_18,
                       uint16_t p_19,
                       uint8_t p_20,
                       uint32_t p_21);
static uint8_t func_72(struct S0 p_73,
                       uint32_t p_74,
                       int32_t p_75);
static struct S0 func_76(uint32_t p_77,
                         int16_t p_78,
                         uint8_t p_79);
static uint8_t func_99(uint32_t p_100);
static uint32_t func_105(uint16_t p_106, int16_t p_107);
static uint16_t func_124(struct S0 p_125,
                         struct S0 p_126,
                         struct S0 p_127,
                         int32_t p_128);
static struct S0 func_129(int32_t p_130,
                          struct S0 p_131,
                          uint32_t p_132,
                          int16_t p_133);
static uint16_t func_13(int8_t p_14, int32_t p_15, uint32_t p_16)
{
    int8_t l_31 = 1L;
    return l_31;
}
static int32_t func_17(int32_t p_18,
                       uint16_t p_19,
                       uint8_t p_20,
                       uint32_t p_21)
{
    uint16_t l_24 = 0x9f3bL;
    int32_t l_25 = 8L;
    g_22 |= p_20;
    l_24 ^= g_23[2] = p_20;
    g_27++;
    l_25 |= l_24;
    return g_3;
}
static uint8_t func_72(struct S0 p_73, uint32_t p_74, int32_t p_75)
{
    uint32_t l_2457 = 1uL;
    for (p_73.f0 = 0; p_73.f0 >= -8; --p_73.f0)
    {
    }
    g_58 = safe_mul_func_uint8_t_u_u((g_152[0].f1 || g_551) > (safe_mod_func_uint32_t_u_u(safe_mul_func_int16_t_s_s(0x9194L,
                                                                                                                    safe_add_func_uint8_t_u_u(safe_mul_func_int16_t_s_s((safe_div_func_int16_t_s_s(-9L,
                                                                                                                                                                                                   safe_add_func_int32_t_s_s(g_58,
                                                                                                                                                                                                                             0x4924a06dL || (safe_div_func_int32_t_s_s(safe_rshift_func_int8_t_s_s(safe_mul_func_int8_t_s_s(p_73.f3,
                                                                                                                                                                                                                                                                                                                            l_2457 == (g_410 && l_2457) & 0xf613d206L) & l_2457,
                                                                                                                                                                                                                                                                                                   p_73.f0),
                                                                                                                                                                                                                                                                       0xa3685d7bL) || 6uL))) ^ l_2457) < p_74,
                                                                                                                                                                        0xd67bL) == g_1477,
                                                                                                                                              g_283.f0)) >= g_26,
                                                                                          0x7a5ebef1L) < -8L | g_621[0][8][2]) & 0x2bL,
                                     p_75);
    return p_74;
}
static struct S0 func_76(uint32_t p_77, int16_t p_78, uint8_t p_79)
{
    int32_t l_98 = -10L;
    struct S0 l_2436 = { 6L, -2L, 1uL, 0x18035f9bL, 65528uL };
    {
        int32_t l_98 = -10L;
        struct S0 l_2436 = { 6L, -2L, 1uL, 0x18035f9bL, 65528uL };
        g_152[0].f3 = l_98 = safe_sub_func_uint32_t_u_u(func_17(l_98,
                                                                g_55[3][5],
                                                                func_99(p_78 >= safe_rshift_func_uint8_t_u_s(safe_mod_func_int16_t_s_s(func_17(p_79,
                                                                                                                                               p_78,
                                                                                                                                               func_17(g_27,
                                                                                                                                                       func_13(g_23[2],
                                                                                                                                                               l_98,
                                                                                                                                                               l_98) >= 4L >= p_79,
                                                                                                                                                       g_5[0],
                                                                                                                                                       g_23[2]) ^ l_98,
                                                                                                                                               p_78),
                                                                                                                                       l_98) < p_78,
                                                                                                             1)),
                                                                p_77) >= 1L,
                                                        g_621[0][6][4]);
        return l_2436;
    }
    return l_2436;
}
static uint8_t func_99(uint32_t p_100)
{
    uint8_t l_110[7][7] = { { 0xffL, 0x31L, 0xffL, 0x31L, 0xffL, 0x31L, 0xffL }, { 0x78L, 0x78L, 0x27L, 0x27L, 0x78L, 0x78L, 0x27L }, { 255uL, 0x31L, 255uL, 0x31L, 255uL, 0x31L, 255uL }, { 0x78L, 0x27L, 0x27L, 0x78L, 0x78L, 0x27L, 0x27L }, { 0xffL, 0x31L, 0xffL, 0x31L, 0xffL, 0x31L, 0xffL }, { 0x78L, 0x78L, 0x27L, 0x27L, 0x78L, 0x78L, 0x27L }, { 255uL, 0x31L, 255uL, 0x31L, 255uL, 0x31L, 255uL } };
    int32_t l_142 = -1L;
    int32_t l_143 = 0xeb29fa79L;
    int32_t l_144[2][9] = { { -2L, -2L, -2L, -2L, -2L, -2L, -2L, -2L, -2L }, { 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L } };
    int32_t l_145[6];
    int32_t l_146 = 0x586f400aL;
    struct S0 l_147 = { -5L, 0L, 0xb65799c7L, 0x5f5692bdL, 65528uL };
    uint32_t l_148 = 4294967295uL;
    int16_t l_2229 = 0x8a5eL;
    uint32_t l_2338 = 0xa78d6bd7L;
    int32_t l_2344 = 0x936f19a1L;
    uint16_t l_2346 = 0x1e6cL;
    int8_t l_2355 = 0x8eL;
    uint16_t l_2396 = 0x406aL;
    int32_t l_2404 = 0x8bd9194aL;
    uint8_t l_2423 = 0xfeL;
    int8_t l_2435 = -2L;
    int i, j;
    for (i = 0; i < 6; i++)
        l_145[i] = 0xe41b645fL;
    if (~func_105(safe_rshift_func_uint8_t_u_s(l_110[5][6],
                                               4294967295uL & safe_rshift_func_uint16_t_u_s(safe_mod_func_uint32_t_u_u(1uL,
                                                                                                                       p_100 ^ l_110[6][2]),
                                                                                            0)),
                  safe_div_func_uint32_t_u_u((safe_lshift_func_uint8_t_u_s(l_110[5][6],
                                                                           2) | p_100) < safe_lshift_func_int16_t_s_s(l_144[0][0] = l_148,
                                                                                                                      l_110[5][6]) != l_147.f4,
                                             g_3) | g_55[1][5] | g_4[7][0][1]) == p_100)
    {
        int16_t l_2176 = -10L;
        int32_t l_2192 = 1L;
        int32_t l_2199 = 0L;
        int32_t l_2201 = 0x582bcf30L;
        uint8_t l_2283[8] = { 0xe1L, 0xe1L, 0x7dL, 0xe1L, 0xe1L, 0x7dL, 0xe1L, 0xe1L };
        int32_t l_2307[5];
        struct S0 l_2341 = { 1L, 1L, 4294967295uL, -1L, 4uL };
        int32_t l_2343 = 3L;
        int32_t l_2345[6];
        int i;
        for (i = 0; i < 5; i++)
        {
            l_2307[i] = 0xa8d90ad4L;
            for (i = 0; i < 5; i++)
                l_2307[i] = 0xa8d90ad4L;
            for (i = 0; i < 6; i++)
                l_145[i] = 0xe41b645fL;
        }
    lbl_2342:
        if ((l_144[0][0] &= safe_div_func_int32_t_s_s(safe_unary_minus_func_uint8_t_u(l_2176) || safe_mul_func_int16_t_s_s(safe_mul_func_int8_t_s_s(g_2181 & (~(0uL > (g_69 || 0x4467L)) || safe_mod_func_uint8_t_u_u(g_81[3] > (safe_div_func_int32_t_s_s(l_2192 &= (((l_147.f1 && safe_mul_func_int16_t_s_s(safe_mul_func_uint8_t_u_u((l_145[2] = l_2176) | p_100 | l_142,
                                                                                                                                                                                                                                                                                                                                        0uL),
                                                                                                                                                                                                                                                                                                              l_2176) > g_152[0].f1 >= g_203[2]) > l_147.f2 && g_55[0][3] || 0xf00eL) | 0x87e8b4afL) & l_2176,
                                                                                                                                                                                                                                                           g_234) >= l_147.f2),
                                                                                                                                                                                                                      -1L)),
                                                                                                                                                    p_100),
                                                                                                                           -6L) ^ 0L ^ p_100,
                                                      0x867b4c28L)) >= p_100 ^ l_2176 && l_142)
        {
            l_2192 ^= g_81[2];
        }
        else
        {
            int8_t l_2200[8] = { 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L };
            int16_t l_2220 = 0x112dL;
            int32_t l_2231 = 0xf3bd8649L;
            int32_t l_2304 = 0L;
            int32_t l_2306 = 0x2e89871dL;
            int i;
            for (g_283.f4 = -28; g_283.f4 == 57; g_283.f4 = safe_add_func_uint16_t_u_u(g_283.f4,
                                                                                       7))
            {
                uint8_t l_2215 = 0x4aL;
                int32_t l_2282 = -1L;
                int16_t l_2284 = 1L;
                int32_t l_2308 = 1L;
                int32_t l_2309 = 0L;
                int32_t l_2310 = 1L;
                uint16_t l_2313[6];
                int i;
                for (i = 0; i < 6; i++)
                    l_2313[i] = 0xfa7eL;
                for (g_976 = 0; g_976 > 20; g_976++)
                {
                    uint8_t l_2202 = 0x8dL;
                    g_58 = 0x25aea59eL;
                    for (l_147.f1 = -26; l_147.f1 == 20; l_147.f1 = safe_add_func_int32_t_s_s(l_147.f1,
                                                                                              1))
                    {
                        if (l_2192)
                            break;
                        l_2202--;
                    }
                }
                for (l_146 = 1; l_146 <= 5; l_146 += 1)
                {
                    int i;
                    if (!(0L < safe_mul_func_uint8_t_u_u(g_22 = safe_lshift_func_int8_t_s_s((l_145[l_146] = l_145[l_146] & (l_145[l_146] & p_100 | safe_add_func_uint32_t_u_u(p_100,
                                                                                                                                                                              g_58 = 0L != safe_add_func_int8_t_s_s(4294967295uL == g_1570 == safe_sub_func_int32_t_s_s(-1L,
                                                                                                                                                                                                                                                                        l_146),
                                                                                                                                                                                                                    g_32) >= l_2199) & g_23[0]) > p_100 <= 4L) | l_2215,
                                                                                            l_2176),
                                                         1L) == p_100))
                    {
                        return l_147.f3;
                    }
                    else
                    {
                        int8_t l_2230[5];
                        int32_t l_2232 = 1L;
                        int i;
                        for (i = 0; i < 5; i++)
                            l_2230[i] = 0x9dL;
                        l_2232 |= l_2201 = safe_rshift_func_int16_t_s_u(safe_add_func_int16_t_s_s(l_2220,
                                                                                                  g_551 && ((l_2231 = safe_mod_func_int32_t_s_s(g_26 >= ((safe_sub_func_int32_t_s_s(l_2176 < (p_100 & safe_mul_func_int8_t_s_s(l_2229 = g_466,
                                                                                                                                                                                                                               -1L >= l_146)),
                                                                                                                                                                                    p_100) == p_100 && 0uL) <= 65534uL) == l_2230[1],
                                                                                                                                                g_234) < 0L) && l_145[l_146])),
                                                                        g_621[0][2][4]);
                        if (g_80)
                            goto lbl_2342;
                    }
                    l_145[l_146] = safe_div_func_int16_t_s_s(safe_div_func_int8_t_s_s(2L ^ l_2220,
                                                                                      l_2176),
                                                             l_2215) && (g_80 = g_214 <= safe_add_func_uint16_t_u_u(safe_add_func_uint8_t_u_u(safe_add_func_int16_t_s_s(0x546fL,
                                                                                                                                                                        safe_sub_func_int8_t_s_s((safe_add_func_int8_t_s_s((g_1477 = ~(safe_mod_func_uint8_t_u_u(safe_rshift_func_uint8_t_u_s(safe_unary_minus_func_int8_t_s(p_100 >= l_2192 <= safe_rshift_func_int16_t_s_u(l_145[l_146],
                                                                                                                                                                                                                                                                                                                                                                             l_2215)),
                                                                                                                                                                                                                                                                                              2),
                                                                                                                                                                                                                                                                 g_152[0].f0) < g_152[0].f1)) == 1uL,
                                                                                                                                                                                                                           0xf7L) || p_100) == g_283.f2,
                                                                                                                                                                                                 l_145[l_146])) < -1L,
                                                                                                                                              0uL) && l_145[l_146],
                                                                                                                    l_2215) ^ l_145[l_146]);
                }
                for (l_2215 = -22; l_2215 == 16; l_2215++)
                {
                    int32_t l_2287 = 0L;
                    int32_t l_2302 = -3L;
                    int32_t l_2303[10] = { 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L };
                    int i;
                    for (g_407 = 0; g_407 <= 1; g_407 += 1)
                    {
                        int i, j;
                        return l_144[g_407][g_407 + 5];
                    }
                    if (safe_rshift_func_int16_t_s_s((l_2201 = 0uL) >= p_100,
                                                     safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(safe_rshift_func_uint8_t_u_u(+safe_sub_func_int8_t_s_s(-1L,
                                                                                                                                                                   safe_add_func_int8_t_s_s(0x2cc8L || safe_rshift_func_int16_t_s_u(safe_sub_func_int16_t_s_s(p_100,
                                                                                                                                                                                                                                                              safe_lshift_func_uint16_t_u_s(0uL,
                                                                                                                                                                                                                                                                                            1) >= safe_sub_func_uint16_t_u_u(p_100 & g_1185,
                                                                                                                                                                                                                                                                                                                             g_27 = safe_div_func_int8_t_s_s(l_144[0][0] = safe_lshift_func_uint16_t_u_u(safe_rshift_func_int16_t_s_s((l_2282 = l_2229) != 0xac63L,
                                                                                                                                                                                                                                                                                                                                                                                                                                      0),
                                                                                                                                                                                                                                                                                                                                                                                                         2),
                                                                                                                                                                                                                                                                                                                                                             l_2283[2]) >= 0xe544L < g_283.f4 > l_2215)),
                                                                                                                                                                                                                                    l_2199),
                                                                                                                                                                                            l_2283[2]) & p_100),
                                                                                                                                         3),
                                                                                                            l_2284),
                                                                                p_100)))
                    {
                        uint32_t l_2301 = 0xf7a3158dL;
                        int16_t l_2305 = 0x3be6L;
                        int32_t l_2311 = -6L;
                        int32_t l_2312 = -1L;
                        l_146 = safe_rshift_func_uint16_t_u_s((l_2287 = p_100) ^ safe_div_func_uint32_t_u_u(safe_lshift_func_int8_t_s_u(g_5[2],
                                                                                                                                        (0x84L != ((safe_rshift_func_int16_t_s_u(safe_mul_func_uint8_t_u_u(l_2231 = 250uL,
                                                                                                                                                                                                           g_5[2] == safe_div_func_int8_t_s_s(safe_unary_minus_func_uint8_t_u(p_100 == l_2220) | safe_add_func_uint8_t_u_u(1L == p_100,
                                                                                                                                                                                                                                                                                                                           0xb7L) < l_2220,
                                                                                                                                                                                                                                              p_100)),
                                                                                                                                                                                 l_2282) > 1L && l_2301) > 0xd656L ^ g_410)) <= l_2301) ^ 0uL && l_2231,
                                                                                                            p_100) <= 0L,
                                                              l_2301);
                        if (l_2176)
                            continue;
                        --l_2313[5];
                    }
                    else
                    {
                        if (g_621[0][2][4])
                            break;
                    }
                    g_152[0] = g_283;
                    if (g_277)
                        break;
                }
                for (l_2199 = -29; l_2199 < -22; l_2199 = safe_add_func_int8_t_s_s(l_2199,
                                                                                   7))
                {
                    int16_t l_2339 = 0xec75L;
                    int32_t l_2340 = 0x917ca4d1L;
                    if (safe_rshift_func_uint8_t_u_u(safe_mod_func_uint32_t_u_u(--p_100,
                                                                                l_2309) | safe_sub_func_uint32_t_u_u(4294967287uL,
                                                                                                                     safe_mul_func_uint8_t_u_u(safe_add_func_uint16_t_u_u(g_616[2],
                                                                                                                                                                          (safe_sub_func_int8_t_s_s(safe_mul_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(l_2339 = safe_rshift_func_int16_t_s_u(l_2313[5] == (((l_2338 |= 5uL) >= l_2283[7] < 7uL > l_2231 && l_2201) ^ l_2215) & 1L,
                                                                                                                                                                                                                                                                                              l_144[0][0]) <= 1uL,
                                                                                                                                                                                                                                                        l_2309),
                                                                                                                                                                                                                              0L),
                                                                                                                                                                                                    g_59[3]) == l_2310 | -1L && l_2313[5] || l_2283[6]) >= l_2340),
                                                                                                                                               g_57)),
                                                     6))
                    {
                        l_2307[4] = g_621[0][8][0];
                    }
                    else
                    {
                        g_283.f3 ^= l_2200[6];
                    }
                    if (g_57)
                        break;
                }
            }
            l_2341 = l_147;
        }
        l_2346++;
        l_2346++;
    }
    else
    {
        uint16_t l_2361 = 0xf1bcL;
        int32_t l_2392 = 0x3b3c7727L;
        int32_t l_2393 = -1L;
        uint32_t l_2399 = 4294967292uL;
        int32_t l_2402 = 1L;
        int32_t l_2403 = 0xa722e9cdL;
        int32_t l_2405 = 0x1f0d8d51L;
        uint16_t l_2406 = 6uL;
        --l_2399;
        for (l_147.f1 = 8; l_147.f1 >= -3; l_147.f1 = safe_sub_func_uint16_t_u_u(l_147.f1,
                                                                                 3))
        {
            int32_t l_2358 = 0x9556bea6L;
            int32_t l_2394 = 2L;
            int32_t l_2395[3][7][5] = { { { 1L, -8L, 1L, 6L, 1L }, { 0L, 0L, 4L, 0xfa295410L, 1L }, { 1L, 0x1337ecabL, 1L, 1L, 0x1337ecabL }, { 0x3d0099f7L, -5L, 4L, 1L, 0xd9c63115L }, { -8L, -6L, 1L, 0xb774a815L, -1L }, { 0xaee37cd5L, 0x3d0099f7L, 0x3d0099f7L, 0xaee37cd5L, 0x7f888dd7L }, { -8L, 1L, 0xb5e344b0L, 3L, 0xb774a815L } }, { { 0x3d0099f7L, 0x9725e237L, 0L, 4L, 0L }, { 1L, 1L, 0xb774a815L, 3L, 0xb5e344b0L }, { 0L, 0xfa295410L, 0x7f888dd7L, 0xaee37cd5L, 0x3d0099f7L }, { 1L, 0xb774a815L, -1L, 0xb774a815L, 1L }, { 0xe77d5347L, 0xfa295410L, 0xd9c63115L, 1L, 4L }, { 3L, 1L, 0x1337ecabL, 1L, 1L }, { 1L, 0x9725e237L, 1L, 0xfa295410L, 4L } }, { { -8L, 1L, 1L, 6L, 1L }, { 4L, 0x3d0099f7L, 0x3d0099f7L, 0x3d0099f7L, 0xaee37cd5L }, { 8L, 0xb5e344b0L, 0xb774a815L, 1L, -1L }, { 0xe77d5347L, 0xd9c63115L, 0L, 0x9725e237L, 0L }, { 1L, 8L, 8L, 1L, -8L }, { 0xe77d5347L, 0x3d0099f7L, 0L, 0xfa295410L, 0x9725e237L }, { 8L, 3L, -8L, 0xb774a815L, -8L } } };
            int i, j, k;
            l_144[0][0] = safe_div_func_int32_t_s_s(p_100++ == l_2355 || p_100,
                                                    (0x8eac4f11L || 0xc3L & (l_147.f2 || safe_mod_func_int8_t_s_s(l_2358,
                                                                                                                  safe_lshift_func_int8_t_s_s(l_110[1][5],
                                                                                                                                              l_147.f2))) && l_2361) >= 1uL | l_2346);
            l_2393 ^= safe_lshift_func_int16_t_s_s(safe_add_func_int16_t_s_s(safe_mul_func_int16_t_s_s(g_621[0][2][4] <= (g_152[0].f0 = g_152[0].f1 ^ safe_sub_func_int16_t_s_s(+0xfae0L,
                                                                                                                                                                                safe_lshift_func_uint8_t_u_s(p_100,
                                                                                                                                                                                                             safe_mul_func_int16_t_s_s(safe_rshift_func_int8_t_s_s(safe_mul_func_int8_t_s_s(safe_add_func_int16_t_s_s(safe_mul_func_uint8_t_u_u(safe_add_func_int16_t_s_s(safe_add_func_uint32_t_u_u(safe_add_func_int16_t_s_s(4294967295uL && safe_mod_func_uint8_t_u_u(g_410 < (l_2392 = safe_add_func_uint8_t_u_u(p_100 & (2uL || l_2355),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     g_81[0])),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                         g_1917) <= l_2358 >= 0xab24L,
                                                                                                                                                                                                                                                                                                                                                                                                                               0x1b29L) || p_100,
                                                                                                                                                                                                                                                                                                                                                                                                     g_152[0].f3) && p_100,
                                                                                                                                                                                                                                                                                                                                                                          p_100),
                                                                                                                                                                                                                                                                                                                                                1L),
                                                                                                                                                                                                                                                                                                                      65535uL),
                                                                                                                                                                                                                                                                                            1L) < -1L,
                                                                                                                                                                                                                                                                   7),
                                                                                                                                                                                                                                       65527uL)))),
                                                                                                       g_214) & 0x30f6L,
                                                                             0x5af7L),
                                                   g_616[4]);
            l_2396++;
            return g_465;
        }
    }
    for (i = 0; i < 6; i++)
        l_145[i] = 0xe41b645fL;
    l_147.f3 = (l_143 ^ p_100 < (g_26 == (safe_sub_func_uint8_t_u_u(g_27-- < p_100,
                                                                    safe_div_func_uint8_t_u_u(g_58 > safe_sub_func_uint8_t_u_u(251uL,
                                                                                                                               safe_div_func_int32_t_s_s(safe_mod_func_int16_t_s_s(l_2423 = ++g_22 != g_2181,
                                                                                                                                                                                   safe_sub_func_int32_t_s_s(g_69,
                                                                                                                                                                                                             safe_div_func_uint32_t_u_u(((~safe_rshift_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(0x64L,
                                                                                                                                                                                                                                                                                                    g_26),
                                                                                                                                                                                                                                                                       6) | p_100) != l_144[0][0]) < g_1185,
                                                                                                                                                                                                                                        p_100) == 0xb7L) & 1L) && 0x15L,
                                                                                                                                                         g_55[0][3])) <= p_100,
                                                                                              -6L) <= l_147.f1) & -1L)) < g_152[0].f0) != g_1477;
    g_2432--;
    for (i = 0; i < 6; i++)
        l_145[i] = 0xe41b645fL;
    g_283.f3 ^= g_58 & l_2435;
    {
        uint16_t l_2361 = 0xf1bcL;
        int32_t l_2392 = 0x3b3c7727L;
        int32_t l_2393 = -1L;
        uint32_t l_2399 = 4294967292uL;
        int32_t l_2402 = 1L;
        int32_t l_2403 = 0xa722e9cdL;
        int32_t l_2405 = 0x1f0d8d51L;
        uint16_t l_2406 = 6uL;
        for (l_147.f1 = 8; l_147.f1 >= -3; l_147.f1 = safe_sub_func_uint16_t_u_u(l_147.f1,
                                                                                 3))
        {
            int32_t l_2358 = 0x9556bea6L;
            int32_t l_2394 = 2L;
            int32_t l_2395[3][7][5] = { { { 1L, -8L, 1L, 6L, 1L }, { 0L, 0L, 4L, 0xfa295410L, 1L }, { 1L, 0x1337ecabL, 1L, 1L, 0x1337ecabL }, { 0x3d0099f7L, -5L, 4L, 1L, 0xd9c63115L }, { -8L, -6L, 1L, 0xb774a815L, -1L }, { 0xaee37cd5L, 0x3d0099f7L, 0x3d0099f7L, 0xaee37cd5L, 0x7f888dd7L }, { -8L, 1L, 0xb5e344b0L, 3L, 0xb774a815L } }, { { 0x3d0099f7L, 0x9725e237L, 0L, 4L, 0L }, { 1L, 1L, 0xb774a815L, 3L, 0xb5e344b0L }, { 0L, 0xfa295410L, 0x7f888dd7L, 0xaee37cd5L, 0x3d0099f7L }, { 1L, 0xb774a815L, -1L, 0xb774a815L, 1L }, { 0xe77d5347L, 0xfa295410L, 0xd9c63115L, 1L, 4L }, { 3L, 1L, 0x1337ecabL, 1L, 1L }, { 1L, 0x9725e237L, 1L, 0xfa295410L, 4L } }, { { -8L, 1L, 1L, 6L, 1L }, { 4L, 0x3d0099f7L, 0x3d0099f7L, 0x3d0099f7L, 0xaee37cd5L }, { 8L, 0xb5e344b0L, 0xb774a815L, 1L, -1L }, { 0xe77d5347L, 0xd9c63115L, 0L, 0x9725e237L, 0L }, { 1L, 8L, 8L, 1L, -8L }, { 0xe77d5347L, 0x3d0099f7L, 0L, 0xfa295410L, 0x9725e237L }, { 8L, 3L, -8L, 0xb774a815L, -8L } } };
            int i, j, k;
            l_144[0][0] = safe_div_func_int32_t_s_s(p_100++ == l_2355 || p_100,
                                                    (0x8eac4f11L || 0xc3L & (l_147.f2 || safe_mod_func_int8_t_s_s(l_2358,
                                                                                                                  safe_lshift_func_int8_t_s_s(l_110[1][5],
                                                                                                                                              l_147.f2))) && l_2361) >= 1uL | l_2346);
            l_2393 ^= safe_lshift_func_int16_t_s_s(safe_add_func_int16_t_s_s(safe_mul_func_int16_t_s_s(g_621[0][2][4] <= (g_152[0].f0 = g_152[0].f1 ^ safe_sub_func_int16_t_s_s(+0xfae0L,
                                                                                                                                                                                safe_lshift_func_uint8_t_u_s(p_100,
                                                                                                                                                                                                             safe_mul_func_int16_t_s_s(safe_rshift_func_int8_t_s_s(safe_mul_func_int8_t_s_s(safe_add_func_int16_t_s_s(safe_mul_func_uint8_t_u_u(safe_add_func_int16_t_s_s(safe_add_func_uint32_t_u_u(safe_add_func_int16_t_s_s(4294967295uL && safe_mod_func_uint8_t_u_u(g_410 < (l_2392 = safe_add_func_uint8_t_u_u(p_100 & (2uL || l_2355),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     g_81[0])),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                         g_1917) <= l_2358 >= 0xab24L,
                                                                                                                                                                                                                                                                                                                                                                                                                               0x1b29L) || p_100,
                                                                                                                                                                                                                                                                                                                                                                                                     g_152[0].f3) && p_100,
                                                                                                                                                                                                                                                                                                                                                                          p_100),
                                                                                                                                                                                                                                                                                                                                                1L),
                                                                                                                                                                                                                                                                                                                      65535uL),
                                                                                                                                                                                                                                                                                            1L) < -1L,
                                                                                                                                                                                                                                                                   7),
                                                                                                                                                                                                                                       65527uL)))),
                                                                                                       g_214) & 0x30f6L,
                                                                             0x5af7L),
                                                   g_616[4]);
            l_2396++;
            return g_465;
        }
        --l_2399;
        l_2406--;
    }
    return p_100;
}
static uint32_t func_105(uint16_t p_106, int16_t p_107)
{
    uint16_t l_1887 = 0x1dffL;
    uint8_t l_1915 = 0x32L;
    int32_t l_1930 = 8L;
    int32_t l_1931[4][5];
    uint32_t l_1938 = 4uL;
    int32_t l_2133 = 0L;
    struct S0 l_2172 = { 0x61L, -1L, 4294967286uL, 0x13e044e4L, 65530uL };
    int i, j;
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 5; j++)
            l_1931[i][j] = 2L;
    }
lbl_2101:
    g_152[0].f3 = 0L;
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 5; j++)
            l_1931[i][j] = 2L;
    }
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 5; j++)
            l_1931[i][j] = 2L;
    }
    return g_23[2];
}
static uint16_t func_124(struct S0 p_125,
                         struct S0 p_126,
                         struct S0 p_127,
                         int32_t p_128)
{
    {
        for (g_58 = 0; g_58 < 9; g_58 += 1)
        {
            g_59[g_58] = 0uL;
        }
        return g_57;
    }
    return g_57;
}
static struct S0 func_129(int32_t p_130,
                          struct S0 p_131,
                          uint32_t p_132,
                          int16_t p_133)
{
    struct S0 l_151 = { 0x15L, -5L, 0uL, 1L, 0xbb46L };
    int32_t l_195 = 0x2c72d125L;
    int16_t l_230 = 1L;
    uint32_t l_235 = 4294967295uL;
    uint16_t l_280 = 0xe747L;
    for (p_132 = 0; p_132 <= 39; ++p_132)
    {
        int32_t l_164 = -2L;
        int32_t l_199 = 1L;
        int32_t l_276 = 8L;
        for (p_131.f0 = 0; p_131.f0 <= 2; p_131.f0 += 1)
        {
            int8_t l_163[9][6] = { { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L }, { 0x75L, -7L, 1L, 1L, -7L, 0x75L }, { 0x92L, 0x75L, 0xc2L, -7L, 0xc2L, 0x75L }, { 0xc2L, 0x92L, 1L, 6L, 6L, 1L }, { 0xc2L, 0xc2L, 6L, -7L, 0x46L, -7L }, { 0x92L, 0xc2L, 0x92L, 1L, 6L, 6L }, { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L } };
            uint32_t l_165 = 0x1019322eL;
            struct S0 l_166 = { 0L, 0L, 4uL, 0L, 0x9c02L };
            int32_t l_197 = 9L;
            int32_t l_200 = 0x27b00caL;
            uint32_t l_224 = 9uL;
            int8_t l_279 = -1L;
            int i, j;
            g_152[0] = l_151;
            l_151.f3 = g_81[p_131.f0];
            if (g_23[p_131.f0] < safe_lshift_func_int16_t_s_u((l_151.f0 ^ safe_mod_func_int16_t_s_s(0x58c3L,
                                                                                                    safe_sub_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u(p_132,
                                                                                                                                                          --g_22) <= 4uL && (p_131.f4 = 0x517bL),
                                                                                                                              8uL))) & (l_164 = l_163[1][3]) | p_133,
                                                              12) ^ l_151.f1)
            {
                struct S0 l_196 = { 1L, 0x8bL, 0x6bbbdf83L, 5L, 0xef4fL };
                int32_t l_202 = 0xd4c5443cL;
                if (!g_152[0].f0)
                {
                    g_152[0] = g_152[1];
                }
                else
                {
                    uint32_t l_177 = 0xaeae63daL;
                    uint16_t l_194 = 65535uL;
                    int32_t l_198 = 0x43b8f344L;
                    l_165 = p_130;
                    l_166 = g_152[0];
                    g_80 = +(safe_mul_func_int16_t_s_s((l_164 ^ (g_58 | safe_sub_func_uint8_t_u_u(safe_mod_func_int16_t_s_s(safe_rshift_func_uint16_t_u_u(l_151.f3 ^= g_4[7][0][1],
                                                                                                                                                          (l_177 != (g_57 == ((safe_add_func_uint8_t_u_u(safe_unary_minus_func_uint32_t_u(safe_sub_func_uint32_t_u_u(g_4[7][0][1],
                                                                                                                                                                                                                                                                     safe_unary_minus_func_int8_t_s((l_195 = safe_mul_func_int16_t_s_s((safe_lshift_func_uint8_t_u_s(safe_mod_func_int32_t_s_s(g_152[0].f3 |= safe_add_func_uint16_t_u_u(safe_div_func_uint16_t_u_u((p_133 = 0x557eL) < 0L & 0x264c02d8L ^ 1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    l_194),
                                                                                                                                                                                                                                                                                                                                                                                                                                         g_32),
                                                                                                                                                                                                                                                                                                                                                                                               0xbca6f5d4L),
                                                                                                                                                                                                                                                                                                                                                                     2) && 0xc7L && 0xc0aaL && p_131.f1) | g_23[1],
                                                                                                                                                                                                                                                                                                                                       g_152[0].f4)) != g_23[2]))),
                                                                                                                                                                                                         g_5[2]) || 255uL) | 1uL))) > g_152[0].f0) && 0L,
                                                                                                                            l_151.f0),
                                                                                                  g_57) == 0xf4L) < 0x12L ^ g_57) <= l_166.f2 == -10L,
                                                       -1L) < p_131.f1);
                    for (l_164 = 0; l_164 <= 2; l_164 += 1)
                    {
                        int16_t l_201 = 1L;
                        g_152[0] = l_196;
                        l_197 &= 8L | p_130;
                        g_203[2]++;
                    }
                }
                l_166.f3 |= 65535uL < (g_152[0].f4 = ~safe_lshift_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(l_202 > safe_mul_func_int16_t_s_s(safe_lshift_func_int8_t_s_u(0xbaL,
                                                                                                                                                                             1),
                                                                                                                                                 g_214),
                                                                                                               l_164),
                                                                                  l_151.f0)) < (l_199 = safe_add_func_int8_t_s_s(safe_unary_minus_func_uint16_t_u(0uL),
                                                                                                                                 safe_sub_func_uint8_t_u_u(p_131.f3 <= (safe_mod_func_uint16_t_u_u(safe_lshift_func_uint8_t_u_s(254uL,
                                                                                                                                                                                                                                g_23[2]),
                                                                                                                                                                                                   g_81[3]) && l_166.f1),
                                                                                                                                                           g_214) | 0x9aL) & l_224) <= l_196.f4 > l_164 >= l_151.f2;
            }
            else
            {
                uint16_t l_225[8];
                int i;
                for (i = 0; i < 8; i++)
                    l_225[i] = 0x7036L;
                l_225[5]++;
                for (l_200 = 0; l_200 <= 2; l_200 += 1)
                {
                    int32_t l_228[3];
                    int32_t l_229[4] = { 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L };
                    int i;
                    for (i = 0; i < 3; i++)
                        l_228[i] = 0x4e14c23fL;
                    for (g_32 = 3; g_32 <= 8; g_32 += 1)
                    {
                        int32_t l_278[6] = { 7L, 7L, 7L, 7L, 7L, 7L };
                        int i;
                        --g_231;
                        l_235++;
                        l_278[2] |= g_152[0].f3 = safe_add_func_int32_t_s_s((g_277 = (g_23[l_200] ^ safe_sub_func_uint8_t_u_u(g_23[l_200],
                                                                                                                              g_203[l_200] & (safe_lshift_func_int8_t_s_s(safe_sub_func_uint32_t_u_u(safe_add_func_uint16_t_u_u((l_166.f3 = safe_sub_func_uint8_t_u_u(((safe_rshift_func_uint8_t_u_u(g_22++,
                                                                                                                                                                                                                                                                                                     5) & 1L) != (0x3aL == (g_80 = safe_div_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(l_164,
                                                                                                                                                                                                                                                                                                                                                                                                                                             l_229[3]),
                                                                                                                                                                                                                                                                                                                                                                                                                  -1L),
                                                                                                                                                                                                                                                                                                                                                                                       safe_add_func_int8_t_s_s(safe_rshift_func_uint8_t_u_u(((g_59[l_200 + 3] &= safe_mul_func_uint16_t_u_u(safe_add_func_uint8_t_u_u((safe_div_func_int8_t_s_s(safe_div_func_uint32_t_u_u(g_26 <= g_23[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            0x709e64e2L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 255uL) | 0x9c42605aL) > p_131.f0,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       -3L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             -1L)) || g_152[0].f0) <= 65531uL,
                                                                                                                                                                                                                                                                                                                                                                                                                                             3),
                                                                                                                                                                                                                                                                                                                                                                                                                g_23[2])) && g_23[2],
                                                                                                                                                                                                                                                                                                                                                             g_203[l_200])) <= l_276 < 0xa9caeaabL >= l_225[5])) >= g_152[0].f1,
                                                                                                                                                                                                                                                                      l_225[5])) == g_27,
                                                                                                                                                                                                                                0x1bd3L),
                                                                                                                                                                                                     g_5[2]) < l_151.f1,
                                                                                                                                                                          0) | g_152[0].f0) < 0xa4L)) <= g_152[0].f0 <= p_131.f2 != 1uL) < g_152[0].f3 != 0xf1cdL,
                                                                            l_225[5]);
                        l_278[0] |= 5L;
                    }
                    l_151 = g_152[1];
                }
                l_279 = g_81[2];
            }
        }
    }
    for (l_195 = 0; l_195 <= 3; l_195 += 1)
    {
        int i;
        if (g_81[l_195])
            break;
        for (p_132 = 0; p_132 <= 39; ++p_132)
        {
            int32_t l_164 = -2L;
            int32_t l_199 = 1L;
            int32_t l_276 = 8L;
            for (p_131.f0 = 0; p_131.f0 <= 2; p_131.f0 += 1)
            {
                int8_t l_163[9][6] = { { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L }, { 0x75L, -7L, 1L, 1L, -7L, 0x75L }, { 0x92L, 0x75L, 0xc2L, -7L, 0xc2L, 0x75L }, { 0xc2L, 0x92L, 1L, 6L, 6L, 1L }, { 0xc2L, 0xc2L, 6L, -7L, 0x46L, -7L }, { 0x92L, 0xc2L, 0x92L, 1L, 6L, 6L }, { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L } };
                uint32_t l_165 = 0x1019322eL;
                struct S0 l_166 = { 0L, 0L, 4uL, 0L, 0x9c02L };
                int32_t l_197 = 9L;
                int32_t l_200 = 0x27b00caL;
                uint32_t l_224 = 9uL;
                int8_t l_279 = -1L;
                int i, j;
                g_152[0] = l_151;
                l_151.f3 = g_81[p_131.f0];
                if (g_23[p_131.f0] < safe_lshift_func_int16_t_s_u((l_151.f0 ^ safe_mod_func_int16_t_s_s(0x58c3L,
                                                                                                        safe_sub_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u(p_132,
                                                                                                                                                              --g_22) <= 4uL && (p_131.f4 = 0x517bL),
                                                                                                                                  8uL))) & (l_164 = l_163[1][3]) | p_133,
                                                                  12) ^ l_151.f1)
                {
                    struct S0 l_196 = { 1L, 0x8bL, 0x6bbbdf83L, 5L, 0xef4fL };
                    int32_t l_202 = 0xd4c5443cL;
                    if (!g_152[0].f0)
                    {
                        g_152[0] = g_152[1];
                    }
                    else
                    {
                        uint32_t l_177 = 0xaeae63daL;
                        uint16_t l_194 = 65535uL;
                        int32_t l_198 = 0x43b8f344L;
                        l_165 = p_130;
                        l_166 = g_152[0];
                        g_80 = +(safe_mul_func_int16_t_s_s((l_164 ^ (g_58 | safe_sub_func_uint8_t_u_u(safe_mod_func_int16_t_s_s(safe_rshift_func_uint16_t_u_u(l_151.f3 ^= g_4[7][0][1],
                                                                                                                                                              (l_177 != (g_57 == ((safe_add_func_uint8_t_u_u(safe_unary_minus_func_uint32_t_u(safe_sub_func_uint32_t_u_u(g_4[7][0][1],
                                                                                                                                                                                                                                                                         safe_unary_minus_func_int8_t_s((l_195 = safe_mul_func_int16_t_s_s((safe_lshift_func_uint8_t_u_s(safe_mod_func_int32_t_s_s(g_152[0].f3 |= safe_add_func_uint16_t_u_u(safe_div_func_uint16_t_u_u((p_133 = 0x557eL) < 0L & 0x264c02d8L ^ 1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        l_194),
                                                                                                                                                                                                                                                                                                                                                                                                                                             g_32),
                                                                                                                                                                                                                                                                                                                                                                                                   0xbca6f5d4L),
                                                                                                                                                                                                                                                                                                                                                                         2) && 0xc7L && 0xc0aaL && p_131.f1) | g_23[1],
                                                                                                                                                                                                                                                                                                                                           g_152[0].f4)) != g_23[2]))),
                                                                                                                                                                                                             g_5[2]) || 255uL) | 1uL))) > g_152[0].f0) && 0L,
                                                                                                                                l_151.f0),
                                                                                                      g_57) == 0xf4L) < 0x12L ^ g_57) <= l_166.f2 == -10L,
                                                           -1L) < p_131.f1);
                        for (l_164 = 0; l_164 <= 2; l_164 += 1)
                        {
                            int16_t l_201 = 1L;
                            g_152[0] = l_196;
                            l_197 &= 8L | p_130;
                            g_203[2]++;
                        }
                    }
                    l_166.f3 |= 65535uL < (g_152[0].f4 = ~safe_lshift_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(l_202 > safe_mul_func_int16_t_s_s(safe_lshift_func_int8_t_s_u(0xbaL,
                                                                                                                                                                                 1),
                                                                                                                                                     g_214),
                                                                                                                   l_164),
                                                                                      l_151.f0)) < (l_199 = safe_add_func_int8_t_s_s(safe_unary_minus_func_uint16_t_u(0uL),
                                                                                                                                     safe_sub_func_uint8_t_u_u(p_131.f3 <= (safe_mod_func_uint16_t_u_u(safe_lshift_func_uint8_t_u_s(254uL,
                                                                                                                                                                                                                                    g_23[2]),
                                                                                                                                                                                                       g_81[3]) && l_166.f1),
                                                                                                                                                               g_214) | 0x9aL) & l_224) <= l_196.f4 > l_164 >= l_151.f2;
                }
                else
                {
                    uint16_t l_225[8];
                    int i;
                    for (i = 0; i < 8; i++)
                        l_225[i] = 0x7036L;
                    l_225[5]++;
                    for (l_200 = 0; l_200 <= 2; l_200 += 1)
                    {
                        int32_t l_228[3];
                        int32_t l_229[4] = { 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L };
                        int i;
                        for (i = 0; i < 3; i++)
                            l_228[i] = 0x4e14c23fL;
                        for (g_32 = 3; g_32 <= 8; g_32 += 1)
                        {
                            int32_t l_278[6] = { 7L, 7L, 7L, 7L, 7L, 7L };
                            int i;
                            --g_231;
                            l_235++;
                            l_278[2] |= g_152[0].f3 = safe_add_func_int32_t_s_s((g_277 = (g_23[l_200] ^ safe_sub_func_uint8_t_u_u(g_23[l_200],
                                                                                                                                  g_203[l_200] & (safe_lshift_func_int8_t_s_s(safe_sub_func_uint32_t_u_u(safe_add_func_uint16_t_u_u((l_166.f3 = safe_sub_func_uint8_t_u_u(((safe_rshift_func_uint8_t_u_u(g_22++,
                                                                                                                                                                                                                                                                                                         5) & 1L) != (0x3aL == (g_80 = safe_div_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(l_164,
                                                                                                                                                                                                                                                                                                                                                                                                                                                 l_229[3]),
                                                                                                                                                                                                                                                                                                                                                                                                                      -1L),
                                                                                                                                                                                                                                                                                                                                                                                           safe_add_func_int8_t_s_s(safe_rshift_func_uint8_t_u_u(((g_59[l_200 + 3] &= safe_mul_func_uint16_t_u_u(safe_add_func_uint8_t_u_u((safe_div_func_int8_t_s_s(safe_div_func_uint32_t_u_u(g_26 <= g_23[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                0x709e64e2L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     255uL) | 0x9c42605aL) > p_131.f0,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           -3L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 -1L)) || g_152[0].f0) <= 65531uL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                 3),
                                                                                                                                                                                                                                                                                                                                                                                                                    g_23[2])) && g_23[2],
                                                                                                                                                                                                                                                                                                                                                                 g_203[l_200])) <= l_276 < 0xa9caeaabL >= l_225[5])) >= g_152[0].f1,
                                                                                                                                                                                                                                                                          l_225[5])) == g_27,
                                                                                                                                                                                                                                    0x1bd3L),
                                                                                                                                                                                                         g_5[2]) < l_151.f1,
                                                                                                                                                                              0) | g_152[0].f0) < 0xa4L)) <= g_152[0].f0 <= p_131.f2 != 1uL) < g_152[0].f3 != 0xf1cdL,
                                                                                l_225[5]);
                            l_278[0] |= 5L;
                        }
                        l_151 = g_152[1];
                    }
                    l_279 = g_81[2];
                }
            }
        }
    }
    for (p_132 = 0; p_132 <= 39; ++p_132)
    {
        int32_t l_164 = -2L;
        int32_t l_199 = 1L;
        int32_t l_276 = 8L;
        for (p_131.f0 = 0; p_131.f0 <= 2; p_131.f0 += 1)
        {
            int8_t l_163[9][6] = { { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L }, { 0x75L, -7L, 1L, 1L, -7L, 0x75L }, { 0x92L, 0x75L, 0xc2L, -7L, 0xc2L, 0x75L }, { 0xc2L, 0x92L, 1L, 6L, 6L, 1L }, { 0xc2L, 0xc2L, 6L, -7L, 0x46L, -7L }, { 0x92L, 0xc2L, 0x92L, 1L, 6L, 6L }, { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L } };
            uint32_t l_165 = 0x1019322eL;
            struct S0 l_166 = { 0L, 0L, 4uL, 0L, 0x9c02L };
            int32_t l_197 = 9L;
            int32_t l_200 = 0x27b00caL;
            uint32_t l_224 = 9uL;
            int8_t l_279 = -1L;
            int i, j;
            g_152[0] = l_151;
            l_151.f3 = g_81[p_131.f0];
            if (g_23[p_131.f0] < safe_lshift_func_int16_t_s_u((l_151.f0 ^ safe_mod_func_int16_t_s_s(0x58c3L,
                                                                                                    safe_sub_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u(p_132,
                                                                                                                                                          --g_22) <= 4uL && (p_131.f4 = 0x517bL),
                                                                                                                              8uL))) & (l_164 = l_163[1][3]) | p_133,
                                                              12) ^ l_151.f1)
            {
                struct S0 l_196 = { 1L, 0x8bL, 0x6bbbdf83L, 5L, 0xef4fL };
                int32_t l_202 = 0xd4c5443cL;
                if (!g_152[0].f0)
                {
                    g_152[0] = g_152[1];
                }
                else
                {
                    uint32_t l_177 = 0xaeae63daL;
                    uint16_t l_194 = 65535uL;
                    int32_t l_198 = 0x43b8f344L;
                    l_165 = p_130;
                    l_166 = g_152[0];
                    g_80 = +(safe_mul_func_int16_t_s_s((l_164 ^ (g_58 | safe_sub_func_uint8_t_u_u(safe_mod_func_int16_t_s_s(safe_rshift_func_uint16_t_u_u(l_151.f3 ^= g_4[7][0][1],
                                                                                                                                                          (l_177 != (g_57 == ((safe_add_func_uint8_t_u_u(safe_unary_minus_func_uint32_t_u(safe_sub_func_uint32_t_u_u(g_4[7][0][1],
                                                                                                                                                                                                                                                                     safe_unary_minus_func_int8_t_s((l_195 = safe_mul_func_int16_t_s_s((safe_lshift_func_uint8_t_u_s(safe_mod_func_int32_t_s_s(g_152[0].f3 |= safe_add_func_uint16_t_u_u(safe_div_func_uint16_t_u_u((p_133 = 0x557eL) < 0L & 0x264c02d8L ^ 1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    l_194),
                                                                                                                                                                                                                                                                                                                                                                                                                                         g_32),
                                                                                                                                                                                                                                                                                                                                                                                               0xbca6f5d4L),
                                                                                                                                                                                                                                                                                                                                                                     2) && 0xc7L && 0xc0aaL && p_131.f1) | g_23[1],
                                                                                                                                                                                                                                                                                                                                       g_152[0].f4)) != g_23[2]))),
                                                                                                                                                                                                         g_5[2]) || 255uL) | 1uL))) > g_152[0].f0) && 0L,
                                                                                                                            l_151.f0),
                                                                                                  g_57) == 0xf4L) < 0x12L ^ g_57) <= l_166.f2 == -10L,
                                                       -1L) < p_131.f1);
                    for (l_164 = 0; l_164 <= 2; l_164 += 1)
                    {
                        int16_t l_201 = 1L;
                        g_152[0] = l_196;
                        l_197 &= 8L | p_130;
                        g_203[2]++;
                    }
                }
                l_166.f3 |= 65535uL < (g_152[0].f4 = ~safe_lshift_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(l_202 > safe_mul_func_int16_t_s_s(safe_lshift_func_int8_t_s_u(0xbaL,
                                                                                                                                                                             1),
                                                                                                                                                 g_214),
                                                                                                               l_164),
                                                                                  l_151.f0)) < (l_199 = safe_add_func_int8_t_s_s(safe_unary_minus_func_uint16_t_u(0uL),
                                                                                                                                 safe_sub_func_uint8_t_u_u(p_131.f3 <= (safe_mod_func_uint16_t_u_u(safe_lshift_func_uint8_t_u_s(254uL,
                                                                                                                                                                                                                                g_23[2]),
                                                                                                                                                                                                   g_81[3]) && l_166.f1),
                                                                                                                                                           g_214) | 0x9aL) & l_224) <= l_196.f4 > l_164 >= l_151.f2;
            }
            else
            {
                uint16_t l_225[8];
                int i;
                for (i = 0; i < 8; i++)
                    l_225[i] = 0x7036L;
                l_225[5]++;
                for (l_200 = 0; l_200 <= 2; l_200 += 1)
                {
                    int32_t l_228[3];
                    int32_t l_229[4] = { 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L };
                    int i;
                    for (i = 0; i < 3; i++)
                        l_228[i] = 0x4e14c23fL;
                    for (g_32 = 3; g_32 <= 8; g_32 += 1)
                    {
                        int32_t l_278[6] = { 7L, 7L, 7L, 7L, 7L, 7L };
                        int i;
                        --g_231;
                        l_235++;
                        l_278[2] |= g_152[0].f3 = safe_add_func_int32_t_s_s((g_277 = (g_23[l_200] ^ safe_sub_func_uint8_t_u_u(g_23[l_200],
                                                                                                                              g_203[l_200] & (safe_lshift_func_int8_t_s_s(safe_sub_func_uint32_t_u_u(safe_add_func_uint16_t_u_u((l_166.f3 = safe_sub_func_uint8_t_u_u(((safe_rshift_func_uint8_t_u_u(g_22++,
                                                                                                                                                                                                                                                                                                     5) & 1L) != (0x3aL == (g_80 = safe_div_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(l_164,
                                                                                                                                                                                                                                                                                                                                                                                                                                             l_229[3]),
                                                                                                                                                                                                                                                                                                                                                                                                                  -1L),
                                                                                                                                                                                                                                                                                                                                                                                       safe_add_func_int8_t_s_s(safe_rshift_func_uint8_t_u_u(((g_59[l_200 + 3] &= safe_mul_func_uint16_t_u_u(safe_add_func_uint8_t_u_u((safe_div_func_int8_t_s_s(safe_div_func_uint32_t_u_u(g_26 <= g_23[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            0x709e64e2L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 255uL) | 0x9c42605aL) > p_131.f0,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       -3L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             -1L)) || g_152[0].f0) <= 65531uL,
                                                                                                                                                                                                                                                                                                                                                                                                                                             3),
                                                                                                                                                                                                                                                                                                                                                                                                                g_23[2])) && g_23[2],
                                                                                                                                                                                                                                                                                                                                                             g_203[l_200])) <= l_276 < 0xa9caeaabL >= l_225[5])) >= g_152[0].f1,
                                                                                                                                                                                                                                                                      l_225[5])) == g_27,
                                                                                                                                                                                                                                0x1bd3L),
                                                                                                                                                                                                     g_5[2]) < l_151.f1,
                                                                                                                                                                          0) | g_152[0].f0) < 0xa4L)) <= g_152[0].f0 <= p_131.f2 != 1uL) < g_152[0].f3 != 0xf1cdL,
                                                                            l_225[5]);
                        l_278[0] |= 5L;
                    }
                    l_151 = g_152[1];
                }
                l_279 = g_81[2];
            }
        }
    }
    --l_280;
    --l_280;
    return p_131;
}
int main(int argc, char * argv[])
{
    int i, j, k;
    int print_hash_value = 0;
    crc32_gentab();
    transparent_crc(g_3, "g_3", print_hash_value);
    for (i = 0; i < 10; i++)
    {
        for (j = 0; j < 4; j++)
        {
            for (k = 0; k < 2; k++)
            {
                transparent_crc(g_4[i][j][k], "g_4[i][j][k]", print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_5[i], "g_5[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_22, "g_22", print_hash_value);
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_23[i], "g_23[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_26, "g_26", print_hash_value);
    transparent_crc(g_27, "g_27", print_hash_value);
    transparent_crc(g_32, "g_32", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        for (j = 0; j < 8; j++)
        {
            transparent_crc(g_55[i][j], "g_55[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    transparent_crc(g_57, "g_57", print_hash_value);
    transparent_crc(g_58, "g_58", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        transparent_crc(g_59[i], "g_59[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_69, "g_69", print_hash_value);
    transparent_crc(g_80, "g_80", print_hash_value);
    for (i = 0; i < 4; i++)
    {
        transparent_crc(g_81[i], "g_81[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 2; i++)
    {
        transparent_crc(g_152[i].f0, "g_152[i].f0", print_hash_value);
        transparent_crc(g_152[i].f1, "g_152[i].f1", print_hash_value);
        transparent_crc(g_152[i].f2, "g_152[i].f2", print_hash_value);
        transparent_crc(g_152[i].f3, "g_152[i].f3", print_hash_value);
        transparent_crc(g_152[i].f4, "g_152[i].f4", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_203[i], "g_203[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_214, "g_214", print_hash_value);
    transparent_crc(g_231, "g_231", print_hash_value);
    transparent_crc(g_234, "g_234", print_hash_value);
    transparent_crc(g_277, "g_277", print_hash_value);
    transparent_crc(g_283.f0, "g_283.f0", print_hash_value);
    transparent_crc(g_283.f1, "g_283.f1", print_hash_value);
    transparent_crc(g_283.f2, "g_283.f2", print_hash_value);
    transparent_crc(g_283.f3, "g_283.f3", print_hash_value);
    transparent_crc(g_283.f4, "g_283.f4", print_hash_value);
    transparent_crc(g_407, "g_407", print_hash_value);
    transparent_crc(g_410, "g_410", print_hash_value);
    transparent_crc(g_465, "g_465", print_hash_value);
    transparent_crc(g_466, "g_466", print_hash_value);
    transparent_crc(g_551, "g_551", print_hash_value);
    for (i = 0; i < 5; i++)
    {
        transparent_crc(g_616[i], "g_616[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 2; i++)
    {
        for (j = 0; j < 9; j++)
        {
            for (k = 0; k < 5; k++)
            {
                transparent_crc(g_621[i][j][k],
                                "g_621[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_973, "g_973", print_hash_value);
    transparent_crc(g_976, "g_976", print_hash_value);
    transparent_crc(g_1185, "g_1185", print_hash_value);
    transparent_crc(g_1356, "g_1356", print_hash_value);
    transparent_crc(g_1477, "g_1477", print_hash_value);
    transparent_crc(g_1570, "g_1570", print_hash_value);
    transparent_crc(g_1707, "g_1707", print_hash_value);
    transparent_crc(g_1917, "g_1917", print_hash_value);
    transparent_crc(g_2181, "g_2181", print_hash_value);
    transparent_crc(g_2432, "g_2432", print_hash_value);
    platform_main_end(crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
