typedef unsigned int size_t;
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
int printf(const char *, ...);
void __assert_fail(const char * __assertion,
                   const char * __file,
                   unsigned int __line,
                   const char * __function);
static void platform_main_end(uint32_t crc, int flag)
{
    printf("checksum = %X\n", crc);
}
static int8_t safe_unary_minus_func_int8_t_s(int8_t si)
{
    return -si;
}
static int8_t safe_add_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 + si2;
}
static int8_t safe_sub_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 - si2;
}
static int8_t safe_mul_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 * si2;
}
static int8_t safe_mod_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 % si2;
}
static int8_t safe_div_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 / si2;
}
static int8_t safe_lshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 127 >> (int) right ? left : left << (int) right;
}
static int8_t safe_lshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 127 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int8_t safe_rshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int8_t safe_rshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int16_t safe_unary_minus_func_int16_t_s(int16_t si)
{
    return -si;
}
static int16_t safe_add_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 + si2;
}
static int16_t safe_sub_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 - si2;
}
static int16_t safe_mul_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 * si2;
}
static int16_t safe_mod_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int16_t safe_div_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int16_t safe_lshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 32767 >> (int) right ? left : left << (int) right;
}
static int16_t safe_lshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 32767 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int16_t safe_rshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int16_t safe_rshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int32_t safe_unary_minus_func_int32_t_s(int32_t si)
{
    return si == -2147483647 - 1 ? si : -si;
}
static int32_t safe_add_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 - si2 || si1 < 0 && si2 < 0 && si1 < -2147483647 - 1 - si2 ? si1 : si1 + si2;
}
static int32_t safe_sub_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~2147483647) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int32_t safe_mod_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int32_t safe_div_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int32_t safe_lshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 2147483647 >> (int) right ? left : left << (int) right;
}
static int32_t safe_lshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 2147483647 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int32_t safe_rshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int32_t safe_rshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint8_t safe_unary_minus_func_uint8_t_u(uint8_t ui)
{
    return -ui;
}
static uint8_t safe_add_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 + ui2;
}
static uint8_t safe_sub_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 - ui2;
}
static uint8_t safe_mul_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint8_t safe_mod_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint8_t safe_div_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint8_t safe_lshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 255 >> (int) right ? left : left << (int) right;
}
static uint8_t safe_lshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 || left > 255 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint16_t safe_unary_minus_func_uint16_t_u(uint16_t ui)
{
    return -ui;
}
static uint16_t safe_add_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 + ui2;
}
static uint16_t safe_sub_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 - ui2;
}
static uint16_t safe_mul_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint16_t safe_mod_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_lshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 65535 >> (int) right ? left : left << (int) right;
}
static uint16_t safe_lshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 65535 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_lshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 4294967295u >> (int) right ? left : left << (int) right;
}
static uint32_t safe_lshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 4294967295u >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_gentab(void)
{
    uint32_t crc;
    const uint32_t poly = 0xedb88320uL;
    int i, j;
    for (i = 0; i < 256; i++)
    {
        crc = i;
        for (j = 8; j > 0; j--)
        {
            if (crc & 1)
            {
                crc = crc >> 1 ^ poly;
            }
            else
            {
                crc >>= 1;
            }
        }
        crc32_tab[i] = crc;
    }
}
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
static void crc32_8bytes(uint32_t val)
{
    crc32_byte(val >> 0 & 0xff);
    crc32_byte(val >> 8 & 0xff);
    crc32_byte(val >> 16 & 0xff);
    crc32_byte(val >> 24 & 0xff);
}
static void transparent_crc(uint32_t val, char * vname, int flag)
{
    crc32_8bytes(val);
    if (flag)
    {
        printf("...checksum after hashing %s : %X\n",
               vname,
               crc32_context ^ 0xffffffffu);
    }
}
static void transparent_crc_bytes(char * ptr,
                                  int nbytes,
                                  char * vname,
                                  int flag)
{
    int i;
    for (i = 0; i < nbytes; i++)
    {
        crc32_byte(ptr[i]);
    }
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static long __undefined;
struct S0 {
    int8_t f0; int8_t f1; uint32_t f2; int32_t f3; uint16_t f4;
};
static int32_t g_3 = 0x9ba095a9L;
static int32_t g_4[10][4][2] = { { { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL }, { 0x8dc5336dL, 0xd4a0d461L } }, { { 1L, 0xfc3a065cL }, { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL } }, { { 0x8dc5336dL, 0xd4a0d461L }, { 1L, 0xfc3a065cL }, { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L } }, { { 0x8dc5336dL, 0x8dc5336dL }, { 0x8dc5336dL, 0xd4a0d461L }, { 1L, 0xfc3a065cL }, { 0xd4a0d461L, 0xfc3a065cL } }, { { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL }, { 0x8dc5336dL, 0xd4a0d461L }, { 1L, 0xfc3a065cL } }, { { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL }, { 0xd4a0d461L, 1L } }, { { 0xc8f0d071L, 0x8dc5336dL }, { 1L, 0x8dc5336dL }, { 0xc8f0d071L, 1L }, { 0xd4a0d461L, 0xd4a0d461L } }, { { 0xd4a0d461L, 1L }, { 0xc8f0d071L, 0x8dc5336dL }, { 1L, 0x8dc5336dL }, { 0xc8f0d071L, 1L } }, { { 0xd4a0d461L, 0xd4a0d461L }, { 0xd4a0d461L, 1L }, { 0xc8f0d071L, 0x8dc5336dL }, { 1L, 0x8dc5336dL } }, { { 0xc8f0d071L, 1L }, { 0xd4a0d461L, 0xd4a0d461L }, { 0xd4a0d461L, 1L }, { 0xc8f0d071L, 0x8dc5336dL } } };
static int32_t g_5[3] = { 0xb2c41ac3L, 0xb2c41ac3L, 0xb2c41ac3L };
static uint8_t g_22 = 0x4cL;
static uint32_t g_23[3] = { 0x69c1477aL, 0x69c1477aL, 0x69c1477aL };
static int8_t g_26 = 4L;
static uint16_t g_27 = 65532uL;
static uint16_t g_32 = 0xb7a2L;
static uint8_t g_55[9][8] = { { 252uL, 255uL, 0x79L, 3uL, 0x17L, 3uL, 0uL, 255uL }, { 249uL, 0uL, 0xe3L, 3uL, 251uL, 255uL, 0uL, 251uL }, { 0xd5L, 251uL, 247uL, 0xd5L, 249uL, 255uL, 0x5bL, 252uL }, { 0uL, 0xd5L, 255uL, 0uL, 255uL, 0xd5L, 0uL, 0x17L }, { 0x1cL, 255uL, 255uL, 0x8aL, 0x49L, 4uL, 0x8aL, 0uL }, { 247uL, 251uL, 0xd5L, 0x7eL, 0x49L, 0x5bL, 0uL, 0uL }, { 0x1cL, 0x79L, 0x7eL, 0uL, 255uL, 3uL, 251uL, 0x5bL }, { 0uL, 0x49L, 255uL, 249uL, 249uL, 255uL, 0x49L, 0uL }, { 0xd5L, 3uL, 0uL, 0x17L, 251uL, 255uL, 247uL, 0x8aL } };
static int32_t g_57 = 0xeb039226L;
static int32_t g_58 = 4L;
static uint32_t g_59[9] = { 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL };
static uint32_t g_69 = 0x797cfcbfL;
static int32_t g_80 = 0xd47b9da0L;
static uint32_t g_81[4] = { 0xfacdc9ffL, 0xfacdc9ffL, 0xfacdc9ffL, 0xfacdc9ffL };
static struct S0 g_152[2] = { { 0x6eL, 1L, 0uL, 0x4ab730d5L, 0uL }, { 0x6eL, 1L, 0uL, 0x4ab730d5L, 0uL } };
static uint16_t g_203[3] = { 0x582dL, 0x582dL, 0x582dL };
static int32_t g_214 = -2L;
static uint32_t g_231 = 4294967286uL;
static int16_t g_234 = 0L;
static int16_t g_277 = 1L;
static struct S0 g_283 = { 0xb0L, -1L, 0xf2b8033dL, 0x5451df1bL, 0x22dL };
static uint32_t g_407 = 0x57a78fe8L;
static int32_t g_410 = 0x38f403baL;
static int32_t g_465 = 0x5f3e33faL;
static uint32_t g_466 = 0uL;
static int16_t g_551 = -1L;
static int32_t g_616[5] = { 0x79c30704L, 0x79c30704L, 0x79c30704L, 0x79c30704L, 0x79c30704L };
static int32_t g_621[2][9][5] = { { { -10L, 1L, 0xd5ef2f06L, 1L, -10L }, { 1L, 1L, 8L, -10L, 8L }, { 8L, 8L, 0xd5ef2f06L, -10L, 0x1e4228d9L }, { 1L, 1L, 1L, 1L, 8L }, { 1L, -10L, -4L, -4L, -10L }, { 8L, 1L, -4L, 0xd5ef2f06L, 0xd5ef2f06L }, { 1L, 8L, 1L, -4L, 0xd5ef2f06L }, { -10L, 1L, 0xd5ef2f06L, 1L, -10L }, { 1L, 1L, 8L, -10L, 8L } }, { { 8L, 8L, 0xd5ef2f06L, -10L, 0x1e4228d9L }, { 1L, 1L, 1L, 1L, 8L }, { 1L, -4L, 0xd5ef2f06L, 0xd5ef2f06L, -4L }, { 0x1e4228d9L, -10L, 0xd5ef2f06L, 8L, 8L }, { -10L, 0x1e4228d9L, -10L, 0xd5ef2f06L, 8L }, { -4L, 1L, 8L, 1L, -4L }, { -10L, 1L, 0x1e4228d9L, -4L, 0x1e4228d9L }, { 0x1e4228d9L, 0x1e4228d9L, 8L, -4L, 1L }, { 1L, -10L, -10L, 1L, 0x1e4228d9L } } };
static int32_t g_973 = 0x44345857L;
static uint32_t g_976 = 4294967294uL;
static int16_t g_1185 = -1L;
static int32_t g_1356 = 0xfa767bcL;
static uint16_t g_1477 = 0xbab5L;
static uint32_t g_1570 = 0x6920269fL;
static uint32_t g_1707 = 5uL;
static uint8_t g_1917 = 0x44L;
static int32_t g_2181 = 9L;
static uint32_t g_2432 = 4294967293uL;
static uint16_t func_13(int8_t p_14, int32_t p_15, uint32_t p_16);
static int32_t func_17(int32_t p_18,
                       uint16_t p_19,
                       uint8_t p_20,
                       uint32_t p_21);
static uint16_t func_124(struct S0 p_125,
                         struct S0 p_126,
                         struct S0 p_127,
                         int32_t p_128);
static uint16_t func_13(int8_t p_14, int32_t p_15, uint32_t p_16)
{
    int8_t l_31 = 1L;
    return l_31;
}
static int32_t func_17(int32_t p_18,
                       uint16_t p_19,
                       uint8_t p_20,
                       uint32_t p_21)
{
    uint16_t l_24 = 0x9f3bL;
    int32_t l_25 = 8L;
    g_22 |= p_20;
    l_24 ^= g_23[2] = p_20;
    g_27++;
    l_25 |= l_24;
    return g_3;
}
static uint16_t func_124(struct S0 p_125,
                         struct S0 p_126,
                         struct S0 p_127,
                         int32_t p_128)
{
    {
        for (g_58 = 0; g_58 < 9; g_58 += 1)
        {
            g_59[g_58] = 0uL;
        }
        return g_57;
    }
    return g_57;
}
int main(int argc, char * argv[])
{
    int i, j, k;
    int print_hash_value = 0;
    crc32_gentab();
    transparent_crc(g_3, "g_3", print_hash_value);
    for (i = 0; i < 10; i++)
    {
        for (j = 0; j < 4; j++)
        {
            for (k = 0; k < 2; k++)
            {
                transparent_crc(g_4[i][j][k], "g_4[i][j][k]", print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_5[i], "g_5[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_22, "g_22", print_hash_value);
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_23[i], "g_23[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_26, "g_26", print_hash_value);
    transparent_crc(g_27, "g_27", print_hash_value);
    transparent_crc(g_32, "g_32", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        for (j = 0; j < 8; j++)
        {
            transparent_crc(g_55[i][j], "g_55[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    transparent_crc(g_57, "g_57", print_hash_value);
    transparent_crc(g_58, "g_58", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        transparent_crc(g_59[i], "g_59[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_69, "g_69", print_hash_value);
    transparent_crc(g_80, "g_80", print_hash_value);
    for (i = 0; i < 4; i++)
    {
        transparent_crc(g_81[i], "g_81[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 2; i++)
    {
        transparent_crc(g_152[i].f0, "g_152[i].f0", print_hash_value);
        transparent_crc(g_152[i].f1, "g_152[i].f1", print_hash_value);
        transparent_crc(g_152[i].f2, "g_152[i].f2", print_hash_value);
        transparent_crc(g_152[i].f3, "g_152[i].f3", print_hash_value);
        transparent_crc(g_152[i].f4, "g_152[i].f4", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_203[i], "g_203[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_214, "g_214", print_hash_value);
    transparent_crc(g_231, "g_231", print_hash_value);
    transparent_crc(g_234, "g_234", print_hash_value);
    transparent_crc(g_277, "g_277", print_hash_value);
    transparent_crc(g_283.f0, "g_283.f0", print_hash_value);
    transparent_crc(g_283.f1, "g_283.f1", print_hash_value);
    transparent_crc(g_283.f2, "g_283.f2", print_hash_value);
    transparent_crc(g_283.f3, "g_283.f3", print_hash_value);
    transparent_crc(g_283.f4, "g_283.f4", print_hash_value);
    transparent_crc(g_407, "g_407", print_hash_value);
    transparent_crc(g_410, "g_410", print_hash_value);
    transparent_crc(g_465, "g_465", print_hash_value);
    transparent_crc(g_466, "g_466", print_hash_value);
    transparent_crc(g_551, "g_551", print_hash_value);
    for (i = 0; i < 5; i++)
    {
        transparent_crc(g_616[i], "g_616[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 2; i++)
    {
        for (j = 0; j < 9; j++)
        {
            for (k = 0; k < 5; k++)
            {
                transparent_crc(g_621[i][j][k],
                                "g_621[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_973, "g_973", print_hash_value);
    transparent_crc(g_976, "g_976", print_hash_value);
    transparent_crc(g_1185, "g_1185", print_hash_value);
    transparent_crc(g_1356, "g_1356", print_hash_value);
    transparent_crc(g_1477, "g_1477", print_hash_value);
    transparent_crc(g_1570, "g_1570", print_hash_value);
    transparent_crc(g_1707, "g_1707", print_hash_value);
    transparent_crc(g_1917, "g_1917", print_hash_value);
    transparent_crc(g_2181, "g_2181", print_hash_value);
    transparent_crc(g_2432, "g_2432", print_hash_value);
    platform_main_end(crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
