typedef unsigned int size_t;
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
int printf(const char *, ...);
void __assert_fail(const char * __assertion,
                   const char * __file,
                   unsigned int __line,
                   const char * __function);
static void platform_main_end(uint32_t crc, int flag)
{
    printf("checksum = %X\n", crc);
}
static int8_t safe_unary_minus_func_int8_t_s(int8_t si)
{
    return -si;
}
static int8_t safe_add_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 + si2;
}
static int8_t safe_sub_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 - si2;
}
static int8_t safe_mul_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 * si2;
}
static int8_t safe_mod_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 % si2;
}
static int8_t safe_div_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 / si2;
}
static int8_t safe_lshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 127 >> (int) right ? left : left << (int) right;
}
static int8_t safe_lshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 127 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int8_t safe_rshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int8_t safe_rshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int16_t safe_unary_minus_func_int16_t_s(int16_t si)
{
    return -si;
}
static int16_t safe_add_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 + si2;
}
static int16_t safe_sub_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 - si2;
}
static int16_t safe_mul_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 * si2;
}
static int16_t safe_mod_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int16_t safe_div_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int16_t safe_lshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 32767 >> (int) right ? left : left << (int) right;
}
static int16_t safe_lshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 32767 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int16_t safe_rshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int16_t safe_rshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int32_t safe_unary_minus_func_int32_t_s(int32_t si)
{
    return si == -2147483647 - 1 ? si : -si;
}
static int32_t safe_add_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 - si2 || si1 < 0 && si2 < 0 && si1 < -2147483647 - 1 - si2 ? si1 : si1 + si2;
}
static int32_t safe_sub_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~2147483647) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int32_t safe_mul_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 / si2 || si1 > 0 && si2 <= 0 && si2 < (-2147483647 - 1) / si1 || si1 <= 0 && si2 > 0 && si1 < (-2147483647 - 1) / si2 || si1 <= 0 && si2 <= 0 && si1 != 0 && si2 < 2147483647 / si1 ? si1 : si1 * si2;
}
static int32_t safe_mod_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int32_t safe_div_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int32_t safe_lshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 2147483647 >> (int) right ? left : left << (int) right;
}
static int32_t safe_lshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 2147483647 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int32_t safe_rshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int32_t safe_rshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint8_t safe_unary_minus_func_uint8_t_u(uint8_t ui)
{
    return -ui;
}
static uint8_t safe_add_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 + ui2;
}
static uint8_t safe_sub_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 - ui2;
}
static uint8_t safe_mul_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint8_t safe_mod_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint8_t safe_div_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint8_t safe_lshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 255 >> (int) right ? left : left << (int) right;
}
static uint8_t safe_lshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 || left > 255 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint16_t safe_unary_minus_func_uint16_t_u(uint16_t ui)
{
    return -ui;
}
static uint16_t safe_add_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 + ui2;
}
static uint16_t safe_sub_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 - ui2;
}
static uint16_t safe_mul_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint16_t safe_mod_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_lshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 65535 >> (int) right ? left : left << (int) right;
}
static uint16_t safe_lshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 65535 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_lshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 4294967295u >> (int) right ? left : left << (int) right;
}
static uint32_t safe_lshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 4294967295u >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_gentab(void)
{
    uint32_t crc;
    const uint32_t poly = 0xedb88320uL;
    int i, j;
    for (i = 0; i < 256; i++)
    {
        crc = i;
        for (j = 8; j > 0; j--)
        {
            if (crc & 1)
            {
                crc = crc >> 1 ^ poly;
            }
            else
            {
                crc >>= 1;
            }
        }
        crc32_tab[i] = crc;
    }
}
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
static void crc32_8bytes(uint32_t val)
{
    crc32_byte(val >> 0 & 0xff);
    crc32_byte(val >> 8 & 0xff);
    crc32_byte(val >> 16 & 0xff);
    crc32_byte(val >> 24 & 0xff);
}
static void transparent_crc(uint32_t val, char * vname, int flag)
{
    crc32_8bytes(val);
    if (flag)
    {
        printf("...checksum after hashing %s : %X\n",
               vname,
               crc32_context ^ 0xffffffffu);
    }
}
static void transparent_crc_bytes(char * ptr,
                                  int nbytes,
                                  char * vname,
                                  int flag)
{
    int i;
    for (i = 0; i < nbytes; i++)
    {
        crc32_byte(ptr[i]);
    }
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static long __undefined;
struct S0 {
    int8_t f0; int8_t f1; uint32_t f2; int32_t f3; uint16_t f4;
};
static int32_t g_3 = 0x9ba095a9L;
static int32_t g_4[10][4][2] = { { { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL }, { 0x8dc5336dL, 0xd4a0d461L } }, { { 1L, 0xfc3a065cL }, { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL } }, { { 0x8dc5336dL, 0xd4a0d461L }, { 1L, 0xfc3a065cL }, { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L } }, { { 0x8dc5336dL, 0x8dc5336dL }, { 0x8dc5336dL, 0xd4a0d461L }, { 1L, 0xfc3a065cL }, { 0xd4a0d461L, 0xfc3a065cL } }, { { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL }, { 0x8dc5336dL, 0xd4a0d461L }, { 1L, 0xfc3a065cL } }, { { 0xd4a0d461L, 0xfc3a065cL }, { 1L, 0xd4a0d461L }, { 0x8dc5336dL, 0x8dc5336dL }, { 0xd4a0d461L, 1L } }, { { 0xc8f0d071L, 0x8dc5336dL }, { 1L, 0x8dc5336dL }, { 0xc8f0d071L, 1L }, { 0xd4a0d461L, 0xd4a0d461L } }, { { 0xd4a0d461L, 1L }, { 0xc8f0d071L, 0x8dc5336dL }, { 1L, 0x8dc5336dL }, { 0xc8f0d071L, 1L } }, { { 0xd4a0d461L, 0xd4a0d461L }, { 0xd4a0d461L, 1L }, { 0xc8f0d071L, 0x8dc5336dL }, { 1L, 0x8dc5336dL } }, { { 0xc8f0d071L, 1L }, { 0xd4a0d461L, 0xd4a0d461L }, { 0xd4a0d461L, 1L }, { 0xc8f0d071L, 0x8dc5336dL } } };
static int32_t g_5[3] = { 0xb2c41ac3L, 0xb2c41ac3L, 0xb2c41ac3L };
static uint8_t g_22 = 0x4cL;
static uint32_t g_23[3] = { 0x69c1477aL, 0x69c1477aL, 0x69c1477aL };
static int8_t g_26 = 4L;
static uint16_t g_27 = 65532uL;
static uint16_t g_32 = 0xb7a2L;
static uint8_t g_55[9][8] = { { 252uL, 255uL, 0x79L, 3uL, 0x17L, 3uL, 0uL, 255uL }, { 249uL, 0uL, 0xe3L, 3uL, 251uL, 255uL, 0uL, 251uL }, { 0xd5L, 251uL, 247uL, 0xd5L, 249uL, 255uL, 0x5bL, 252uL }, { 0uL, 0xd5L, 255uL, 0uL, 255uL, 0xd5L, 0uL, 0x17L }, { 0x1cL, 255uL, 255uL, 0x8aL, 0x49L, 4uL, 0x8aL, 0uL }, { 247uL, 251uL, 0xd5L, 0x7eL, 0x49L, 0x5bL, 0uL, 0uL }, { 0x1cL, 0x79L, 0x7eL, 0uL, 255uL, 3uL, 251uL, 0x5bL }, { 0uL, 0x49L, 255uL, 249uL, 249uL, 255uL, 0x49L, 0uL }, { 0xd5L, 3uL, 0uL, 0x17L, 251uL, 255uL, 247uL, 0x8aL } };
static int32_t g_57 = 0xeb039226L;
static int32_t g_58 = 4L;
static uint32_t g_59[9] = { 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL, 0x18880abbL };
static uint32_t g_69 = 0x797cfcbfL;
static int32_t g_80 = 0xd47b9da0L;
static uint32_t g_81[4] = { 0xfacdc9ffL, 0xfacdc9ffL, 0xfacdc9ffL, 0xfacdc9ffL };
static struct S0 g_152[2] = { { 0x6eL, 1L, 0uL, 0x4ab730d5L, 0uL }, { 0x6eL, 1L, 0uL, 0x4ab730d5L, 0uL } };
static uint16_t g_203[3] = { 0x582dL, 0x582dL, 0x582dL };
static int32_t g_214 = -2L;
static uint32_t g_231 = 4294967286uL;
static int16_t g_234 = 0L;
static int16_t g_277 = 1L;
static struct S0 g_283 = { 0xb0L, -1L, 0xf2b8033dL, 0x5451df1bL, 0x22dL };
static uint32_t g_407 = 0x57a78fe8L;
static int32_t g_410 = 0x38f403baL;
static int32_t g_465 = 0x5f3e33faL;
static uint32_t g_466 = 0uL;
static int16_t g_551 = -1L;
static int32_t g_616[5] = { 0x79c30704L, 0x79c30704L, 0x79c30704L, 0x79c30704L, 0x79c30704L };
static int32_t g_621[2][9][5] = { { { -10L, 1L, 0xd5ef2f06L, 1L, -10L }, { 1L, 1L, 8L, -10L, 8L }, { 8L, 8L, 0xd5ef2f06L, -10L, 0x1e4228d9L }, { 1L, 1L, 1L, 1L, 8L }, { 1L, -10L, -4L, -4L, -10L }, { 8L, 1L, -4L, 0xd5ef2f06L, 0xd5ef2f06L }, { 1L, 8L, 1L, -4L, 0xd5ef2f06L }, { -10L, 1L, 0xd5ef2f06L, 1L, -10L }, { 1L, 1L, 8L, -10L, 8L } }, { { 8L, 8L, 0xd5ef2f06L, -10L, 0x1e4228d9L }, { 1L, 1L, 1L, 1L, 8L }, { 1L, -4L, 0xd5ef2f06L, 0xd5ef2f06L, -4L }, { 0x1e4228d9L, -10L, 0xd5ef2f06L, 8L, 8L }, { -10L, 0x1e4228d9L, -10L, 0xd5ef2f06L, 8L }, { -4L, 1L, 8L, 1L, -4L }, { -10L, 1L, 0x1e4228d9L, -4L, 0x1e4228d9L }, { 0x1e4228d9L, 0x1e4228d9L, 8L, -4L, 1L }, { 1L, -10L, -10L, 1L, 0x1e4228d9L } } };
static int32_t g_973 = 0x44345857L;
static uint32_t g_976 = 4294967294uL;
static int16_t g_1185 = -1L;
static int32_t g_1356 = 0xfa767bcL;
static uint16_t g_1477 = 0xbab5L;
static uint32_t g_1570 = 0x6920269fL;
static uint32_t g_1707 = 5uL;
static uint8_t g_1917 = 0x44L;
static int32_t g_2181 = 9L;
static uint32_t g_2432 = 4294967293uL;
static struct S0 func_1(void);
static uint16_t func_13(int8_t p_14, int32_t p_15, uint32_t p_16);
static int32_t func_17(int32_t p_18,
                       uint16_t p_19,
                       uint8_t p_20,
                       uint32_t p_21);
static uint8_t func_72(struct S0 p_73,
                       uint32_t p_74,
                       int32_t p_75);
static struct S0 func_76(uint32_t p_77,
                         int16_t p_78,
                         uint8_t p_79);
static uint8_t func_99(uint32_t p_100);
static uint32_t func_105(uint16_t p_106, int16_t p_107);
static int16_t func_121(uint16_t p_122, int32_t p_123);
static uint16_t func_124(struct S0 p_125,
                         struct S0 p_126,
                         struct S0 p_127,
                         int32_t p_128);
static struct S0 func_129(int32_t p_130,
                          struct S0 p_131,
                          uint32_t p_132,
                          int16_t p_133);
static struct S0 func_1(void)
{
    int16_t l_2[10][2] = { { 4L, 0x3367L }, { 4L, 0x5ed9L }, { 1L, 1L }, { 0x5ed9L, 4L }, { 0x3367L, 4L }, { 0x5ed9L, 1L }, { 1L, 0x5ed9L }, { 4L, 0x3367L }, { 4L, 0x5ed9L }, { 1L, 1L } };
    int32_t l_34 = 0x8fbdedbL;
    uint8_t l_2512[10] = { 0x2dL, 255uL, 1uL, 255uL, 0x2dL, 0x2dL, 255uL, 1uL, 255uL, 0x2dL };
    int32_t l_2548 = 0x4d1a8beaL;
    uint16_t l_2620 = 0xfd14L;
    int32_t l_2642[4][4][3] = { { { 0xcc122bafL, 0L, 0L }, { 0L, 0L, -1L }, { 7L, 0xcc122bafL, 0x1b89e59dL }, { 0L, 0L, 1L } }, { { 0xcc122bafL, 7L, 0L }, { 0L, 0L, 0L }, { 0L, 0xcc122bafL, 0x9dd0a62bL }, { 0xfa4a322L, 0L, 0L } }, { { 0x9dd0a62bL, 0L, 0L }, { 0xf320db50L, 0xfa4a322L, 1L }, { 0x9dd0a62bL, 0x9dd0a62bL, 0x1b89e59dL }, { 0xfa4a322L, 0xf320db50L, -1L } }, { { 0L, 0x9dd0a62bL, 0L }, { 0L, 0xfa4a322L, 0L }, { 0xcc122bafL, 0L, 0L }, { 0L, 0L, -1L } } };
    int32_t l_2715 = 0x2f2f4837L;
    struct S0 l_2815 = { 0L, 1L, 4294967295uL, 0L, 0x2969L };
    int i, j, k;
    for (g_3 = 1; g_3 >= 0; g_3 -= 1)
    {
        uint16_t l_30 = 0xf57bL;
        int32_t l_33 = 0xb5fb49a5L;
        uint32_t l_2550 = 0uL;
        int32_t l_2665 = 0L;
        int32_t l_2667[10];
        int32_t l_2710 = -5L;
        int32_t l_2716 = 0x454a6460L;
        uint32_t l_2786[3][2][5] = { { { 1uL, 0uL, 1uL, 0uL, 1uL }, { 4294967293uL, 4294967293uL, 1uL, 1uL, 4294967293uL } }, { { 0x2c014413L, 0uL, 0x2c014413L, 0uL, 0x2c014413L }, { 4294967293uL, 1uL, 1uL, 4294967293uL, 4294967293uL } }, { { 1uL, 0uL, 1uL, 0uL, 1uL }, { 4294967293uL, 4294967293uL, 1uL, 1uL, 4294967293uL } } };
        uint32_t l_2813[2];
        int i, j, k;
        for (i = 0; i < 10; i++)
            l_2667[i] = -6L;
        for (i = 0; i < 2; i++)
            l_2813[i] = 0x4ce1558fL;
        for (g_4[7][0][1] = 1; g_4[7][0][1] >= 0; g_4[7][0][1] -= 1)
        {
            int16_t l_12 = -1L;
            uint32_t l_56[2][2][2] = { { { 0xbe5697a1L, 0xbe5697a1L }, { 0xbe5697a1L, 0xbe5697a1L } }, { { 0xbe5697a1L, 0xbe5697a1L }, { 0xbe5697a1L, 0xbe5697a1L } } };
            int32_t l_62 = 1L;
            int32_t l_63 = 0x6f270adfL;
            int32_t l_64 = -1L;
            int8_t l_2549 = 0x1aL;
            struct S0 l_2556 = { 0xc7L, 0xceL, 0xd983b467L, -3L, 0uL };
            uint16_t l_2649 = 1uL;
            struct S0 l_2750 = { 4L, 0x7dL, 4294967294uL, 0xdeddd6a8L, 3uL };
            int i, j, k;
            for (g_5[2] = 1; g_5[2] >= 0; g_5[2] -= 1)
            {
                uint32_t l_35 = 6uL;
                int32_t l_2513 = -1L;
                int8_t l_2552 = 4L;
                struct S0 l_2555 = { 5L, -4L, 4294967287uL, 0xa1966bb6L, 0x5237L };
                int i = 0, j;
                l_34 = safe_sub_func_uint8_t_u_u(l_2[g_5[2] + 6][g_5[2]] ^ safe_rshift_func_int16_t_s_u(4294967286uL ^ (l_33 = g_32 ^= safe_mod_func_uint8_t_u_u(l_12 > func_13(g_4[3][3][1],
                                                                                                                                                                                func_17(g_5[2],
                                                                                                                                                                                        g_5[2],
                                                                                                                                                                                        g_4[2][3][1],
                                                                                                                                                                                        g_4[7][0][1]),
                                                                                                                                                                                l_30),
                                                                                                                                                                 l_30) == g_5[2]),
                                                                                                        g_26),
                                                 0xa2L);
                if (func_17(l_35 = l_2[g_5[2] + 6][g_5[2]],
                            func_17(safe_lshift_func_int16_t_s_s(0xcd43L, 1),
                                    g_5[2],
                                    g_22 &= safe_lshift_func_int16_t_s_u(safe_rshift_func_uint8_t_u_s(l_2[9][1],
                                                                                                      1),
                                                                         0),
                                    g_59[7] = safe_rshift_func_uint16_t_u_u(l_30 > (safe_rshift_func_int8_t_s_s((g_58 = g_57 = func_13(g_26 |= 5L,
                                                                                                                                       l_12,
                                                                                                                                       safe_unary_minus_func_int16_t_s(safe_rshift_func_int16_t_s_u(l_12,
                                                                                                                                                                                                    func_13(g_55[0][3] |= safe_mul_func_uint16_t_u_u(safe_mul_func_uint16_t_u_u(g_32 = safe_mod_func_int32_t_s_s(0xf0L || 0x6L,
                                                                                                                                                                                                                                                                                                                 0x8ca929efL),
                                                                                                                                                                                                                                                                                g_27) >= l_33 > l_33 & g_3,
                                                                                                                                                                                                                                                     -4L),
                                                                                                                                                                                                            g_4[4][0][1],
                                                                                                                                                                                                            l_56[0][1][0])) >= g_5[2]))) < l_33,
                                                                                                                g_4[7][0][1]) || l_2[4][0]),
                                                                            0)),
                            l_2[g_5[2] + 6][g_5[2]],
                            g_4[7][0][1]))
                {
                    int32_t l_67 = 0L;
                    int32_t l_68 = -10L;
                    int32_t l_94 = 0xe1143771L;
                    int8_t l_95 = 0x9aL;
                    int8_t l_2486 = 0x28L;
                    if (safe_lshift_func_uint16_t_u_s(l_67 = --g_59[8] <= g_55[0][3] < 65535uL,
                                                      0))
                    {
                        int i, j;
                        if (l_2[3][1])
                            break;
                        ++g_69;
                        l_34 = safe_sub_func_uint8_t_u_u(l_2[g_5[2] + 6][g_5[2]] ^ safe_rshift_func_int16_t_s_u(4294967286uL ^ (l_33 = g_32 ^= safe_mod_func_uint8_t_u_u(l_12 > func_13(g_4[3][3][1],
                                                                                                                                                                                        func_17(g_5[2],
                                                                                                                                                                                                g_5[2],
                                                                                                                                                                                                g_4[2][3][1],
                                                                                                                                                                                                g_4[7][0][1]),
                                                                                                                                                                                        l_30),
                                                                                                                                                                         l_30) == g_5[2]),
                                                                                                                g_26),
                                                         0xa2L);
                        if (l_34)
                            break;
                        if (l_34)
                            break;
                        l_34 = func_72(func_76(l_2[g_5[2] + 6][g_5[2]],
                                               g_81[2] |= g_80 ^= g_32,
                                               safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_rshift_func_int8_t_s_u(g_59[7],
                                                                                                                               5),
                                                                                                   safe_sub_func_int8_t_s_s(l_2[g_5[2] + 6][g_5[2]],
                                                                                                                            safe_mul_func_uint16_t_u_u(safe_mod_func_int8_t_s_s(func_17(g_3,
                                                                                                                                                                                        g_26,
                                                                                                                                                                                        g_22,
                                                                                                                                                                                        !(func_13(l_33 = l_68,
                                                                                                                                                                                                  l_94 = g_23[2] | l_63,
                                                                                                                                                                                                  g_58) < l_67 && l_2[3][0])),
                                                                                                                                                                                0xffL) == g_5[2],
                                                                                                                                                       l_95))),
                                                                          g_3) & l_2[g_5[2] + 1][g_4[7][0][1]]),
                                       g_55[0][3],
                                       g_4[7][0][1]) <= 0xb7L;
                    }
                    else
                    {
                        int8_t l_2469 = -1L;
                        int32_t l_2487 = -9L;
                        l_33 = l_2469 <= 0xa6511e7aL;
                        {
                            int i, j;
                            if (l_2[3][1])
                                break;
                            ++g_69;
                            if (l_34)
                                break;
                            l_34 = func_72(func_76(l_2[g_5[2] + 6][g_5[2]],
                                                   g_81[2] |= g_80 ^= g_32,
                                                   safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_rshift_func_int8_t_s_u(g_59[7],
                                                                                                                                   5),
                                                                                                       safe_sub_func_int8_t_s_s(l_2[g_5[2] + 6][g_5[2]],
                                                                                                                                safe_mul_func_uint16_t_u_u(safe_mod_func_int8_t_s_s(func_17(g_3,
                                                                                                                                                                                            g_26,
                                                                                                                                                                                            g_22,
                                                                                                                                                                                            !(func_13(l_33 = l_68,
                                                                                                                                                                                                      l_94 = g_23[2] | l_63,
                                                                                                                                                                                                      g_58) < l_67 && l_2[3][0])),
                                                                                                                                                                                    0xffL) == g_5[2],
                                                                                                                                                           l_95))),
                                                                              g_3) & l_2[g_5[2] + 1][g_4[7][0][1]]),
                                           g_55[0][3],
                                           g_4[7][0][1]) <= 0xb7L;
                        }
                        l_2487 &= safe_lshift_func_uint16_t_u_s(safe_mul_func_int8_t_s_s(0xfcL,
                                                                                         1L) <= (safe_mul_func_uint8_t_u_u(safe_div_func_int32_t_s_s((g_22 &= 0x2cL) | l_2469,
                                                                                                                                                     g_81[2]),
                                                                                                                           l_35 == safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(l_2[6][1],
                                                                                                                                                                                          5),
                                                                                                                                                              (safe_add_func_int32_t_s_s(g_283.f0 >= safe_sub_func_int16_t_s_s(l_94 ^= (0x9820L & l_2486) <= g_1185,
                                                                                                                                                                                                                               l_62) ^ 4294967295uL,
                                                                                                                                                                                         g_203[2]) != l_2469) <= l_30 == l_34) >= 0x9aebc7aaL) <= 0xbbb5L & l_68) >= 5uL,
                                                                3);
                        {
                            int8_t l_2469 = -1L;
                            int32_t l_2487 = -9L;
                            l_33 = l_2469 <= 0xa6511e7aL;
                            l_2487 &= safe_lshift_func_uint16_t_u_s(safe_mul_func_int8_t_s_s(0xfcL,
                                                                                             1L) <= (safe_mul_func_uint8_t_u_u(safe_div_func_int32_t_s_s((g_22 &= 0x2cL) | l_2469,
                                                                                                                                                         g_81[2]),
                                                                                                                               l_35 == safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(l_2[6][1],
                                                                                                                                                                                              5),
                                                                                                                                                                  (safe_add_func_int32_t_s_s(g_283.f0 >= safe_sub_func_int16_t_s_s(l_94 ^= (0x9820L & l_2486) <= g_1185,
                                                                                                                                                                                                                                   l_62) ^ 4294967295uL,
                                                                                                                                                                                             g_203[2]) != l_2469) <= l_30 == l_34) >= 0x9aebc7aaL) <= 0xbbb5L & l_68) >= 5uL,
                                                                    3);
                            l_2513 = (l_62 = g_23[1] > l_2469) <= (safe_add_func_uint16_t_u_u(0xa14fL ^ safe_add_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_add_func_int32_t_s_s(g_621[0][2][4],
                                                                                                                                                                                      safe_lshift_func_int8_t_s_s(safe_add_func_uint8_t_u_u(safe_add_func_int8_t_s_s(safe_div_func_int32_t_s_s(1L && safe_mul_func_int8_t_s_s(safe_mod_func_int16_t_s_s(3L,
                                                                                                                                                                                                                                                                                                                                                        g_283.f3) <= l_12,
                                                                                                                                                                                                                                                                                                                              safe_mod_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u(g_69,
                                                                                                                                                                                                                                                                                                                                                                                       1) > 65535uL || 0x1098286dL,
                                                                                                                                                                                                                                                                                                                                                         l_67)) | l_68,
                                                                                                                                                                                                                                                                                               4294967286uL),
                                                                                                                                                                                                                                                                     l_2[2][0]) < 65530uL,
                                                                                                                                                                                                                                            0x8aL),
                                                                                                                                                                                                                  l_67) & g_58) != g_5[0],
                                                                                                                                                            l_2487),
                                                                                                                                   l_2512[8]),
                                                                                              5uL) || 0x56e70e6bL);
                            g_283.f3 = (g_234 = l_64 = safe_div_func_int32_t_s_s(g_2432 != (safe_rshift_func_uint16_t_u_s(l_2469 ^ safe_mul_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u((~safe_mul_func_int8_t_s_s(safe_add_func_int32_t_s_s((~(l_2[g_5[2] + 6][g_5[2]] < (l_30 == (l_2487 = (g_80 < (l_2513 > ((safe_mul_func_uint16_t_u_u(g_152[0].f2 != (g_973 ^ l_2486),
                                                                                                                                                                                                                                                                                                                                             g_621[0][5][1]) && l_95) < l_2469)) & l_94) >= g_1917) != l_2469)) && l_35) <= g_55[0][3],
                                                                                                                                                                                                                                              0xb5782f9cL) > 0L,
                                                                                                                                                                                                                    1L) == 0x2a22L) > l_56[1][0][0],
                                                                                                                                                                                         g_283.f4),
                                                                                                                                                             0L),
                                                                                                                          12) == 0L) >= 254uL,
                                                                                 1uL)) <= l_95;
                        }
                        l_2513 = (l_62 = g_23[1] > l_2469) <= (safe_add_func_uint16_t_u_u(0xa14fL ^ safe_add_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_add_func_int32_t_s_s(g_621[0][2][4],
                                                                                                                                                                                  safe_lshift_func_int8_t_s_s(safe_add_func_uint8_t_u_u(safe_add_func_int8_t_s_s(safe_div_func_int32_t_s_s(1L && safe_mul_func_int8_t_s_s(safe_mod_func_int16_t_s_s(3L,
                                                                                                                                                                                                                                                                                                                                                    g_283.f3) <= l_12,
                                                                                                                                                                                                                                                                                                                          safe_mod_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u(g_69,
                                                                                                                                                                                                                                                                                                                                                                                   1) > 65535uL || 0x1098286dL,
                                                                                                                                                                                                                                                                                                                                                     l_67)) | l_68,
                                                                                                                                                                                                                                                                                           4294967286uL),
                                                                                                                                                                                                                                                                 l_2[2][0]) < 65530uL,
                                                                                                                                                                                                                                        0x8aL),
                                                                                                                                                                                                              l_67) & g_58) != g_5[0],
                                                                                                                                                        l_2487),
                                                                                                                               l_2512[8]),
                                                                                          5uL) || 0x56e70e6bL);
                        g_283.f3 = (g_234 = l_64 = safe_div_func_int32_t_s_s(g_2432 != (safe_rshift_func_uint16_t_u_s(l_2469 ^ safe_mul_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u((~safe_mul_func_int8_t_s_s(safe_add_func_int32_t_s_s((~(l_2[g_5[2] + 6][g_5[2]] < (l_30 == (l_2487 = (g_80 < (l_2513 > ((safe_mul_func_uint16_t_u_u(g_152[0].f2 != (g_973 ^ l_2486),
                                                                                                                                                                                                                                                                                                                                         g_621[0][5][1]) && l_95) < l_2469)) & l_94) >= g_1917) != l_2469)) && l_35) <= g_55[0][3],
                                                                                                                                                                                                                                          0xb5782f9cL) > 0L,
                                                                                                                                                                                                                1L) == 0x2a22L) > l_56[1][0][0],
                                                                                                                                                                                     g_283.f4),
                                                                                                                                                         0L),
                                                                                                                      12) == 0L) >= 254uL,
                                                                             1uL)) <= l_95;
                        l_2667[i] = -6L;
                    }
                    for (g_465 = 0; g_465 >= 7; ++g_465)
                    {
                        g_58 &= 0L;
                    }
                }
                else
                {
                    uint16_t l_2551 = 0x102dL;
                    return g_152[0];
                }
                g_152[0] = g_283;
                {
                    int32_t l_67 = 0L;
                    int32_t l_68 = -10L;
                    int32_t l_94 = 0xe1143771L;
                    int8_t l_95 = 0x9aL;
                    int8_t l_2486 = 0x28L;
                    if (safe_lshift_func_uint16_t_u_s(l_67 = --g_59[8] <= g_55[0][3] < 65535uL,
                                                      0))
                    {
                        int i, j;
                        if (l_2[3][1])
                            break;
                        ++g_69;
                        if (l_34)
                            break;
                        l_34 = func_72(func_76(l_2[g_5[2] + 6][g_5[2]],
                                               g_81[2] |= g_80 ^= g_32,
                                               safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_rshift_func_int8_t_s_u(g_59[7],
                                                                                                                               5),
                                                                                                   safe_sub_func_int8_t_s_s(l_2[g_5[2] + 6][g_5[2]],
                                                                                                                            safe_mul_func_uint16_t_u_u(safe_mod_func_int8_t_s_s(func_17(g_3,
                                                                                                                                                                                        g_26,
                                                                                                                                                                                        g_22,
                                                                                                                                                                                        !(func_13(l_33 = l_68,
                                                                                                                                                                                                  l_94 = g_23[2] | l_63,
                                                                                                                                                                                                  g_58) < l_67 && l_2[3][0])),
                                                                                                                                                                                0xffL) == g_5[2],
                                                                                                                                                       l_95))),
                                                                          g_3) & l_2[g_5[2] + 1][g_4[7][0][1]]),
                                       g_55[0][3],
                                       g_4[7][0][1]) <= 0xb7L;
                    }
                    else
                    {
                        int8_t l_2469 = -1L;
                        int32_t l_2487 = -9L;
                        l_33 = l_2469 <= 0xa6511e7aL;
                        l_2487 &= safe_lshift_func_uint16_t_u_s(safe_mul_func_int8_t_s_s(0xfcL,
                                                                                         1L) <= (safe_mul_func_uint8_t_u_u(safe_div_func_int32_t_s_s((g_22 &= 0x2cL) | l_2469,
                                                                                                                                                     g_81[2]),
                                                                                                                           l_35 == safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(l_2[6][1],
                                                                                                                                                                                          5),
                                                                                                                                                              (safe_add_func_int32_t_s_s(g_283.f0 >= safe_sub_func_int16_t_s_s(l_94 ^= (0x9820L & l_2486) <= g_1185,
                                                                                                                                                                                                                               l_62) ^ 4294967295uL,
                                                                                                                                                                                         g_203[2]) != l_2469) <= l_30 == l_34) >= 0x9aebc7aaL) <= 0xbbb5L & l_68) >= 5uL,
                                                                3);
                        l_2513 = (l_62 = g_23[1] > l_2469) <= (safe_add_func_uint16_t_u_u(0xa14fL ^ safe_add_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_add_func_int32_t_s_s(g_621[0][2][4],
                                                                                                                                                                                  safe_lshift_func_int8_t_s_s(safe_add_func_uint8_t_u_u(safe_add_func_int8_t_s_s(safe_div_func_int32_t_s_s(1L && safe_mul_func_int8_t_s_s(safe_mod_func_int16_t_s_s(3L,
                                                                                                                                                                                                                                                                                                                                                    g_283.f3) <= l_12,
                                                                                                                                                                                                                                                                                                                          safe_mod_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u(g_69,
                                                                                                                                                                                                                                                                                                                                                                                   1) > 65535uL || 0x1098286dL,
                                                                                                                                                                                                                                                                                                                                                     l_67)) | l_68,
                                                                                                                                                                                                                                                                                           4294967286uL),
                                                                                                                                                                                                                                                                 l_2[2][0]) < 65530uL,
                                                                                                                                                                                                                                        0x8aL),
                                                                                                                                                                                                              l_67) & g_58) != g_5[0],
                                                                                                                                                        l_2487),
                                                                                                                               l_2512[8]),
                                                                                          5uL) || 0x56e70e6bL);
                        g_283.f3 = (g_234 = l_64 = safe_div_func_int32_t_s_s(g_2432 != (safe_rshift_func_uint16_t_u_s(l_2469 ^ safe_mul_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u((~safe_mul_func_int8_t_s_s(safe_add_func_int32_t_s_s((~(l_2[g_5[2] + 6][g_5[2]] < (l_30 == (l_2487 = (g_80 < (l_2513 > ((safe_mul_func_uint16_t_u_u(g_152[0].f2 != (g_973 ^ l_2486),
                                                                                                                                                                                                                                                                                                                                         g_621[0][5][1]) && l_95) < l_2469)) & l_94) >= g_1917) != l_2469)) && l_35) <= g_55[0][3],
                                                                                                                                                                                                                                          0xb5782f9cL) > 0L,
                                                                                                                                                                                                                1L) == 0x2a22L) > l_56[1][0][0],
                                                                                                                                                                                     g_283.f4),
                                                                                                                                                         0L),
                                                                                                                      12) == 0L) >= 254uL,
                                                                             1uL)) <= l_95;
                    }
                    for (g_465 = 0; g_465 >= 7; ++g_465)
                    {
                        g_58 &= 0L;
                    }
                }
                {
                    uint32_t l_35 = 6uL;
                    int32_t l_2513 = -1L;
                    int8_t l_2552 = 4L;
                    struct S0 l_2555 = { 5L, -4L, 4294967287uL, 0xa1966bb6L, 0x5237L };
                    int i, j;
                    l_34 = safe_sub_func_uint8_t_u_u(l_2[g_5[2] + 6][g_5[2]] ^ safe_rshift_func_int16_t_s_u(4294967286uL ^ (l_33 = g_32 ^= safe_mod_func_uint8_t_u_u(l_12 > func_13(g_4[3][3][1],
                                                                                                                                                                                    func_17(g_5[2],
                                                                                                                                                                                            g_5[2],
                                                                                                                                                                                            g_4[2][3][1],
                                                                                                                                                                                            g_4[7][0][1]),
                                                                                                                                                                                    l_30),
                                                                                                                                                                     l_30) == g_5[2]),
                                                                                                            g_26),
                                                     0xa2L);
                    if (func_17(l_35 = l_2[g_5[2] + 6][g_5[2]],
                                func_17(safe_lshift_func_int16_t_s_s(0xcd43L, 1),
                                        g_5[2],
                                        g_22 &= safe_lshift_func_int16_t_s_u(safe_rshift_func_uint8_t_u_s(l_2[9][1],
                                                                                                          1),
                                                                             0),
                                        g_59[7] = safe_rshift_func_uint16_t_u_u(l_30 > (safe_rshift_func_int8_t_s_s((g_58 = g_57 = func_13(g_26 |= 5L,
                                                                                                                                           l_12,
                                                                                                                                           safe_unary_minus_func_int16_t_s(safe_rshift_func_int16_t_s_u(l_12,
                                                                                                                                                                                                        func_13(g_55[0][3] |= safe_mul_func_uint16_t_u_u(safe_mul_func_uint16_t_u_u(g_32 = safe_mod_func_int32_t_s_s(0xf0L || 0x6L,
                                                                                                                                                                                                                                                                                                                     0x8ca929efL),
                                                                                                                                                                                                                                                                                    g_27) >= l_33 > l_33 & g_3,
                                                                                                                                                                                                                                                         -4L),
                                                                                                                                                                                                                g_4[4][0][1],
                                                                                                                                                                                                                l_56[0][1][0])) >= g_5[2]))) < l_33,
                                                                                                                    g_4[7][0][1]) || l_2[4][0]),
                                                                                0)),
                                l_2[g_5[2] + 6][g_5[2]],
                                g_4[7][0][1]))
                    {
                        int32_t l_67 = 0L;
                        int32_t l_68 = -10L;
                        int32_t l_94 = 0xe1143771L;
                        int8_t l_95 = 0x9aL;
                        int8_t l_2486 = 0x28L;
                        if (safe_lshift_func_uint16_t_u_s(l_67 = --g_59[8] <= g_55[0][3] < 65535uL,
                                                          0))
                        {
                            int i, j;
                            if (l_2[3][1])
                                break;
                            ++g_69;
                            if (l_34)
                                break;
                            l_34 = func_72(func_76(l_2[g_5[2] + 6][g_5[2]],
                                                   g_81[2] |= g_80 ^= g_32,
                                                   safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_rshift_func_int8_t_s_u(g_59[7],
                                                                                                                                   5),
                                                                                                       safe_sub_func_int8_t_s_s(l_2[g_5[2] + 6][g_5[2]],
                                                                                                                                safe_mul_func_uint16_t_u_u(safe_mod_func_int8_t_s_s(func_17(g_3,
                                                                                                                                                                                            g_26,
                                                                                                                                                                                            g_22,
                                                                                                                                                                                            !(func_13(l_33 = l_68,
                                                                                                                                                                                                      l_94 = g_23[2] | l_63,
                                                                                                                                                                                                      g_58) < l_67 && l_2[3][0])),
                                                                                                                                                                                    0xffL) == g_5[2],
                                                                                                                                                           l_95))),
                                                                              g_3) & l_2[g_5[2] + 1][g_4[7][0][1]]),
                                           g_55[0][3],
                                           g_4[7][0][1]) <= 0xb7L;
                        }
                        else
                        {
                            int8_t l_2469 = -1L;
                            int32_t l_2487 = -9L;
                            l_33 = l_2469 <= 0xa6511e7aL;
                            l_2487 &= safe_lshift_func_uint16_t_u_s(safe_mul_func_int8_t_s_s(0xfcL,
                                                                                             1L) <= (safe_mul_func_uint8_t_u_u(safe_div_func_int32_t_s_s((g_22 &= 0x2cL) | l_2469,
                                                                                                                                                         g_81[2]),
                                                                                                                               l_35 == safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(l_2[6][1],
                                                                                                                                                                                              5),
                                                                                                                                                                  (safe_add_func_int32_t_s_s(g_283.f0 >= safe_sub_func_int16_t_s_s(l_94 ^= (0x9820L & l_2486) <= g_1185,
                                                                                                                                                                                                                                   l_62) ^ 4294967295uL,
                                                                                                                                                                                             g_203[2]) != l_2469) <= l_30 == l_34) >= 0x9aebc7aaL) <= 0xbbb5L & l_68) >= 5uL,
                                                                    3);
                            l_2513 = (l_62 = g_23[1] > l_2469) <= (safe_add_func_uint16_t_u_u(0xa14fL ^ safe_add_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_add_func_int32_t_s_s(g_621[0][2][4],
                                                                                                                                                                                      safe_lshift_func_int8_t_s_s(safe_add_func_uint8_t_u_u(safe_add_func_int8_t_s_s(safe_div_func_int32_t_s_s(1L && safe_mul_func_int8_t_s_s(safe_mod_func_int16_t_s_s(3L,
                                                                                                                                                                                                                                                                                                                                                        g_283.f3) <= l_12,
                                                                                                                                                                                                                                                                                                                              safe_mod_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u(g_69,
                                                                                                                                                                                                                                                                                                                                                                                       1) > 65535uL || 0x1098286dL,
                                                                                                                                                                                                                                                                                                                                                         l_67)) | l_68,
                                                                                                                                                                                                                                                                                               4294967286uL),
                                                                                                                                                                                                                                                                     l_2[2][0]) < 65530uL,
                                                                                                                                                                                                                                            0x8aL),
                                                                                                                                                                                                                  l_67) & g_58) != g_5[0],
                                                                                                                                                            l_2487),
                                                                                                                                   l_2512[8]),
                                                                                              5uL) || 0x56e70e6bL);
                            g_283.f3 = (g_234 = l_64 = safe_div_func_int32_t_s_s(g_2432 != (safe_rshift_func_uint16_t_u_s(l_2469 ^ safe_mul_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u((~safe_mul_func_int8_t_s_s(safe_add_func_int32_t_s_s((~(l_2[g_5[2] + 6][g_5[2]] < (l_30 == (l_2487 = (g_80 < (l_2513 > ((safe_mul_func_uint16_t_u_u(g_152[0].f2 != (g_973 ^ l_2486),
                                                                                                                                                                                                                                                                                                                                             g_621[0][5][1]) && l_95) < l_2469)) & l_94) >= g_1917) != l_2469)) && l_35) <= g_55[0][3],
                                                                                                                                                                                                                                              0xb5782f9cL) > 0L,
                                                                                                                                                                                                                    1L) == 0x2a22L) > l_56[1][0][0],
                                                                                                                                                                                         g_283.f4),
                                                                                                                                                             0L),
                                                                                                                          12) == 0L) >= 254uL,
                                                                                 1uL)) <= l_95;
                        }
                        for (g_465 = 0; g_465 >= 7; ++g_465)
                        {
                            g_58 &= 0L;
                        }
                    }
                    else
                    {
                        uint16_t l_2551 = 0x102dL;
                        if ((safe_sub_func_uint8_t_u_u(+(safe_lshift_func_int16_t_s_u((safe_lshift_func_uint16_t_u_s(g_32 | +g_55[0][5] || 0uL > l_2512[8],
                                                                                                                     safe_mod_func_uint8_t_u_u(safe_rshift_func_int8_t_s_s(0x23L,
                                                                                                                                                                           3) != (l_33 = g_80 == (l_2548 = safe_lshift_func_uint8_t_u_u(l_30 ^ (((l_2549 = l_2[1][1] == (l_34 ^= safe_mul_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(l_2548 > l_2513,
                                                                                                                                                                                                                                                                                                                                     g_2181),
                                                                                                                                                                                                                                                                                                            g_283.f2))) || l_2512[8]) <= 0x821fba5cL == l_2550) < 0x4508L,
                                                                                                                                                                                                                                        g_1185) >= 0x5508f496L <= g_203[1])),
                                                                                                                                               l_2550)) == l_56[0][1][0] && 0xadL) ^ l_2[g_5[2] + 6][g_5[2]],
                                                                                      14) | l_2551),
                                                       g_23[2]) < g_203[2] || 0x7L) > 0xe8f1c92cL)
                        {
                            g_152[0] = func_76(l_2552, l_34, g_1917++);
                        }
                        else
                        {
                            if (g_152[0].f0)
                                break;
                            if (l_2551)
                                break;
                            return l_2555;
                        }
                        return g_152[0];
                    }
                    g_152[0] = g_283;
                    for (g_234 = 0; g_234 <= 8; g_234 += 1)
                    {
                        for (g_1356 = 8; g_1356 >= 3; g_1356 -= 1)
                        {
                            g_58 ^= 5L;
                            return l_2556;
                        }
                    }
                }
            }
            if (l_33 || safe_mod_func_uint32_t_u_u(l_2549,
                                                   g_410) | safe_mod_func_int8_t_s_s(safe_rshift_func_uint8_t_u_s(0xe9L,
                                                                                                                  2) & (0xb3L ^ l_34),
                                                                                     safe_mul_func_uint16_t_u_u(!l_2556.f1 ^ safe_sub_func_uint32_t_u_u(safe_mul_func_int16_t_s_s(l_34,
                                                                                                                                                                                  safe_lshift_func_int16_t_s_s((l_33 & 255uL) <= 0x8ad0L,
                                                                                                                                                                                                               10) != l_30),
                                                                                                                                                        l_64),
                                                                                                                g_214)))
            {
                uint8_t l_2571 = 0xa3L;
                int32_t l_2595 = -1L;
                for (g_466 = 0; g_466 <= 7; g_466 += 1)
                {
                    int i;
                    if (l_2571 = g_5[g_3])
                    {
                        int32_t l_2594 = 1L;
                        int i, j, k;
                        g_2181 = safe_sub_func_int32_t_s_s(65530uL && l_56[g_3][g_4[7][0][1]][g_3],
                                                           l_12);
                        l_2548 |= g_59[7] == ((g_55[g_466][g_466] = 247uL) & safe_add_func_uint16_t_u_u(g_4[7][0][1] | (safe_sub_func_int16_t_s_s(g_283.f4,
                                                                                                                                                  l_2512[6] ^ safe_add_func_int16_t_s_s(safe_mod_func_uint32_t_u_u(safe_add_func_int16_t_s_s(+((l_33 = g_551 ^= l_56[g_4[7][0][1]][g_3][g_3]++ & safe_add_func_int16_t_s_s(safe_mod_func_int16_t_s_s(g_80,
                                                                                                                                                                                                                                                                                                                                                     g_465) > (g_152[0].f4 <= (safe_lshift_func_int8_t_s_s(safe_div_func_int16_t_s_s(g_214,
                                                                                                                                                                                                                                                                                                                                                                                                                                     l_2594),
                                                                                                                                                                                                                                                                                                                                                                                                           0) >= 0x1e91L) != 1L),
                                                                                                                                                                                                                                                                                                                           l_2512[4])) <= 0uL) == 0xe85fL,
                                                                                                                                                                                                                                             g_283.f4),
                                                                                                                                                                                                                   g_5[1]),
                                                                                                                                                                                        l_2571) | 255uL && g_4[8][2][0]) < g_152[0].f2 == g_2432) <= g_407,
                                                                                                        l_30) <= l_2550 ^ 0x3e9bc56L);
                    }
                    else
                    {
                    }
                }
            }
            else
            {
                uint16_t l_2616 = 1uL;
                int32_t l_2617 = -1L;
            }
            if (safe_mod_func_uint16_t_u_u(~(g_152[0].f4 >= (5L != g_283.f1 != (l_33 = 0x57L))),
                                           g_1707 && g_1477) < (0x1a0b5c90L > l_2620 ^ l_2550))
            {
                uint16_t l_2631 = 0xda0eL;
                int32_t l_2635 = 0xf5206446L;
                g_152[1] = g_152[1];
                g_410 = safe_lshift_func_int8_t_s_u(g_27, 1);
                g_616[4] |= safe_mod_func_uint32_t_u_u(g_283.f2,
                                                       safe_rshift_func_int8_t_s_s(~(l_2556.f4 < (!safe_div_func_uint32_t_u_u(safe_rshift_func_int8_t_s_u(0xd6L,
                                                                                                                                                          (l_2631 ^ 65529uL) >= (safe_add_func_uint16_t_u_u(g_203[1],
                                                                                                                                                                                                            safe_unary_minus_func_int32_t_s(g_5[2] |= 0x45b4L <= (l_2635 = g_32)) <= (--g_22 || safe_rshift_func_uint8_t_u_u(((l_34 = safe_mul_func_uint8_t_u_u(g_203[2] || g_57,
                                                                                                                                                                                                                                                                                                                                                                g_1185)) | 6uL) >= l_2512[7],
                                                                                                                                                                                                                                                                                                                             l_30)) || g_1707) ^ 0x7f37L)),
                                                                                                                              l_2642[1][3][0]) >= g_283.f2)) > -1L && l_62,
                                                                                   5)) ^ l_2556.f2 | l_2[0][1];
            }
            else
            {
                int16_t l_2664 = 1L;
                int32_t l_2666 = -9L;
                int32_t l_2713 = 0x8be2de62L;
                int32_t l_2714[9][4][7] = { { { 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L, -2L, 0x900c9695L }, { -4L, -4L, 0L, 1L, -9L, 0x74c2d1e6L, 0x900c9695L }, { -9L, 8L, 1L, -4L, 0x900c9695L, 0xfd0cba57L, 0xfd0cba57L }, { -9L, 0x38f21ce1L, 0x577bd099L, 0x38f21ce1L, -9L, -4L, -9L } }, { { 1L, 0L, 0x577bd099L, 8L, 0x38f21ce1L, 0xb4c3e57aL, 0xf133634eL }, { 8L, -2L, 1L, 0xb4c3e57aL, 0xb4c3e57aL, 8L, 0xf133634eL }, { 1L, -9L, -2L, 1L, 0xbdb86feeL, 8L, 0x577bd099L }, { 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL, 8L, 0x900c9695L, -9L, 0x900c9695L } }, { { 1L, 0x900c9695L, 0x900c9695L, 1L, 0L, 0x577bd099L, 8L }, { 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L, -4L }, { 8L, 0xfd0cba57L, 0x577bd099L, -9L, 0x577bd099L, 0xfd0cba57L, 8L }, { 0xbdb86feeL, -9L, 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L } }, { { 0x38f21ce1L, 0xf133634eL, -9L, 0x577bd099L, 1L, 1L, 0x577bd099L }, { 0xfd0cba57L, -2L, 0xfd0cba57L, 8L, 0L, 0x38f21ce1L, 0xf133634eL }, { 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L }, { 0x38f21ce1L, 0xbdb86feeL, 0x74c2d1e6L, 0x74c2d1e6L, 0xbdb86feeL, 0x38f21ce1L, 1L } }, { { 0xbdb86feeL, 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L }, { 8L, 0x38f21ce1L, 0xb4c3e57aL, 0xf133634eL, -4L, 0xf133634eL, 0xb4c3e57aL }, { 0x577bd099L, 0x577bd099L, -2L, 8L, 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL }, { 1L, 0xbdb86feeL, 8L, 0x577bd099L, 0xb4c3e57aL, 0L, 0L } }, { { 0x74c2d1e6L, -4L, 8L, -4L, 0x74c2d1e6L, 0x577bd099L, 1L }, { 1L, -2L, 8L, -9L, -4L, -9L, 0x38f21ce1L }, { -9L, 0xf133634eL, 8L, -9L, -9L, 8L, 0xf133634eL }, { 1L, -9L, -2L, 1L, 0xbdb86feeL, 8L, 0x577bd099L } }, { { 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL, 8L, 0x900c9695L, -9L, 0x900c9695L }, { 1L, 0x900c9695L, 0x900c9695L, 1L, 0L, 0x577bd099L, 8L }, { 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L, -4L }, { 8L, 0xfd0cba57L, 0x577bd099L, -9L, 0x577bd099L, 0xfd0cba57L, 8L } }, { { 0xbdb86feeL, -9L, 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L }, { 0x38f21ce1L, 0xf133634eL, -9L, 0x577bd099L, 1L, 1L, 0x577bd099L }, { 0xfd0cba57L, -2L, 0xfd0cba57L, 8L, 0L, 0x38f21ce1L, 0xf133634eL }, { 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L } }, { { 0x38f21ce1L, 0xbdb86feeL, 0x74c2d1e6L, 0x74c2d1e6L, 0xbdb86feeL, 0x38f21ce1L, 1L }, { 0x900c9695L, 8L, 0xb4c3e57aL, 0xfd0cba57L, 0x74c2d1e6L, 8L, -2L }, { -9L, -4L, -9L, 0x38f21ce1L, 0x577bd099L, 0x38f21ce1L, -9L }, { 8L, 8L, 0xf133634eL, 0xbdb86feeL, 0xfd0cba57L, 0L, -9L } } };
                struct S0 l_2752 = { 0x70L, -5L, 0x75335be2L, 0xea5bcf78L, 0xcfeL };
                int i = 0, j, k;
                g_410 = safe_lshift_func_int16_t_s_u(g_407 < (safe_div_func_int16_t_s_s(++g_27 != (g_152[0].f4 = g_26 == (l_2667[6] || safe_div_func_uint16_t_u_u(safe_sub_func_int32_t_s_s(safe_div_func_uint8_t_u_u(~((g_466 |= safe_mul_func_int16_t_s_s(-2L,
                                                                                                                                                                                                                                                            g_57 == (safe_add_func_int16_t_s_s((g_283.f0 ^= g_283.f1) || safe_div_func_int16_t_s_s(g_2432 || safe_rshift_func_int16_t_s_u(g_551 &= safe_div_func_uint32_t_u_u(safe_div_func_uint8_t_u_u(safe_rshift_func_int8_t_s_u(safe_div_func_uint16_t_u_u(safe_rshift_func_int16_t_s_s(safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      safe_add_func_uint8_t_u_u(l_34 = safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_s((l_2667[6] = safe_sub_func_uint32_t_u_u(0xe6b894d1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     g_59[8])) > 0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             l_2666),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                g_55[0][3]),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                l_2666)),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            13) && l_2664,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               l_2620),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    l_64),
                                                                                                                                                                                                                                                                                                                                                                                                                                                        0x33L),
                                                                                                                                                                                                                                                                                                                                                                                                                              0xd380f86cL),
                                                                                                                                                                                                                                                                                                                                                                                          l_2[2][1]),
                                                                                                                                                                                                                                                                                                                                                   l_2666),
                                                                                                                                                                                                                                                                                               g_283.f1) == l_2[8][0])) < l_2665) ^ g_152[0].f4),
                                                                                                                                                                                                                      l_33),
                                                                                                                                                                                            -10L) ^ g_1356,
                                                                                                                                                                  g_152[0].f4) <= 0xdbf6ad88L > l_30) || l_2710),
                                                                                        g_69) & g_32 || g_407),
                                                     g_203[2]);
                l_2813[i] = 0x4ce1558fL;
                if (l_30)
                    ;
                for (g_283.f3 = 22; g_283.f3 <= 26; g_283.f3 = safe_add_func_int16_t_s_s(g_283.f3,
                                                                                         7))
                {
                    uint32_t l_2717 = 4294967287uL;
                    int32_t l_2751 = 0x816a1d2L;
                    int32_t l_2765 = 0x6072443aL;
                    uint8_t l_2785 = 255uL;
                    {
                        uint16_t l_2631 = 0xda0eL;
                        int32_t l_2635 = 0xf5206446L;
                        g_152[1] = g_152[1];
                        g_410 = safe_lshift_func_int8_t_s_u(g_27, 1);
                        g_616[4] |= safe_mod_func_uint32_t_u_u(g_283.f2,
                                                               safe_rshift_func_int8_t_s_s(~(l_2556.f4 < (!safe_div_func_uint32_t_u_u(safe_rshift_func_int8_t_s_u(0xd6L,
                                                                                                                                                                  (l_2631 ^ 65529uL) >= (safe_add_func_uint16_t_u_u(g_203[1],
                                                                                                                                                                                                                    safe_unary_minus_func_int32_t_s(g_5[2] |= 0x45b4L <= (l_2635 = g_32)) <= (--g_22 || safe_rshift_func_uint8_t_u_u(((l_34 = safe_mul_func_uint8_t_u_u(g_203[2] || g_57,
                                                                                                                                                                                                                                                                                                                                                                        g_1185)) | 6uL) >= l_2512[7],
                                                                                                                                                                                                                                                                                                                                     l_30)) || g_1707) ^ 0x7f37L)),
                                                                                                                                      l_2642[1][3][0]) >= g_283.f2)) > -1L && l_62,
                                                                                           5)) ^ l_2556.f2 | l_2[0][1];
                    }
                    if ((safe_sub_func_int8_t_s_s((g_152[0].f0 = safe_unary_minus_func_uint32_t_u(safe_mul_func_uint8_t_u_u((safe_unary_minus_func_uint32_t_u(0uL) & safe_div_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_s(safe_sub_func_int32_t_s_s(l_2549 <= safe_sub_func_uint8_t_u_u(g_2181 & 0xd8d2L,
                                                                                                                                                                                                                                                                                            safe_sub_func_uint8_t_u_u(safe_mul_func_int16_t_s_s(g_1185 |= 0x71f4L,
                                                                                                                                                                                                                                                                                                                                                safe_div_func_uint32_t_u_u(safe_add_func_int16_t_s_s(safe_rshift_func_uint8_t_u_s(++g_55[0][3],
                                                                                                                                                                                                                                                                                                                                                                                                                                  6),
                                                                                                                                                                                                                                                                                                                                                                                                     l_2548 <= safe_mod_func_int16_t_s_s(-6L || 0xf7L,
                                                                                                                                                                                                                                                                                                                                                                                                                                         safe_rshift_func_uint16_t_u_u(g_283.f4,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                       5))),
                                                                                                                                                                                                                                                                                                                                                                           l_2512[8])),
                                                                                                                                                                                                                                                                                                                      0x28L)),
                                                                                                                                                                                                                                                        g_407),
                                                                                                                                                                                                                              7),
                                                                                                                                                                                                l_2556.f2)) >= l_2667[6] && 0x5e7a6869L,
                                                                                                                            0L) & g_5[2] ^ g_203[0]) & -5L) < l_56[1][1][0],
                                                  0x96L) | 253uL) >= 0x6cL)
                    {
                        uint8_t l_2766 = 0x6eL;
                        l_2750 = g_152[0];
                        g_410 = safe_lshift_func_int16_t_s_u(g_407 < (safe_div_func_int16_t_s_s(++g_27 != (g_152[0].f4 = g_26 == (l_2667[6] || safe_div_func_uint16_t_u_u(safe_sub_func_int32_t_s_s(safe_div_func_uint8_t_u_u(~((g_466 |= safe_mul_func_int16_t_s_s(-2L,
                                                                                                                                                                                                                                                                    g_57 == (safe_add_func_int16_t_s_s((g_283.f0 ^= g_283.f1) || safe_div_func_int16_t_s_s(g_2432 || safe_rshift_func_int16_t_s_u(g_551 &= safe_div_func_uint32_t_u_u(safe_div_func_uint8_t_u_u(safe_rshift_func_int8_t_s_u(safe_div_func_uint16_t_u_u(safe_rshift_func_int16_t_s_s(safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              safe_add_func_uint8_t_u_u(l_34 = safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_s((l_2667[6] = safe_sub_func_uint32_t_u_u(0xe6b894d1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             g_59[8])) > 0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     l_2666),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        g_55[0][3]),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        l_2666)),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    13) && l_2664,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       l_2620),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            l_64),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                0x33L),
                                                                                                                                                                                                                                                                                                                                                                                                                                      0xd380f86cL),
                                                                                                                                                                                                                                                                                                                                                                                                  l_2[2][1]),
                                                                                                                                                                                                                                                                                                                                                           l_2666),
                                                                                                                                                                                                                                                                                                       g_283.f1) == l_2[8][0])) < l_2665) ^ g_152[0].f4),
                                                                                                                                                                                                                              l_33),
                                                                                                                                                                                                    -10L) ^ g_1356,
                                                                                                                                                                          g_152[0].f4) <= 0xdbf6ad88L > l_30) || l_2710),
                                                                                                g_69) & g_32 || g_407),
                                                             g_203[2]);
                        g_152[0] = func_129(l_2713 & ((g_80 = l_2751 = g_57) | g_22),
                                            l_2752,
                                            safe_mul_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(g_5[2] || g_55[0][3] > (0xe2L > safe_rshift_func_uint8_t_u_s(safe_lshift_func_int16_t_s_s((l_2765 &= 0xaedc22b6L < safe_rshift_func_uint8_t_u_u(((g_234 = safe_rshift_func_uint16_t_u_s(g_5[0] >= l_2715,
                                                                                                                                                                                                                                                                                         6)) && 0L) | -1L,
                                                                                                                                                                                                                                                 0) >= 1uL || 3L) ^ g_58,
                                                                                                                                                                                           1),
                                                                                                                                                              g_283.f4)) & 0xebL,
                                                                                                 0x902909fL),
                                                                      g_57),
                                            l_2766);
                        for (i = 0; i < 10; i++)
                            l_2667[i] = -6L;
                    }
                    else
                    {
                        int32_t l_2772 = 0xbe2e81b8L;
                        if (g_3)
                            ;
                        {
                            uint16_t l_30 = 0xf57bL;
                            int32_t l_33 = 0xb5fb49a5L;
                            uint32_t l_2550 = 0uL;
                            int32_t l_2665 = 0L;
                            int32_t l_2667[10];
                            int32_t l_2710 = -5L;
                            int32_t l_2716 = 0x454a6460L;
                            uint32_t l_2786[3][2][5] = { { { 1uL, 0uL, 1uL, 0uL, 1uL }, { 4294967293uL, 4294967293uL, 1uL, 1uL, 4294967293uL } }, { { 0x2c014413L, 0uL, 0x2c014413L, 0uL, 0x2c014413L }, { 4294967293uL, 1uL, 1uL, 4294967293uL, 4294967293uL } }, { { 1uL, 0uL, 1uL, 0uL, 1uL }, { 4294967293uL, 4294967293uL, 1uL, 1uL, 4294967293uL } } };
                            uint32_t l_2813[2];
                            int i, j, k;
                            for (i = 0; i < 10; i++)
                                l_2667[i] = -6L;
                            for (i = 0; i < 2; i++)
                                l_2813[i] = 0x4ce1558fL;
                            for (g_4[7][0][1] = 1; g_4[7][0][1] >= 0; g_4[7][0][1] -= 1)
                            {
                                int16_t l_12 = -1L;
                                uint32_t l_56[2][2][2] = { { { 0xbe5697a1L, 0xbe5697a1L }, { 0xbe5697a1L, 0xbe5697a1L } }, { { 0xbe5697a1L, 0xbe5697a1L }, { 0xbe5697a1L, 0xbe5697a1L } } };
                                int32_t l_62 = 1L;
                                int32_t l_63 = 0x6f270adfL;
                                int32_t l_64 = -1L;
                                int8_t l_2549 = 0x1aL;
                                struct S0 l_2556 = { 0xc7L, 0xceL, 0xd983b467L, -3L, 0uL };
                                uint16_t l_2649 = 1uL;
                                struct S0 l_2750 = { 4L, 0x7dL, 4294967294uL, 0xdeddd6a8L, 3uL };
                                int i, j, k;
                                for (g_5[2] = 1; g_5[2] >= 0; g_5[2] -= 1)
                                {
                                    uint32_t l_35 = 6uL;
                                    int32_t l_2513 = -1L;
                                    int8_t l_2552 = 4L;
                                    struct S0 l_2555 = { 5L, -4L, 4294967287uL, 0xa1966bb6L, 0x5237L };
                                    int i, j;
                                    l_34 = safe_sub_func_uint8_t_u_u(l_2[g_5[2] + 6][g_5[2]] ^ safe_rshift_func_int16_t_s_u(4294967286uL ^ (l_33 = g_32 ^= safe_mod_func_uint8_t_u_u(l_12 > func_13(g_4[3][3][1],
                                                                                                                                                                                                    func_17(g_5[2],
                                                                                                                                                                                                            g_5[2],
                                                                                                                                                                                                            g_4[2][3][1],
                                                                                                                                                                                                            g_4[7][0][1]),
                                                                                                                                                                                                    l_30),
                                                                                                                                                                                     l_30) == g_5[2]),
                                                                                                                            g_26),
                                                                     0xa2L);
                                    if (func_17(l_35 = l_2[g_5[2] + 6][g_5[2]],
                                                func_17(safe_lshift_func_int16_t_s_s(0xcd43L, 1),
                                                        g_5[2],
                                                        g_22 &= safe_lshift_func_int16_t_s_u(safe_rshift_func_uint8_t_u_s(l_2[9][1],
                                                                                                                          1),
                                                                                             0),
                                                        g_59[7] = safe_rshift_func_uint16_t_u_u(l_30 > (safe_rshift_func_int8_t_s_s((g_58 = g_57 = func_13(g_26 |= 5L,
                                                                                                                                                           l_12,
                                                                                                                                                           safe_unary_minus_func_int16_t_s(safe_rshift_func_int16_t_s_u(l_12,
                                                                                                                                                                                                                        func_13(g_55[0][3] |= safe_mul_func_uint16_t_u_u(safe_mul_func_uint16_t_u_u(g_32 = safe_mod_func_int32_t_s_s(0xf0L || 0x6L,
                                                                                                                                                                                                                                                                                                                                     0x8ca929efL),
                                                                                                                                                                                                                                                                                                    g_27) >= l_33 > l_33 & g_3,
                                                                                                                                                                                                                                                                         -4L),
                                                                                                                                                                                                                                g_4[4][0][1],
                                                                                                                                                                                                                                l_56[0][1][0])) >= g_5[2]))) < l_33,
                                                                                                                                    g_4[7][0][1]) || l_2[4][0]),
                                                                                                0)),
                                                l_2[g_5[2] + 6][g_5[2]],
                                                g_4[7][0][1]))
                                    {
                                        int32_t l_67 = 0L;
                                        int32_t l_68 = -10L;
                                        int32_t l_94 = 0xe1143771L;
                                        int8_t l_95 = 0x9aL;
                                        int8_t l_2486 = 0x28L;
                                        if (safe_lshift_func_uint16_t_u_s(l_67 = --g_59[8] <= g_55[0][3] < 65535uL,
                                                                          0))
                                        {
                                            int i, j;
                                            if (l_2[3][1])
                                                break;
                                            ++g_69;
                                            if (l_34)
                                                break;
                                            l_34 = func_72(func_76(l_2[g_5[2] + 6][g_5[2]],
                                                                   g_81[2] |= g_80 ^= g_32,
                                                                   safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_rshift_func_int8_t_s_u(g_59[7],
                                                                                                                                                   5),
                                                                                                                       safe_sub_func_int8_t_s_s(l_2[g_5[2] + 6][g_5[2]],
                                                                                                                                                safe_mul_func_uint16_t_u_u(safe_mod_func_int8_t_s_s(func_17(g_3,
                                                                                                                                                                                                            g_26,
                                                                                                                                                                                                            g_22,
                                                                                                                                                                                                            !(func_13(l_33 = l_68,
                                                                                                                                                                                                                      l_94 = g_23[2] | l_63,
                                                                                                                                                                                                                      g_58) < l_67 && l_2[3][0])),
                                                                                                                                                                                                    0xffL) == g_5[2],
                                                                                                                                                                           l_95))),
                                                                                              g_3) & l_2[g_5[2] + 1][g_4[7][0][1]]),
                                                           g_55[0][3],
                                                           g_4[7][0][1]) <= 0xb7L;
                                        }
                                        else
                                        {
                                            int8_t l_2469 = -1L;
                                            int32_t l_2487 = -9L;
                                            l_33 = l_2469 <= 0xa6511e7aL;
                                            l_2487 &= safe_lshift_func_uint16_t_u_s(safe_mul_func_int8_t_s_s(0xfcL,
                                                                                                             1L) <= (safe_mul_func_uint8_t_u_u(safe_div_func_int32_t_s_s((g_22 &= 0x2cL) | l_2469,
                                                                                                                                                                         g_81[2]),
                                                                                                                                               l_35 == safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(l_2[6][1],
                                                                                                                                                                                                              5),
                                                                                                                                                                                  (safe_add_func_int32_t_s_s(g_283.f0 >= safe_sub_func_int16_t_s_s(l_94 ^= (0x9820L & l_2486) <= g_1185,
                                                                                                                                                                                                                                                   l_62) ^ 4294967295uL,
                                                                                                                                                                                                             g_203[2]) != l_2469) <= l_30 == l_34) >= 0x9aebc7aaL) <= 0xbbb5L & l_68) >= 5uL,
                                                                                    3);
                                            l_2513 = (l_62 = g_23[1] > l_2469) <= (safe_add_func_uint16_t_u_u(0xa14fL ^ safe_add_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_add_func_int32_t_s_s(g_621[0][2][4],
                                                                                                                                                                                                      safe_lshift_func_int8_t_s_s(safe_add_func_uint8_t_u_u(safe_add_func_int8_t_s_s(safe_div_func_int32_t_s_s(1L && safe_mul_func_int8_t_s_s(safe_mod_func_int16_t_s_s(3L,
                                                                                                                                                                                                                                                                                                                                                                        g_283.f3) <= l_12,
                                                                                                                                                                                                                                                                                                                                              safe_mod_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u(g_69,
                                                                                                                                                                                                                                                                                                                                                                                                       1) > 65535uL || 0x1098286dL,
                                                                                                                                                                                                                                                                                                                                                                         l_67)) | l_68,
                                                                                                                                                                                                                                                                                                               4294967286uL),
                                                                                                                                                                                                                                                                                     l_2[2][0]) < 65530uL,
                                                                                                                                                                                                                                                            0x8aL),
                                                                                                                                                                                                                                  l_67) & g_58) != g_5[0],
                                                                                                                                                                            l_2487),
                                                                                                                                                   l_2512[8]),
                                                                                                              5uL) || 0x56e70e6bL);
                                            g_283.f3 = (g_234 = l_64 = safe_div_func_int32_t_s_s(g_2432 != (safe_rshift_func_uint16_t_u_s(l_2469 ^ safe_mul_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u((~safe_mul_func_int8_t_s_s(safe_add_func_int32_t_s_s((~(l_2[g_5[2] + 6][g_5[2]] < (l_30 == (l_2487 = (g_80 < (l_2513 > ((safe_mul_func_uint16_t_u_u(g_152[0].f2 != (g_973 ^ l_2486),
                                                                                                                                                                                                                                                                                                                                                             g_621[0][5][1]) && l_95) < l_2469)) & l_94) >= g_1917) != l_2469)) && l_35) <= g_55[0][3],
                                                                                                                                                                                                                                                              0xb5782f9cL) > 0L,
                                                                                                                                                                                                                                    1L) == 0x2a22L) > l_56[1][0][0],
                                                                                                                                                                                                         g_283.f4),
                                                                                                                                                                             0L),
                                                                                                                                          12) == 0L) >= 254uL,
                                                                                                 1uL)) <= l_95;
                                        }
                                        for (g_465 = 0; g_465 >= 7; ++g_465)
                                        {
                                            g_58 &= 0L;
                                        }
                                    }
                                    else
                                    {
                                        uint16_t l_2551 = 0x102dL;
                                        if ((safe_sub_func_uint8_t_u_u(+(safe_lshift_func_int16_t_s_u((safe_lshift_func_uint16_t_u_s(g_32 | +g_55[0][5] || 0uL > l_2512[8],
                                                                                                                                     safe_mod_func_uint8_t_u_u(safe_rshift_func_int8_t_s_s(0x23L,
                                                                                                                                                                                           3) != (l_33 = g_80 == (l_2548 = safe_lshift_func_uint8_t_u_u(l_30 ^ (((l_2549 = l_2[1][1] == (l_34 ^= safe_mul_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(l_2548 > l_2513,
                                                                                                                                                                                                                                                                                                                                                     g_2181),
                                                                                                                                                                                                                                                                                                                            g_283.f2))) || l_2512[8]) <= 0x821fba5cL == l_2550) < 0x4508L,
                                                                                                                                                                                                                                                        g_1185) >= 0x5508f496L <= g_203[1])),
                                                                                                                                                               l_2550)) == l_56[0][1][0] && 0xadL) ^ l_2[g_5[2] + 6][g_5[2]],
                                                                                                      14) | l_2551),
                                                                       g_23[2]) < g_203[2] || 0x7L) > 0xe8f1c92cL)
                                        {
                                            g_152[0] = func_76(l_2552, l_34, g_1917++);
                                        }
                                        else
                                        {
                                            if (g_152[0].f0)
                                                break;
                                            if (l_2551)
                                                break;
                                            return l_2555;
                                        }
                                        return g_152[0];
                                    }
                                    g_152[0] = g_283;
                                    for (g_234 = 0; g_234 <= 8; g_234 += 1)
                                    {
                                        for (g_1356 = 8; g_1356 >= 3; g_1356 -= 1)
                                        {
                                            g_58 ^= 5L;
                                            return l_2556;
                                        }
                                    }
                                }
                                if (l_33 || safe_mod_func_uint32_t_u_u(l_2549,
                                                                       g_410) | safe_mod_func_int8_t_s_s(safe_rshift_func_uint8_t_u_s(0xe9L,
                                                                                                                                      2) & (0xb3L ^ l_34),
                                                                                                         safe_mul_func_uint16_t_u_u(!l_2556.f1 ^ safe_sub_func_uint32_t_u_u(safe_mul_func_int16_t_s_s(l_34,
                                                                                                                                                                                                      safe_lshift_func_int16_t_s_s((l_33 & 255uL) <= 0x8ad0L,
                                                                                                                                                                                                                                   10) != l_30),
                                                                                                                                                                            l_64),
                                                                                                                                    g_214)))
                                {
                                    uint8_t l_2571 = 0xa3L;
                                    int32_t l_2595 = -1L;
                                    for (g_466 = 0; g_466 <= 7; g_466 += 1)
                                    {
                                        int i;
                                        if (l_2571 = g_5[g_3])
                                        {
                                            int32_t l_2594 = 1L;
                                            int i, j, k;
                                            g_2181 = safe_sub_func_int32_t_s_s(65530uL && l_56[g_3][g_4[7][0][1]][g_3],
                                                                               l_12);
                                            l_2548 |= g_59[7] == ((g_55[g_466][g_466] = 247uL) & safe_add_func_uint16_t_u_u(g_4[7][0][1] | (safe_sub_func_int16_t_s_s(g_283.f4,
                                                                                                                                                                      l_2512[6] ^ safe_add_func_int16_t_s_s(safe_mod_func_uint32_t_u_u(safe_add_func_int16_t_s_s(+((l_33 = g_551 ^= l_56[g_4[7][0][1]][g_3][g_3]++ & safe_add_func_int16_t_s_s(safe_mod_func_int16_t_s_s(g_80,
                                                                                                                                                                                                                                                                                                                                                                         g_465) > (g_152[0].f4 <= (safe_lshift_func_int8_t_s_s(safe_div_func_int16_t_s_s(g_214,
                                                                                                                                                                                                                                                                                                                                                                                                                                                         l_2594),
                                                                                                                                                                                                                                                                                                                                                                                                                               0) >= 0x1e91L) != 1L),
                                                                                                                                                                                                                                                                                                                                               l_2512[4])) <= 0uL) == 0xe85fL,
                                                                                                                                                                                                                                                                 g_283.f4),
                                                                                                                                                                                                                                       g_5[1]),
                                                                                                                                                                                                            l_2571) | 255uL && g_4[8][2][0]) < g_152[0].f2 == g_2432) <= g_407,
                                                                                                                            l_30) <= l_2550 ^ 0x3e9bc56L);
                                        }
                                        else
                                        {
                                            if (g_5[g_3])
                                                break;
                                            l_2595 = 1L;
                                        }
                                    }
                                }
                                else
                                {
                                    uint16_t l_2616 = 1uL;
                                    int32_t l_2617 = -1L;
                                    l_2617 |= (safe_lshift_func_uint8_t_u_s(g_55[0][3],
                                                                            6) >= ((safe_add_func_uint32_t_u_u(safe_sub_func_uint16_t_u_u(0x3991L,
                                                                                                                                          0x907dL) > ((-3L || safe_mod_func_uint8_t_u_u(safe_lshift_func_int16_t_s_u(safe_sub_func_int32_t_s_s(g_5[2] = l_2556.f3 = safe_lshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s(l_2512[8] & safe_sub_func_int8_t_s_s(-1L,
                                                                                                                                                                                                                                                                                                                                                                safe_rshift_func_uint16_t_u_s(l_2616,
                                                                                                                                                                                                                                                                                                                                                                                              l_2616)),
                                                                                                                                                                                                                                                                                                                           0x54c0L) != 4294967290uL,
                                                                                                                                                                                                                                                                                                 1),
                                                                                                                                                                                                                                               0x17a9ebd9L) < g_283.f0 <= l_2512[8],
                                                                                                                                                                                                                     g_152[0].f0),
                                                                                                                                                                                        0x8fL) == g_55[0][3]) >= g_23[2]),
                                                                                                               l_62) >= l_33 > l_2556.f4 || g_231) && g_55[2][2]) != l_56[0][0][1] ^ g_26) & 0xe8L;
                                }
                                if (safe_mod_func_uint16_t_u_u(~(g_152[0].f4 >= (5L != g_283.f1 != (l_33 = 0x57L))),
                                                               g_1707 && g_1477) < (0x1a0b5c90L > l_2620 ^ l_2550))
                                {
                                    uint16_t l_2631 = 0xda0eL;
                                    int32_t l_2635 = 0xf5206446L;
                                    g_152[1] = g_152[1];
                                    g_410 = safe_lshift_func_int8_t_s_u(g_27, 1);
                                    g_616[4] |= safe_mod_func_uint32_t_u_u(g_283.f2,
                                                                           safe_rshift_func_int8_t_s_s(~(l_2556.f4 < (!safe_div_func_uint32_t_u_u(safe_rshift_func_int8_t_s_u(0xd6L,
                                                                                                                                                                              (l_2631 ^ 65529uL) >= (safe_add_func_uint16_t_u_u(g_203[1],
                                                                                                                                                                                                                                safe_unary_minus_func_int32_t_s(g_5[2] |= 0x45b4L <= (l_2635 = g_32)) <= (--g_22 || safe_rshift_func_uint8_t_u_u(((l_34 = safe_mul_func_uint8_t_u_u(g_203[2] || g_57,
                                                                                                                                                                                                                                                                                                                                                                                    g_1185)) | 6uL) >= l_2512[7],
                                                                                                                                                                                                                                                                                                                                                 l_30)) || g_1707) ^ 0x7f37L)),
                                                                                                                                                  l_2642[1][3][0]) >= g_283.f2)) > -1L && l_62,
                                                                                                       5)) ^ l_2556.f2 | l_2[0][1];
                                }
                                else
                                {
                                    int16_t l_2664 = 1L;
                                    int32_t l_2666 = -9L;
                                    int32_t l_2713 = 0x8be2de62L;
                                    int32_t l_2714[9][4][7] = { { { 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L, -2L, 0x900c9695L }, { -4L, -4L, 0L, 1L, -9L, 0x74c2d1e6L, 0x900c9695L }, { -9L, 8L, 1L, -4L, 0x900c9695L, 0xfd0cba57L, 0xfd0cba57L }, { -9L, 0x38f21ce1L, 0x577bd099L, 0x38f21ce1L, -9L, -4L, -9L } }, { { 1L, 0L, 0x577bd099L, 8L, 0x38f21ce1L, 0xb4c3e57aL, 0xf133634eL }, { 8L, -2L, 1L, 0xb4c3e57aL, 0xb4c3e57aL, 8L, 0xf133634eL }, { 1L, -9L, -2L, 1L, 0xbdb86feeL, 8L, 0x577bd099L }, { 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL, 8L, 0x900c9695L, -9L, 0x900c9695L } }, { { 1L, 0x900c9695L, 0x900c9695L, 1L, 0L, 0x577bd099L, 8L }, { 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L, -4L }, { 8L, 0xfd0cba57L, 0x577bd099L, -9L, 0x577bd099L, 0xfd0cba57L, 8L }, { 0xbdb86feeL, -9L, 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L } }, { { 0x38f21ce1L, 0xf133634eL, -9L, 0x577bd099L, 1L, 1L, 0x577bd099L }, { 0xfd0cba57L, -2L, 0xfd0cba57L, 8L, 0L, 0x38f21ce1L, 0xf133634eL }, { 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L }, { 0x38f21ce1L, 0xbdb86feeL, 0x74c2d1e6L, 0x74c2d1e6L, 0xbdb86feeL, 0x38f21ce1L, 1L } }, { { 0xbdb86feeL, 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L }, { 8L, 0x38f21ce1L, 0xb4c3e57aL, 0xf133634eL, -4L, 0xf133634eL, 0xb4c3e57aL }, { 0x577bd099L, 0x577bd099L, -2L, 8L, 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL }, { 1L, 0xbdb86feeL, 8L, 0x577bd099L, 0xb4c3e57aL, 0L, 0L } }, { { 0x74c2d1e6L, -4L, 8L, -4L, 0x74c2d1e6L, 0x577bd099L, 1L }, { 1L, -2L, 8L, -9L, -4L, -9L, 0x38f21ce1L }, { -9L, 0xf133634eL, 8L, -9L, -9L, 8L, 0xf133634eL }, { 1L, -9L, -2L, 1L, 0xbdb86feeL, 8L, 0x577bd099L } }, { { 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL, 8L, 0x900c9695L, -9L, 0x900c9695L }, { 1L, 0x900c9695L, 0x900c9695L, 1L, 0L, 0x577bd099L, 8L }, { 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L, -4L }, { 8L, 0xfd0cba57L, 0x577bd099L, -9L, 0x577bd099L, 0xfd0cba57L, 8L } }, { { 0xbdb86feeL, -9L, 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L }, { 0x38f21ce1L, 0xf133634eL, -9L, 0x577bd099L, 1L, 1L, 0x577bd099L }, { 0xfd0cba57L, -2L, 0xfd0cba57L, 8L, 0L, 0x38f21ce1L, 0xf133634eL }, { 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L } }, { { 0x38f21ce1L, 0xbdb86feeL, 0x74c2d1e6L, 0x74c2d1e6L, 0xbdb86feeL, 0x38f21ce1L, 1L }, { 0x900c9695L, 8L, 0xb4c3e57aL, 0xfd0cba57L, 0x74c2d1e6L, 8L, -2L }, { -9L, -4L, -9L, 0x38f21ce1L, 0x577bd099L, 0x38f21ce1L, -9L }, { 8L, 8L, 0xf133634eL, 0xbdb86feeL, 0xfd0cba57L, 0L, -9L } } };
                                    struct S0 l_2752 = { 0x70L, -5L, 0x75335be2L, 0xea5bcf78L, 0xcfeL };
                                    int i, j, k;
                                    l_2667[6] ^= safe_add_func_int16_t_s_s((5L & safe_add_func_int8_t_s_s(l_2550 <= (g_283.f1 = safe_add_func_int32_t_s_s(g_410 = ~((l_2649 = l_2556.f0) <= ((l_34 = safe_mul_func_int8_t_s_s(safe_lshift_func_uint16_t_u_s(g_1477 != 0xcc5416e9L >= ((l_2666 |= safe_rshift_func_uint16_t_u_s(((l_2665 |= safe_mod_func_int8_t_s_s(1uL <= g_976,
                                                                                                                                                                                                                                                                                                                                                                    safe_sub_func_uint8_t_u_u((safe_rshift_func_int16_t_s_s(0xb108adecL == 0xfbcaL < l_33 != g_283.f1 & l_2549,
                                                                                                                                                                                                                                                                                                                                                                                                                            l_56[1][0][1]) && g_3) ^ l_56[0][1][0],
                                                                                                                                                                                                                                                                                                                                                                                              l_2664))) < l_2664 || 0xd27e149aL) >= l_63,
                                                                                                                                                                                                                                                                                                                               l_2[9][0])) != 0x3934d295L) < 0L,
                                                                                                                                                                                                                                                            12),
                                                                                                                                                                                                                              g_27)) <= 0x3c2bL && g_2181)),
                                                                                                                                                          l_2556.f1)),
                                                                                                          g_5[1])) < l_2642[3][2][1],
                                                                           g_277) < l_2556.f1;
                                    g_410 = safe_lshift_func_int16_t_s_u(g_407 < (safe_div_func_int16_t_s_s(++g_27 != (g_152[0].f4 = g_26 == (l_2667[6] || safe_div_func_uint16_t_u_u(safe_sub_func_int32_t_s_s(safe_div_func_uint8_t_u_u(~((g_466 |= safe_mul_func_int16_t_s_s(-2L,
                                                                                                                                                                                                                                                                                g_57 == (safe_add_func_int16_t_s_s((g_283.f0 ^= g_283.f1) || safe_div_func_int16_t_s_s(g_2432 || safe_rshift_func_int16_t_s_u(g_551 &= safe_div_func_uint32_t_u_u(safe_div_func_uint8_t_u_u(safe_rshift_func_int8_t_s_u(safe_div_func_uint16_t_u_u(safe_rshift_func_int16_t_s_s(safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          safe_add_func_uint8_t_u_u(l_34 = safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_s((l_2667[6] = safe_sub_func_uint32_t_u_u(0xe6b894d1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         g_59[8])) > 0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 l_2666),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    g_55[0][3]),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    l_2666)),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                13) && l_2664,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   l_2620),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        l_64),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            0x33L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                  0xd380f86cL),
                                                                                                                                                                                                                                                                                                                                                                                                              l_2[2][1]),
                                                                                                                                                                                                                                                                                                                                                                       l_2666),
                                                                                                                                                                                                                                                                                                                   g_283.f1) == l_2[8][0])) < l_2665) ^ g_152[0].f4),
                                                                                                                                                                                                                                          l_33),
                                                                                                                                                                                                                -10L) ^ g_1356,
                                                                                                                                                                                      g_152[0].f4) <= 0xdbf6ad88L > l_30) || l_2710),
                                                                                                            g_69) & g_32 || g_407),
                                                                         g_203[2]);
                                    if (l_30)
                                        continue;
                                    for (g_283.f3 = 22; g_283.f3 <= 26; g_283.f3 = safe_add_func_int16_t_s_s(g_283.f3,
                                                                                                             7))
                                    {
                                        uint32_t l_2717 = 4294967287uL;
                                        int32_t l_2751 = 0x816a1d2L;
                                        int32_t l_2765 = 0x6072443aL;
                                        uint8_t l_2785 = 255uL;
                                        l_2717++;
                                        if ((safe_sub_func_int8_t_s_s((g_152[0].f0 = safe_unary_minus_func_uint32_t_u(safe_mul_func_uint8_t_u_u((safe_unary_minus_func_uint32_t_u(0uL) & safe_div_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_s(safe_sub_func_int32_t_s_s(l_2549 <= safe_sub_func_uint8_t_u_u(g_2181 & 0xd8d2L,
                                                                                                                                                                                                                                                                                                                safe_sub_func_uint8_t_u_u(safe_mul_func_int16_t_s_s(g_1185 |= 0x71f4L,
                                                                                                                                                                                                                                                                                                                                                                    safe_div_func_uint32_t_u_u(safe_add_func_int16_t_s_s(safe_rshift_func_uint8_t_u_s(++g_55[0][3],
                                                                                                                                                                                                                                                                                                                                                                                                                                                      6),
                                                                                                                                                                                                                                                                                                                                                                                                                         l_2548 <= safe_mod_func_int16_t_s_s(-6L || 0xf7L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                             safe_rshift_func_uint16_t_u_u(g_283.f4,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           5))),
                                                                                                                                                                                                                                                                                                                                                                                               l_2512[8])),
                                                                                                                                                                                                                                                                                                                                          0x28L)),
                                                                                                                                                                                                                                                                            g_407),
                                                                                                                                                                                                                                                  7),
                                                                                                                                                                                                                    l_2556.f2)) >= l_2667[6] && 0x5e7a6869L,
                                                                                                                                                0L) & g_5[2] ^ g_203[0]) & -5L) < l_56[1][1][0],
                                                                      0x96L) | 253uL) >= 0x6cL)
                                        {
                                            uint8_t l_2766 = 0x6eL;
                                            l_2750 = g_152[0];
                                            g_152[0] = func_129(l_2713 & ((g_80 = l_2751 = g_57) | g_22),
                                                                l_2752,
                                                                safe_mul_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(g_5[2] || g_55[0][3] > (0xe2L > safe_rshift_func_uint8_t_u_s(safe_lshift_func_int16_t_s_s((l_2765 &= 0xaedc22b6L < safe_rshift_func_uint8_t_u_u(((g_234 = safe_rshift_func_uint16_t_u_s(g_5[0] >= l_2715,
                                                                                                                                                                                                                                                                                                             6)) && 0L) | -1L,
                                                                                                                                                                                                                                                                     0) >= 1uL || 3L) ^ g_58,
                                                                                                                                                                                                               1),
                                                                                                                                                                                  g_283.f4)) & 0xebL,
                                                                                                                     0x902909fL),
                                                                                          g_57),
                                                                l_2766);
                                        }
                                        else
                                        {
                                            int32_t l_2772 = 0xbe2e81b8L;
                                            if (g_3)
                                                break;
                                            g_152[0].f3 = safe_unary_minus_func_uint32_t_u(g_152[0].f2);
                                            if (g_621[0][2][4])
                                                break;
                                            l_2785 &= l_2713 = safe_sub_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u((l_2772 = 0x667f620bL) & (l_2642[0][2][1] ^ ((l_2716 = l_2548) && 0x3cL)),
                                                                                                                    safe_mul_func_int16_t_s_s(safe_add_func_int32_t_s_s(0x6de4L & 0x34f9L | (g_277 ^= safe_sub_func_int32_t_s_s(safe_mul_func_int8_t_s_s(safe_div_func_uint16_t_u_u(((g_23[2] && l_33) ^ safe_add_func_uint16_t_u_u(g_616[3],
                                                                                                                                                                                                                                                                                                                                    g_283.f4) <= l_2751 | g_59[1]) >= 4294967287uL,
                                                                                                                                                                                                                                                                                    g_55[6][0]),
                                                                                                                                                                                                                                                         g_1185),
                                                                                                                                                                                                                                g_203[2])),
                                                                                                                                                                        l_2[8][0]),
                                                                                                                                              l_12)),
                                                                                          0x32ebL) >= g_283.f1 ^ 0x36L;
                                        }
                                        l_2765 = 0L;
                                    }
                                }
                            }
                            l_2786[0][1][4]++;
                            l_2665 |= safe_rshift_func_int16_t_s_u(safe_mod_func_uint8_t_u_u(l_2550,
                                                                                             l_2715 = l_2512[8]),
                                                                   1) & safe_mod_func_uint8_t_u_u((g_283.f0 & (safe_div_func_int32_t_s_s(g_4[7][0][1] = -1L != ~(safe_rshift_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(safe_sub_func_int8_t_s_s((l_2548 &= g_69) > l_2642[0][3][1],
                                                                                                                                                                                                                                                   g_976) && safe_mod_func_uint8_t_u_u(safe_div_func_uint16_t_u_u(safe_add_func_int32_t_s_s(l_2548 = 0x39f437a5L,
                                                                                                                                                                                                                                                                                                                                            safe_sub_func_int8_t_s_s(safe_sub_func_uint16_t_u_u(l_2642[1][3][0] & g_621[1][4][3] && l_2716,
                                                                                                                                                                                                                                                                                                                                                                                                0x2c88L),
                                                                                                                                                                                                                                                                                                                                                                     l_2642[1][3][0])),
                                                                                                                                                                                                                                                                                                                  l_2642[1][2][2]) & l_2[5][1] ^ l_2642[1][3][0],
                                                                                                                                                                                                                                                                                       l_2786[1][1][1]) == 0x41c0b4afL,
                                                                                                                                                                                                                          0x61601a4cL) < g_26 >= l_2[3][1],
                                                                                                                                                                                               11) <= -5L),
                                                                                                                                         0x7eafb810L) | g_22)) <= l_2813[0],
                                                                                                  g_973);
                            for (g_57 = 1; g_57 >= 0; g_57 -= 1)
                            {
                                struct S0 l_2814 = { 0x73L, 8L, 1uL, 0x3e2ea3c6L, 0xbdadL };
                                int i, j;
                                l_33 = l_2[g_57 + 8][g_3];
                                g_283.f3 = l_2[g_3 + 6][g_57];
                                return l_2814;
                            }
                        }
                        {
                            int16_t l_12 = -1L;
                            uint32_t l_56[2][2][2] = { { { 0xbe5697a1L, 0xbe5697a1L }, { 0xbe5697a1L, 0xbe5697a1L } }, { { 0xbe5697a1L, 0xbe5697a1L }, { 0xbe5697a1L, 0xbe5697a1L } } };
                            int32_t l_62 = 1L;
                            int32_t l_63 = 0x6f270adfL;
                            int32_t l_64 = -1L;
                            int8_t l_2549 = 0x1aL;
                            struct S0 l_2556 = { 0xc7L, 0xceL, 0xd983b467L, -3L, 0uL };
                            uint16_t l_2649 = 1uL;
                            struct S0 l_2750 = { 4L, 0x7dL, 4294967294uL, 0xdeddd6a8L, 3uL };
                            int i, j, k;
                            for (g_5[2] = 1; g_5[2] >= 0; g_5[2] -= 1)
                            {
                                uint32_t l_35 = 6uL;
                                int32_t l_2513 = -1L;
                                int8_t l_2552 = 4L;
                                struct S0 l_2555 = { 5L, -4L, 4294967287uL, 0xa1966bb6L, 0x5237L };
                                int i, j;
                                l_34 = safe_sub_func_uint8_t_u_u(l_2[g_5[2] + 6][g_5[2]] ^ safe_rshift_func_int16_t_s_u(4294967286uL ^ (l_33 = g_32 ^= safe_mod_func_uint8_t_u_u(l_12 > func_13(g_4[3][3][1],
                                                                                                                                                                                                func_17(g_5[2],
                                                                                                                                                                                                        g_5[2],
                                                                                                                                                                                                        g_4[2][3][1],
                                                                                                                                                                                                        g_4[7][0][1]),
                                                                                                                                                                                                l_30),
                                                                                                                                                                                 l_30) == g_5[2]),
                                                                                                                        g_26),
                                                                 0xa2L);
                                if (func_17(l_35 = l_2[g_5[2] + 6][g_5[2]],
                                            func_17(safe_lshift_func_int16_t_s_s(0xcd43L, 1),
                                                    g_5[2],
                                                    g_22 &= safe_lshift_func_int16_t_s_u(safe_rshift_func_uint8_t_u_s(l_2[9][1],
                                                                                                                      1),
                                                                                         0),
                                                    g_59[7] = safe_rshift_func_uint16_t_u_u(l_30 > (safe_rshift_func_int8_t_s_s((g_58 = g_57 = func_13(g_26 |= 5L,
                                                                                                                                                       l_12,
                                                                                                                                                       safe_unary_minus_func_int16_t_s(safe_rshift_func_int16_t_s_u(l_12,
                                                                                                                                                                                                                    func_13(g_55[0][3] |= safe_mul_func_uint16_t_u_u(safe_mul_func_uint16_t_u_u(g_32 = safe_mod_func_int32_t_s_s(0xf0L || 0x6L,
                                                                                                                                                                                                                                                                                                                                 0x8ca929efL),
                                                                                                                                                                                                                                                                                                g_27) >= l_33 > l_33 & g_3,
                                                                                                                                                                                                                                                                     -4L),
                                                                                                                                                                                                                            g_4[4][0][1],
                                                                                                                                                                                                                            l_56[0][1][0])) >= g_5[2]))) < l_33,
                                                                                                                                g_4[7][0][1]) || l_2[4][0]),
                                                                                            0)),
                                            l_2[g_5[2] + 6][g_5[2]],
                                            g_4[7][0][1]))
                                {
                                    int32_t l_67 = 0L;
                                    int32_t l_68 = -10L;
                                    int32_t l_94 = 0xe1143771L;
                                    int8_t l_95 = 0x9aL;
                                    int8_t l_2486 = 0x28L;
                                    if (safe_lshift_func_uint16_t_u_s(l_67 = --g_59[8] <= g_55[0][3] < 65535uL,
                                                                      0))
                                    {
                                        int i, j;
                                        if (l_2[3][1])
                                            break;
                                        ++g_69;
                                        if (l_34)
                                            break;
                                        l_34 = func_72(func_76(l_2[g_5[2] + 6][g_5[2]],
                                                               g_81[2] |= g_80 ^= g_32,
                                                               safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_rshift_func_int8_t_s_u(g_59[7],
                                                                                                                                               5),
                                                                                                                   safe_sub_func_int8_t_s_s(l_2[g_5[2] + 6][g_5[2]],
                                                                                                                                            safe_mul_func_uint16_t_u_u(safe_mod_func_int8_t_s_s(func_17(g_3,
                                                                                                                                                                                                        g_26,
                                                                                                                                                                                                        g_22,
                                                                                                                                                                                                        !(func_13(l_33 = l_68,
                                                                                                                                                                                                                  l_94 = g_23[2] | l_63,
                                                                                                                                                                                                                  g_58) < l_67 && l_2[3][0])),
                                                                                                                                                                                                0xffL) == g_5[2],
                                                                                                                                                                       l_95))),
                                                                                          g_3) & l_2[g_5[2] + 1][g_4[7][0][1]]),
                                                       g_55[0][3],
                                                       g_4[7][0][1]) <= 0xb7L;
                                    }
                                    else
                                    {
                                        int8_t l_2469 = -1L;
                                        int32_t l_2487 = -9L;
                                        l_33 = l_2469 <= 0xa6511e7aL;
                                        l_2487 &= safe_lshift_func_uint16_t_u_s(safe_mul_func_int8_t_s_s(0xfcL,
                                                                                                         1L) <= (safe_mul_func_uint8_t_u_u(safe_div_func_int32_t_s_s((g_22 &= 0x2cL) | l_2469,
                                                                                                                                                                     g_81[2]),
                                                                                                                                           l_35 == safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(l_2[6][1],
                                                                                                                                                                                                          5),
                                                                                                                                                                              (safe_add_func_int32_t_s_s(g_283.f0 >= safe_sub_func_int16_t_s_s(l_94 ^= (0x9820L & l_2486) <= g_1185,
                                                                                                                                                                                                                                               l_62) ^ 4294967295uL,
                                                                                                                                                                                                         g_203[2]) != l_2469) <= l_30 == l_34) >= 0x9aebc7aaL) <= 0xbbb5L & l_68) >= 5uL,
                                                                                3);
                                        l_2513 = (l_62 = g_23[1] > l_2469) <= (safe_add_func_uint16_t_u_u(0xa14fL ^ safe_add_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_add_func_int32_t_s_s(g_621[0][2][4],
                                                                                                                                                                                                  safe_lshift_func_int8_t_s_s(safe_add_func_uint8_t_u_u(safe_add_func_int8_t_s_s(safe_div_func_int32_t_s_s(1L && safe_mul_func_int8_t_s_s(safe_mod_func_int16_t_s_s(3L,
                                                                                                                                                                                                                                                                                                                                                                    g_283.f3) <= l_12,
                                                                                                                                                                                                                                                                                                                                          safe_mod_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u(g_69,
                                                                                                                                                                                                                                                                                                                                                                                                   1) > 65535uL || 0x1098286dL,
                                                                                                                                                                                                                                                                                                                                                                     l_67)) | l_68,
                                                                                                                                                                                                                                                                                                           4294967286uL),
                                                                                                                                                                                                                                                                                 l_2[2][0]) < 65530uL,
                                                                                                                                                                                                                                                        0x8aL),
                                                                                                                                                                                                                              l_67) & g_58) != g_5[0],
                                                                                                                                                                        l_2487),
                                                                                                                                               l_2512[8]),
                                                                                                          5uL) || 0x56e70e6bL);
                                        g_283.f3 = (g_234 = l_64 = safe_div_func_int32_t_s_s(g_2432 != (safe_rshift_func_uint16_t_u_s(l_2469 ^ safe_mul_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u((~safe_mul_func_int8_t_s_s(safe_add_func_int32_t_s_s((~(l_2[g_5[2] + 6][g_5[2]] < (l_30 == (l_2487 = (g_80 < (l_2513 > ((safe_mul_func_uint16_t_u_u(g_152[0].f2 != (g_973 ^ l_2486),
                                                                                                                                                                                                                                                                                                                                                         g_621[0][5][1]) && l_95) < l_2469)) & l_94) >= g_1917) != l_2469)) && l_35) <= g_55[0][3],
                                                                                                                                                                                                                                                          0xb5782f9cL) > 0L,
                                                                                                                                                                                                                                1L) == 0x2a22L) > l_56[1][0][0],
                                                                                                                                                                                                     g_283.f4),
                                                                                                                                                                         0L),
                                                                                                                                      12) == 0L) >= 254uL,
                                                                                             1uL)) <= l_95;
                                    }
                                    for (g_465 = 0; g_465 >= 7; ++g_465)
                                    {
                                        g_58 &= 0L;
                                    }
                                }
                                else
                                {
                                    uint16_t l_2551 = 0x102dL;
                                    if ((safe_sub_func_uint8_t_u_u(+(safe_lshift_func_int16_t_s_u((safe_lshift_func_uint16_t_u_s(g_32 | +g_55[0][5] || 0uL > l_2512[8],
                                                                                                                                 safe_mod_func_uint8_t_u_u(safe_rshift_func_int8_t_s_s(0x23L,
                                                                                                                                                                                       3) != (l_33 = g_80 == (l_2548 = safe_lshift_func_uint8_t_u_u(l_30 ^ (((l_2549 = l_2[1][1] == (l_34 ^= safe_mul_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(l_2548 > l_2513,
                                                                                                                                                                                                                                                                                                                                                 g_2181),
                                                                                                                                                                                                                                                                                                                        g_283.f2))) || l_2512[8]) <= 0x821fba5cL == l_2550) < 0x4508L,
                                                                                                                                                                                                                                                    g_1185) >= 0x5508f496L <= g_203[1])),
                                                                                                                                                           l_2550)) == l_56[0][1][0] && 0xadL) ^ l_2[g_5[2] + 6][g_5[2]],
                                                                                                  14) | l_2551),
                                                                   g_23[2]) < g_203[2] || 0x7L) > 0xe8f1c92cL)
                                    {
                                        g_152[0] = func_76(l_2552, l_34, g_1917++);
                                    }
                                    else
                                    {
                                        if (g_152[0].f0)
                                            break;
                                        if (l_2551)
                                            break;
                                        return l_2555;
                                    }
                                    return g_152[0];
                                }
                                g_152[0] = g_283;
                                for (g_234 = 0; g_234 <= 8; g_234 += 1)
                                {
                                    for (g_1356 = 8; g_1356 >= 3; g_1356 -= 1)
                                    {
                                        g_58 ^= 5L;
                                        return l_2556;
                                    }
                                }
                            }
                            if (l_33 || safe_mod_func_uint32_t_u_u(l_2549,
                                                                   g_410) | safe_mod_func_int8_t_s_s(safe_rshift_func_uint8_t_u_s(0xe9L,
                                                                                                                                  2) & (0xb3L ^ l_34),
                                                                                                     safe_mul_func_uint16_t_u_u(!l_2556.f1 ^ safe_sub_func_uint32_t_u_u(safe_mul_func_int16_t_s_s(l_34,
                                                                                                                                                                                                  safe_lshift_func_int16_t_s_s((l_33 & 255uL) <= 0x8ad0L,
                                                                                                                                                                                                                               10) != l_30),
                                                                                                                                                                        l_64),
                                                                                                                                g_214)))
                            {
                                uint8_t l_2571 = 0xa3L;
                                int32_t l_2595 = -1L;
                                for (g_466 = 0; g_466 <= 7; g_466 += 1)
                                {
                                    int i;
                                    if (l_2571 = g_5[g_3])
                                    {
                                        int32_t l_2594 = 1L;
                                        int i, j, k;
                                        g_2181 = safe_sub_func_int32_t_s_s(65530uL && l_56[g_3][g_4[7][0][1]][g_3],
                                                                           l_12);
                                        l_2548 |= g_59[7] == ((g_55[g_466][g_466] = 247uL) & safe_add_func_uint16_t_u_u(g_4[7][0][1] | (safe_sub_func_int16_t_s_s(g_283.f4,
                                                                                                                                                                  l_2512[6] ^ safe_add_func_int16_t_s_s(safe_mod_func_uint32_t_u_u(safe_add_func_int16_t_s_s(+((l_33 = g_551 ^= l_56[g_4[7][0][1]][g_3][g_3]++ & safe_add_func_int16_t_s_s(safe_mod_func_int16_t_s_s(g_80,
                                                                                                                                                                                                                                                                                                                                                                     g_465) > (g_152[0].f4 <= (safe_lshift_func_int8_t_s_s(safe_div_func_int16_t_s_s(g_214,
                                                                                                                                                                                                                                                                                                                                                                                                                                                     l_2594),
                                                                                                                                                                                                                                                                                                                                                                                                                           0) >= 0x1e91L) != 1L),
                                                                                                                                                                                                                                                                                                                                           l_2512[4])) <= 0uL) == 0xe85fL,
                                                                                                                                                                                                                                                             g_283.f4),
                                                                                                                                                                                                                                   g_5[1]),
                                                                                                                                                                                                        l_2571) | 255uL && g_4[8][2][0]) < g_152[0].f2 == g_2432) <= g_407,
                                                                                                                        l_30) <= l_2550 ^ 0x3e9bc56L);
                                    }
                                    else
                                    {
                                        if (g_5[g_3])
                                            break;
                                        l_2595 = 1L;
                                    }
                                }
                            }
                            else
                            {
                                uint16_t l_2616 = 1uL;
                                int32_t l_2617 = -1L;
                                l_2617 |= (safe_lshift_func_uint8_t_u_s(g_55[0][3],
                                                                        6) >= ((safe_add_func_uint32_t_u_u(safe_sub_func_uint16_t_u_u(0x3991L,
                                                                                                                                      0x907dL) > ((-3L || safe_mod_func_uint8_t_u_u(safe_lshift_func_int16_t_s_u(safe_sub_func_int32_t_s_s(g_5[2] = l_2556.f3 = safe_lshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s(l_2512[8] & safe_sub_func_int8_t_s_s(-1L,
                                                                                                                                                                                                                                                                                                                                                            safe_rshift_func_uint16_t_u_s(l_2616,
                                                                                                                                                                                                                                                                                                                                                                                          l_2616)),
                                                                                                                                                                                                                                                                                                                       0x54c0L) != 4294967290uL,
                                                                                                                                                                                                                                                                                             1),
                                                                                                                                                                                                                                           0x17a9ebd9L) < g_283.f0 <= l_2512[8],
                                                                                                                                                                                                                 g_152[0].f0),
                                                                                                                                                                                    0x8fL) == g_55[0][3]) >= g_23[2]),
                                                                                                           l_62) >= l_33 > l_2556.f4 || g_231) && g_55[2][2]) != l_56[0][0][1] ^ g_26) & 0xe8L;
                            }
                            if (safe_mod_func_uint16_t_u_u(~(g_152[0].f4 >= (5L != g_283.f1 != (l_33 = 0x57L))),
                                                           g_1707 && g_1477) < (0x1a0b5c90L > l_2620 ^ l_2550))
                            {
                                uint16_t l_2631 = 0xda0eL;
                                int32_t l_2635 = 0xf5206446L;
                                g_152[1] = g_152[1];
                                g_410 = safe_lshift_func_int8_t_s_u(g_27, 1);
                                g_616[4] |= safe_mod_func_uint32_t_u_u(g_283.f2,
                                                                       safe_rshift_func_int8_t_s_s(~(l_2556.f4 < (!safe_div_func_uint32_t_u_u(safe_rshift_func_int8_t_s_u(0xd6L,
                                                                                                                                                                          (l_2631 ^ 65529uL) >= (safe_add_func_uint16_t_u_u(g_203[1],
                                                                                                                                                                                                                            safe_unary_minus_func_int32_t_s(g_5[2] |= 0x45b4L <= (l_2635 = g_32)) <= (--g_22 || safe_rshift_func_uint8_t_u_u(((l_34 = safe_mul_func_uint8_t_u_u(g_203[2] || g_57,
                                                                                                                                                                                                                                                                                                                                                                                g_1185)) | 6uL) >= l_2512[7],
                                                                                                                                                                                                                                                                                                                                             l_30)) || g_1707) ^ 0x7f37L)),
                                                                                                                                              l_2642[1][3][0]) >= g_283.f2)) > -1L && l_62,
                                                                                                   5)) ^ l_2556.f2 | l_2[0][1];
                            }
                            else
                            {
                                int16_t l_2664 = 1L;
                                int32_t l_2666 = -9L;
                                int32_t l_2713 = 0x8be2de62L;
                                int32_t l_2714[9][4][7] = { { { 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L, -2L, 0x900c9695L }, { -4L, -4L, 0L, 1L, -9L, 0x74c2d1e6L, 0x900c9695L }, { -9L, 8L, 1L, -4L, 0x900c9695L, 0xfd0cba57L, 0xfd0cba57L }, { -9L, 0x38f21ce1L, 0x577bd099L, 0x38f21ce1L, -9L, -4L, -9L } }, { { 1L, 0L, 0x577bd099L, 8L, 0x38f21ce1L, 0xb4c3e57aL, 0xf133634eL }, { 8L, -2L, 1L, 0xb4c3e57aL, 0xb4c3e57aL, 8L, 0xf133634eL }, { 1L, -9L, -2L, 1L, 0xbdb86feeL, 8L, 0x577bd099L }, { 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL, 8L, 0x900c9695L, -9L, 0x900c9695L } }, { { 1L, 0x900c9695L, 0x900c9695L, 1L, 0L, 0x577bd099L, 8L }, { 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L, -4L }, { 8L, 0xfd0cba57L, 0x577bd099L, -9L, 0x577bd099L, 0xfd0cba57L, 8L }, { 0xbdb86feeL, -9L, 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L } }, { { 0x38f21ce1L, 0xf133634eL, -9L, 0x577bd099L, 1L, 1L, 0x577bd099L }, { 0xfd0cba57L, -2L, 0xfd0cba57L, 8L, 0L, 0x38f21ce1L, 0xf133634eL }, { 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L }, { 0x38f21ce1L, 0xbdb86feeL, 0x74c2d1e6L, 0x74c2d1e6L, 0xbdb86feeL, 0x38f21ce1L, 1L } }, { { 0xbdb86feeL, 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L }, { 8L, 0x38f21ce1L, 0xb4c3e57aL, 0xf133634eL, -4L, 0xf133634eL, 0xb4c3e57aL }, { 0x577bd099L, 0x577bd099L, -2L, 8L, 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL }, { 1L, 0xbdb86feeL, 8L, 0x577bd099L, 0xb4c3e57aL, 0L, 0L } }, { { 0x74c2d1e6L, -4L, 8L, -4L, 0x74c2d1e6L, 0x577bd099L, 1L }, { 1L, -2L, 8L, -9L, -4L, -9L, 0x38f21ce1L }, { -9L, 0xf133634eL, 8L, -9L, -9L, 8L, 0xf133634eL }, { 1L, -9L, -2L, 1L, 0xbdb86feeL, 8L, 0x577bd099L } }, { { 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL, 8L, 0x900c9695L, -9L, 0x900c9695L }, { 1L, 0x900c9695L, 0x900c9695L, 1L, 0L, 0x577bd099L, 8L }, { 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L, -4L }, { 8L, 0xfd0cba57L, 0x577bd099L, -9L, 0x577bd099L, 0xfd0cba57L, 8L } }, { { 0xbdb86feeL, -9L, 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L }, { 0x38f21ce1L, 0xf133634eL, -9L, 0x577bd099L, 1L, 1L, 0x577bd099L }, { 0xfd0cba57L, -2L, 0xfd0cba57L, 8L, 0L, 0x38f21ce1L, 0xf133634eL }, { 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L } }, { { 0x38f21ce1L, 0xbdb86feeL, 0x74c2d1e6L, 0x74c2d1e6L, 0xbdb86feeL, 0x38f21ce1L, 1L }, { 0x900c9695L, 8L, 0xb4c3e57aL, 0xfd0cba57L, 0x74c2d1e6L, 8L, -2L }, { -9L, -4L, -9L, 0x38f21ce1L, 0x577bd099L, 0x38f21ce1L, -9L }, { 8L, 8L, 0xf133634eL, 0xbdb86feeL, 0xfd0cba57L, 0L, -9L } } };
                                struct S0 l_2752 = { 0x70L, -5L, 0x75335be2L, 0xea5bcf78L, 0xcfeL };
                                int i, j, k;
                                l_2667[6] ^= safe_add_func_int16_t_s_s((5L & safe_add_func_int8_t_s_s(l_2550 <= (g_283.f1 = safe_add_func_int32_t_s_s(g_410 = ~((l_2649 = l_2556.f0) <= ((l_34 = safe_mul_func_int8_t_s_s(safe_lshift_func_uint16_t_u_s(g_1477 != 0xcc5416e9L >= ((l_2666 |= safe_rshift_func_uint16_t_u_s(((l_2665 |= safe_mod_func_int8_t_s_s(1uL <= g_976,
                                                                                                                                                                                                                                                                                                                                                                safe_sub_func_uint8_t_u_u((safe_rshift_func_int16_t_s_s(0xb108adecL == 0xfbcaL < l_33 != g_283.f1 & l_2549,
                                                                                                                                                                                                                                                                                                                                                                                                                        l_56[1][0][1]) && g_3) ^ l_56[0][1][0],
                                                                                                                                                                                                                                                                                                                                                                                          l_2664))) < l_2664 || 0xd27e149aL) >= l_63,
                                                                                                                                                                                                                                                                                                                           l_2[9][0])) != 0x3934d295L) < 0L,
                                                                                                                                                                                                                                                        12),
                                                                                                                                                                                                                          g_27)) <= 0x3c2bL && g_2181)),
                                                                                                                                                      l_2556.f1)),
                                                                                                      g_5[1])) < l_2642[3][2][1],
                                                                       g_277) < l_2556.f1;
                                g_410 = safe_lshift_func_int16_t_s_u(g_407 < (safe_div_func_int16_t_s_s(++g_27 != (g_152[0].f4 = g_26 == (l_2667[6] || safe_div_func_uint16_t_u_u(safe_sub_func_int32_t_s_s(safe_div_func_uint8_t_u_u(~((g_466 |= safe_mul_func_int16_t_s_s(-2L,
                                                                                                                                                                                                                                                                            g_57 == (safe_add_func_int16_t_s_s((g_283.f0 ^= g_283.f1) || safe_div_func_int16_t_s_s(g_2432 || safe_rshift_func_int16_t_s_u(g_551 &= safe_div_func_uint32_t_u_u(safe_div_func_uint8_t_u_u(safe_rshift_func_int8_t_s_u(safe_div_func_uint16_t_u_u(safe_rshift_func_int16_t_s_s(safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      safe_add_func_uint8_t_u_u(l_34 = safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_s((l_2667[6] = safe_sub_func_uint32_t_u_u(0xe6b894d1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     g_59[8])) > 0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             l_2666),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                g_55[0][3]),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                l_2666)),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            13) && l_2664,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               l_2620),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    l_64),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        0x33L),
                                                                                                                                                                                                                                                                                                                                                                                                                                              0xd380f86cL),
                                                                                                                                                                                                                                                                                                                                                                                                          l_2[2][1]),
                                                                                                                                                                                                                                                                                                                                                                   l_2666),
                                                                                                                                                                                                                                                                                                               g_283.f1) == l_2[8][0])) < l_2665) ^ g_152[0].f4),
                                                                                                                                                                                                                                      l_33),
                                                                                                                                                                                                            -10L) ^ g_1356,
                                                                                                                                                                                  g_152[0].f4) <= 0xdbf6ad88L > l_30) || l_2710),
                                                                                                        g_69) & g_32 || g_407),
                                                                     g_203[2]);
                                if (l_30)
                                    continue;
                                for (g_283.f3 = 22; g_283.f3 <= 26; g_283.f3 = safe_add_func_int16_t_s_s(g_283.f3,
                                                                                                         7))
                                {
                                    uint32_t l_2717 = 4294967287uL;
                                    int32_t l_2751 = 0x816a1d2L;
                                    int32_t l_2765 = 0x6072443aL;
                                    uint8_t l_2785 = 255uL;
                                    l_2717++;
                                    if ((safe_sub_func_int8_t_s_s((g_152[0].f0 = safe_unary_minus_func_uint32_t_u(safe_mul_func_uint8_t_u_u((safe_unary_minus_func_uint32_t_u(0uL) & safe_div_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_s(safe_sub_func_int32_t_s_s(l_2549 <= safe_sub_func_uint8_t_u_u(g_2181 & 0xd8d2L,
                                                                                                                                                                                                                                                                                                            safe_sub_func_uint8_t_u_u(safe_mul_func_int16_t_s_s(g_1185 |= 0x71f4L,
                                                                                                                                                                                                                                                                                                                                                                safe_div_func_uint32_t_u_u(safe_add_func_int16_t_s_s(safe_rshift_func_uint8_t_u_s(++g_55[0][3],
                                                                                                                                                                                                                                                                                                                                                                                                                                                  6),
                                                                                                                                                                                                                                                                                                                                                                                                                     l_2548 <= safe_mod_func_int16_t_s_s(-6L || 0xf7L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                         safe_rshift_func_uint16_t_u_u(g_283.f4,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       5))),
                                                                                                                                                                                                                                                                                                                                                                                           l_2512[8])),
                                                                                                                                                                                                                                                                                                                                      0x28L)),
                                                                                                                                                                                                                                                                        g_407),
                                                                                                                                                                                                                                              7),
                                                                                                                                                                                                                l_2556.f2)) >= l_2667[6] && 0x5e7a6869L,
                                                                                                                                            0L) & g_5[2] ^ g_203[0]) & -5L) < l_56[1][1][0],
                                                                  0x96L) | 253uL) >= 0x6cL)
                                    {
                                        uint8_t l_2766 = 0x6eL;
                                        l_2750 = g_152[0];
                                        g_152[0] = func_129(l_2713 & ((g_80 = l_2751 = g_57) | g_22),
                                                            l_2752,
                                                            safe_mul_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(g_5[2] || g_55[0][3] > (0xe2L > safe_rshift_func_uint8_t_u_s(safe_lshift_func_int16_t_s_s((l_2765 &= 0xaedc22b6L < safe_rshift_func_uint8_t_u_u(((g_234 = safe_rshift_func_uint16_t_u_s(g_5[0] >= l_2715,
                                                                                                                                                                                                                                                                                                         6)) && 0L) | -1L,
                                                                                                                                                                                                                                                                 0) >= 1uL || 3L) ^ g_58,
                                                                                                                                                                                                           1),
                                                                                                                                                                              g_283.f4)) & 0xebL,
                                                                                                                 0x902909fL),
                                                                                      g_57),
                                                            l_2766);
                                    }
                                    else
                                    {
                                        int32_t l_2772 = 0xbe2e81b8L;
                                        if (g_3)
                                            break;
                                        g_152[0].f3 = safe_unary_minus_func_uint32_t_u(g_152[0].f2);
                                        if (g_621[0][2][4])
                                            break;
                                        l_2785 &= l_2713 = safe_sub_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u((l_2772 = 0x667f620bL) & (l_2642[0][2][1] ^ ((l_2716 = l_2548) && 0x3cL)),
                                                                                                                safe_mul_func_int16_t_s_s(safe_add_func_int32_t_s_s(0x6de4L & 0x34f9L | (g_277 ^= safe_sub_func_int32_t_s_s(safe_mul_func_int8_t_s_s(safe_div_func_uint16_t_u_u(((g_23[2] && l_33) ^ safe_add_func_uint16_t_u_u(g_616[3],
                                                                                                                                                                                                                                                                                                                                g_283.f4) <= l_2751 | g_59[1]) >= 4294967287uL,
                                                                                                                                                                                                                                                                                g_55[6][0]),
                                                                                                                                                                                                                                                     g_1185),
                                                                                                                                                                                                                            g_203[2])),
                                                                                                                                                                    l_2[8][0]),
                                                                                                                                          l_12)),
                                                                                      0x32ebL) >= g_283.f1 ^ 0x36L;
                                    }
                                    l_2765 = 0L;
                                }
                            }
                        }
                        {
                            uint32_t l_2717 = 4294967287uL;
                            int32_t l_2751 = 0x816a1d2L;
                            int32_t l_2765 = 0x6072443aL;
                            uint8_t l_2785 = 255uL;
                            l_2717++;
                            if ((safe_sub_func_int8_t_s_s((g_152[0].f0 = safe_unary_minus_func_uint32_t_u(safe_mul_func_uint8_t_u_u((safe_unary_minus_func_uint32_t_u(0uL) & safe_div_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_s(safe_sub_func_int32_t_s_s(l_2549 <= safe_sub_func_uint8_t_u_u(g_2181 & 0xd8d2L,
                                                                                                                                                                                                                                                                                                    safe_sub_func_uint8_t_u_u(safe_mul_func_int16_t_s_s(g_1185 |= 0x71f4L,
                                                                                                                                                                                                                                                                                                                                                        safe_div_func_uint32_t_u_u(safe_add_func_int16_t_s_s(safe_rshift_func_uint8_t_u_s(++g_55[0][3],
                                                                                                                                                                                                                                                                                                                                                                                                                                          6),
                                                                                                                                                                                                                                                                                                                                                                                                             l_2548 <= safe_mod_func_int16_t_s_s(-6L || 0xf7L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                 safe_rshift_func_uint16_t_u_u(g_283.f4,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                               5))),
                                                                                                                                                                                                                                                                                                                                                                                   l_2512[8])),
                                                                                                                                                                                                                                                                                                                              0x28L)),
                                                                                                                                                                                                                                                                g_407),
                                                                                                                                                                                                                                      7),
                                                                                                                                                                                                        l_2556.f2)) >= l_2667[6] && 0x5e7a6869L,
                                                                                                                                    0L) & g_5[2] ^ g_203[0]) & -5L) < l_56[1][1][0],
                                                          0x96L) | 253uL) >= 0x6cL)
                            {
                                uint8_t l_2766 = 0x6eL;
                                l_2750 = g_152[0];
                                g_152[0] = func_129(l_2713 & ((g_80 = l_2751 = g_57) | g_22),
                                                    l_2752,
                                                    safe_mul_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(g_5[2] || g_55[0][3] > (0xe2L > safe_rshift_func_uint8_t_u_s(safe_lshift_func_int16_t_s_s((l_2765 &= 0xaedc22b6L < safe_rshift_func_uint8_t_u_u(((g_234 = safe_rshift_func_uint16_t_u_s(g_5[0] >= l_2715,
                                                                                                                                                                                                                                                                                                 6)) && 0L) | -1L,
                                                                                                                                                                                                                                                         0) >= 1uL || 3L) ^ g_58,
                                                                                                                                                                                                   1),
                                                                                                                                                                      g_283.f4)) & 0xebL,
                                                                                                         0x902909fL),
                                                                              g_57),
                                                    l_2766);
                            }
                            else
                            {
                                int32_t l_2772 = 0xbe2e81b8L;
                                if (g_3)
                                    break;
                                g_152[0].f3 = safe_unary_minus_func_uint32_t_u(g_152[0].f2);
                                if (g_621[0][2][4])
                                    break;
                                l_2785 &= l_2713 = safe_sub_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u((l_2772 = 0x667f620bL) & (l_2642[0][2][1] ^ ((l_2716 = l_2548) && 0x3cL)),
                                                                                                        safe_mul_func_int16_t_s_s(safe_add_func_int32_t_s_s(0x6de4L & 0x34f9L | (g_277 ^= safe_sub_func_int32_t_s_s(safe_mul_func_int8_t_s_s(safe_div_func_uint16_t_u_u(((g_23[2] && l_33) ^ safe_add_func_uint16_t_u_u(g_616[3],
                                                                                                                                                                                                                                                                                                                        g_283.f4) <= l_2751 | g_59[1]) >= 4294967287uL,
                                                                                                                                                                                                                                                                        g_55[6][0]),
                                                                                                                                                                                                                                             g_1185),
                                                                                                                                                                                                                    g_203[2])),
                                                                                                                                                            l_2[8][0]),
                                                                                                                                  l_12)),
                                                                              0x32ebL) >= g_283.f1 ^ 0x36L;
                            }
                            l_2765 = 0L;
                        }
                    }
                }
                {
                    uint16_t l_30 = 0xf57bL;
                    int32_t l_33 = 0xb5fb49a5L;
                    uint32_t l_2550 = 0uL;
                    int32_t l_2665 = 0L;
                    int32_t l_2667[10];
                    int32_t l_2710 = -5L;
                    int32_t l_2716 = 0x454a6460L;
                    uint32_t l_2786[3][2][5] = { { { 1uL, 0uL, 1uL, 0uL, 1uL }, { 4294967293uL, 4294967293uL, 1uL, 1uL, 4294967293uL } }, { { 0x2c014413L, 0uL, 0x2c014413L, 0uL, 0x2c014413L }, { 4294967293uL, 1uL, 1uL, 4294967293uL, 4294967293uL } }, { { 1uL, 0uL, 1uL, 0uL, 1uL }, { 4294967293uL, 4294967293uL, 1uL, 1uL, 4294967293uL } } };
                    uint32_t l_2813[2];
                    int i, j, k;
                    for (i = 0; i < 10; i++)
                        l_2667[i] = -6L;
                    for (i = 0; i < 2; i++)
                        l_2813[i] = 0x4ce1558fL;
                    for (g_4[7][0][1] = 1; g_4[7][0][1] >= 0; g_4[7][0][1] -= 1)
                    {
                        int16_t l_12 = -1L;
                        uint32_t l_56[2][2][2] = { { { 0xbe5697a1L, 0xbe5697a1L }, { 0xbe5697a1L, 0xbe5697a1L } }, { { 0xbe5697a1L, 0xbe5697a1L }, { 0xbe5697a1L, 0xbe5697a1L } } };
                        int32_t l_62 = 1L;
                        int32_t l_63 = 0x6f270adfL;
                        int32_t l_64 = -1L;
                        int8_t l_2549 = 0x1aL;
                        struct S0 l_2556 = { 0xc7L, 0xceL, 0xd983b467L, -3L, 0uL };
                        uint16_t l_2649 = 1uL;
                        struct S0 l_2750 = { 4L, 0x7dL, 4294967294uL, 0xdeddd6a8L, 3uL };
                        int i, j, k;
                        for (g_5[2] = 1; g_5[2] >= 0; g_5[2] -= 1)
                        {
                            uint32_t l_35 = 6uL;
                            int32_t l_2513 = -1L;
                            int8_t l_2552 = 4L;
                            struct S0 l_2555 = { 5L, -4L, 4294967287uL, 0xa1966bb6L, 0x5237L };
                            int i, j;
                            l_34 = safe_sub_func_uint8_t_u_u(l_2[g_5[2] + 6][g_5[2]] ^ safe_rshift_func_int16_t_s_u(4294967286uL ^ (l_33 = g_32 ^= safe_mod_func_uint8_t_u_u(l_12 > func_13(g_4[3][3][1],
                                                                                                                                                                                            func_17(g_5[2],
                                                                                                                                                                                                    g_5[2],
                                                                                                                                                                                                    g_4[2][3][1],
                                                                                                                                                                                                    g_4[7][0][1]),
                                                                                                                                                                                            l_30),
                                                                                                                                                                             l_30) == g_5[2]),
                                                                                                                    g_26),
                                                             0xa2L);
                            if (func_17(l_35 = l_2[g_5[2] + 6][g_5[2]],
                                        func_17(safe_lshift_func_int16_t_s_s(0xcd43L, 1),
                                                g_5[2],
                                                g_22 &= safe_lshift_func_int16_t_s_u(safe_rshift_func_uint8_t_u_s(l_2[9][1],
                                                                                                                  1),
                                                                                     0),
                                                g_59[7] = safe_rshift_func_uint16_t_u_u(l_30 > (safe_rshift_func_int8_t_s_s((g_58 = g_57 = func_13(g_26 |= 5L,
                                                                                                                                                   l_12,
                                                                                                                                                   safe_unary_minus_func_int16_t_s(safe_rshift_func_int16_t_s_u(l_12,
                                                                                                                                                                                                                func_13(g_55[0][3] |= safe_mul_func_uint16_t_u_u(safe_mul_func_uint16_t_u_u(g_32 = safe_mod_func_int32_t_s_s(0xf0L || 0x6L,
                                                                                                                                                                                                                                                                                                                             0x8ca929efL),
                                                                                                                                                                                                                                                                                            g_27) >= l_33 > l_33 & g_3,
                                                                                                                                                                                                                                                                 -4L),
                                                                                                                                                                                                                        g_4[4][0][1],
                                                                                                                                                                                                                        l_56[0][1][0])) >= g_5[2]))) < l_33,
                                                                                                                            g_4[7][0][1]) || l_2[4][0]),
                                                                                        0)),
                                        l_2[g_5[2] + 6][g_5[2]],
                                        g_4[7][0][1]))
                            {
                                int32_t l_67 = 0L;
                                int32_t l_68 = -10L;
                                int32_t l_94 = 0xe1143771L;
                                int8_t l_95 = 0x9aL;
                                int8_t l_2486 = 0x28L;
                                if (safe_lshift_func_uint16_t_u_s(l_67 = --g_59[8] <= g_55[0][3] < 65535uL,
                                                                  0))
                                {
                                    int i, j;
                                    if (l_2[3][1])
                                        break;
                                    ++g_69;
                                    if (l_34)
                                        break;
                                    l_34 = func_72(func_76(l_2[g_5[2] + 6][g_5[2]],
                                                           g_81[2] |= g_80 ^= g_32,
                                                           safe_sub_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_rshift_func_int8_t_s_u(g_59[7],
                                                                                                                                           5),
                                                                                                               safe_sub_func_int8_t_s_s(l_2[g_5[2] + 6][g_5[2]],
                                                                                                                                        safe_mul_func_uint16_t_u_u(safe_mod_func_int8_t_s_s(func_17(g_3,
                                                                                                                                                                                                    g_26,
                                                                                                                                                                                                    g_22,
                                                                                                                                                                                                    !(func_13(l_33 = l_68,
                                                                                                                                                                                                              l_94 = g_23[2] | l_63,
                                                                                                                                                                                                              g_58) < l_67 && l_2[3][0])),
                                                                                                                                                                                            0xffL) == g_5[2],
                                                                                                                                                                   l_95))),
                                                                                      g_3) & l_2[g_5[2] + 1][g_4[7][0][1]]),
                                                   g_55[0][3],
                                                   g_4[7][0][1]) <= 0xb7L;
                                }
                                else
                                {
                                    int8_t l_2469 = -1L;
                                    int32_t l_2487 = -9L;
                                    l_33 = l_2469 <= 0xa6511e7aL;
                                    l_2487 &= safe_lshift_func_uint16_t_u_s(safe_mul_func_int8_t_s_s(0xfcL,
                                                                                                     1L) <= (safe_mul_func_uint8_t_u_u(safe_div_func_int32_t_s_s((g_22 &= 0x2cL) | l_2469,
                                                                                                                                                                 g_81[2]),
                                                                                                                                       l_35 == safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(l_2[6][1],
                                                                                                                                                                                                      5),
                                                                                                                                                                          (safe_add_func_int32_t_s_s(g_283.f0 >= safe_sub_func_int16_t_s_s(l_94 ^= (0x9820L & l_2486) <= g_1185,
                                                                                                                                                                                                                                           l_62) ^ 4294967295uL,
                                                                                                                                                                                                     g_203[2]) != l_2469) <= l_30 == l_34) >= 0x9aebc7aaL) <= 0xbbb5L & l_68) >= 5uL,
                                                                            3);
                                    l_2513 = (l_62 = g_23[1] > l_2469) <= (safe_add_func_uint16_t_u_u(0xa14fL ^ safe_add_func_uint32_t_u_u(safe_add_func_int8_t_s_s(safe_add_func_int32_t_s_s(g_621[0][2][4],
                                                                                                                                                                                              safe_lshift_func_int8_t_s_s(safe_add_func_uint8_t_u_u(safe_add_func_int8_t_s_s(safe_div_func_int32_t_s_s(1L && safe_mul_func_int8_t_s_s(safe_mod_func_int16_t_s_s(3L,
                                                                                                                                                                                                                                                                                                                                                                g_283.f3) <= l_12,
                                                                                                                                                                                                                                                                                                                                      safe_mod_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u(g_69,
                                                                                                                                                                                                                                                                                                                                                                                               1) > 65535uL || 0x1098286dL,
                                                                                                                                                                                                                                                                                                                                                                 l_67)) | l_68,
                                                                                                                                                                                                                                                                                                       4294967286uL),
                                                                                                                                                                                                                                                                             l_2[2][0]) < 65530uL,
                                                                                                                                                                                                                                                    0x8aL),
                                                                                                                                                                                                                          l_67) & g_58) != g_5[0],
                                                                                                                                                                    l_2487),
                                                                                                                                           l_2512[8]),
                                                                                                      5uL) || 0x56e70e6bL);
                                    g_283.f3 = (g_234 = l_64 = safe_div_func_int32_t_s_s(g_2432 != (safe_rshift_func_uint16_t_u_s(l_2469 ^ safe_mul_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u((~safe_mul_func_int8_t_s_s(safe_add_func_int32_t_s_s((~(l_2[g_5[2] + 6][g_5[2]] < (l_30 == (l_2487 = (g_80 < (l_2513 > ((safe_mul_func_uint16_t_u_u(g_152[0].f2 != (g_973 ^ l_2486),
                                                                                                                                                                                                                                                                                                                                                     g_621[0][5][1]) && l_95) < l_2469)) & l_94) >= g_1917) != l_2469)) && l_35) <= g_55[0][3],
                                                                                                                                                                                                                                                      0xb5782f9cL) > 0L,
                                                                                                                                                                                                                            1L) == 0x2a22L) > l_56[1][0][0],
                                                                                                                                                                                                 g_283.f4),
                                                                                                                                                                     0L),
                                                                                                                                  12) == 0L) >= 254uL,
                                                                                         1uL)) <= l_95;
                                }
                                for (g_465 = 0; g_465 >= 7; ++g_465)
                                {
                                    g_58 &= 0L;
                                }
                            }
                            else
                            {
                                uint16_t l_2551 = 0x102dL;
                                if ((safe_sub_func_uint8_t_u_u(+(safe_lshift_func_int16_t_s_u((safe_lshift_func_uint16_t_u_s(g_32 | +g_55[0][5] || 0uL > l_2512[8],
                                                                                                                             safe_mod_func_uint8_t_u_u(safe_rshift_func_int8_t_s_s(0x23L,
                                                                                                                                                                                   3) != (l_33 = g_80 == (l_2548 = safe_lshift_func_uint8_t_u_u(l_30 ^ (((l_2549 = l_2[1][1] == (l_34 ^= safe_mul_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(l_2548 > l_2513,
                                                                                                                                                                                                                                                                                                                                             g_2181),
                                                                                                                                                                                                                                                                                                                    g_283.f2))) || l_2512[8]) <= 0x821fba5cL == l_2550) < 0x4508L,
                                                                                                                                                                                                                                                g_1185) >= 0x5508f496L <= g_203[1])),
                                                                                                                                                       l_2550)) == l_56[0][1][0] && 0xadL) ^ l_2[g_5[2] + 6][g_5[2]],
                                                                                              14) | l_2551),
                                                               g_23[2]) < g_203[2] || 0x7L) > 0xe8f1c92cL)
                                {
                                    g_152[0] = func_76(l_2552, l_34, g_1917++);
                                }
                                else
                                {
                                    if (g_152[0].f0)
                                        break;
                                    if (l_2551)
                                        break;
                                    return l_2555;
                                }
                                return g_152[0];
                            }
                            g_152[0] = g_283;
                            for (g_234 = 0; g_234 <= 8; g_234 += 1)
                            {
                                for (g_1356 = 8; g_1356 >= 3; g_1356 -= 1)
                                {
                                    g_58 ^= 5L;
                                    return l_2556;
                                }
                            }
                        }
                        if (l_33 || safe_mod_func_uint32_t_u_u(l_2549,
                                                               g_410) | safe_mod_func_int8_t_s_s(safe_rshift_func_uint8_t_u_s(0xe9L,
                                                                                                                              2) & (0xb3L ^ l_34),
                                                                                                 safe_mul_func_uint16_t_u_u(!l_2556.f1 ^ safe_sub_func_uint32_t_u_u(safe_mul_func_int16_t_s_s(l_34,
                                                                                                                                                                                              safe_lshift_func_int16_t_s_s((l_33 & 255uL) <= 0x8ad0L,
                                                                                                                                                                                                                           10) != l_30),
                                                                                                                                                                    l_64),
                                                                                                                            g_214)))
                        {
                            uint8_t l_2571 = 0xa3L;
                            int32_t l_2595 = -1L;
                            for (g_466 = 0; g_466 <= 7; g_466 += 1)
                            {
                                int i;
                                if (l_2571 = g_5[g_3])
                                {
                                    int32_t l_2594 = 1L;
                                    int i, j, k;
                                    g_2181 = safe_sub_func_int32_t_s_s(65530uL && l_56[g_3][g_4[7][0][1]][g_3],
                                                                       l_12);
                                    l_2548 |= g_59[7] == ((g_55[g_466][g_466] = 247uL) & safe_add_func_uint16_t_u_u(g_4[7][0][1] | (safe_sub_func_int16_t_s_s(g_283.f4,
                                                                                                                                                              l_2512[6] ^ safe_add_func_int16_t_s_s(safe_mod_func_uint32_t_u_u(safe_add_func_int16_t_s_s(+((l_33 = g_551 ^= l_56[g_4[7][0][1]][g_3][g_3]++ & safe_add_func_int16_t_s_s(safe_mod_func_int16_t_s_s(g_80,
                                                                                                                                                                                                                                                                                                                                                                 g_465) > (g_152[0].f4 <= (safe_lshift_func_int8_t_s_s(safe_div_func_int16_t_s_s(g_214,
                                                                                                                                                                                                                                                                                                                                                                                                                                                 l_2594),
                                                                                                                                                                                                                                                                                                                                                                                                                       0) >= 0x1e91L) != 1L),
                                                                                                                                                                                                                                                                                                                                       l_2512[4])) <= 0uL) == 0xe85fL,
                                                                                                                                                                                                                                                         g_283.f4),
                                                                                                                                                                                                                               g_5[1]),
                                                                                                                                                                                                    l_2571) | 255uL && g_4[8][2][0]) < g_152[0].f2 == g_2432) <= g_407,
                                                                                                                    l_30) <= l_2550 ^ 0x3e9bc56L);
                                }
                                else
                                {
                                    if (g_5[g_3])
                                        break;
                                    l_2595 = 1L;
                                }
                            }
                        }
                        else
                        {
                            uint16_t l_2616 = 1uL;
                            int32_t l_2617 = -1L;
                            l_2617 |= (safe_lshift_func_uint8_t_u_s(g_55[0][3],
                                                                    6) >= ((safe_add_func_uint32_t_u_u(safe_sub_func_uint16_t_u_u(0x3991L,
                                                                                                                                  0x907dL) > ((-3L || safe_mod_func_uint8_t_u_u(safe_lshift_func_int16_t_s_u(safe_sub_func_int32_t_s_s(g_5[2] = l_2556.f3 = safe_lshift_func_int16_t_s_u(safe_mod_func_int16_t_s_s(l_2512[8] & safe_sub_func_int8_t_s_s(-1L,
                                                                                                                                                                                                                                                                                                                                                        safe_rshift_func_uint16_t_u_s(l_2616,
                                                                                                                                                                                                                                                                                                                                                                                      l_2616)),
                                                                                                                                                                                                                                                                                                                   0x54c0L) != 4294967290uL,
                                                                                                                                                                                                                                                                                         1),
                                                                                                                                                                                                                                       0x17a9ebd9L) < g_283.f0 <= l_2512[8],
                                                                                                                                                                                                             g_152[0].f0),
                                                                                                                                                                                0x8fL) == g_55[0][3]) >= g_23[2]),
                                                                                                       l_62) >= l_33 > l_2556.f4 || g_231) && g_55[2][2]) != l_56[0][0][1] ^ g_26) & 0xe8L;
                        }
                        if (safe_mod_func_uint16_t_u_u(~(g_152[0].f4 >= (5L != g_283.f1 != (l_33 = 0x57L))),
                                                       g_1707 && g_1477) < (0x1a0b5c90L > l_2620 ^ l_2550))
                        {
                            uint16_t l_2631 = 0xda0eL;
                            int32_t l_2635 = 0xf5206446L;
                            g_152[1] = g_152[1];
                            g_410 = safe_lshift_func_int8_t_s_u(g_27, 1);
                            g_616[4] |= safe_mod_func_uint32_t_u_u(g_283.f2,
                                                                   safe_rshift_func_int8_t_s_s(~(l_2556.f4 < (!safe_div_func_uint32_t_u_u(safe_rshift_func_int8_t_s_u(0xd6L,
                                                                                                                                                                      (l_2631 ^ 65529uL) >= (safe_add_func_uint16_t_u_u(g_203[1],
                                                                                                                                                                                                                        safe_unary_minus_func_int32_t_s(g_5[2] |= 0x45b4L <= (l_2635 = g_32)) <= (--g_22 || safe_rshift_func_uint8_t_u_u(((l_34 = safe_mul_func_uint8_t_u_u(g_203[2] || g_57,
                                                                                                                                                                                                                                                                                                                                                                            g_1185)) | 6uL) >= l_2512[7],
                                                                                                                                                                                                                                                                                                                                         l_30)) || g_1707) ^ 0x7f37L)),
                                                                                                                                          l_2642[1][3][0]) >= g_283.f2)) > -1L && l_62,
                                                                                               5)) ^ l_2556.f2 | l_2[0][1];
                        }
                        else
                        {
                            int16_t l_2664 = 1L;
                            int32_t l_2666 = -9L;
                            int32_t l_2713 = 0x8be2de62L;
                            int32_t l_2714[9][4][7] = { { { 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L, -2L, 0x900c9695L }, { -4L, -4L, 0L, 1L, -9L, 0x74c2d1e6L, 0x900c9695L }, { -9L, 8L, 1L, -4L, 0x900c9695L, 0xfd0cba57L, 0xfd0cba57L }, { -9L, 0x38f21ce1L, 0x577bd099L, 0x38f21ce1L, -9L, -4L, -9L } }, { { 1L, 0L, 0x577bd099L, 8L, 0x38f21ce1L, 0xb4c3e57aL, 0xf133634eL }, { 8L, -2L, 1L, 0xb4c3e57aL, 0xb4c3e57aL, 8L, 0xf133634eL }, { 1L, -9L, -2L, 1L, 0xbdb86feeL, 8L, 0x577bd099L }, { 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL, 8L, 0x900c9695L, -9L, 0x900c9695L } }, { { 1L, 0x900c9695L, 0x900c9695L, 1L, 0L, 0x577bd099L, 8L }, { 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L, -4L }, { 8L, 0xfd0cba57L, 0x577bd099L, -9L, 0x577bd099L, 0xfd0cba57L, 8L }, { 0xbdb86feeL, -9L, 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L } }, { { 0x38f21ce1L, 0xf133634eL, -9L, 0x577bd099L, 1L, 1L, 0x577bd099L }, { 0xfd0cba57L, -2L, 0xfd0cba57L, 8L, 0L, 0x38f21ce1L, 0xf133634eL }, { 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L }, { 0x38f21ce1L, 0xbdb86feeL, 0x74c2d1e6L, 0x74c2d1e6L, 0xbdb86feeL, 0x38f21ce1L, 1L } }, { { 0xbdb86feeL, 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L }, { 8L, 0x38f21ce1L, 0xb4c3e57aL, 0xf133634eL, -4L, 0xf133634eL, 0xb4c3e57aL }, { 0x577bd099L, 0x577bd099L, -2L, 8L, 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL }, { 1L, 0xbdb86feeL, 8L, 0x577bd099L, 0xb4c3e57aL, 0L, 0L } }, { { 0x74c2d1e6L, -4L, 8L, -4L, 0x74c2d1e6L, 0x577bd099L, 1L }, { 1L, -2L, 8L, -9L, -4L, -9L, 0x38f21ce1L }, { -9L, 0xf133634eL, 8L, -9L, -9L, 8L, 0xf133634eL }, { 1L, -9L, -2L, 1L, 0xbdb86feeL, 8L, 0x577bd099L } }, { { 0x74c2d1e6L, 0xfd0cba57L, 0xb4c3e57aL, 8L, 0x900c9695L, -9L, 0x900c9695L }, { 1L, 0x900c9695L, 0x900c9695L, 1L, 0L, 0x577bd099L, 8L }, { 0x577bd099L, 0x900c9695L, 0x74c2d1e6L, -9L, 1L, 0L, -4L }, { 8L, 0xfd0cba57L, 0x577bd099L, -9L, 0x577bd099L, 0xfd0cba57L, 8L } }, { { 0xbdb86feeL, -9L, 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L }, { 0x38f21ce1L, 0xf133634eL, -9L, 0x577bd099L, 1L, 1L, 0x577bd099L }, { 0xfd0cba57L, -2L, 0xfd0cba57L, 8L, 0L, 0x38f21ce1L, 0xf133634eL }, { 0xfd0cba57L, -4L, 0x577bd099L, 0xf133634eL, 0x900c9695L, -2L, 0x38f21ce1L } }, { { 0x38f21ce1L, 0xbdb86feeL, 0x74c2d1e6L, 0x74c2d1e6L, 0xbdb86feeL, 0x38f21ce1L, 1L }, { 0x900c9695L, 8L, 0xb4c3e57aL, 0xfd0cba57L, 0x74c2d1e6L, 8L, -2L }, { -9L, -4L, -9L, 0x38f21ce1L, 0x577bd099L, 0x38f21ce1L, -9L }, { 8L, 8L, 0xf133634eL, 0xbdb86feeL, 0xfd0cba57L, 0L, -9L } } };
                            struct S0 l_2752 = { 0x70L, -5L, 0x75335be2L, 0xea5bcf78L, 0xcfeL };
                            int i, j, k;
                            l_2667[6] ^= safe_add_func_int16_t_s_s((5L & safe_add_func_int8_t_s_s(l_2550 <= (g_283.f1 = safe_add_func_int32_t_s_s(g_410 = ~((l_2649 = l_2556.f0) <= ((l_34 = safe_mul_func_int8_t_s_s(safe_lshift_func_uint16_t_u_s(g_1477 != 0xcc5416e9L >= ((l_2666 |= safe_rshift_func_uint16_t_u_s(((l_2665 |= safe_mod_func_int8_t_s_s(1uL <= g_976,
                                                                                                                                                                                                                                                                                                                                                            safe_sub_func_uint8_t_u_u((safe_rshift_func_int16_t_s_s(0xb108adecL == 0xfbcaL < l_33 != g_283.f1 & l_2549,
                                                                                                                                                                                                                                                                                                                                                                                                                    l_56[1][0][1]) && g_3) ^ l_56[0][1][0],
                                                                                                                                                                                                                                                                                                                                                                                      l_2664))) < l_2664 || 0xd27e149aL) >= l_63,
                                                                                                                                                                                                                                                                                                                       l_2[9][0])) != 0x3934d295L) < 0L,
                                                                                                                                                                                                                                                    12),
                                                                                                                                                                                                                      g_27)) <= 0x3c2bL && g_2181)),
                                                                                                                                                  l_2556.f1)),
                                                                                                  g_5[1])) < l_2642[3][2][1],
                                                                   g_277) < l_2556.f1;
                            g_410 = safe_lshift_func_int16_t_s_u(g_407 < (safe_div_func_int16_t_s_s(++g_27 != (g_152[0].f4 = g_26 == (l_2667[6] || safe_div_func_uint16_t_u_u(safe_sub_func_int32_t_s_s(safe_div_func_uint8_t_u_u(~((g_466 |= safe_mul_func_int16_t_s_s(-2L,
                                                                                                                                                                                                                                                                        g_57 == (safe_add_func_int16_t_s_s((g_283.f0 ^= g_283.f1) || safe_div_func_int16_t_s_s(g_2432 || safe_rshift_func_int16_t_s_u(g_551 &= safe_div_func_uint32_t_u_u(safe_div_func_uint8_t_u_u(safe_rshift_func_int8_t_s_u(safe_div_func_uint16_t_u_u(safe_rshift_func_int16_t_s_s(safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  safe_add_func_uint8_t_u_u(l_34 = safe_mod_func_int8_t_s_s(safe_rshift_func_int16_t_s_s((l_2667[6] = safe_sub_func_uint32_t_u_u(0xe6b894d1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 g_59[8])) > 0L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         l_2666),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            g_55[0][3]),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            l_2666)),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        13) && l_2664,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           l_2620),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                l_64),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    0x33L),
                                                                                                                                                                                                                                                                                                                                                                                                                                          0xd380f86cL),
                                                                                                                                                                                                                                                                                                                                                                                                      l_2[2][1]),
                                                                                                                                                                                                                                                                                                                                                               l_2666),
                                                                                                                                                                                                                                                                                                           g_283.f1) == l_2[8][0])) < l_2665) ^ g_152[0].f4),
                                                                                                                                                                                                                                  l_33),
                                                                                                                                                                                                        -10L) ^ g_1356,
                                                                                                                                                                              g_152[0].f4) <= 0xdbf6ad88L > l_30) || l_2710),
                                                                                                    g_69) & g_32 || g_407),
                                                                 g_203[2]);
                            if (l_30)
                                continue;
                            for (g_283.f3 = 22; g_283.f3 <= 26; g_283.f3 = safe_add_func_int16_t_s_s(g_283.f3,
                                                                                                     7))
                            {
                                uint32_t l_2717 = 4294967287uL;
                                int32_t l_2751 = 0x816a1d2L;
                                int32_t l_2765 = 0x6072443aL;
                                uint8_t l_2785 = 255uL;
                                l_2717++;
                                if ((safe_sub_func_int8_t_s_s((g_152[0].f0 = safe_unary_minus_func_uint32_t_u(safe_mul_func_uint8_t_u_u((safe_unary_minus_func_uint32_t_u(0uL) & safe_div_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_s(safe_sub_func_int32_t_s_s(l_2549 <= safe_sub_func_uint8_t_u_u(g_2181 & 0xd8d2L,
                                                                                                                                                                                                                                                                                                        safe_sub_func_uint8_t_u_u(safe_mul_func_int16_t_s_s(g_1185 |= 0x71f4L,
                                                                                                                                                                                                                                                                                                                                                            safe_div_func_uint32_t_u_u(safe_add_func_int16_t_s_s(safe_rshift_func_uint8_t_u_s(++g_55[0][3],
                                                                                                                                                                                                                                                                                                                                                                                                                                              6),
                                                                                                                                                                                                                                                                                                                                                                                                                 l_2548 <= safe_mod_func_int16_t_s_s(-6L || 0xf7L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                     safe_rshift_func_uint16_t_u_u(g_283.f4,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   5))),
                                                                                                                                                                                                                                                                                                                                                                                       l_2512[8])),
                                                                                                                                                                                                                                                                                                                                  0x28L)),
                                                                                                                                                                                                                                                                    g_407),
                                                                                                                                                                                                                                          7),
                                                                                                                                                                                                            l_2556.f2)) >= l_2667[6] && 0x5e7a6869L,
                                                                                                                                        0L) & g_5[2] ^ g_203[0]) & -5L) < l_56[1][1][0],
                                                              0x96L) | 253uL) >= 0x6cL)
                                {
                                    uint8_t l_2766 = 0x6eL;
                                    l_2750 = g_152[0];
                                    g_152[0] = func_129(l_2713 & ((g_80 = l_2751 = g_57) | g_22),
                                                        l_2752,
                                                        safe_mul_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(g_5[2] || g_55[0][3] > (0xe2L > safe_rshift_func_uint8_t_u_s(safe_lshift_func_int16_t_s_s((l_2765 &= 0xaedc22b6L < safe_rshift_func_uint8_t_u_u(((g_234 = safe_rshift_func_uint16_t_u_s(g_5[0] >= l_2715,
                                                                                                                                                                                                                                                                                                     6)) && 0L) | -1L,
                                                                                                                                                                                                                                                             0) >= 1uL || 3L) ^ g_58,
                                                                                                                                                                                                       1),
                                                                                                                                                                          g_283.f4)) & 0xebL,
                                                                                                             0x902909fL),
                                                                                  g_57),
                                                        l_2766);
                                }
                                else
                                {
                                    int32_t l_2772 = 0xbe2e81b8L;
                                    if (g_3)
                                        break;
                                    g_152[0].f3 = safe_unary_minus_func_uint32_t_u(g_152[0].f2);
                                    if (g_621[0][2][4])
                                        break;
                                    l_2785 &= l_2713 = safe_sub_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u((l_2772 = 0x667f620bL) & (l_2642[0][2][1] ^ ((l_2716 = l_2548) && 0x3cL)),
                                                                                                            safe_mul_func_int16_t_s_s(safe_add_func_int32_t_s_s(0x6de4L & 0x34f9L | (g_277 ^= safe_sub_func_int32_t_s_s(safe_mul_func_int8_t_s_s(safe_div_func_uint16_t_u_u(((g_23[2] && l_33) ^ safe_add_func_uint16_t_u_u(g_616[3],
                                                                                                                                                                                                                                                                                                                            g_283.f4) <= l_2751 | g_59[1]) >= 4294967287uL,
                                                                                                                                                                                                                                                                            g_55[6][0]),
                                                                                                                                                                                                                                                 g_1185),
                                                                                                                                                                                                                        g_203[2])),
                                                                                                                                                                l_2[8][0]),
                                                                                                                                      l_12)),
                                                                                  0x32ebL) >= g_283.f1 ^ 0x36L;
                                }
                                l_2765 = 0L;
                            }
                        }
                    }
                    l_2786[0][1][4]++;
                    l_2665 |= safe_rshift_func_int16_t_s_u(safe_mod_func_uint8_t_u_u(l_2550,
                                                                                     l_2715 = l_2512[8]),
                                                           1) & safe_mod_func_uint8_t_u_u((g_283.f0 & (safe_div_func_int32_t_s_s(g_4[7][0][1] = -1L != ~(safe_rshift_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(safe_sub_func_int8_t_s_s((l_2548 &= g_69) > l_2642[0][3][1],
                                                                                                                                                                                                                                           g_976) && safe_mod_func_uint8_t_u_u(safe_div_func_uint16_t_u_u(safe_add_func_int32_t_s_s(l_2548 = 0x39f437a5L,
                                                                                                                                                                                                                                                                                                                                    safe_sub_func_int8_t_s_s(safe_sub_func_uint16_t_u_u(l_2642[1][3][0] & g_621[1][4][3] && l_2716,
                                                                                                                                                                                                                                                                                                                                                                                        0x2c88L),
                                                                                                                                                                                                                                                                                                                                                             l_2642[1][3][0])),
                                                                                                                                                                                                                                                                                                          l_2642[1][2][2]) & l_2[5][1] ^ l_2642[1][3][0],
                                                                                                                                                                                                                                                                               l_2786[1][1][1]) == 0x41c0b4afL,
                                                                                                                                                                                                                  0x61601a4cL) < g_26 >= l_2[3][1],
                                                                                                                                                                                       11) <= -5L),
                                                                                                                                 0x7eafb810L) | g_22)) <= l_2813[0],
                                                                                          g_973);
                    for (g_57 = 1; g_57 >= 0; g_57 -= 1)
                    {
                        struct S0 l_2814 = { 0x73L, 8L, 1uL, 0x3e2ea3c6L, 0xbdadL };
                        int i, j;
                        l_33 = l_2[g_57 + 8][g_3];
                        g_283.f3 = l_2[g_3 + 6][g_57];
                        return l_2814;
                    }
                }
            }
        }
        l_2786[0][1][4]++;
        l_2665 |= safe_rshift_func_int16_t_s_u(safe_mod_func_uint8_t_u_u(l_2550,
                                                                         l_2715 = l_2512[8]),
                                               1) & safe_mod_func_uint8_t_u_u((g_283.f0 & (safe_div_func_int32_t_s_s(g_4[7][0][1] = -1L != ~(safe_rshift_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(safe_sub_func_int8_t_s_s((l_2548 &= g_69) > l_2642[0][3][1],
                                                                                                                                                                                                                               g_976) && safe_mod_func_uint8_t_u_u(safe_div_func_uint16_t_u_u(safe_add_func_int32_t_s_s(l_2548 = 0x39f437a5L,
                                                                                                                                                                                                                                                                                                                        safe_sub_func_int8_t_s_s(safe_sub_func_uint16_t_u_u(l_2642[1][3][0] & g_621[1][4][3] && l_2716,
                                                                                                                                                                                                                                                                                                                                                                            0x2c88L),
                                                                                                                                                                                                                                                                                                                                                 l_2642[1][3][0])),
                                                                                                                                                                                                                                                                                              l_2642[1][2][2]) & l_2[5][1] ^ l_2642[1][3][0],
                                                                                                                                                                                                                                                                   l_2786[1][1][1]) == 0x41c0b4afL,
                                                                                                                                                                                                      0x61601a4cL) < g_26 >= l_2[3][1],
                                                                                                                                                                           11) <= -5L),
                                                                                                                     0x7eafb810L) | g_22)) <= l_2813[0],
                                                                              g_973);
        for (g_57 = 1; g_57 >= 0; g_57 -= 1)
        {
            struct S0 l_2814 = { 0x73L, 8L, 1uL, 0x3e2ea3c6L, 0xbdadL };
            int i, j;
            l_33 = l_2[g_57 + 8][g_3];
            g_283.f3 = l_2[g_3 + 6][g_57];
            return l_2814;
        }
    }
    return l_2815;
}
static uint16_t func_13(int8_t p_14, int32_t p_15, uint32_t p_16)
{
    int8_t l_31 = 1L;
    return l_31;
}
static int32_t func_17(int32_t p_18,
                       uint16_t p_19,
                       uint8_t p_20,
                       uint32_t p_21)
{
    uint16_t l_24 = 0x9f3bL;
    int32_t l_25 = 8L;
    g_22 |= p_20;
    l_24 ^= g_23[2] = p_20;
    g_27++;
    l_25 |= l_24;
    return g_3;
}
static uint8_t func_72(struct S0 p_73, uint32_t p_74, int32_t p_75)
{
    uint32_t l_2457 = 1uL;
    for (p_73.f0 = 0; p_73.f0 >= -8; --p_73.f0)
    {
    }
    g_58 = safe_mul_func_uint8_t_u_u((g_152[0].f1 || g_551) > (safe_mod_func_uint32_t_u_u(safe_mul_func_int16_t_s_s(0x9194L,
                                                                                                                    safe_add_func_uint8_t_u_u(safe_mul_func_int16_t_s_s((safe_div_func_int16_t_s_s(-9L,
                                                                                                                                                                                                   safe_add_func_int32_t_s_s(g_58,
                                                                                                                                                                                                                             0x4924a06dL || (safe_div_func_int32_t_s_s(safe_rshift_func_int8_t_s_s(safe_mul_func_int8_t_s_s(p_73.f3,
                                                                                                                                                                                                                                                                                                                            l_2457 == (g_410 && l_2457) & 0xf613d206L) & l_2457,
                                                                                                                                                                                                                                                                                                   p_73.f0),
                                                                                                                                                                                                                                                                       0xa3685d7bL) || 6uL))) ^ l_2457) < p_74,
                                                                                                                                                                        0xd67bL) == g_1477,
                                                                                                                                              g_283.f0)) >= g_26,
                                                                                          0x7a5ebef1L) < -8L | g_621[0][8][2]) & 0x2bL,
                                     p_75);
    return p_74;
}
static struct S0 func_76(uint32_t p_77, int16_t p_78, uint8_t p_79)
{
    int32_t l_98 = -10L;
    struct S0 l_2436 = { 6L, -2L, 1uL, 0x18035f9bL, 65528uL };
    {
        int32_t l_98 = -10L;
        struct S0 l_2436 = { 6L, -2L, 1uL, 0x18035f9bL, 65528uL };
        g_152[0].f3 = l_98 = safe_sub_func_uint32_t_u_u(func_17(l_98,
                                                                g_55[3][5],
                                                                func_99(p_78 >= safe_rshift_func_uint8_t_u_s(safe_mod_func_int16_t_s_s(func_17(p_79,
                                                                                                                                               p_78,
                                                                                                                                               func_17(g_27,
                                                                                                                                                       func_13(g_23[2],
                                                                                                                                                               l_98,
                                                                                                                                                               l_98) >= 4L >= p_79,
                                                                                                                                                       g_5[0],
                                                                                                                                                       g_23[2]) ^ l_98,
                                                                                                                                               p_78),
                                                                                                                                       l_98) < p_78,
                                                                                                             1)),
                                                                p_77) >= 1L,
                                                        g_621[0][6][4]);
        return l_2436;
    }
    return l_2436;
}
static uint8_t func_99(uint32_t p_100)
{
    uint8_t l_110[7][7] = { { 0xffL, 0x31L, 0xffL, 0x31L, 0xffL, 0x31L, 0xffL }, { 0x78L, 0x78L, 0x27L, 0x27L, 0x78L, 0x78L, 0x27L }, { 255uL, 0x31L, 255uL, 0x31L, 255uL, 0x31L, 255uL }, { 0x78L, 0x27L, 0x27L, 0x78L, 0x78L, 0x27L, 0x27L }, { 0xffL, 0x31L, 0xffL, 0x31L, 0xffL, 0x31L, 0xffL }, { 0x78L, 0x78L, 0x27L, 0x27L, 0x78L, 0x78L, 0x27L }, { 255uL, 0x31L, 255uL, 0x31L, 255uL, 0x31L, 255uL } };
    int32_t l_142 = -1L;
    int32_t l_143 = 0xeb29fa79L;
    int32_t l_144[2][9] = { { -2L, -2L, -2L, -2L, -2L, -2L, -2L, -2L, -2L }, { 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L } };
    int32_t l_145[6];
    int32_t l_146 = 0x586f400aL;
    struct S0 l_147 = { -5L, 0L, 0xb65799c7L, 0x5f5692bdL, 65528uL };
    uint32_t l_148 = 4294967295uL;
    int16_t l_2229 = 0x8a5eL;
    uint32_t l_2338 = 0xa78d6bd7L;
    int32_t l_2344 = 0x936f19a1L;
    uint16_t l_2346 = 0x1e6cL;
    int8_t l_2355 = 0x8eL;
    uint16_t l_2396 = 0x406aL;
    int32_t l_2404 = 0x8bd9194aL;
    uint8_t l_2423 = 0xfeL;
    int8_t l_2435 = -2L;
    int i, j;
    for (i = 0; i < 6; i++)
        l_145[i] = 0xe41b645fL;
    if (~func_105(safe_rshift_func_uint8_t_u_s(l_110[5][6],
                                               4294967295uL & safe_rshift_func_uint16_t_u_s(safe_mod_func_uint32_t_u_u(1uL,
                                                                                                                       p_100 ^ l_110[6][2]),
                                                                                            0)),
                  safe_div_func_uint32_t_u_u((safe_lshift_func_uint8_t_u_s(l_110[5][6],
                                                                           2) | p_100) < safe_lshift_func_int16_t_s_s(l_144[0][0] = func_121(g_203[2] = func_124(func_129(safe_rshift_func_int16_t_s_s(safe_lshift_func_uint8_t_u_s((l_146 = l_145[2] = l_144[0][0] = 0x2b768ffdL <= safe_lshift_func_int8_t_s_u(safe_add_func_int8_t_s_s((l_143 = (l_142 = p_100) && g_80 || 0xfe75L) < p_100 == g_80,
                                                                                                                                                                                                                                                                                                                                          0xa4L),
                                                                                                                                                                                                                                                                                                                 7)) == g_81[2] & 0x7e50L,
                                                                                                                                                                                                                                    p_100),
                                                                                                                                                                                                       p_100) && p_100,
                                                                                                                                                                          l_147,
                                                                                                                                                                          l_148,
                                                                                                                                                                          l_110[0][0]),
                                                                                                                                                                 g_283,
                                                                                                                                                                 l_147,
                                                                                                                                                                 p_100),
                                                                                                                                             l_148),
                                                                                                                      l_110[5][6]) != l_147.f4,
                                             g_3) | g_55[1][5] | g_4[7][0][1]) == p_100)
    {
        int16_t l_2176 = -10L;
        int32_t l_2192 = 1L;
        int32_t l_2199 = 0L;
        int32_t l_2201 = 0x582bcf30L;
        uint8_t l_2283[8] = { 0xe1L, 0xe1L, 0x7dL, 0xe1L, 0xe1L, 0x7dL, 0xe1L, 0xe1L };
        int32_t l_2307[5];
        struct S0 l_2341 = { 1L, 1L, 4294967295uL, -1L, 4uL };
        int32_t l_2343 = 3L;
        int32_t l_2345[6];
        int i;
        for (i = 0; i < 5; i++)
        {
            l_2307[i] = 0xa8d90ad4L;
            for (i = 0; i < 5; i++)
                l_2307[i] = 0xa8d90ad4L;
            for (i = 0; i < 6; i++)
                l_145[i] = 0xe41b645fL;
        }
    lbl_2342:
        if ((l_144[0][0] &= safe_div_func_int32_t_s_s(safe_unary_minus_func_uint8_t_u(l_2176) || safe_mul_func_int16_t_s_s(safe_mul_func_int8_t_s_s(g_2181 & (~(0uL > (g_69 || 0x4467L)) || safe_mod_func_uint8_t_u_u(g_81[3] > (safe_div_func_int32_t_s_s(l_2192 &= (((l_147.f1 && safe_mul_func_int16_t_s_s(safe_mul_func_uint8_t_u_u((l_145[2] = l_2176) | p_100 | l_142,
                                                                                                                                                                                                                                                                                                                                        0uL),
                                                                                                                                                                                                                                                                                                              l_2176) > g_152[0].f1 >= g_203[2]) > l_147.f2 && g_55[0][3] || 0xf00eL) | 0x87e8b4afL) & l_2176,
                                                                                                                                                                                                                                                           g_234) >= l_147.f2),
                                                                                                                                                                                                                      -1L)),
                                                                                                                                                    p_100),
                                                                                                                           -6L) ^ 0L ^ p_100,
                                                      0x867b4c28L)) >= p_100 ^ l_2176 && l_142)
        {
            l_2192 ^= g_81[2];
        }
        else
        {
            int8_t l_2200[8] = { 0L, 0L, 0L, 0L, 0L, 0L, 0L, 0L };
            int16_t l_2220 = 0x112dL;
            int32_t l_2231 = 0xf3bd8649L;
            int32_t l_2304 = 0L;
            int32_t l_2306 = 0x2e89871dL;
            int i;
            for (g_283.f4 = -28; g_283.f4 == 57; g_283.f4 = safe_add_func_uint16_t_u_u(g_283.f4,
                                                                                       7))
            {
                uint8_t l_2215 = 0x4aL;
                int32_t l_2282 = -1L;
                int16_t l_2284 = 1L;
                int32_t l_2308 = 1L;
                int32_t l_2309 = 0L;
                int32_t l_2310 = 1L;
                uint16_t l_2313[6];
                int i;
                for (i = 0; i < 6; i++)
                    l_2313[i] = 0xfa7eL;
                for (g_976 = 0; g_976 > 20; g_976++)
                {
                    uint8_t l_2202 = 0x8dL;
                    g_58 = 0x25aea59eL;
                    for (l_147.f1 = -26; l_147.f1 == 20; l_147.f1 = safe_add_func_int32_t_s_s(l_147.f1,
                                                                                              1))
                    {
                        if (l_2192)
                            break;
                        l_2202--;
                    }
                }
                for (l_146 = 1; l_146 <= 5; l_146 += 1)
                {
                    int i;
                    if (!(0L < safe_mul_func_uint8_t_u_u(g_22 = safe_lshift_func_int8_t_s_s((l_145[l_146] = l_145[l_146] & (l_145[l_146] & p_100 | safe_add_func_uint32_t_u_u(p_100,
                                                                                                                                                                              g_58 = 0L != safe_add_func_int8_t_s_s(4294967295uL == g_1570 == safe_sub_func_int32_t_s_s(-1L,
                                                                                                                                                                                                                                                                        l_146),
                                                                                                                                                                                                                    g_32) >= l_2199) & g_23[0]) > p_100 <= 4L) | l_2215,
                                                                                            l_2176),
                                                         1L) == p_100))
                    {
                        return l_147.f3;
                    }
                    else
                    {
                        int8_t l_2230[5];
                        int32_t l_2232 = 1L;
                        int i;
                        for (i = 0; i < 5; i++)
                            l_2230[i] = 0x9dL;
                        l_2232 |= l_2201 = safe_rshift_func_int16_t_s_u(safe_add_func_int16_t_s_s(l_2220,
                                                                                                  g_551 && ((l_2231 = safe_mod_func_int32_t_s_s(g_26 >= ((safe_sub_func_int32_t_s_s(l_2176 < (p_100 & safe_mul_func_int8_t_s_s(l_2229 = g_466,
                                                                                                                                                                                                                               -1L >= l_146)),
                                                                                                                                                                                    p_100) == p_100 && 0uL) <= 65534uL) == l_2230[1],
                                                                                                                                                g_234) < 0L) && l_145[l_146])),
                                                                        g_621[0][2][4]);
                        if (g_80)
                            goto lbl_2342;
                    }
                    l_145[l_146] = safe_div_func_int16_t_s_s(safe_div_func_int8_t_s_s(2L ^ l_2220,
                                                                                      l_2176),
                                                             l_2215) && (g_80 = g_214 <= safe_add_func_uint16_t_u_u(safe_add_func_uint8_t_u_u(safe_add_func_int16_t_s_s(0x546fL,
                                                                                                                                                                        safe_sub_func_int8_t_s_s((safe_add_func_int8_t_s_s((g_1477 = ~(safe_mod_func_uint8_t_u_u(safe_rshift_func_uint8_t_u_s(safe_unary_minus_func_int8_t_s(p_100 >= l_2192 <= safe_rshift_func_int16_t_s_u(l_145[l_146],
                                                                                                                                                                                                                                                                                                                                                                             l_2215)),
                                                                                                                                                                                                                                                                                              2),
                                                                                                                                                                                                                                                                 g_152[0].f0) < g_152[0].f1)) == 1uL,
                                                                                                                                                                                                                           0xf7L) || p_100) == g_283.f2,
                                                                                                                                                                                                 l_145[l_146])) < -1L,
                                                                                                                                              0uL) && l_145[l_146],
                                                                                                                    l_2215) ^ l_145[l_146]);
                }
                for (l_2215 = -22; l_2215 == 16; l_2215++)
                {
                    int32_t l_2287 = 0L;
                    int32_t l_2302 = -3L;
                    int32_t l_2303[10] = { 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L, 0xcc49ef79L };
                    int i;
                    for (g_407 = 0; g_407 <= 1; g_407 += 1)
                    {
                        int i, j;
                        return l_144[g_407][g_407 + 5];
                    }
                    if (safe_rshift_func_int16_t_s_s((l_2201 = 0uL) >= p_100,
                                                     safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(safe_rshift_func_uint8_t_u_u(+safe_sub_func_int8_t_s_s(-1L,
                                                                                                                                                                   safe_add_func_int8_t_s_s(0x2cc8L || safe_rshift_func_int16_t_s_u(safe_sub_func_int16_t_s_s(p_100,
                                                                                                                                                                                                                                                              safe_lshift_func_uint16_t_u_s(0uL,
                                                                                                                                                                                                                                                                                            1) >= safe_sub_func_uint16_t_u_u(p_100 & g_1185,
                                                                                                                                                                                                                                                                                                                             g_27 = safe_div_func_int8_t_s_s(l_144[0][0] = safe_lshift_func_uint16_t_u_u(safe_rshift_func_int16_t_s_s((l_2282 = l_2229) != 0xac63L,
                                                                                                                                                                                                                                                                                                                                                                                                                                      0),
                                                                                                                                                                                                                                                                                                                                                                                                         2),
                                                                                                                                                                                                                                                                                                                                                             l_2283[2]) >= 0xe544L < g_283.f4 > l_2215)),
                                                                                                                                                                                                                                    l_2199),
                                                                                                                                                                                            l_2283[2]) & p_100),
                                                                                                                                         3),
                                                                                                            l_2284),
                                                                                p_100)))
                    {
                        uint32_t l_2301 = 0xf7a3158dL;
                        int16_t l_2305 = 0x3be6L;
                        int32_t l_2311 = -6L;
                        int32_t l_2312 = -1L;
                        l_146 = safe_rshift_func_uint16_t_u_s((l_2287 = p_100) ^ safe_div_func_uint32_t_u_u(safe_lshift_func_int8_t_s_u(g_5[2],
                                                                                                                                        (0x84L != ((safe_rshift_func_int16_t_s_u(safe_mul_func_uint8_t_u_u(l_2231 = 250uL,
                                                                                                                                                                                                           g_5[2] == safe_div_func_int8_t_s_s(safe_unary_minus_func_uint8_t_u(p_100 == l_2220) | safe_add_func_uint8_t_u_u(1L == p_100,
                                                                                                                                                                                                                                                                                                                           0xb7L) < l_2220,
                                                                                                                                                                                                                                              p_100)),
                                                                                                                                                                                 l_2282) > 1L && l_2301) > 0xd656L ^ g_410)) <= l_2301) ^ 0uL && l_2231,
                                                                                                            p_100) <= 0L,
                                                              l_2301);
                        if (l_2176)
                            continue;
                        --l_2313[5];
                    }
                    else
                    {
                        if (g_621[0][2][4])
                            break;
                    }
                    g_152[0] = g_283;
                    if (g_277)
                        break;
                }
                for (l_2199 = -29; l_2199 < -22; l_2199 = safe_add_func_int8_t_s_s(l_2199,
                                                                                   7))
                {
                    int16_t l_2339 = 0xec75L;
                    int32_t l_2340 = 0x917ca4d1L;
                    if (safe_rshift_func_uint8_t_u_u(safe_mod_func_uint32_t_u_u(--p_100,
                                                                                l_2309) | safe_sub_func_uint32_t_u_u(4294967287uL,
                                                                                                                     safe_mul_func_uint8_t_u_u(safe_add_func_uint16_t_u_u(g_616[2],
                                                                                                                                                                          (safe_sub_func_int8_t_s_s(safe_mul_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(l_2339 = safe_rshift_func_int16_t_s_u(l_2313[5] == (((l_2338 |= 5uL) >= l_2283[7] < 7uL > l_2231 && l_2201) ^ l_2215) & 1L,
                                                                                                                                                                                                                                                                                              l_144[0][0]) <= 1uL,
                                                                                                                                                                                                                                                        l_2309),
                                                                                                                                                                                                                              0L),
                                                                                                                                                                                                    g_59[3]) == l_2310 | -1L && l_2313[5] || l_2283[6]) >= l_2340),
                                                                                                                                               g_57)),
                                                     6))
                    {
                        l_2307[4] = g_621[0][8][0];
                    }
                    else
                    {
                        g_283.f3 ^= l_2200[6];
                    }
                    if (g_57)
                        break;
                }
            }
            l_2341 = l_147;
        }
        l_2346++;
        l_2346++;
    }
    else
    {
        uint16_t l_2361 = 0xf1bcL;
        int32_t l_2392 = 0x3b3c7727L;
        int32_t l_2393 = -1L;
        uint32_t l_2399 = 4294967292uL;
        int32_t l_2402 = 1L;
        int32_t l_2403 = 0xa722e9cdL;
        int32_t l_2405 = 0x1f0d8d51L;
        uint16_t l_2406 = 6uL;
        --l_2399;
        for (l_147.f1 = 8; l_147.f1 >= -3; l_147.f1 = safe_sub_func_uint16_t_u_u(l_147.f1,
                                                                                 3))
        {
            int32_t l_2358 = 0x9556bea6L;
            int32_t l_2394 = 2L;
            int32_t l_2395[3][7][5] = { { { 1L, -8L, 1L, 6L, 1L }, { 0L, 0L, 4L, 0xfa295410L, 1L }, { 1L, 0x1337ecabL, 1L, 1L, 0x1337ecabL }, { 0x3d0099f7L, -5L, 4L, 1L, 0xd9c63115L }, { -8L, -6L, 1L, 0xb774a815L, -1L }, { 0xaee37cd5L, 0x3d0099f7L, 0x3d0099f7L, 0xaee37cd5L, 0x7f888dd7L }, { -8L, 1L, 0xb5e344b0L, 3L, 0xb774a815L } }, { { 0x3d0099f7L, 0x9725e237L, 0L, 4L, 0L }, { 1L, 1L, 0xb774a815L, 3L, 0xb5e344b0L }, { 0L, 0xfa295410L, 0x7f888dd7L, 0xaee37cd5L, 0x3d0099f7L }, { 1L, 0xb774a815L, -1L, 0xb774a815L, 1L }, { 0xe77d5347L, 0xfa295410L, 0xd9c63115L, 1L, 4L }, { 3L, 1L, 0x1337ecabL, 1L, 1L }, { 1L, 0x9725e237L, 1L, 0xfa295410L, 4L } }, { { -8L, 1L, 1L, 6L, 1L }, { 4L, 0x3d0099f7L, 0x3d0099f7L, 0x3d0099f7L, 0xaee37cd5L }, { 8L, 0xb5e344b0L, 0xb774a815L, 1L, -1L }, { 0xe77d5347L, 0xd9c63115L, 0L, 0x9725e237L, 0L }, { 1L, 8L, 8L, 1L, -8L }, { 0xe77d5347L, 0x3d0099f7L, 0L, 0xfa295410L, 0x9725e237L }, { 8L, 3L, -8L, 0xb774a815L, -8L } } };
            int i, j, k;
            l_144[0][0] = safe_div_func_int32_t_s_s(p_100++ == l_2355 || p_100,
                                                    (0x8eac4f11L || 0xc3L & (l_147.f2 || safe_mod_func_int8_t_s_s(l_2358,
                                                                                                                  safe_lshift_func_int8_t_s_s(l_110[1][5],
                                                                                                                                              l_147.f2))) && l_2361) >= 1uL | l_2346);
            l_2393 ^= safe_lshift_func_int16_t_s_s(safe_add_func_int16_t_s_s(safe_mul_func_int16_t_s_s(g_621[0][2][4] <= (g_152[0].f0 = g_152[0].f1 ^ safe_sub_func_int16_t_s_s(+0xfae0L,
                                                                                                                                                                                safe_lshift_func_uint8_t_u_s(p_100,
                                                                                                                                                                                                             safe_mul_func_int16_t_s_s(safe_rshift_func_int8_t_s_s(safe_mul_func_int8_t_s_s(safe_add_func_int16_t_s_s(safe_mul_func_uint8_t_u_u(safe_add_func_int16_t_s_s(safe_add_func_uint32_t_u_u(safe_add_func_int16_t_s_s(4294967295uL && safe_mod_func_uint8_t_u_u(g_410 < (l_2392 = safe_add_func_uint8_t_u_u(p_100 & (2uL || l_2355),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     g_81[0])),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                         g_1917) <= l_2358 >= 0xab24L,
                                                                                                                                                                                                                                                                                                                                                                                                                               0x1b29L) || p_100,
                                                                                                                                                                                                                                                                                                                                                                                                     g_152[0].f3) && p_100,
                                                                                                                                                                                                                                                                                                                                                                          p_100),
                                                                                                                                                                                                                                                                                                                                                1L),
                                                                                                                                                                                                                                                                                                                      65535uL),
                                                                                                                                                                                                                                                                                            1L) < -1L,
                                                                                                                                                                                                                                                                   7),
                                                                                                                                                                                                                                       65527uL)))),
                                                                                                       g_214) & 0x30f6L,
                                                                             0x5af7L),
                                                   g_616[4]);
            l_2396++;
            return g_465;
        }
    }
    for (i = 0; i < 6; i++)
        l_145[i] = 0xe41b645fL;
    l_147.f3 = (l_143 ^ p_100 < (g_26 == (safe_sub_func_uint8_t_u_u(g_27-- < p_100,
                                                                    safe_div_func_uint8_t_u_u(g_58 > safe_sub_func_uint8_t_u_u(251uL,
                                                                                                                               safe_div_func_int32_t_s_s(safe_mod_func_int16_t_s_s(l_2423 = ++g_22 != g_2181,
                                                                                                                                                                                   safe_sub_func_int32_t_s_s(g_69,
                                                                                                                                                                                                             safe_div_func_uint32_t_u_u(((~safe_rshift_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(0x64L,
                                                                                                                                                                                                                                                                                                    g_26),
                                                                                                                                                                                                                                                                       6) | p_100) != l_144[0][0]) < g_1185,
                                                                                                                                                                                                                                        p_100) == 0xb7L) & 1L) && 0x15L,
                                                                                                                                                         g_55[0][3])) <= p_100,
                                                                                              -6L) <= l_147.f1) & -1L)) < g_152[0].f0) != g_1477;
    g_2432--;
    for (i = 0; i < 6; i++)
        l_145[i] = 0xe41b645fL;
    g_283.f3 ^= g_58 & l_2435;
    {
        uint16_t l_2361 = 0xf1bcL;
        int32_t l_2392 = 0x3b3c7727L;
        int32_t l_2393 = -1L;
        uint32_t l_2399 = 4294967292uL;
        int32_t l_2402 = 1L;
        int32_t l_2403 = 0xa722e9cdL;
        int32_t l_2405 = 0x1f0d8d51L;
        uint16_t l_2406 = 6uL;
        for (l_147.f1 = 8; l_147.f1 >= -3; l_147.f1 = safe_sub_func_uint16_t_u_u(l_147.f1,
                                                                                 3))
        {
            int32_t l_2358 = 0x9556bea6L;
            int32_t l_2394 = 2L;
            int32_t l_2395[3][7][5] = { { { 1L, -8L, 1L, 6L, 1L }, { 0L, 0L, 4L, 0xfa295410L, 1L }, { 1L, 0x1337ecabL, 1L, 1L, 0x1337ecabL }, { 0x3d0099f7L, -5L, 4L, 1L, 0xd9c63115L }, { -8L, -6L, 1L, 0xb774a815L, -1L }, { 0xaee37cd5L, 0x3d0099f7L, 0x3d0099f7L, 0xaee37cd5L, 0x7f888dd7L }, { -8L, 1L, 0xb5e344b0L, 3L, 0xb774a815L } }, { { 0x3d0099f7L, 0x9725e237L, 0L, 4L, 0L }, { 1L, 1L, 0xb774a815L, 3L, 0xb5e344b0L }, { 0L, 0xfa295410L, 0x7f888dd7L, 0xaee37cd5L, 0x3d0099f7L }, { 1L, 0xb774a815L, -1L, 0xb774a815L, 1L }, { 0xe77d5347L, 0xfa295410L, 0xd9c63115L, 1L, 4L }, { 3L, 1L, 0x1337ecabL, 1L, 1L }, { 1L, 0x9725e237L, 1L, 0xfa295410L, 4L } }, { { -8L, 1L, 1L, 6L, 1L }, { 4L, 0x3d0099f7L, 0x3d0099f7L, 0x3d0099f7L, 0xaee37cd5L }, { 8L, 0xb5e344b0L, 0xb774a815L, 1L, -1L }, { 0xe77d5347L, 0xd9c63115L, 0L, 0x9725e237L, 0L }, { 1L, 8L, 8L, 1L, -8L }, { 0xe77d5347L, 0x3d0099f7L, 0L, 0xfa295410L, 0x9725e237L }, { 8L, 3L, -8L, 0xb774a815L, -8L } } };
            int i, j, k;
            l_144[0][0] = safe_div_func_int32_t_s_s(p_100++ == l_2355 || p_100,
                                                    (0x8eac4f11L || 0xc3L & (l_147.f2 || safe_mod_func_int8_t_s_s(l_2358,
                                                                                                                  safe_lshift_func_int8_t_s_s(l_110[1][5],
                                                                                                                                              l_147.f2))) && l_2361) >= 1uL | l_2346);
            l_2393 ^= safe_lshift_func_int16_t_s_s(safe_add_func_int16_t_s_s(safe_mul_func_int16_t_s_s(g_621[0][2][4] <= (g_152[0].f0 = g_152[0].f1 ^ safe_sub_func_int16_t_s_s(+0xfae0L,
                                                                                                                                                                                safe_lshift_func_uint8_t_u_s(p_100,
                                                                                                                                                                                                             safe_mul_func_int16_t_s_s(safe_rshift_func_int8_t_s_s(safe_mul_func_int8_t_s_s(safe_add_func_int16_t_s_s(safe_mul_func_uint8_t_u_u(safe_add_func_int16_t_s_s(safe_add_func_uint32_t_u_u(safe_add_func_int16_t_s_s(4294967295uL && safe_mod_func_uint8_t_u_u(g_410 < (l_2392 = safe_add_func_uint8_t_u_u(p_100 & (2uL || l_2355),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     g_81[0])),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                         g_1917) <= l_2358 >= 0xab24L,
                                                                                                                                                                                                                                                                                                                                                                                                                               0x1b29L) || p_100,
                                                                                                                                                                                                                                                                                                                                                                                                     g_152[0].f3) && p_100,
                                                                                                                                                                                                                                                                                                                                                                          p_100),
                                                                                                                                                                                                                                                                                                                                                1L),
                                                                                                                                                                                                                                                                                                                      65535uL),
                                                                                                                                                                                                                                                                                            1L) < -1L,
                                                                                                                                                                                                                                                                   7),
                                                                                                                                                                                                                                       65527uL)))),
                                                                                                       g_214) & 0x30f6L,
                                                                             0x5af7L),
                                                   g_616[4]);
            l_2396++;
            return g_465;
        }
        --l_2399;
        l_2406--;
    }
    return p_100;
}
static uint32_t func_105(uint16_t p_106, int16_t p_107)
{
    uint16_t l_1887 = 0x1dffL;
    uint8_t l_1915 = 0x32L;
    int32_t l_1930 = 8L;
    int32_t l_1931[4][5];
    uint32_t l_1938 = 4uL;
    int32_t l_2133 = 0L;
    struct S0 l_2172 = { 0x61L, -1L, 4294967286uL, 0x13e044e4L, 65530uL };
    int i, j;
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 5; j++)
            l_1931[i][j] = 2L;
    }
lbl_2101:
    g_152[0].f3 = 0L;
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 5; j++)
            l_1931[i][j] = 2L;
    }
    for (i = 0; i < 4; i++)
    {
        for (j = 0; j < 5; j++)
            l_1931[i][j] = 2L;
    }
    return g_23[2];
}
static int16_t func_121(uint16_t p_122, int32_t p_123)
{
    int32_t l_292 = -7L;
    int8_t l_304[9] = { 1L, -10L, -10L, 1L, -10L, -10L, 1L, -10L, -10L };
    int32_t l_345 = 0x7d3ecdbfL;
    int32_t l_347[8] = { 0x4eb9a496L, 0L, 0L, 0x4eb9a496L, 0L, 0L, 0x4eb9a496L, 0L };
    int32_t l_369 = 0xa03a67fcL;
    uint16_t l_437 = 65535uL;
    uint16_t l_516 = 0uL;
    uint16_t l_624[7] = { 0xed81L, 0xed81L, 65535uL, 0xed81L, 0xed81L, 65535uL, 0xed81L };
    int8_t l_719 = 0xb7L;
    uint32_t l_845 = 0uL;
    uint32_t l_866[2][8] = { { 4294967287uL, 4294967287uL, 1uL, 4294967293uL, 1uL, 4294967287uL, 4294967287uL, 1uL }, { 4294967295uL, 1uL, 1uL, 4294967295uL, 0x49e6e4d0L, 4294967295uL, 1uL, 1uL } };
    struct S0 l_867 = { 0x9cL, 0x48L, 0xd831ec18L, -6L, 0x7eaaL };
    uint32_t l_956 = 3uL;
    uint8_t l_971 = 0x64L;
    int32_t l_1012 = 0xf2e34be1L;
    int32_t l_1172 = 0L;
    uint16_t l_1359 = 65526uL;
    uint32_t l_1385 = 0xac7d7e04L;
    int16_t l_1502 = -1L;
    int16_t l_1606 = 0x16d7L;
    uint8_t l_1704 = 0x4fL;
    int8_t l_1801 = -1L;
    int32_t l_1855 = 0x6fd1a748L;
    uint32_t l_1860 = 0xf717cb91L;
    uint8_t l_1871 = 1uL;
    uint32_t l_1872[1][4] = { { 0x2cafb76bL, 0x2cafb76bL, 0x2cafb76bL, 0x2cafb76bL } };
    int i, j;
lbl_1305:
    if (safe_unary_minus_func_uint32_t_u(g_57))
    {
        struct S0 l_285 = { 0x62L, 0x63L, 0x80a18275L, 0x3d69d35cL, 1uL };
        int32_t l_303 = -2L;
        int32_t l_519 = 0xcf0c64a2L;
        int32_t l_594 = 1L;
        int32_t l_622 = 0xc42ac63L;
        int8_t l_720 = 4L;
        int16_t l_740 = 0L;
        uint32_t l_834 = 4294967287uL;
        int32_t l_846 = 0x25424842L;
        for (g_231 = 0; g_231 <= 8; g_231 += 1)
        {
            uint16_t l_307 = 65533uL;
            int32_t l_365 = 3L;
            int32_t l_507[1];
            uint8_t l_528 = 0x94L;
            uint32_t l_590[7];
            uint32_t l_603 = 0x9aed675aL;
            int32_t l_612 = 0L;
            int32_t l_659 = 0L;
            uint16_t l_739 = 0uL;
            uint16_t l_758[9][1][9] = { { { 65535uL, 0uL, 1uL, 0uL, 1uL, 4uL, 1uL, 0uL, 1uL } }, { { 0x9b2eL, 0x9b2eL, 1uL, 0uL, 1uL, 1uL, 0x3497L, 0xfe5aL, 0xc69eL } }, { { 0uL, 0xbf4cL, 0xfe5aL, 0xc4f1L, 0x36c1L, 0x1146L, 65535uL, 1uL, 1uL } }, { { 0xc69eL, 0x21c9L, 1uL, 0x36c1L, 1uL, 0x21c9L, 0xc69eL, 0x12fcL, 0x8601L } }, { { 0xc69eL, 65535uL, 1uL, 0x21c9L, 0uL, 0uL, 0x1146L, 4uL, 0uL } }, { { 0uL, 1uL, 0uL, 65535uL, 0x12fcL, 0uL, 0uL, 0x12fcL, 65535uL } }, { { 0x9b2eL, 0uL, 0x9b2eL, 0x8601L, 0xbf4cL, 0uL, 0x36c1L, 1uL, 1uL } }, { { 65535uL, 65535uL, 0xbf4cL, 1uL, 4uL, 0uL, 0uL, 0xfe5aL, 0x1146L } }, { { 0uL, 0xc4f1L, 0x21c9L, 0x8601L, 0x8601L, 0x21c9L, 0xc4f1L, 0uL, 0x9b2eL } } };
            int32_t l_778 = -6L;
            struct S0 l_847 = { -2L, 0xfeL, 0xb66dddd8L, 0xd80953feL, 1uL };
            int i, j, k;
            for (i = 0; i < 1; i++)
                l_507[i] = -1L;
            for (i = 0; i < 7; i++)
                l_590[i] = 4294967289uL;
            l_285 = l_285;
            if ((g_59[g_231] != (l_303 = safe_div_func_int8_t_s_s(safe_sub_func_int32_t_s_s(g_59[g_231],
                                                                                            safe_mod_func_uint32_t_u_u(l_292,
                                                                                                                       safe_rshift_func_int16_t_s_u(safe_mod_func_uint32_t_u_u(l_285.f3 = (0L < safe_sub_func_uint8_t_u_u(0xd9L,
                                                                                                                                                                                                                          safe_lshift_func_int8_t_s_s(safe_div_func_uint16_t_u_u(g_152[0].f4,
                                                                                                                                                                                                                                                                                 p_122),
                                                                                                                                                                                                                                                      p_123)) != g_4[6][1][1] | g_234) <= g_59[g_231] != g_231,
                                                                                                                                                                               0x393ee34dL) < 0x1dcf8aabL,
                                                                                                                                                    g_4[6][3][0]))),
                                                                  g_3)) != l_292 | p_122) != l_304[8])
            {
                uint32_t l_368 = 0xf8d497b3L;
                int8_t l_385 = 0xbfL;
                int32_t l_404 = 0x22424442L;
                int32_t l_515 = 0xa3940cc9L;
                for (l_285.f2 = 0; l_285.f2 <= 3; l_285.f2 += 1)
                {
                    int i;
                    return g_81[l_285.f2];
                }
                for (p_123 = -30; p_123 >= -11; ++p_123)
                {
                    uint32_t l_310[5] = { 0x7972e57fL, 0x7972e57fL, 0x7972e57fL, 0x7972e57fL, 0x7972e57fL };
                    int32_t l_346[10] = { 3L, 0xfd91dcd4L, 3L, 3L, 0xfd91dcd4L, 3L, 3L, 0xfd91dcd4L, 3L, 3L };
                    int32_t l_348 = 0xc0335dbaL;
                    int i;
                    if (l_307)
                        break;
                    l_348 &= safe_mul_func_int8_t_s_s(l_285.f1,
                                                      (l_310[2] = g_59[g_231]) || safe_rshift_func_int16_t_s_s(safe_div_func_int8_t_s_s(safe_sub_func_int32_t_s_s((l_310[4] & (l_347[1] |= (((g_277 = g_59[g_231] ^ (g_80 = (safe_div_func_uint8_t_u_u(safe_add_func_int16_t_s_s((g_283.f4 = safe_mul_func_int16_t_s_s(safe_rshift_func_uint16_t_u_u(safe_sub_func_uint8_t_u_u(!(l_292 ^= safe_sub_func_int32_t_s_s(l_310[2],
                                                                                                                                                                                                                                                                                                                                                                                                                    g_58) & g_152[0].f2),
                                                                                                                                                                                                                                                                                                                                                                               l_346[0] = safe_mul_func_uint16_t_u_u(safe_lshift_func_uint16_t_u_u(p_122 = safe_sub_func_uint32_t_u_u(safe_mul_func_int16_t_s_s(l_345 = safe_rshift_func_uint16_t_u_s(safe_mul_func_uint8_t_u_u(safe_add_func_int32_t_s_s(g_283.f3 ^ safe_mul_func_int8_t_s_s(p_122,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              0uL),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          g_277),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                g_283.f2) >= g_283.f2 && g_283.f4,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      13) & p_123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                g_283.f3),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      g_214) && p_122,
                                                                                                                                                                                                                                                                                                                                                                                                                                                   g_5[2]),
                                                                                                                                                                                                                                                                                                                                                                                                                     p_123)),
                                                                                                                                                                                                                                                                                                                                                     p_123),
                                                                                                                                                                                                                                                                                                                       p_123)) == p_123,
                                                                                                                                                                                                                                                                                 -9L),
                                                                                                                                                                                                                                                       0xa7L) ^ l_285.f4) != p_123) != g_81[1]) | 0x2ad3L) < g_27 & g_59[g_231]) <= l_307 > 0uL)) != g_27 | 0x27c71321L,
                                                                                                                                                                  l_304[8]),
                                                                                                                                        l_310[2]) <= l_310[4],
                                                                                                               p_123));
                    return l_285.f2;
                }
                if (safe_lshift_func_uint8_t_u_u(p_122,
                                                 g_277) == p_123 && safe_div_func_uint16_t_u_u(safe_mul_func_int8_t_s_s(safe_lshift_func_uint8_t_u_s(((l_369 ^= safe_mul_func_int8_t_s_s((g_152[0].f1 = 0x8cL) || +safe_rshift_func_int16_t_s_s(0x6711L,
                                                                                                                                                                                                                                                4) >= safe_rshift_func_uint16_t_u_s(safe_rshift_func_uint8_t_u_u(l_365,
                                                                                                                                                                                                                                                                                                                 7) != (l_285.f3 = (l_285.f3 | safe_mod_func_uint32_t_u_u(p_122,
                                                                                                                                                                                                                                                                                                                                                                          p_122) != l_368 | l_368) ^ 7uL),
                                                                                                                                                                                                                                                                                    l_347[1]),
                                                                                                                                                                                         l_368)) & g_152[0].f0) == l_368,
                                                                                                                                                     g_234),
                                                                                                                        g_283.f0),
                                                                                               g_57))
                {
                    uint32_t l_382 = 0x37cdb33fL;
                    uint32_t l_386 = 0x3a1d2776L;
                    int32_t l_405 = 0x604aa25cL;
                    int32_t l_406[4] = { -10L, -10L, -10L, -10L };
                    struct S0 l_463 = { 0xa4L, 0x56L, 0x53f47ecL, 0x37abad2aL, 6uL };
                    int i;
                    for (g_283.f1 = 0; g_283.f1 > 15; g_283.f1++)
                    {
                        g_152[0] = g_152[1];
                        return l_285.f4;
                    }
                    if ((!(0xe4659088L < safe_mul_func_int16_t_s_s(safe_div_func_uint16_t_u_u(--g_152[0].f4,
                                                                                              p_122 == g_23[2] | (6L || (g_152[0].f0 ^= (g_23[2] & (g_22 = safe_add_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(6L | (p_123 = l_368),
                                                                                                                                                                                                               l_382++ >= l_385 & g_81[2]),
                                                                                                                                                                                      l_386))) == p_122 != p_122 == p_122) && l_307) != l_285.f1) ^ l_386,
                                                                   l_386)) || p_123) && l_382 || g_231)
                    {
                        int16_t l_389 = 1L;
                        g_152[0].f3 ^= 1L;
                        g_80 = (safe_mul_func_uint8_t_u_u(p_122,
                                                          (p_123 && (g_4[7][0][1] || (0xd6ed1dbeL || l_389 | safe_add_func_uint16_t_u_u(safe_mod_func_int8_t_s_s(1L,
                                                                                                                                                                 g_5[2] >= safe_mul_func_int8_t_s_s(safe_mul_func_int16_t_s_s(-1L,
                                                                                                                                                                                                                              safe_add_func_uint32_t_u_u(safe_mod_func_uint32_t_u_u(l_406[2] &= l_405 ^= safe_add_func_int16_t_s_s(l_404,
                                                                                                                                                                                                                                                                                                                                   0xd487L),
                                                                                                                                                                                                                                                                                    l_285.f2),
                                                                                                                                                                                                                                                         4294967286uL) >= l_382) != l_292 && -1L,
                                                                                                                                                                                                    0x90L) < 4L ^ g_22),
                                                                                                                                        g_214) != g_407 == g_283.f1 & l_285.f0)) | 255uL || 0xc56e569aL) <= g_152[0].f3) >= g_23[2] || -6L) & p_122 & 1L;
                        if (p_122)
                            break;
                        l_365 &= g_80 = g_152[0].f3 ^= p_123 = safe_sub_func_uint8_t_u_u(g_32,
                                                                                         g_410 && safe_mod_func_uint8_t_u_u((g_69 | l_345 & safe_mul_func_uint8_t_u_u(4uL,
                                                                                                                                                                      3uL == ((g_203[1] = p_123) != 1uL) > (0xfcf75b37L >= l_285.f4) | g_23[1])) == -2L,
                                                                                                                            2uL)) >= l_292;
                    }
                    else
                    {
                        return g_23[2];
                    }
                    if (g_4[7][0][1])
                    {
                        int32_t l_438 = 0xa07db0ceL;
                        int32_t l_439 = 0xc7c5717L;
                        int32_t l_440 = 0x96da207fL;
                        l_440 = safe_lshift_func_uint8_t_u_s(safe_add_func_uint16_t_u_u((g_22 ^ 249uL) > (l_404 = safe_mul_func_int8_t_s_s(p_123 && (l_438 |= safe_mod_func_uint8_t_u_u(safe_mod_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(g_23[2] && safe_rshift_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(l_285.f0,
                                                                                                                                                                                                                                                                                                                                            safe_mul_func_uint16_t_u_u((~l_368 ^ l_382 >= safe_mul_func_int8_t_s_s(6L,
                                                                                                                                                                                                                                                                                                                                                                                                                   l_303 = l_437 == g_283.f3)) == l_406[1],
                                                                                                                                                                                                                                                                                                                                                                       l_304[8])),
                                                                                                                                                                                                                                                                                                                 4),
                                                                                                                                                                                                                                                                                    p_122) && 0xb970L,
                                                                                                                                                                                                                                             g_283.f4),
                                                                                                                                                                                                                  p_122),
                                                                                                                                                                                        g_152[0].f2)),
                                                                                                                                           p_123)) >= l_439,
                                                                                        4L),
                                                             p_122);
                        if (g_59[g_231])
                            continue;
                        l_439 |= safe_mod_func_uint8_t_u_u(safe_rshift_func_uint16_t_u_s(safe_add_func_uint32_t_u_u(l_386,
                                                                                                                    p_122),
                                                                                         4L != safe_mul_func_uint16_t_u_u(safe_lshift_func_int8_t_s_u(g_214,
                                                                                                                                                      l_304[4]),
                                                                                                                          --g_283.f4)),
                                                           safe_mod_func_uint32_t_u_u(safe_add_func_uint16_t_u_u(safe_div_func_uint8_t_u_u(safe_div_func_int8_t_s_s(l_368,
                                                                                                                                                                    1L),
                                                                                                                                           p_123) < safe_sub_func_int32_t_s_s(p_122 == l_440,
                                                                                                                                                                              p_122),
                                                                                                                 65535uL),
                                                                                      l_438));
                    }
                    else
                    {
                        struct S0 l_464[8] = { { 0x95L, 0x22L, 4294967289uL, 0x3c9bb6dfL, 65531uL }, { -2L, 0xa8L, 1uL, -1L, 65535uL }, { -2L, 0xa8L, 1uL, -1L, 65535uL }, { 0x95L, 0x22L, 4294967289uL, 0x3c9bb6dfL, 65531uL }, { -2L, 0xa8L, 1uL, -1L, 65535uL }, { -2L, 0xa8L, 1uL, -1L, 65535uL }, { 0x95L, 0x22L, 4294967289uL, 0x3c9bb6dfL, 65531uL }, { -2L, 0xa8L, 1uL, -1L, 65535uL } };
                        int i;
                        l_463 = l_463;
                        l_464[5] = g_283;
                        ++g_466;
                        p_123 = safe_mod_func_uint32_t_u_u(safe_lshift_func_int16_t_s_u(p_122,
                                                                                        l_304[7]),
                                                           l_464[5].f3 = ~(g_152[0].f4 != safe_rshift_func_uint8_t_u_s(p_122 < safe_div_func_uint16_t_u_u(l_368 <= (l_464[5].f4 <= -1L),
                                                                                                                                                          p_122),
                                                                                                                       p_123))) || p_123 || 7uL;
                    }
                    for (g_466 = 16; g_466 >= 14; g_466 = safe_sub_func_uint16_t_u_u(g_466,
                                                                                     9))
                    {
                        l_404 ^= 0x9162a7c4L;
                        if (g_234)
                            goto lbl_1848;
                    }
                }
                else
                {
                    uint32_t l_504[10][6][4] = { { { 0xae3daa53L, 0uL, 1uL, 0uL }, { 4294967287uL, 0xaa309246L, 4294967290uL, 0uL }, { 8uL, 1uL, 0xbb5579d3L, 0xbb5579d3L }, { 1uL, 1uL, 1uL, 4294967295uL }, { 0x2ea7c460L, 0x22a20eb5L, 0uL, 5uL }, { 0xfafc3104L, 0x8533e3fdL, 8uL, 0uL } }, { { 4294967287uL, 0x8533e3fdL, 0xc31b24d9L, 5uL }, { 0x8533e3fdL, 0x22a20eb5L, 4294967295uL, 4294967295uL }, { 0x96559237L, 1uL, 0xaa309246L, 0xbb5579d3L }, { 0xae3daa53L, 1uL, 0uL, 0uL }, { 0uL, 0xaa309246L, 8uL, 0uL }, { 0x96559237L, 0uL, 0xbb5579d3L, 3uL } }, { { 5uL, 0xc6b061bfL, 0xc31b24d9L, 4294967295uL }, { 1uL, 0x8a865deL, 3uL, 0x62375a83L }, { 0xfafc3104L, 0xbc6346bdL, 0xfafc3104L, 3uL }, { 0uL, 0x8533e3fdL, 1uL, 0x2ea7c460L }, { 0xe8c24f1bL, 0xaa309246L, 4294967295uL, 0x8533e3fdL }, { 8uL, 0xc6b061bfL, 4294967295uL, 0xbb5579d3L } }, { { 0xe8c24f1bL, 4294967287uL, 1uL, 4294967291uL }, { 0uL, 0x22a20eb5L, 0xfafc3104L, 0uL }, { 0xfafc3104L, 0uL, 3uL, 0uL }, { 1uL, 5uL, 0xc31b24d9L, 0x8533e3fdL }, { 5uL, 0x22a20eb5L, 0xbb5579d3L, 0x62375a83L }, { 0x96559237L, 0xe8c24f1bL, 8uL, 0xbb5579d3L } }, { { 0uL, 0xbc6346bdL, 0uL, 5uL }, { 0xae3daa53L, 0xaa309246L, 0xaa309246L, 0xae3daa53L }, { 0x96559237L, 5uL, 4294967295uL, 3uL }, { 0x8533e3fdL, 1uL, 0xc31b24d9L, 4294967291uL }, { 4294967287uL, 0x8a865deL, 8uL, 4294967291uL }, { 0xfafc3104L, 1uL, 0uL, 3uL } }, { { 0x2ea7c460L, 5uL, 1uL, 0xae3daa53L }, { 1uL, 0xaa309246L, 0xbb5579d3L, 5uL }, { 8uL, 0xbc6346bdL, 4294967290uL, 0xbb5579d3L }, { 4294967287uL, 0xe8c24f1bL, 1uL, 0x62375a83L }, { 0xae3daa53L, 0x22a20eb5L, 0x6bb8693eL, 0x8533e3fdL }, { 0xfafc3104L, 5uL, 0xaa309246L, 0uL } }, { { 0xe8c24f1bL, 0uL, 0xc31b24d9L, 0uL }, { 0uL, 0x22a20eb5L, 4294967290uL, 4294967291uL }, { 0x96559237L, 4294967287uL, 3uL, 0xbb5579d3L }, { 0x2ea7c460L, 0xc6b061bfL, 0uL, 0x8533e3fdL }, { 0x2ea7c460L, 0xaa309246L, 3uL, 0x2ea7c460L }, { 0x96559237L, 0x8533e3fdL, 4294967290uL, 3uL } }, { { 0uL, 0xbc6346bdL, 0xc31b24d9L, 0x62375a83L }, { 0xe8c24f1bL, 0x8a865deL, 0xaa309246L, 4294967295uL }, { 0xfafc3104L, 0xc6b061bfL, 0x6bb8693eL, 3uL }, { 4294967295uL, 0uL, 0x2ea7c460L, 0xbb5579d3L }, { 3uL, 0uL, 0xbfdef3acL, 0uL }, { 0x4d3b9400L, 0xf22c214dL, 0xa9f4b684L, 0xa9f4b684L } }, { { 8uL, 8uL, 0x2ea7c460L, 0x22a20eb5L }, { 4294967290uL, 0uL, 0x15303d7fL, 0xfafc3104L }, { 1uL, 0x6bb8693eL, 0x4d3b9400L, 0x15303d7fL }, { 3uL, 0x6bb8693eL, 0xc6b061bfL, 0xfafc3104L }, { 0x6bb8693eL, 0uL, 4294967288uL, 0x22a20eb5L }, { 0x676e28b1L, 8uL, 0uL, 0xa9f4b684L } }, { { 4294967295uL, 0xf22c214dL, 0x62375a83L, 0uL }, { 0xbb5579d3L, 0uL, 0x4d3b9400L, 0xbb5579d3L }, { 0x676e28b1L, 0uL, 0xa9f4b684L, 1uL }, { 0xfafc3104L, 0x96559237L, 0xc6b061bfL, 0x22a20eb5L }, { 8uL, 1uL, 1uL, 0x20b1f872L }, { 1uL, 0x8a865deL, 1uL, 1uL } } };
                    int32_t l_520 = 0x933a01b0L;
                    int i, j, k;
                    if (safe_lshift_func_int8_t_s_s(l_365 |= safe_lshift_func_uint8_t_u_s(p_123,
                                                                                          0),
                                                    0x198f1b2dL <= safe_mul_func_uint8_t_u_u(((g_152[0].f1 = 1L) >= safe_add_func_int8_t_s_s(g_152[0].f4,
                                                                                                                                             safe_mod_func_int32_t_s_s((p_123 && safe_div_func_uint32_t_u_u(safe_div_func_int16_t_s_s(safe_add_func_int16_t_s_s(safe_div_func_uint16_t_u_u(safe_unary_minus_func_int16_t_s(0x700f43a4L > safe_add_func_int8_t_s_s(safe_div_func_int16_t_s_s(~(safe_mod_func_uint16_t_u_u(l_504[4][4][0]--,
                                                                                                                                                                                                                                                                                                                                                                                                                         g_22) < ((l_507[0] = 0x85L) || +safe_div_func_uint32_t_u_u(safe_sub_func_uint8_t_u_u(l_404 = safe_rshift_func_uint16_t_u_s(65528uL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    p_123) ^ p_122,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              g_4[7][0][1]) == g_23[0],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    0xa355e920L)) >= p_123 || g_4[7][0][1]),
                                                                                                                                                                                                                                                                                                                                                                                            g_59[g_231]) <= g_59[g_231],
                                                                                                                                                                                                                                                                                                                                                                  0x2cL) && 0x61518967L),
                                                                                                                                                                                                                                                                                           l_285.f1),
                                                                                                                                                                                                                                                                l_285.f4) <= 0x104dL,
                                                                                                                                                                                                                                      g_58),
                                                                                                                                                                                                            p_123)) >= p_123,
                                                                                                                                                                       p_123)) && 1uL) ^ p_123,
                                                                                             255uL)) >= 0L < g_32)
                    {
                        int32_t l_514[8][8] = { { -6L, 1L, -7L, -6L, 0x4e533699L, 1L, 1L, 1L }, { 0x53e9c7d3L, 0x4e533699L, 0xaf886292L, 0xaf886292L, 0x4e533699L, 0x53e9c7d3L, 0L, -1L }, { -6L, 0L, -8L, 1L, 0x53e9c7d3L, -8L, 0x4e533699L, -8L }, { -3L, 1L, 7L, 1L, -3L, 0xfe82c045L, 1L, -1L }, { 1L, -3L, 0x53e9c7d3L, 0xaf886292L, 1L, 1L, 1L, 1L }, { -6L, 0x53e9c7d3L, 0x53e9c7d3L, -6L, 0L, -8L, 1L, 0x53e9c7d3L }, { 1L, 0x4e533699L, 7L, -1L, 0x4e533699L, -7L, 0x4e533699L, -1L }, { -8L, 0x4e533699L, -8L, 0x53e9c7d3L, 1L, -8L, 0L, -6L } };
                        int i, j;
                        l_516++;
                    }
                    else
                    {
                        uint32_t l_521 = 4294967288uL;
                        int32_t l_550[2];
                        int i;
                        for (i = 0; i < 2; i++)
                            l_550[i] = 0x1b23e048L;
                        p_123 ^= l_285.f1;
                        l_521--;
                        g_410 &= (safe_mod_func_int8_t_s_s(p_122 <= ((g_551 = g_22 = 0x149addaL < (l_519 < (safe_mul_func_int16_t_s_s(l_528 <= safe_mod_func_uint32_t_u_u(safe_lshift_func_int8_t_s_u(l_520 = !(safe_mul_func_int8_t_s_s(safe_sub_func_uint32_t_u_u(!(l_404 = safe_rshift_func_int16_t_s_u(safe_mod_func_int8_t_s_s(safe_div_func_int8_t_s_s(safe_div_func_uint8_t_u_u(p_123,
                                                                                                                                                                                                                                                                                                                                                                                       251uL),
                                                                                                                                                                                                                                                                                                                                                             p_122),
                                                                                                                                                                                                                                                                                                                                    safe_unary_minus_func_uint32_t_u(g_466 ^= g_59[7] = safe_mod_func_int16_t_s_s(0L,
                                                                                                                                                                                                                                                                                                                                                                                                                  safe_div_func_int8_t_s_s(l_550[0] ^= ~l_521,
                                                                                                                                                                                                                                                                                                                                                                                                                                           p_123) ^ g_23[2])) && l_285.f2),
                                                                                                                                                                                                                                                                                                           l_515)) & l_285.f3,
                                                                                                                                                                                                                                                                    g_152[0].f3) == p_123,
                                                                                                                                                                                                                                         p_123) || p_123 || g_283.f0),
                                                                                                                                                                                                      0) != l_303,
                                                                                                                                                                          g_152[0].f4),
                                                                                                                                      g_283.f0) ^ l_507[0]) ^ 0uL) | l_521) ^ 0xdaL) <= p_123,
                                                           l_285.f0) | l_507[0]) <= 248uL < l_368;
                    }
                    if (l_285.f4)
                        break;
                }
                p_123 = safe_sub_func_uint32_t_u_u(safe_lshift_func_uint16_t_u_s(safe_sub_func_uint32_t_u_u((l_519 |= safe_lshift_func_uint16_t_u_u(65535uL,
                                                                                                                                                    safe_div_func_int8_t_s_s(!l_528 & (safe_mul_func_int8_t_s_s(safe_rshift_func_uint16_t_u_s(g_81[0] <= safe_add_func_uint16_t_u_u(safe_sub_func_uint32_t_u_u(1uL,
                                                                                                                                                                                                                                                                                                               safe_mod_func_uint16_t_u_u(safe_mod_func_int8_t_s_s((g_283.f4 |= safe_mod_func_int32_t_s_s(l_385,
                                                                                                                                                                                                                                                                                                                                                                                                          safe_mod_func_uint32_t_u_u((g_26 = l_369 = safe_rshift_func_int16_t_s_u(safe_lshift_func_int8_t_s_u(p_122 != (((g_277 = safe_sub_func_int8_t_s_s(l_507[0] = safe_lshift_func_int8_t_s_s(safe_add_func_uint32_t_u_u(p_122,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             p_123 ^ (safe_sub_func_int16_t_s_s(g_234 = l_590[6]-- > (g_551 = safe_unary_minus_func_uint16_t_u(g_283.f0 < 0x37L)),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                l_368) != 0x6c48L || p_122)),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  5) < g_4[8][2][0] != g_152[0].f2,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           l_304[8]) < g_214) ^ p_122 ^ p_123) == g_5[2]),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              l_285.f3) > g_55[0][3] == 0x5aacL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  0) > g_81[2]) | g_407,
                                                                                                                                                                                                                                                                                                                                                                                                                                     p_122))) | 3uL,
                                                                                                                                                                                                                                                                                                                                                                   l_594),
                                                                                                                                                                                                                                                                                                                                          p_122) || l_285.f4),
                                                                                                                                                                                                                                                                                    g_80),
                                                                                                                                                                                                                                              l_528),
                                                                                                                                                                                                                p_123) || l_347[4]),
                                                                                                                                                                             255uL))) > -1L > 0xa9c1944fL,
                                                                                                            l_345),
                                                                                 0) <= 0L < l_285.f2,
                                                   g_4[7][0][1]) >= g_152[0].f0 <= 0x1fa4e184L != l_303 && p_122;
            }
            else
            {
                uint32_t l_606 = 1uL;
                int32_t l_607 = 0L;
                int32_t l_609 = 0x9ec9a96bL;
                int32_t l_611 = 0xd4f35aacL;
                int32_t l_613 = 1L;
                int32_t l_614 = 0x60eb540dL;
                int32_t l_618 = 1L;
                int32_t l_620 = 6L;
                int32_t l_623 = 0xa5c257b2L;
                struct S0 l_682 = { 0xb5L, 0xe5L, 0x71a8812cL, -1L, 65535uL };
                uint8_t l_751 = 1uL;
                if (safe_sub_func_int8_t_s_s(g_152[0].f4 != (p_123 < (+(0x784aL & 0uL) >= safe_lshift_func_uint16_t_u_u(p_122 > ((g_22 &= safe_add_func_int8_t_s_s(safe_rshift_func_uint8_t_u_u(l_603 ^ (0uL > (p_122 ^ safe_div_func_uint32_t_u_u(l_606,
                                                                                                                                                                                                                                                   l_304[0])) ^ p_122),
                                                                                                                                                                                                g_407),
                                                                                                                                                                   -1L) <= g_59[g_231] && g_283.f4) != l_437) || 0xd4L,
                                                                                                                        l_303)) >= g_283.f1 | -6L),
                                             l_285.f2))
                {
                    int32_t l_608 = 0xa566dc81L;
                    int32_t l_610 = 0x64c09ca0L;
                    int32_t l_615 = -1L;
                    int32_t l_617 = 4L;
                    int32_t l_619[8][2] = { { 0x41152da7L, 0x4b579325L }, { 0x41152da7L, 0x41152da7L }, { 0x4b579325L, 0x41152da7L }, { 0x41152da7L, 0x4b579325L }, { 0x41152da7L, 0x41152da7L }, { 0x4b579325L, 0x41152da7L }, { 0x41152da7L, 0x4b579325L }, { 0x41152da7L, 0x41152da7L } };
                    struct S0 l_683 = { 1L, -4L, 0uL, 5L, 0x5da5L };
                    int i, j;
                    ++l_624[6];
                    if (g_152[0].f3 != safe_rshift_func_uint8_t_u_s(safe_mul_func_int8_t_s_s(g_80 < g_55[2][0],
                                                                                             (l_519 = safe_mul_func_int8_t_s_s(p_122,
                                                                                                                               g_152[0].f0 = 2uL <= g_5[2])) & safe_div_func_int32_t_s_s(safe_mul_func_uint16_t_u_u(p_123,
                                                                                                                                                                                                                    safe_lshift_func_int8_t_s_s(safe_mod_func_int32_t_s_s(l_608 = (safe_add_func_int16_t_s_s(g_23[2],
                                                                                                                                                                                                                                                                                                             safe_div_func_int32_t_s_s(p_122 <= l_603,
                                                                                                                                                                                                                                                                                                                                       l_507[0]) >= l_285.f2) >= p_122 != g_466 && l_614) < 1uL || 0L,
                                                                                                                                                                                                                                                                          p_122),
                                                                                                                                                                                                                                                5)),
                                                                                                                                                                                         g_57)) >= 0xf1a59974L,
                                                                    5))
                    {
                        uint32_t l_658 = 9uL;
                        g_616[2] ^= safe_unary_minus_func_uint16_t_u(g_203[0] ^= safe_mul_func_int8_t_s_s(safe_rshift_func_int16_t_s_s(p_123,
                                                                                                                                       2) == 0xd1ecL,
                                                                                                          safe_mul_func_int8_t_s_s(0xd5L,
                                                                                                                                   safe_add_func_uint32_t_u_u(safe_mod_func_uint8_t_u_u((l_292 && l_622) != 1L,
                                                                                                                                                                                        safe_sub_func_uint16_t_u_u(l_658,
                                                                                                                                                                                                                   g_59[g_231] > 0x83c5L >= l_658)),
                                                                                                                                                              l_659))));
                        l_345 &= (65535uL ^ safe_mul_func_uint16_t_u_u(safe_lshift_func_int16_t_s_u(safe_mul_func_uint8_t_u_u(g_407,
                                                                                                                              safe_add_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(2uL,
                                                                                                                                                                                  p_123) == g_231,
                                                                                                                                                        safe_div_func_uint16_t_u_u(((l_619[0][1] = safe_lshift_func_uint8_t_u_u(safe_lshift_func_uint16_t_u_s(safe_mul_func_uint8_t_u_u(~(0x87L & l_365 != safe_lshift_func_uint16_t_u_s(g_152[0].f4 | (+safe_div_func_uint8_t_u_u(g_203[2],
                                                                                                                                                                                                                                                                                                                                                                                   0xfaL) && g_234),
                                                                                                                                                                                                                                                                                                                                         g_27)),
                                                                                                                                                                                                                                                                                        0x9L) < p_123,
                                                                                                                                                                                                                                                              3) == l_285.f3,
                                                                                                                                                                                                                                p_122)) | l_658) & 0uL,
                                                                                                                                                                                   l_608))),
                                                                                                    9) >= p_122 > l_620,
                                                                       p_123) | g_26) >= g_277 == 0uL;
                        if (p_122)
                            break;
                        if (g_152[0].f2)
                            break;
                    }
                    else
                    {
                        int16_t l_684 = 0L;
                        l_683 = l_682;
                        if (p_122)
                            continue;
                        g_152[0] = g_152[1];
                        l_684 = -1L;
                    }
                    for (l_285.f4 = 0; l_285.f4 < 55; l_285.f4++)
                    {
                        int16_t l_687 = 0L;
                        int32_t l_700 = 1L;
                        l_700 = (l_507[0] = (l_615 = p_123) | (l_687 ^= p_122 | 254uL) <= 0L) & safe_lshift_func_uint8_t_u_u(safe_lshift_func_uint8_t_u_s(safe_sub_func_uint32_t_u_u(p_123,
                                                                                                                                                                                     (g_26 ^ safe_mul_func_int8_t_s_s(safe_add_func_int32_t_s_s((l_519 = 0x45aL) > safe_rshift_func_int16_t_s_s(l_365 ^= p_122 ^ p_122,
                                                                                                                                                                                                                                                                                                p_122) >= l_659,
                                                                                                                                                                                                                                                p_122),
                                                                                                                                                                                                                      g_466)) < 1uL),
                                                                                                                                                          g_283.f4),
                                                                                                                             2);
                        g_616[4] = l_285.f3;
                        p_123 = safe_rshift_func_int16_t_s_s(l_687 < (g_55[0][3] || (l_507[0] = l_347[1] = safe_add_func_int16_t_s_s(safe_div_func_int32_t_s_s(g_22 && p_123,
                                                                                                                                                               safe_mod_func_int8_t_s_s(safe_rshift_func_uint8_t_u_s(g_214,
                                                                                                                                                                                                                     7) >= (0xa968L != (safe_lshift_func_int16_t_s_u((g_283.f3 >= (safe_add_func_uint8_t_u_u(safe_mod_func_int32_t_s_s(p_122,
                                                                                                                                                                                                                                                                                                                                       safe_add_func_int32_t_s_s(l_719,
                                                                                                                                                                                                                                                                                                                                                                 0x48db680bL)),
                                                                                                                                                                                                                                                                                                             l_619[6][0]) > p_122) ^ l_700 | p_123 || g_616[3]) > l_285.f2,
                                                                                                                                                                                                                                                                     15) || p_122)),
                                                                                                                                                                                        l_590[6])) != 0x126d2577L,
                                                                                                                                     g_214) <= -1L | l_720)) || l_700,
                                                             g_3);
                        return l_682.f3;
                    }
                }
                else
                {
                    return g_69;
                }
                g_80 = (safe_lshift_func_uint8_t_u_s(l_307,
                                                     safe_mul_func_uint8_t_u_u(l_292,
                                                                               0xb2L)) && ((g_32 = g_59[7]) | safe_lshift_func_uint8_t_u_u(safe_lshift_func_uint8_t_u_u(safe_mod_func_uint32_t_u_u(p_123 < (l_347[1] ^= 0x64d6bbbbL) && safe_add_func_int16_t_s_s(g_59[1] < (l_618 = safe_lshift_func_int8_t_s_s(~((l_739 = safe_mod_func_uint8_t_u_u(g_234 >= (safe_mod_func_int32_t_s_s(0L,
                                                                                                                                                                                                                                                                                                                                                                                          g_203[2]) && 0x7abedc6eL) || l_345,
                                                                                                                                                                                                                                                                                                                                                      0xddL)) != 0x45daL),
                                                                                                                                                                                                                                                                                                                 l_740)) & 6uL,
                                                                                                                                                                                                                                                                  1L),
                                                                                                                                                                                                   0x96cdf6c1L) >= g_27 <= 0x4933L,
                                                                                                                                                                        p_123),
                                                                                                                                           g_621[1][3][0])) == 0L) & g_81[1];
                if (safe_rshift_func_uint8_t_u_u(safe_mul_func_int8_t_s_s(p_122 >= (0xe8L != (((0x448L != (p_123 ^ (safe_sub_func_int16_t_s_s(0L,
                                                                                                                                              safe_div_func_int8_t_s_s(safe_div_func_int32_t_s_s((0x1aL & (l_751 ^= 248uL && (+(g_234 & ((l_347[2] |= 65534uL >= g_152[0].f2) | g_203[2]) && l_624[3]) | 0xfaL && p_122))) != l_624[2] != g_616[0] && l_622,
                                                                                                                                                                                                 g_283.f2),
                                                                                                                                                                       g_203[2]) > -5L) && 0xbfL) & 0x3aL)) > 0x8cebL || p_122) ^ l_606)) >= p_123,
                                                                          0uL) < l_682.f1,
                                                 g_3))
                {
                    uint32_t l_777 = 4294967288uL;
                    int32_t l_821 = 0x5af0babbL;
                    int32_t l_830 = 0x182332b9L;
                    int32_t l_833 = 6L;
                    l_607 = safe_mod_func_uint8_t_u_u((safe_sub_func_uint32_t_u_u(safe_rshift_func_int16_t_s_u(l_507[0] = l_758[1][0][1],
                                                                                                               3),
                                                                                  safe_mul_func_uint8_t_u_u(safe_rshift_func_uint16_t_u_u(p_123,
                                                                                                                                          7),
                                                                                                            p_123) < 65535uL) || safe_sub_func_int16_t_s_s(safe_add_func_uint8_t_u_u(p_122,
                                                                                                                                                                                     -8L) < (safe_sub_func_int32_t_s_s(safe_mod_func_int32_t_s_s(p_123 = (safe_mul_func_uint16_t_u_u((l_682.f3 = g_69) & safe_rshift_func_uint8_t_u_u(l_347[1] &= 0xa1L,
                                                                                                                                                                                                                                                                                                                                      3),
                                                                                                                                                                                                                                                                                     +safe_div_func_int32_t_s_s(g_152[0].f2,
                                                                                                                                                                                                                                                                                                                p_123)) && 0xdb2aL) == p_122,
                                                                                                                                                                                                                                                 l_285.f2),
                                                                                                                                                                                                                       p_122) < l_777),
                                                                                                                                                           g_283.f2)) >= l_778,
                                                      p_122);
                    if (g_283.f3 = safe_unary_minus_func_uint32_t_u(g_407 = safe_mod_func_int16_t_s_s(safe_rshift_func_int16_t_s_s(safe_add_func_uint8_t_u_u(safe_mul_func_uint16_t_u_u(g_152[0].f4,
                                                                                                                                                                                        (safe_div_func_uint8_t_u_u(safe_mul_func_int16_t_s_s((g_26 ^= safe_sub_func_int16_t_s_s(safe_mul_func_uint8_t_u_u(((safe_mod_func_uint8_t_u_u(safe_lshift_func_uint8_t_u_u(g_551 & g_5[2],
                                                                                                                                                                                                                                                                                                                                                                   safe_mod_func_int32_t_s_s(~safe_add_func_uint8_t_u_u(((0xf8fbL & +((safe_add_func_int16_t_s_s(safe_add_func_uint8_t_u_u(safe_mod_func_uint32_t_u_u(0x27L >= (g_283.f0 ^= safe_sub_func_uint8_t_u_u(g_22 |= (g_152[0].f1 = -10L) >= g_81[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      (l_519 = safe_add_func_uint16_t_u_u(g_81[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          l_285.f0)) < l_777 != 0x39L != p_123)),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      g_410),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           255uL),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                 g_58) || 0x90L) == g_32)) > 1uL && g_283.f0) < g_81[1] & 0uL,
                                                                                                                                                                                                                                                                                                                                                                                                                        l_516),
                                                                                                                                                                                                                                                                                                                                                                                             l_777)) <= 1L,
                                                                                                                                                                                                                                                                                                                                      255uL) || g_283.f3) >= 0L != 0uL) < p_122,
                                                                                                                                                                                                                                                                                                          g_234) & g_203[2],
                                                                                                                                                                                                                                                                                0x36c4L)) <= p_122,
                                                                                                                                                                                                                                             p_123),
                                                                                                                                                                                                                   0xdbL) && p_122) <= g_231 >= l_777),
                                                                                                                                                             0xf3L),
                                                                                                                                   5),
                                                                                                      7L)))
                    {
                        return p_123;
                    }
                    else
                    {
                        struct S0 l_814 = { 7L, 0x1dL, 0x51d55d8cL, 0x4b603dd0L, 0x503L };
                        l_682 = l_814;
                    }
                    p_123 = safe_div_func_uint32_t_u_u(safe_sub_func_uint8_t_u_u(safe_lshift_func_int8_t_s_s((255uL & ((l_821 = p_122) && safe_rshift_func_uint8_t_u_u(safe_add_func_int8_t_s_s(l_607 ^= p_122,
                                                                                                                                                                                                g_32),
                                                                                                                                                                       3))) == ((safe_sub_func_int8_t_s_s(0xebL,
                                                                                                                                                                                                          l_303 = ((l_830 = 0uL) == ++g_22) <= ((l_345 |= l_622 = --l_834) & safe_sub_func_uint8_t_u_u(0xe9af7624L >= (l_845 = safe_mul_func_int8_t_s_s(safe_rshift_func_uint8_t_u_s(l_347[1],
                                                                                                                                                                                                                                                                                                                                                                                     safe_mod_func_uint8_t_u_u(p_123 < p_123,
                                                                                                                                                                                                                                                                                                                                                                                                               l_624[6])),
                                                                                                                                                                                                                                                                                                                                                        3uL)) >= g_4[7][0][1] <= p_123 >= -1L,
                                                                                                                                                                                                                                                                                                       l_846)) & p_122) | 7uL) < 0L & l_304[8]),
                                                                                                             l_620),
                                                                                 g_69),
                                                       g_59[4]);
                }
                else
                {
                    struct S0 l_848 = { -1L, 0xc3L, 4294967295uL, -1L, 0xc0f8L };
                    l_847 = l_285;
                    l_848 = l_285 = g_152[0];
                    if (l_603)
                        continue;
                }
            }
            if (p_122 < 0x614bL && g_59[g_231] >= (((p_122 ^= safe_mul_func_uint16_t_u_u(safe_sub_func_uint32_t_u_u(g_407 ^= l_739,
                                                                                                                    safe_mod_func_int16_t_s_s(safe_mod_func_int8_t_s_s(safe_rshift_func_uint8_t_u_s(safe_mul_func_uint16_t_u_u(safe_add_func_int32_t_s_s(l_365 |= (l_347[4] = l_758[2][0][3]) > safe_unary_minus_func_int32_t_s((g_32 = !(0xccL || l_292) | l_519) == l_603 && 0x1d9L),
                                                                                                                                                                                                                                                         0xcb5c66cbL) & l_624[3],
                                                                                                                                                                                                                               l_847.f4),
                                                                                                                                                                                                    4) & -8L,
                                                                                                                                                                       3L) >= l_303,
                                                                                                                                              65535uL)) & l_594 | l_866[1][4] | 0xf760L,
                                                                                         l_847.f0)) == g_152[0].f3 | l_847.f0) > 0L | g_551) > 0xbdb0L)
            {
                l_867 = l_285 = g_283;
                for (g_214 = -14; g_214 == 26; g_214++)
                {
                    for (l_720 = 0; l_720 <= 2; l_720 += 1)
                    {
                        int i;
                        g_616[l_720] = g_616[l_720 + 2];
                    }
                }
                l_847 = l_867;
            }
            else
            {
                struct S0 l_870 = { -6L, -1L, 4294967290uL, 0xe1087ee6L, 4uL };
                int16_t l_906 = -5L;
                for (l_847.f1 = 0; l_847.f1 <= 0; l_847.f1 += 1)
                {
                    int32_t l_875[4];
                    int i;
                    for (i = 0; i < 4; i++)
                        l_875[i] = 8L;
                    g_283 = l_870;
                    for (l_845 = 0; l_845 <= 1; l_845 += 1)
                    {
                        int32_t l_871 = 0x8b850916L;
                        int32_t l_872 = 1L;
                        int32_t l_873 = -10L;
                        int32_t l_874[6][6][4] = { { { 0xe2c58fa0L, 3L, 1L, 0xe2c58fa0L }, { 0x345a5ef8L, 3L, 1L, 3L }, { 3L, 0xb75a3807L, 0xfb524446L, -3L }, { 0xe187876cL, 0x345a5ef8L, 1L, 0xfb524446L }, { -1L, 1L, 0L, 3L }, { -1L, 1L, 1L, -1L } }, { { 0xe187876cL, 3L, 0xfb524446L, 1L }, { 3L, 1L, 1L, -3L }, { 0x345a5ef8L, 0xe187876cL, 1L, -3L }, { 0xe2c58fa0L, 1L, 0xe2c58fa0L, 1L }, { -1L, 3L, -2L, -1L }, { 0x345a5ef8L, 1L, 0xfb524446L, 3L } }, { { 1L, 1L, 0xfb524446L, 9L }, { 1L, 1L, -1L, 0xb75a3807L }, { 0xfb524446L, 0x1b2cce87L, 1L, 0xe2c58fa0L }, { 1L, 0xe2c58fa0L, 0L, 1L }, { 1L, 0xe2c58fa0L, 1L, 0xe2c58fa0L }, { 0xe2c58fa0L, 0x1b2cce87L, 9L, 0xb75a3807L } }, { { -2L, 1L, 0L, 9L }, { 0xfb524446L, 0xe187876cL, -3L, 0xe2c58fa0L }, { 0xfb524446L, 0L, 0L, 0xfb524446L }, { -2L, 0xe2c58fa0L, 9L, 0L }, { 0xe2c58fa0L, 0xe187876cL, 1L, 0xb75a3807L }, { 1L, -2L, 0L, 0xb75a3807L } }, { { 1L, 0xe187876cL, 1L, 0L }, { 0xfb524446L, 0xe2c58fa0L, -1L, 0xfb524446L }, { 1L, 0L, 9L, 0xe2c58fa0L }, { 0L, 0xe187876cL, 9L, 9L }, { 1L, 1L, -1L, 0xb75a3807L }, { 0xfb524446L, 0x1b2cce87L, 1L, 0xe2c58fa0L } }, { { 1L, 0xe2c58fa0L, 0L, 1L }, { 1L, 0xe2c58fa0L, 1L, 0xe2c58fa0L }, { 0xe2c58fa0L, 0x1b2cce87L, 9L, 0xb75a3807L }, { -2L, 1L, 0L, 9L }, { 0xfb524446L, 0xe187876cL, -3L, 0xe2c58fa0L }, { 0xfb524446L, 0L, 0L, 0xfb524446L } } };
                        uint8_t l_876 = 0uL;
                        int i, j, k;
                        l_876--;
                        l_870.f3 ^= +(safe_rshift_func_int8_t_s_s(g_621[l_845][g_231][l_845 + 2],
                                                                  g_26 = safe_lshift_func_uint8_t_u_u(safe_mod_func_int32_t_s_s(l_867.f3 = 0xc4d5f2b8L <= (safe_sub_func_int8_t_s_s(0L,
                                                                                                                                                                                    0x18475e14L <= 0xfd3a707dL) < g_59[l_845 + 7]),
                                                                                                                                -1L || l_507[l_847.f1]),
                                                                                                      7)) || p_123) || p_123;
                        return p_122;
                    }
                }
                l_347[1] = ((safe_mul_func_int16_t_s_s(g_616[1] >= safe_mod_func_uint16_t_u_u(g_26 >= (safe_lshift_func_int8_t_s_s(-4L,
                                                                                                                                   1) > (safe_rshift_func_uint8_t_u_s(0xe3fe837bL <= safe_rshift_func_int8_t_s_s(safe_rshift_func_int8_t_s_u(~(safe_mod_func_uint16_t_u_u(0uL,
                                                                                                                                                                                                                                                                          l_847.f1) ^ safe_div_func_uint8_t_u_u((l_867.f3 = l_870.f4) == (((l_345 = safe_unary_minus_func_uint32_t_u(safe_rshift_func_uint16_t_u_s(0xb4L > l_870.f1,
                                                                                                                                                                                                                                                                                                                                                                                                                   l_906) != l_516 == 1L)) && 2L) <= g_152[0].f0 == g_152[0].f2 || 1L),
                                                                                                                                                                                                                                                                                                                247uL) != l_870.f1),
                                                                                                                                                                                                                                             3),
                                                                                                                                                                                                                 0),
                                                                                                                                                                      p_122) <= g_55[0][3])),
                                                                                              -1L),
                                                       l_740) | 5uL) != 0xe0L) > g_27 != g_616[1];
                g_152[0].f3 = g_616[3] |= p_123 = safe_add_func_int8_t_s_s((g_407 = p_123 | p_122 & g_23[2]) | 0x4a959c6bL,
                                                                           (safe_mod_func_uint32_t_u_u(safe_rshift_func_uint8_t_u_s(safe_rshift_func_int8_t_s_u(safe_add_func_uint16_t_u_u(p_122,
                                                                                                                                                                                           safe_mul_func_uint8_t_u_u(l_303 > +safe_lshift_func_int8_t_s_s(l_870.f1,
                                                                                                                                                                                                                                                          5) > (!(0x7025L <= p_122 <= l_285.f1) & 0x8e1da620L),
                                                                                                                                                                                                                     p_123)),
                                                                                                                                                                p_122),
                                                                                                                                    p_122),
                                                                                                       g_80) ^ -6L) < 0x5eL & 0xf40bL);
            }
            l_507[0] ^= safe_add_func_uint16_t_u_u(p_122 ^ safe_lshift_func_int8_t_s_u(safe_mul_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(p_123,
                                                                                                                                           +g_80) | safe_lshift_func_int8_t_s_s(l_867.f3 != safe_mul_func_uint16_t_u_u(l_659,
                                                                                                                                                                                                                       p_122),
                                                                                                                                                                                safe_add_func_int16_t_s_s(1L,
                                                                                                                                                                                                          safe_sub_func_int32_t_s_s(~((((l_622 = ((p_123 || (g_59[7] ^= safe_sub_func_int32_t_s_s(safe_lshift_func_uint16_t_u_s((g_81[2] > p_123 && p_122) ^ g_69,
                                                                                                                                                                                                                                                                                                                                l_740),
                                                                                                                                                                                                                                                                                                  p_123) && l_624[6])) < 0L ^ 0uL) > g_4[7][0][1] & p_122) || p_123) <= g_3 | p_122) == p_122),
                                                                                                                                                                                                                                    0xd1e84d66L))) || 0L,
                                                                                                                  g_26),
                                                                                       g_203[2]),
                                                   0x3b67L);
        }
    }
    else
    {
        uint16_t l_970 = 0x9ac6L;
        int32_t l_980 = 1L;
        int32_t l_1022 = -4L;
        uint32_t l_1077[7] = { 0uL, 0uL, 0uL, 0uL, 0uL, 0uL, 0uL };
        int32_t l_1087 = 1L;
        int32_t l_1088 = 0xbdf36be0L;
        int32_t l_1090 = 0x2795dd04L;
        int i;
        for (g_407 = 0; g_407 != 15; g_407 = safe_add_func_uint8_t_u_u(g_407,
                                                                       3))
        {
            uint32_t l_966 = 0xdd67fa6aL;
            uint32_t l_1023 = 8uL;
            int32_t l_1033 = 0x6dcb9a48L;
            int32_t l_1038[4] = { 0L, 0L, 0L, 0L };
            uint32_t l_1078 = 4294967290uL;
            int i;
            if (safe_unary_minus_func_int16_t_s(g_58))
            {
                uint32_t l_984 = 0xfe15cf8fL;
                for (l_345 = 23; l_345 < -24; l_345 = safe_sub_func_uint32_t_u_u(l_345,
                                                                                 1))
                {
                    g_152[1] = g_152[0];
                }
                if (safe_mod_func_uint8_t_u_u(g_283.f2 > safe_mul_func_int8_t_s_s(safe_div_func_int32_t_s_s((l_345 ^= (g_283.f3 || 0xddfcL) < p_123) == 0x2b0bL,
                                                                                                            safe_mod_func_int16_t_s_s(safe_lshift_func_int8_t_s_s(0xebL,
                                                                                                                                                                  6),
                                                                                                                                      --l_956 || (g_283.f0 = (0xf29932ecL != (safe_unary_minus_func_uint32_t_u(safe_lshift_func_int16_t_s_s(!(g_466 < safe_add_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_u(9uL,
                                                                                                                                                                                                                                                                                                               11),
                                                                                                                                                                                                                                                                                 l_966) < p_122),
                                                                                                                                                                                                                                            p_122)) || 252uL)) >= 4294967295uL) <= g_152[0].f1)),
                                                                                  255uL),
                                              -7L))
                {
                    int32_t l_969 = -3L;
                    if (safe_add_func_uint32_t_u_u(p_123, l_969 | l_970))
                    {
                        return g_81[2];
                    }
                    else
                    {
                        return l_971;
                    }
                }
                else
                {
                    struct S0 l_972 = { 0x84L, -1L, 0x975cc43L, 0xc124a680L, 2uL };
                    l_972 = l_972;
                }
                g_283.f3 = g_80;
                if (p_123 ^= g_973)
                {
                    for (g_214 = 0; g_214 <= 1; g_214 += 1)
                    {
                        g_58 |= p_123;
                        g_616[0] = 3uL || safe_mod_func_uint8_t_u_u(l_866[0][2], g_976);
                    }
                }
                else
                {
                    struct S0 l_987 = { -2L, -1L, 0xaeb4f7dfL, 1L, 65531uL };
                    for (l_719 = -24; l_719 > -28; l_719--)
                    {
                        int8_t l_979 = 1L;
                        l_980 = l_979;
                        g_58 = safe_unary_minus_func_uint16_t_u(p_122 = safe_rshift_func_int8_t_s_s(1L,
                                                                                                    5));
                        l_984--;
                        g_152[0] = l_987;
                    }
                    for (g_57 = 10; g_57 == -20; g_57 = safe_sub_func_int16_t_s_s(g_57,
                                                                                  8))
                    {
                        l_987.f3 = 0x93fc31d0L;
                        g_283.f3 &= ~((p_122 > safe_sub_func_int16_t_s_s(!((0xc9L && p_122 <= (g_283.f2 == 5L >= 65535uL) < (p_122 | safe_div_func_uint32_t_u_u(((l_984 < (safe_lshift_func_uint16_t_u_u(g_621[0][2][4],
                                                                                                                                                                                                         5) && g_621[0][7][2]) < l_984 > p_123 && g_203[2]) != g_3) >= -9L,
                                                                                                                                                                g_203[0]))) > g_152[0].f2),
                                                                         g_5[0]) & 4uL | p_123) > 0x8bL);
                    }
                    g_283.f3 = (l_987.f3 = +1L >= ((safe_lshift_func_int8_t_s_u(l_984 >= ((safe_lshift_func_int8_t_s_u(0xebf7868cL != 2L >= (0uL & safe_mod_func_uint32_t_u_u(0uL,
                                                                                                                                                                              p_123)),
                                                                                                                       7) >= safe_rshift_func_int8_t_s_u((g_59[7] ^= safe_sub_func_uint8_t_u_u(safe_rshift_func_uint16_t_u_u(g_4[4][2][1],
                                                                                                                                                                                                                             safe_add_func_uint8_t_u_u(3uL,
                                                                                                                                                                                                                                                       2uL)),
                                                                                                                                                                                               0xbbL)) <= p_122,
                                                                                                                                                         l_867.f3) && l_980) & g_55[0][4] || p_122),
                                                                                l_1012) | l_966) == l_980) <= g_4[4][0][1] <= p_123) <= 0x0L || g_277;
                }
            }
            else
            {
                int32_t l_1015 = 1L;
                int32_t l_1024 = 5L;
                l_1024 = safe_add_func_int32_t_s_s(((l_867.f4 | (l_369 = +0x53L)) > g_465 | (l_1015 | safe_sub_func_uint8_t_u_u(l_624[3],
                                                                                                                                p_123)) > ! (-7L) ^ safe_add_func_uint8_t_u_u(safe_div_func_int16_t_s_s(p_123 < ((g_27 = (!0xb79777d5L & 0uL) < p_123) || l_1022),
                                                                                                                                                                                                        p_122) == g_551,
                                                                                                                                                                              l_1023) >= l_1022 || g_32) >= 4uL,
                                                   -1L) <= l_1015;
            }
            if (p_123 = +safe_mod_func_uint8_t_u_u(safe_mul_func_int16_t_s_s(safe_rshift_func_int8_t_s_s(p_123,
                                                                                                         safe_rshift_func_int8_t_s_s(0xaa9c0eeeL < ((g_551 = (l_1033 = g_5[2]) & (g_22 |= safe_mul_func_uint32_t_u_u(g_621[0][2][4] > g_4[3][0][0],
                                                                                                                                                                                                                     g_283.f3 <= (1uL >= (l_1038[1] &= safe_mul_func_uint8_t_u_u(l_1023,
                                                                                                                                                                                                                                                                                 g_203[1]) > 4294967290uL))) ^ g_465)) & 65535uL),
                                                                                                                                     p_123)) || l_369,
                                                                             g_152[0].f3) >= 0x258e12c4L,
                                                   l_970))
            {
                uint8_t l_1043 = 0x15L;
                l_347[5] = safe_sub_func_int8_t_s_s(safe_lshift_func_int16_t_s_u(l_1043 > (p_123 ^ 0x483287c2L),
                                                                                 7),
                                                    (l_971 > (((safe_mod_func_uint32_t_u_u(safe_mod_func_uint16_t_u_u(p_122 = safe_mod_func_uint16_t_u_u(safe_mul_func_int16_t_s_s(safe_rshift_func_int16_t_s_u(l_970 < ((safe_sub_func_uint32_t_u_u(safe_add_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(l_866[1][4],
                                                                                                                                                                                                                                                                                                            2) && safe_rshift_func_uint16_t_u_s(+(safe_unary_minus_func_int16_t_s(safe_sub_func_uint8_t_u_u(+(safe_add_func_int16_t_s_s(safe_add_func_int32_t_s_s(safe_add_func_uint32_t_u_u(+(l_516 | (p_123 && !((safe_mod_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_u(l_1033,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             7) != g_283.f0,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               3uL) | l_1022) <= g_283.f4))),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             0x2b474f36L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                  l_980),
                                                                                                                                                                                                                                                                                                                                                                                                                                        65535uL) > p_123) != 0x57L != 0x45c0357eL,
                                                                                                                                                                                                                                                                                                                                                                                                            g_4[7][0][1])) | g_277),
                                                                                                                                                                                                                                                                                                                                                2),
                                                                                                                                                                                                                                                                                l_1033) < 9uL == l_970 | l_1077[3],
                                                                                                                                                                                                                                                     0x8a13d2e9L) || l_1022) == 1L),
                                                                                                                                                                                                                p_122) | p_123,
                                                                                                                                                                                   g_234),
                                                                                                                                                         l_1078) < 0L,
                                                                                                                      l_1022),
                                                                                           g_234) == p_123) < l_1043 < l_1038[2] && 1uL) < p_123) ^ l_1038[1]) < l_980);
            }
            else
            {
                int8_t l_1085[9];
                int32_t l_1086 = -5L;
                int32_t l_1089[9];
                uint32_t l_1091 = 9uL;
                uint32_t l_1114 = 0x619a2bf8L;
                int i;
                for (i = 0; i < 9; i++)
                    l_1085[i] = -1L;
                for (i = 0; i < 9; i++)
                    l_1089[i] = 0x671091cdL;
                for (l_1078 = 0; l_1078 >= 53; l_1078 = safe_add_func_int32_t_s_s(l_1078,
                                                                                  4))
                {
                    l_1085[8] = (safe_add_func_int32_t_s_s(0x43954a20L,
                                                           safe_rshift_func_int8_t_s_u(0x68L,
                                                                                       5)) || 0xc254L) == !l_966;
                    if (p_122)
                        break;
                }
                l_1091++;
                if (g_616[4])
                    break;
                p_123 = safe_add_func_uint8_t_u_u(l_347[0] = p_123 ^ safe_add_func_uint8_t_u_u(safe_mod_func_uint16_t_u_u(safe_lshift_func_int8_t_s_s(g_410,
                                                                                                                                                      6),
                                                                                                                          1uL),
                                                                                               safe_lshift_func_uint8_t_u_s(g_466 & (l_1114 = (l_347[3] == safe_mul_func_int16_t_s_s((((l_1077[3] || (l_1089[7] ^= g_152[0].f1 = safe_add_func_uint8_t_u_u(safe_mul_func_uint8_t_u_u((l_1078 > ((0xb2f6L && 0x11L < p_123) <= -7L) || l_624[6]) & g_55[6][6],
                                                                                                                                                                                                                                                                                     p_122) || -1L,
                                                                                                                                                                                                                                                           l_867.f2))) < 0L || 0x79d8L) && g_26) != p_122,
                                                                                                                                                                                     g_5[2])) > 4294967290uL) >= p_122,
                                                                                                                            3) >= -1L) && l_1033,
                                                  l_1085[8]);
            }
        }
    }
lbl_1848:
    if (safe_div_func_int8_t_s_s(-5L,
                                 ~(p_122 >= (safe_add_func_int32_t_s_s(safe_add_func_int32_t_s_s(0xccdff050L || 0x58710855L <= safe_lshift_func_uint16_t_u_s(safe_lshift_func_int8_t_s_s(-7L,
                                                                                                                                                                                         6),
                                                                                                                                                             safe_rshift_func_uint16_t_u_s(p_123 || g_152[0].f1 ^ (l_1012 & g_57) != g_152[0].f3,
                                                                                                                                                                                           12)),
                                                                                                 l_624[6]),
                                                                       0xb3e01154L) < p_123)) & l_1012))
    {
        uint32_t l_1133[4];
        int32_t l_1146 = 1L;
        int32_t l_1149 = 2L;
        int i;
        for (i = 0; i < 4; i++)
            l_1133[i] = 1uL;
        l_1149 ^= (safe_mul_func_int8_t_s_s(safe_rshift_func_int8_t_s_s(l_1133[0] = safe_sub_func_int32_t_s_s(4L,
                                                                                                              0x950e0449L),
                                                                        (safe_div_func_int16_t_s_s(safe_mul_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(g_23[2] > (safe_add_func_int8_t_s_s(safe_sub_func_int8_t_s_s((!p_123 && l_304[6] > g_973) > safe_add_func_uint8_t_u_u(l_1146,
                                                                                                                                                                                                                                                                              g_283.f0 &= safe_mul_func_int8_t_s_s((p_122 == (0xb0dfL != 0x57fL | g_410) ^ g_407 && 65535uL) < g_466 < l_1146 != g_152[0].f3,
                                                                                                                                                                                                                                                                                                                   0xe8L)),
                                                                                                                                                                                                                     0x68L),
                                                                                                                                                                                            0xe5L) >= 1uL) > g_32,
                                                                                                                                                        0uL) <= 1uL && g_5[0],
                                                                                                                             p_123),
                                                                                                   p_122) < l_867.f2 & p_123) < l_867.f2) < 0xceb1L,
                                            l_624[4]) || l_304[1]) != g_973 != 0uL;
    }
    else
    {
        int16_t l_1150 = 0L;
        int32_t l_1171 = 0x5fcb9c23L;
        uint16_t l_1213 = 65535uL;
        struct S0 l_1259[6][7] = { { { 0x41L, 0x50L, 0uL, 0xc57cecdcL, 1uL }, { 0x20L, -1L, 0uL, 0x3b02e1caL, 0x8c2bL }, { 7L, 0L, 0x96f722L, 0xd7996284L, 4uL }, { 0x20L, -1L, 0uL, 0x3b02e1caL, 0x8c2bL }, { 0x41L, 0x50L, 0uL, 0xc57cecdcL, 1uL }, { 0xefL, 0x1L, 4294967286uL, 1L, 0x636cL }, { 0xefL, 0x1L, 4294967286uL, 1L, 0x636cL } }, { { 0L, 0x64L, 0xa32f95c5L, 0xb91ad969L, 65532uL }, { 0xe6L, 0x45L, 0x630e9acbL, 1L, 0x581dL }, { 0x59L, 0x71L, 0uL, 0x47246faaL, 65535uL }, { 0xe6L, 0x45L, 0x630e9acbL, 1L, 0x581dL }, { 0L, 0x64L, 0xa32f95c5L, 0xb91ad969L, 65532uL }, { -1L, 0x8bL, 0uL, 1L, 65531uL }, { -1L, 0x8bL, 0uL, 1L, 65531uL } }, { { 0x41L, 0x50L, 0uL, 0xc57cecdcL, 1uL }, { 0x20L, -1L, 0uL, 0x3b02e1caL, 0x8c2bL }, { 7L, 0L, 0x96f722L, 0xd7996284L, 4uL }, { 0x20L, -1L, 0uL, 0x3b02e1caL, 0x8c2bL }, { 0x41L, 0x50L, 0uL, 0xc57cecdcL, 1uL }, { 0xefL, 0x1L, 4294967286uL, 1L, 0x636cL }, { 0xefL, 0x1L, 4294967286uL, 1L, 0x636cL } }, { { 0L, 0x64L, 0xa32f95c5L, 0xb91ad969L, 65532uL }, { 0xe6L, 0x45L, 0x630e9acbL, 1L, 0x581dL }, { 0x59L, 0x71L, 0uL, 0x47246faaL, 65535uL }, { 0xe6L, 0x45L, 0x630e9acbL, 1L, 0x581dL }, { 0L, 0x64L, 0xa32f95c5L, 0xb91ad969L, 65532uL }, { -1L, 0x8bL, 0uL, 1L, 65531uL }, { -1L, 0x8bL, 0uL, 1L, 65531uL } }, { { 0x41L, 0x50L, 0uL, 0xc57cecdcL, 1uL }, { 0x20L, -1L, 0uL, 0x3b02e1caL, 0x8c2bL }, { 7L, 0L, 0x96f722L, 0xd7996284L, 4uL }, { 0x20L, -1L, 0uL, 0x3b02e1caL, 0x8c2bL }, { 0x41L, 0x50L, 0uL, 0xc57cecdcL, 1uL }, { 0xefL, 0x1L, 4294967286uL, 1L, 0x636cL }, { 0xefL, 0x1L, 4294967286uL, 1L, 0x636cL } }, { { 0L, 0x64L, 0xa32f95c5L, 0xb91ad969L, 65532uL }, { 0xe6L, 0x45L, 0x630e9acbL, 1L, 0x581dL }, { 0x59L, 0x71L, 0uL, 0x47246faaL, 65535uL }, { 0xe6L, 0x45L, 0x630e9acbL, 1L, 0x581dL }, { 0L, 0x64L, 0xa32f95c5L, 0xb91ad969L, 65532uL }, { -1L, 0x8bL, 0uL, 1L, 65531uL }, { -1L, 0x8bL, 0uL, 1L, 65531uL } } };
        int32_t l_1535[1];
        uint32_t l_1772[2];
        uint8_t l_1807 = 0x6aL;
        int8_t l_1837 = -6L;
        int i, j;
        for (i = 0; i < 1; i++)
            l_1535[i] = 0x87fcac24L;
        for (i = 0; i < 2; i++)
            l_1772[i] = 0x42edabadL;
        if (l_1150)
        {
            uint32_t l_1153[8];
            int32_t l_1202 = -1L;
            struct S0 l_1260 = { 0x69L, 0x93L, 0xd348e8fbL, 0xd4b3d304L, 0xce2eL };
            int8_t l_1282 = 0xe0L;
            uint8_t l_1310 = 0x54L;
            int16_t l_1522[2][4] = { { 0x2212L, 0x5c13L, 0x5c13L, 0x2212L }, { 0x5c13L, 0x2212L, 0x5c13L, 0x5c13L } };
            int32_t l_1529 = 1L;
            int32_t l_1530 = -6L;
            int32_t l_1533[3];
            int8_t l_1591 = 0x67L;
            int i, j;
            for (i = 0; i < 8; i++)
                l_1153[i] = 0xa49b1f4L;
            for (i = 0; i < 3; i++)
                l_1533[i] = 0x6234c40eL;
            if ((l_1171 |= ~(4294967295uL < safe_div_func_uint16_t_u_u(8uL ^ l_1153[5],
                                                                       -4L)) ^ (~(p_122 = safe_add_func_int8_t_s_s((safe_rshift_func_int8_t_s_s(0xcdL,
                                                                                                                                                0) == safe_lshift_func_int8_t_s_u(8L,
                                                                                                                                                                                  0)) >= safe_mul_func_int16_t_s_s(safe_mul_func_uint16_t_u_u(p_123,
                                                                                                                                                                                                                                              safe_add_func_int16_t_s_s(safe_unary_minus_func_uint8_t_u(l_304[8] < safe_rshift_func_uint8_t_u_s(safe_add_func_int32_t_s_s(l_1153[6],
                                                                                                                                                                                                                                                                                                                                                                          9uL) && 254uL,
                                                                                                                                                                                                                                                                                                                                                6)),
                                                                                                                                                                                                                                                                        65535uL)),
                                                                                                                                                                                                                   0x97a4L),
                                                                                                                   p_123) >= p_123 < p_122) ^ g_407)) | g_80)
            {
                int32_t l_1192 = 6L;
                int32_t l_1215[7];
                int i;
                for (i = 0; i < 7; i++)
                    l_1215[i] = 0xf775074fL;
                l_1172 = 0x6fb0663aL;
                if ((l_867.f3 = l_719 != safe_lshift_func_uint8_t_u_s(+safe_lshift_func_int8_t_s_u(safe_sub_func_uint32_t_u_u(p_123,
                                                                                                                              safe_lshift_func_uint8_t_u_u(p_122 >= (safe_div_func_int8_t_s_s(-4L != (l_1172 = safe_add_func_uint16_t_u_u(g_1185 <= 0xa5L,
                                                                                                                                                                                                                                          safe_div_func_uint8_t_u_u(g_22 = 2uL,
                                                                                                                                                                                                                                                                    safe_sub_func_int16_t_s_s((safe_mul_func_int8_t_s_s((g_283.f4 = g_152[0].f1 > l_866[1][4]) < p_122 < l_1153[5],
                                                                                                                                                                                                                                                                                                                        p_122) && 0x71L) != 0x86300d09L == g_59[7],
                                                                                                                                                                                                                                                                                              l_719)))),
                                                                                                                                                                                              l_1192) || p_122),
                                                                                                                                                           2) || 4294967293uL),
                                                                                                   3),
                                                                      g_410) | 0x27L) == 0xa9L)
                {
                    int8_t l_1214 = 0xcL;
                    l_1171 = (l_345 ^= g_69 & (safe_unary_minus_func_int32_t_s(safe_mul_func_uint8_t_u_u(g_55[6][6],
                                                                                                         safe_mul_func_int16_t_s_s(g_214,
                                                                                                                                   l_1192 == (0xe6a9aeabL | safe_mul_func_uint16_t_u_u(g_5[2],
                                                                                                                                                                                       (safe_lshift_func_int8_t_s_s((l_1202 = 9L) & (g_32 = safe_lshift_func_int16_t_s_u(((g_203[2] = safe_add_func_int32_t_s_s(l_1215[6] = p_123 = (l_1214 = safe_rshift_func_uint8_t_u_u(safe_div_func_uint8_t_u_u(safe_add_func_uint32_t_u_u(l_1213 = 4294967295uL,
                                                                                                                                                                                                                                                                                                                                                                                                                                l_516) | 6L,
                                                                                                                                                                                                                                                                                                                                                                                                     g_4[6][3][0]) != g_81[2],
                                                                                                                                                                                                                                                                                                                                                                           g_55[6][3])) <= 0x3739L,
                                                                                                                                                                                                                                                                                                                0xc36c7473L)) == p_122) > p_122 < l_867.f3 != 1L && p_122 && g_27 || 1L,
                                                                                                                                                                                                                                                                         p_122)),
                                                                                                                                                                                                                    7) > p_122 ^ 0x5L) >= -2L & g_80))))) > g_283.f4 && 65535uL) & g_277) == -9L;
                }
                else
                {
                    int32_t l_1232 = -1L;
                    int8_t l_1258 = 1L;
                    if (safe_mod_func_uint16_t_u_u(0x8c17919cL < (g_152[0].f3 > safe_sub_func_uint32_t_u_u(l_867.f0 <= g_80 <= (((l_1232 ^= !((0L | (g_4[0][2][1] >= safe_mul_func_int8_t_s_s(safe_rshift_func_uint16_t_u_u(g_234,
                                                                                                                                                                                                                            6),
                                                                                                                                                                                              safe_sub_func_uint32_t_u_u(!(l_1192 &= safe_div_func_int8_t_s_s(safe_sub_func_uint8_t_u_u(p_123 < safe_mod_func_uint16_t_u_u(g_551,
                                                                                                                                                                                                                                                                                                                           65529uL),
                                                                                                                                                                                                                                                                                        l_866[1][6]) || -10L,
                                                                                                                                                                                                                                                              247uL)),
                                                                                                                                                                                                                         p_122)) && p_123 || p_122)) != g_465)) != 0x1dL | g_5[2]) ^ p_122),
                                                                                                           0uL)) > -1L > 0xb390L,
                                                   l_1153[5]) & -1L)
                    {
                        return g_81[1];
                    }
                    else
                    {
                        uint16_t l_1243 = 1uL;
                        g_410 |= safe_mod_func_uint8_t_u_u((p_122-- | l_1232) >= safe_lshift_func_int16_t_s_u(safe_rshift_func_int16_t_s_u(safe_div_func_int32_t_s_s(g_277 && 0xa0f7L,
                                                                                                                                                                     g_80 |= !(l_1243 < (safe_mul_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(++g_976,
                                                                                                                                                                                                                                              safe_sub_func_int16_t_s_s(0x74e8L,
                                                                                                                                                                                                                                                                        safe_rshift_func_uint16_t_u_s(0xf938L,
                                                                                                                                                                                                                                                                                                      3) == (g_283.f1 &= g_27)) ^ (safe_div_func_int32_t_s_s(l_1243,
                                                                                                                                                                                                                                                                                                                                                             safe_div_func_uint16_t_u_u(l_1258,
                                                                                                                                                                                                                                                                                                                                                                                        p_123) ^ g_283.f2) ^ l_1213) | 0L),
                                                                                                                                                                                                                   l_1171) < l_1153[5]))),
                                                                                                                                           0) && l_1192,
                                                                                                              p_123),
                                                           g_5[0]);
                        p_123 |= g_234;
                        g_283.f3 = g_410;
                        g_283 = g_152[0];
                    }
                    l_1202 = g_1185;
                    l_1260 = l_1259[0][3];
                    for (l_1213 = 0; l_1213 <= 3; l_1213 += 1)
                    {
                        int32_t l_1281[10][2] = { { 0L, 0L }, { 0L, 0L }, { 0L, 0L }, { 0L, 0L }, { 0L, 0L }, { 0L, 0L }, { 0L, 0L }, { 0L, 0L }, { 0L, 0L }, { 0L, 0L } };
                        int i, j;
                        l_347[1] |= ((l_1281[2][1] &= safe_lshift_func_uint16_t_u_s(safe_add_func_uint32_t_u_u(-10L ^ safe_add_func_uint16_t_u_u(g_81[l_1213],
                                                                                                                                                 safe_lshift_func_int8_t_s_s(g_152[0].f1,
                                                                                                                                                                             1)) < safe_lshift_func_int8_t_s_s(p_123,
                                                                                                                                                                                                               0x2e50L && safe_add_func_int16_t_s_s(safe_lshift_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(safe_sub_func_int16_t_s_s(0x2021L,
                                                                                                                                                                                                                                                                                                                                      p_122 <= g_465) != (safe_lshift_func_uint8_t_u_s(0x84L,
                                                                                                                                                                                                                                                                                                                                                                                       p_123) | p_123) | p_123,
                                                                                                                                                                                                                                                                                                            p_122),
                                                                                                                                                                                                                                                                                 g_3),
                                                                                                                                                                                                                                                    g_22)) >= g_69,
                                                                                                               0uL) <= g_466 >= 1L,
                                                                                    l_867.f4) && g_81[l_1213]) != 0x115bL == l_1282) >= 0x2198ae5L;
                        l_1259[0][3].f3 = (l_1192 &= l_1171 |= safe_lshift_func_int8_t_s_u(0L & (safe_rshift_func_int16_t_s_s(safe_lshift_func_int8_t_s_u(safe_rshift_func_uint8_t_u_u(safe_lshift_func_uint16_t_u_s(l_1259[0][3].f3,
                                                                                                                                                                                                                     1),
                                                                                                                                                                                       safe_rshift_func_uint16_t_u_u(0x1297L,
                                                                                                                                                                                                                     p_123)),
                                                                                                                                                          safe_mul_func_int16_t_s_s(safe_mul_func_uint16_t_u_u(+safe_sub_func_int8_t_s_s(p_123,
                                                                                                                                                                                                                                         safe_rshift_func_uint8_t_u_u(safe_sub_func_int32_t_s_s(g_973 & p_122 < 0x2a2L,
                                                                                                                                                                                                                                                                                                l_1258),
                                                                                                                                                                                                                                                                      2) >= g_23[2] && 0x58777bedL),
                                                                                                                                                                                                               p_122),
                                                                                                                                                                                    g_5[1])) | l_1260.f1,
                                                                                                                              11) < p_123 || 0x670dL) >= 2L,
                                                                                           3)) && g_551;
                    }
                }
                return g_5[0];
            }
            else
            {
                uint32_t l_1319[8][5] = { { 4294967288uL, 9uL, 4294967294uL, 0x20132b30L, 9uL }, { 0x7caea579L, 4294967294uL, 4294967294uL, 0x7caea579L, 0x20132b30L }, { 4294967295uL, 0x7caea579L, 0x1e17f072L, 9uL, 9uL }, { 4294967288uL, 0x7caea579L, 4294967295uL, 0x2160c3cdL, 4294967294uL }, { 4294967288uL, 0x1e17f072L, 0x2160c3cdL, 4294967288uL, 0x2160c3cdL }, { 4294967288uL, 4294967288uL, 9uL, 4294967294uL, 0x20132b30L }, { 4294967295uL, 0x20132b30L, 0x2160c3cdL, 0x2160c3cdL, 0x20132b30L }, { 0x20132b30L, 0x1e17f072L, 4294967295uL, 0x20132b30L, 0x2160c3cdL } };
                int i, j;
                if (l_1171)
                    goto lbl_1305;
                g_58 |= ((l_1202 = l_347[4] = p_122 = safe_lshift_func_uint16_t_u_s(safe_mod_func_int8_t_s_s(g_283.f4,
                                                                                                             65530uL && 0x71fcL) == 0xbd2aL >= l_1260.f0,
                                                                                    6)) || g_23[2]) & 65529uL >= (((l_1310 | safe_div_func_uint8_t_u_u(safe_mod_func_int32_t_s_s(safe_mod_func_uint16_t_u_u(+safe_rshift_func_uint16_t_u_u((l_1319[0][3] | 65535uL) < l_1260.f0 >= p_123,
                                                                                                                                                                                                                                           15),
                                                                                                                                                                                                            g_203[2]),
                                                                                                                                                                                 0x99e3291bL),
                                                                                                                                                       p_123)) == l_1012) >= 1uL);
                for (g_973 = -17; g_973 < -19; --g_973)
                {
                    if (g_277)
                        break;
                }
            }
            if (safe_lshift_func_int8_t_s_s(7L, 5))
            {
                uint16_t l_1357 = 65534uL;
                uint16_t l_1358 = 0x3e62L;
                int32_t l_1386 = 0x49509442L;
                int32_t l_1387 = 1L;
                uint8_t l_1465 = 0xabL;
                int32_t l_1531 = 0x7ef660fdL;
                int32_t l_1532 = 0x8850771dL;
                int32_t l_1534 = 0x5ef42cdL;
                int32_t l_1536 = 0xb2e1e7f3L;
                int32_t l_1537[9][10][1] = { { { -1L }, { 0x141ca804L }, { 0x9afe9fd3L }, { 0xe6efe778L }, { -1L }, { 0x1315d7f1L }, { 0L }, { -7L }, { 0x9afe9fd3L }, { 0xea4215cdL } }, { { 0xea4215cdL }, { 0x9afe9fd3L }, { -7L }, { 0L }, { 0x1315d7f1L }, { -1L }, { 0xe6efe778L }, { 0x9afe9fd3L }, { 0x141ca804L }, { -1L } }, { { 0x9afe9fd3L }, { 0x1095593eL }, { -1L }, { 0x1315d7f1L }, { -1L }, { 0x1095593eL }, { 0x9afe9fd3L }, { -1L }, { 0x141ca804L }, { 0x9afe9fd3L } }, { { 0xe6efe778L }, { -1L }, { 0x1315d7f1L }, { 0L }, { -7L }, { 0x9afe9fd3L }, { 0xea4215cdL }, { 0xea4215cdL }, { 0x9afe9fd3L }, { -7L } }, { { 0L }, { 0x1315d7f1L }, { -1L }, { 0xe6efe778L }, { 0x9afe9fd3L }, { 0x141ca804L }, { -1L }, { 0x9afe9fd3L }, { 0x1095593eL }, { -1L } }, { { 0x1315d7f1L }, { -1L }, { 0x1095593eL }, { 0x9afe9fd3L }, { -1L }, { 0x141ca804L }, { 0x9afe9fd3L }, { 0xe6efe778L }, { -1L }, { 0x1315d7f1L } }, { { 0L }, { -7L }, { 0x9afe9fd3L }, { 0xea4215cdL }, { 0xea4215cdL }, { 0x9afe9fd3L }, { -7L }, { 0L }, { 0x1315d7f1L }, { -1L } }, { { 0xe6efe778L }, { 0x9afe9fd3L }, { 0x141ca804L }, { -1L }, { 0x9afe9fd3L }, { 0x1095593eL }, { -1L }, { 0x1315d7f1L }, { -1L }, { 0x1095593eL } }, { { 0x9afe9fd3L }, { -1L }, { 0x141ca804L }, { 0x9afe9fd3L }, { 0xe6efe778L }, { -1L }, { 0x1315d7f1L }, { 0L }, { -7L }, { 0x9afe9fd3L } } };
                int32_t l_1562 = -5L;
                int i, j, k;
                if (+ (-2L) > safe_add_func_uint32_t_u_u((((safe_lshift_func_uint8_t_u_s(g_283.f3,
                                                                                         2) <= safe_add_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(p_122,
                                                                                                                                                   safe_sub_func_uint16_t_u_u(safe_mul_func_int8_t_s_s(safe_div_func_uint16_t_u_u(l_347[2] &= safe_sub_func_uint32_t_u_u(safe_div_func_int8_t_s_s(0x2eL,
                                                                                                                                                                                                                                                                                                  l_1310),
                                                                                                                                                                                                                                                                         safe_mul_func_uint8_t_u_u(p_123 <= (safe_mul_func_uint8_t_u_u(safe_lshift_func_uint16_t_u_u(p_122,
                                                                                                                                                                                                                                                                                                                                                                     8),
                                                                                                                                                                                                                                                                                                                                       safe_mod_func_int8_t_s_s((l_1357 |= (g_621[0][2][4] != safe_lshift_func_uint16_t_u_s(+((safe_lshift_func_int8_t_s_u((safe_div_func_uint32_t_u_u(!((g_27 || 0x5a6eL) & g_69),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       g_1356) ^ g_3) != 0x2a91bb86L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                           6) && -3L) <= -6L),
                                                                                                                                                                                                                                                                                                                                                                                                                            11)) < 0xbL) == p_122,
                                                                                                                                                                                                                                                                                                                                                                p_122)) || g_27) == 255uL,
                                                                                                                                                                                                                                                                                                   g_621[0][2][4]) >= l_1358 & l_1359) | l_304[0],
                                                                                                                                                                                                                                  g_465),
                                                                                                                                                                                                       l_1310),
                                                                                                                                                                              g_551)),
                                                                                                                          0x9e0eL) ^ p_122 | p_123) >= l_845 && 1uL) ^ g_69 ^ 0L) > l_292,
                                                         4294967288uL))
                {
                    uint32_t l_1364 = 0x713eeb94L;
                    uint32_t l_1397 = 0x88caf61fL;
                    int8_t l_1443 = 0xa5L;
                    int32_t l_1444 = 1L;
                    int32_t l_1445[10][6] = { { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L }, { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L }, { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L }, { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L }, { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L }, { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L }, { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L }, { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L }, { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L }, { 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L, 0x5bc21d5cL, 1L } };
                    struct S0 l_1447 = { 0L, 0x1dL, 0x9546f1deL, 0x72a8f8d1L, 0x4b84L };
                    uint32_t l_1462 = 0x87693577L;
                    uint16_t l_1470 = 65532uL;
                    int i, j;
                    l_1387 &= safe_div_func_int32_t_s_s(g_152[0].f4 > (safe_lshift_func_int16_t_s_s(l_1364,
                                                                                                    11) >= safe_lshift_func_int16_t_s_s(safe_sub_func_int32_t_s_s(l_1172 &= safe_rshift_func_uint16_t_u_u(safe_mul_func_uint16_t_u_u(0L == !safe_mul_func_int16_t_s_s(safe_rshift_func_int16_t_s_s(p_122,
                                                                                                                                                                                                                                                                                                   4294967295uL >= 4uL) > (l_1386 = (5L || safe_mul_func_int16_t_s_s(g_1185 = safe_mul_func_int8_t_s_s(safe_div_func_uint8_t_u_u(g_22 |= safe_add_func_int32_t_s_s(l_1358,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                   g_58 = 1L && l_1385) | 0x47L,
                                                                                                                                                                                                                                                                                                                                                                                                                                 g_152[0].f3),
                                                                                                                                                                                                                                                                                                                                                                                                       l_1364),
                                                                                                                                                                                                                                                                                                                                                                     g_5[1])) >= p_122),
                                                                                                                                                                                                                                                                      g_410),
                                                                                                                                                                                                                                     p_122) ^ p_123,
                                                                                                                                                                                                          p_122),
                                                                                                                                                                  0x2da814cbL),
                                                                                                                                        8)) >= g_283.f4 ^ l_1012,
                                                        p_123);
                    p_123 = g_283.f0 && safe_lshift_func_uint16_t_u_u(safe_unary_minus_func_int8_t_s(g_3) & g_152[0].f0,
                                                                      safe_div_func_int32_t_s_s(0L,
                                                                                                g_5[2]) && safe_add_func_int32_t_s_s(safe_rshift_func_uint16_t_u_u(l_1397,
                                                                                                                                                                   9),
                                                                                                                                     safe_mul_func_int16_t_s_s(p_122,
                                                                                                                                                               safe_rshift_func_int16_t_s_u(safe_mul_func_uint8_t_u_u(p_123 & (l_1260.f3 = ((l_845 && -8L) == p_123 != 0x113cL && g_81[2] && 0xbcL) | 65526uL) & 0x8bL,
                                                                                                                                                                                                                      g_81[3]),
                                                                                                                                                                                            6) > 6uL >= g_621[0][2][4]) >= p_123) == p_123) | g_277;
                    if (l_1260.f1)
                        goto lbl_1446;
                    if (safe_sub_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(g_152[0].f0,
                                                                            g_3 ^ -1L),
                                                   safe_lshift_func_int16_t_s_u(7L,
                                                                                -1L & safe_mul_func_int16_t_s_s(safe_div_func_uint16_t_u_u(l_1172,
                                                                                                                                           l_1282 | safe_sub_func_int32_t_s_s(-2L,
                                                                                                                                                                              0L) ^ p_122) < p_122,
                                                                                                                p_123))))
                    {
                    lbl_1446:
                        l_1445[0][1] = -4L == (safe_sub_func_uint16_t_u_u(safe_mod_func_int32_t_s_s(safe_div_func_uint16_t_u_u(safe_rshift_func_uint16_t_u_s(safe_div_func_uint32_t_u_u(p_123,
                                                                                                                                                                                        safe_lshift_func_int16_t_s_s(safe_unary_minus_func_int32_t_s(l_1444 = p_122 || (0xe92eL != safe_lshift_func_uint16_t_u_u(safe_mul_func_int16_t_s_s((safe_mod_func_int32_t_s_s(g_973,
                                                                                                                                                                                                                                                                                                                                                                      9L) != !l_1397 > safe_mul_func_int16_t_s_s(~g_22,
                                                                                                                                                                                                                                                                                                                                                                                                                 ~safe_mod_func_int16_t_s_s(safe_sub_func_int32_t_s_s(safe_sub_func_int8_t_s_s(g_973,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               0x44L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                      g_283.f4),
                                                                                                                                                                                                                                                                                                                                                                                                                                            g_976))) <= 0x3L,
                                                                                                                                                                                                                                                                                                                                           l_1443),
                                                                                                                                                                                                                                                                                                                 8)) < l_347[1]),
                                                                                                                                                                                                                     p_123) != 0xb1L && g_152[0].f2),
                                                                                                                                                             4),
                                                                                                                               g_551) == p_123,
                                                                                                    l_1213) || p_122,
                                                                          0x3afbL) & g_4[3][2][0] || p_122) <= g_616[4] ^ g_3;
                        l_1447 = g_283;
                        p_123 = safe_div_func_uint16_t_u_u(65526uL & l_1150 > l_1259[0][3].f4,
                                                           safe_add_func_int32_t_s_s(!0L,
                                                                                     safe_add_func_int8_t_s_s(p_122,
                                                                                                              g_22 = ~safe_sub_func_uint32_t_u_u(safe_sub_func_uint8_t_u_u(g_407,
                                                                                                                                                                           0x33L),
                                                                                                                                                 safe_lshift_func_int16_t_s_u(p_123,
                                                                                                                                                                              safe_div_func_uint16_t_u_u(l_1447.f0,
                                                                                                                                                                                                         l_1259[0][3].f0) <= l_1462)) & 0L) > p_123));
                        p_123 = safe_div_func_int16_t_s_s(l_1465,
                                                          (l_1397 && g_3 | (safe_lshift_func_uint8_t_u_u(+((safe_lshift_func_uint8_t_u_s((l_1447.f3 &= p_122) <= ((l_1470-- | safe_mul_func_int8_t_s_s(l_1260.f3 &= p_123,
                                                                                                                                                                                                       safe_sub_func_int8_t_s_s(l_1202,
                                                                                                                                                                                                                                +g_27 >= ((7uL >= (p_122 && l_867.f3) | 0x6c03L || -1L) ^ p_122 && 255uL)))) & -8L),
                                                                                                                                         7) || 0x3571a036L) > l_867.f4),
                                                                                                         2) || l_1445[0][1]) == g_1477) ^ l_345) >= l_1310;
                    }
                    else
                    {
                        g_80 |= 1uL > 0xaeL;
                    }
                }
                else
                {
                    uint32_t l_1478 = 7uL;
                    int8_t l_1499[3];
                    int32_t l_1503 = 0x8c8a9fdL;
                    int i;
                    for (i = 0; i < 3; i++)
                        l_1499[i] = 0xeaL;
                    ++l_1478;
                    g_152[0].f3 &= (l_1357 ^ g_277) < ((g_22 &= safe_add_func_int8_t_s_s(l_345 = safe_sub_func_int16_t_s_s(safe_rshift_func_uint8_t_u_u(safe_rshift_func_uint16_t_u_s(-8L == safe_add_func_uint8_t_u_u(safe_mul_func_int16_t_s_s(~(g_551 ^= l_1503 |= (safe_div_func_uint32_t_u_u(safe_lshift_func_int8_t_s_s(safe_mod_func_uint8_t_u_u(((l_1499[1] || safe_rshift_func_uint8_t_u_s(l_1478,
                                                                                                                                                                                                                                                                                                                                                                                                    0)) ^ 9uL) >= ((p_123 & (l_1502 = (g_203[1] = 0xc136L) & l_1465 < g_973 != g_1356)) >= 0uL) != l_1465,
                                                                                                                                                                                                                                                                                                                                                        l_1385),
                                                                                                                                                                                                                                                                                                                              g_973) ^ 0uL,
                                                                                                                                                                                                                                                                                                  l_1386) > 0uL >= l_369 | 0L) ^ 5L),
                                                                                                                                                                                                                                                 0xf0bbL),
                                                                                                                                                                                                                       l_1499[1]),
                                                                                                                                                                                      l_1260.f0),
                                                                                                                                                        p_123) || l_1259[0][3].f1,
                                                                                                                           g_283.f0) == g_4[7][0][1] == p_122,
                                                                                         l_1358)) > 1L);
                }
                g_152[0].f3 |= safe_mul_func_int16_t_s_s(safe_lshift_func_int8_t_s_u(safe_rshift_func_int16_t_s_u(p_122,
                                                                                                                  ((safe_mul_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(4294967294uL,
                                                                                                                                                                         g_80 == (g_466 = (0x3b01b5c7L || safe_sub_func_uint8_t_u_u(safe_sub_func_int8_t_s_s(g_22-- == safe_lshift_func_int16_t_s_s(l_1171 = g_277 = l_867.f3 = l_1522[0][3] || safe_mul_func_int16_t_s_s(safe_div_func_uint16_t_u_u(safe_rshift_func_int8_t_s_s(g_59[4]++ | safe_mod_func_uint32_t_u_u(--g_407,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        safe_mul_func_uint16_t_u_u(0x16b7L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   l_1310 != (l_1259[0][3].f3 |= safe_lshift_func_int8_t_s_s(safe_rshift_func_int16_t_s_u(safe_sub_func_uint32_t_u_u((safe_div_func_uint32_t_u_u((safe_rshift_func_int8_t_s_s(safe_mod_func_uint8_t_u_u(safe_sub_func_int32_t_s_s(g_283.f3 = p_123 = p_122,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  safe_rshift_func_int8_t_s_u(p_122,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              4)),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        g_973) <= l_1562,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              g_283.f4) | 0x656L) < g_277,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 g_621[0][2][4]) ^ 255uL) > 1L >= 9L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     p_122),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          g_621[0][2][4]) | g_69,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             p_122)))) && g_976,
                                                                                                                                                                                                                                                                                                                                                                                                                                 l_1536),
                                                                                                                                                                                                                                                                                                                                                                                                     -1L),
                                                                                                                                                                                                                                                                                                                                                                          g_1477),
                                                                                                                                                                                                                                                                                                    14),
                                                                                                                                                                                                                                                             p_122),
                                                                                                                                                                                                                                    -3L)) <= l_1533[2] && p_123)) <= p_122 & 0xccL,
                                                                                                                                              -8L) | g_27) ^ p_122) >= p_122 == p_122),
                                                                                     l_624[6]),
                                                         p_122);
            }
            else
            {
                int8_t l_1569 = 0xfL;
                for (l_1385 = 0; l_1385 <= 1; l_1385 += 1)
                {
                    p_123 = g_80 = safe_add_func_int8_t_s_s(255uL > safe_mul_func_uint16_t_u_u(~(p_122 = (l_1569 |= g_22--) > (l_369 = g_1570 = 7uL)),
                                                                                               -1L),
                                                            0xd850a0c7L & g_23[2]);
                }
                p_123 = g_410;
            }
            l_1171 &= safe_mul_func_uint8_t_u_u((safe_lshift_func_int8_t_s_s(safe_rshift_func_uint16_t_u_s(p_122 <= p_122,
                                                                                                           l_1591 = l_292 = safe_div_func_uint32_t_u_u(g_59[6] = safe_mod_func_int16_t_s_s(0xcdf87e91L > (safe_rshift_func_int8_t_s_u(l_1260.f0,
                                                                                                                                                                                                                                      3) || safe_div_func_uint32_t_u_u((l_345 = -1L > g_4[7][0][1] >= (safe_mul_func_uint16_t_u_u(p_122,
                                                                                                                                                                                                                                                                                                                                  safe_div_func_uint8_t_u_u((safe_mul_func_uint16_t_u_u(g_4[8][1][1],
                                                                                                                                                                                                                                                                                                                                                                                        0xcf90L) && 0x6d1973a6L) | l_437,
                                                                                                                                                                                                                                                                                                                                                            g_152[0].f4)) & g_152[0].f0) == 4294967292uL) >= 0x17L,
                                                                                                                                                                                                                                                                       g_283.f2)),
                                                                                                                                                                                           g_152[0].f3) >= 0x13L,
                                                                                                                                                       p_122)) > 0L,
                                                                             g_214) || p_123) ^ l_1522[0][3],
                                                p_123) < 0xa148L;
            for (l_719 = 0; l_719 >= -30; l_719--)
            {
                return l_1310;
            }
        }
        else
        {
            uint32_t l_1594 = 0x2a7447cL;
            int32_t l_1605 = 0L;
            int32_t l_1635 = -1L;
            int32_t l_1638[10] = { 0xde8763d0L, 0x1b8a0eaL, 0x1b8a0eaL, 0xde8763d0L, -1L, 0xde8763d0L, 0x1b8a0eaL, 0x1b8a0eaL, 0xde8763d0L, -1L };
            uint32_t l_1639 = 1uL;
            int i;
            g_152[0] = func_129(l_1594, l_867, p_122, p_122);
            l_1606 = ((l_1594 & (l_1213 | ~safe_add_func_uint8_t_u_u(p_122,
                                                                     p_123 || safe_div_func_int32_t_s_s(safe_mul_func_int16_t_s_s(0x3ffeL,
                                                                                                                                  (l_1605 = !g_81[2] | (~(0x5451L == (safe_add_func_uint32_t_u_u(g_976--,
                                                                                                                                                                                                 +g_616[4]) ^ g_5[2]) != p_122) == g_23[1] | l_866[0][4])) & g_5[2]),
                                                                                                        p_122)))) < p_123 <= p_123 > 0xfc75L | p_122) == p_123;
            if (safe_sub_func_int32_t_s_s(9uL != (l_1594 | (l_369 |= safe_mul_func_int16_t_s_s(safe_lshift_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(++g_1570,
                                                                                                                                                        safe_div_func_uint32_t_u_u(p_123 & (g_152[0].f1 = safe_sub_func_int8_t_s_s(g_277,
                                                                                                                                                                                                                                   safe_mod_func_uint32_t_u_u(safe_mul_func_int16_t_s_s(safe_mod_func_int16_t_s_s(4L,
                                                                                                                                                                                                                                                                                                                  l_1605),
                                                                                                                                                                                                                                                                                        1uL),
                                                                                                                                                                                                                                                              l_345))),
                                                                                                                                                                                   safe_mul_func_int8_t_s_s(safe_sub_func_int32_t_s_s(safe_rshift_func_uint8_t_u_u(--g_22,
                                                                                                                                                                                                                                                                   l_1171 ^ 0L) == p_123,
                                                                                                                                                                                                                                      p_123),
                                                                                                                                                                                                            g_23[2]))) > l_1594 != p_123,
                                                                                                                             g_59[7]),
                                                                                               65530uL) | 0x8aL) > g_1185 >= p_123 < g_152[0].f0),
                                          l_1605) > p_122 || 5L)
            {
                int32_t l_1636[8];
                int32_t l_1637 = 0xb8ee426dL;
                int i;
                for (i = 0; i < 8; i++)
                    l_1636[i] = 4L;
                l_1639--;
                l_1535[0] = (l_292 ^= !l_1639) < g_81[2];
                return p_123;
            }
            else
            {
                if (l_437)
                    goto lbl_1305;
            }
        }
        for (g_551 = -17; g_551 == -4; g_551 = safe_add_func_uint16_t_u_u(g_551,
                                                                          3))
        {
            uint16_t l_1656[5][5] = { { 0x118L, 0x118L, 0x118L, 0x118L, 0x118L }, { 65527uL, 65527uL, 65527uL, 65527uL, 65527uL }, { 0x118L, 0x118L, 0x118L, 0x118L, 0x118L }, { 65527uL, 65527uL, 65527uL, 65527uL, 65527uL }, { 0x118L, 0x118L, 0x118L, 0x118L, 0x118L } };
            uint32_t l_1682 = 0xdd197f9aL;
            uint32_t l_1683 = 0xda97e711L;
            int32_t l_1702[9][7][3] = { { { 0xd5aa79a0L, 5L, 0x1e4f5194L }, { -4L, 0x42d84184L, 0L }, { 0xb89ecfedL, -5L, 0xd5aa79a0L }, { 0xd5aa79a0L, 0x7a4e9eb1L, 0xf010a5dcL }, { -8L, 0x63256600L, 0x42b3d5d4L }, { -8L, 1L, -8L }, { 0xd5aa79a0L, 1L, -1L } }, { { 0xb89ecfedL, 0x1e00c7a1L, 7L }, { -4L, 0xf8d685bbL, 5L }, { 0xd5aa79a0L, 3L, 0x49b42b8dL }, { -4L, 0x95c948f2L, 0x159f0684L }, { 0xb89ecfedL, 4L, 0xff94318dL }, { 0xd5aa79a0L, 5L, 0xff41cf9eL }, { -8L, 0x844377dL, 0xee184e30L } }, { { -8L, 0L, -4L }, { 0xd5aa79a0L, 0xc33dfe7dL, 1L }, { 0xb89ecfedL, -7L, 0x7e067fa1L }, { -4L, 0L, 0xa18595cbL }, { 0xd5aa79a0L, 0x92c27e1eL, 0L }, { -4L, 0x40506defL, 0xa971a149L }, { 0xb89ecfedL, 1L, 0xbbece0b6L } }, { { 0xd5aa79a0L, 0L, -7L }, { -8L, -1L, 0x3373726L }, { -8L, 0xc347ca7cL, 0xb89ecfedL }, { 0xd5aa79a0L, 0xe8b342dL, 0x8911f421L }, { 0xb89ecfedL, 0x31d3d160L, 1L }, { -4L, 0xf844d560L, 0xa6d10bccL }, { 0xd5aa79a0L, 5L, 0x1e4f5194L } }, { { -4L, 0x42d84184L, 0L }, { 0xb89ecfedL, -5L, 0xd5aa79a0L }, { 0xd5aa79a0L, 0x7a4e9eb1L, 0xf010a5dcL }, { -8L, 0x63256600L, 0x42b3d5d4L }, { -8L, 1L, -8L }, { 0xd5aa79a0L, 1L, -1L }, { 0xb89ecfedL, 0x1e00c7a1L, 7L } }, { { -4L, 0xf8d685bbL, 5L }, { 0xd5aa79a0L, 3L, 0x49b42b8dL }, { -4L, 0x95c948f2L, 0x159f0684L }, { 0xb89ecfedL, 4L, 0xff94318dL }, { 0xd5aa79a0L, 5L, 0xff41cf9eL }, { -8L, 0x844377dL, 0xee184e30L }, { -8L, 0L, -4L } }, { { 0xd5aa79a0L, 0xc33dfe7dL, 1L }, { 0xb89ecfedL, -7L, 0x7e067fa1L }, { -4L, 0L, 0xa18595cbL }, { 0xd5aa79a0L, 0x92c27e1eL, 0L }, { -4L, 0x40506defL, 0xa971a149L }, { 0xb89ecfedL, 1L, 0xbbece0b6L }, { 0xd5aa79a0L, 0L, -7L } }, { { -8L, -1L, 0x3373726L }, { -8L, 0xc347ca7cL, 0xb89ecfedL }, { 0xd5aa79a0L, 0xe8b342dL, 0x8911f421L }, { 0xb89ecfedL, 0x31d3d160L, 1L }, { -4L, 0xf844d560L, 0xa6d10bccL }, { 0xd5aa79a0L, 5L, 0x1e4f5194L }, { -4L, 0x42d84184L, 0L } }, { { 0xb89ecfedL, -5L, 0xd5aa79a0L }, { 0xd5aa79a0L, 0x7a4e9eb1L, 3L }, { 0xce0de4c5L, 0x7e067fa1L, -7L }, { 0xce0de4c5L, -1L, 0xce0de4c5L }, { -1L, 0xb89ecfedL, -3L }, { -9L, 0xee184e30L, 0L }, { 0x3db16356L, 0xf010a5dcL, 0x2a3503fcL } } };
            uint32_t l_1714 = 4294967293uL;
            int32_t l_1752 = -9L;
            int32_t l_1753 = 0xc1b6b7d7L;
            int8_t l_1792 = -3L;
            int16_t l_1802[8] = { 0x2823L, 0xf365L, 0x2823L, 0x2823L, 0xf365L, 0x2823L, 0x2823L, 0xf365L };
            int32_t l_1836 = -10L;
            int i, j, k;
            if (safe_div_func_uint32_t_u_u(safe_lshift_func_int8_t_s_s(safe_lshift_func_int16_t_s_u((-5L ^ 4uL) >= safe_sub_func_uint32_t_u_u(p_123,
                                                                                                                                              safe_mod_func_int16_t_s_s(safe_rshift_func_uint16_t_u_u(65535uL,
                                                                                                                                                                                                      g_32 = 65530uL),
                                                                                                                                                                        g_27)) < l_1656[4][0] <= safe_div_func_int8_t_s_s(g_59[7] >= safe_sub_func_int16_t_s_s(l_1259[0][3].f3 == 9uL,
                                                                                                                                                                                                                                                               l_1259[0][3].f0) < l_1213 || g_973,
                                                                                                                                                                                                                          p_122) >= p_123 || l_1535[0],
                                                                                                    1),
                                                                       l_1259[0][3].f4) >= -1L,
                                           g_616[4]) || p_122)
            {
                uint16_t l_1679 = 0x612L;
                g_283.f3 = 0x8965384L;
                for (l_292 = 0; l_292 != -22; l_292--)
                {
                    return g_283.f4;
                }
                l_1172 = p_123 ^= 0x900e2e27L;
                p_123 = (safe_add_func_int32_t_s_s(0xf91a421cL,
                                                   l_1259[0][3].f1) || (g_1477 && (l_1683 = safe_mod_func_int16_t_s_s(l_1535[0] = safe_lshift_func_uint8_t_u_u(!(g_22 = (g_283.f4 = +safe_mod_func_int32_t_s_s(((g_1570 = safe_mul_func_int16_t_s_s(p_123 >= (safe_div_func_int8_t_s_s(safe_mod_func_int8_t_s_s(safe_mul_func_int8_t_s_s((l_1259[0][3].f0 & l_1679) <= (safe_div_func_int8_t_s_s(p_123,
                                                                                                                                                                                                                                                                                                                                                                                                 g_152[0].f3) == 0xd7c94820L),
                                                                                                                                                                                                                                                                                                                                         g_5[2]),
                                                                                                                                                                                                                                                                                                                p_123) < g_283.f0,
                                                                                                                                                                                                                                                                                       g_203[2]) || p_123) < l_347[1],
                                                                                                                                                                                                                                                    p_123)) || 4294967295uL) > g_57,
                                                                                                                                                                                                               l_1682)) > g_976),
                                                                                                                                                               1),
                                                                                                                      0x3efbL) || g_58)) >= g_283.f2) ^ l_1171;
            }
            else
            {
                uint8_t l_1699 = 0x76L;
                int32_t l_1703[6][3] = { { 0xff7a101L, 0L, 0L }, { -10L, 0xffd1b46bL, 0xffd1b46bL }, { 0xff7a101L, 0L, 0L }, { -10L, 0xffd1b46bL, 0xffd1b46bL }, { 0xff7a101L, 0L, 0L }, { -10L, 0xffd1b46bL, 0xffd1b46bL } };
                int i, j;
                p_123 = (safe_div_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(+safe_lshift_func_int16_t_s_s(g_152[0].f2,
                                                                                                            7) > safe_mul_func_int16_t_s_s(safe_unary_minus_func_uint16_t_u(65528uL),
                                                                                                                                           !g_551 | (g_283.f4 = p_122 >= (safe_mod_func_uint32_t_u_u(0x844a7027L | l_1683,
                                                                                                                                                                                                     l_1682) ^ safe_lshift_func_uint16_t_u_u((safe_div_func_uint32_t_u_u(l_1699 >= (safe_mul_func_uint8_t_u_u(l_1171 = g_203[2] != 0xbc88d641L,
                                                                                                                                                                                                                                                                                                              g_152[0].f2) ^ p_122),
                                                                                                                                                                                                                                                                         p_123) || l_867.f3) == g_58,
                                                                                                                                                                                                                                             l_1172))) >= p_122 <= g_3),
                                                                              p_123),
                                                   1L) && 1L) != p_123;
                l_1704--;
                if (g_973)
                    goto lbl_1305;
                g_1707++;
            }
            for (l_1359 = -4; l_1359 >= 6; l_1359 = safe_add_func_uint16_t_u_u(l_1359,
                                                                               3))
            {
                uint32_t l_1751[7][1][6] = { { { 0x17e2ecabL, 0x4e74212cL, 0x4e74212cL, 0x17e2ecabL, 0xcc6f738eL, 0xd22c8e63L } }, { { 0x17e2ecabL, 0xcc6f738eL, 0xd22c8e63L, 4294967295uL, 0x4e74212cL, 0xd22c8e63L } }, { { 0x5cd62d2aL, 1uL, 0x4e74212cL, 0x64719bffL, 0x4e74212cL, 1uL } }, { { 4294967295uL, 0xcc6f738eL, 4294967295uL, 0x64719bffL, 0xcc6f738eL, 0x4e74212cL } }, { { 0x5cd62d2aL, 0x4e74212cL, 4294967295uL, 4294967295uL, 1uL, 1uL } }, { { 0x17e2ecabL, 0x4e74212cL, 0x4e74212cL, 0x17e2ecabL, 0xcc6f738eL, 0xd22c8e63L } }, { { 0x17e2ecabL, 0xcc6f738eL, 0xd22c8e63L, 4294967295uL, 0x4e74212cL, 0xd22c8e63L } } };
                uint32_t l_1768 = 4294967293uL;
                struct S0 l_1770 = { 0xceL, -1L, 0x16c4c5faL, 0xd85c1220L, 0x4934L };
                int32_t l_1775 = 0x81b8e7bbL;
                int i, j, k;
                if ((safe_mod_func_uint8_t_u_u(l_1753 ^= (l_1714 = g_152[0].f2) == (0xdd50784L == safe_div_func_uint16_t_u_u(65530uL,
                                                                                                                             safe_lshift_func_uint16_t_u_u(safe_rshift_func_int16_t_s_u(safe_sub_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(l_1259[0][3].f3 &= 9L && safe_rshift_func_uint16_t_u_u(safe_div_func_uint8_t_u_u((l_1752 ^= safe_rshift_func_uint8_t_u_u(l_1535[0] |= l_1171 >= g_59[7] <= ((g_976 = safe_mul_func_uint8_t_u_u(safe_div_func_uint8_t_u_u(safe_rshift_func_uint8_t_u_s(l_866[1][4],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  safe_div_func_uint32_t_u_u(safe_mul_func_uint16_t_u_u(p_122++,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        safe_mul_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(p_123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            (safe_sub_func_int16_t_s_s(safe_rshift_func_int16_t_s_u(p_123 | 2L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    3),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       1uL) && 3uL) ^ l_1702[5][6][1]),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   0xd784L) > 1uL),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             p_123) != 0x5aL),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                     l_1682),
                                                                                                                                                                                                                                                                                                                                                                                                                                           l_867.f3)) | 0x82a77158L),
                                                                                                                                                                                                                                                                                                                                                                     5) | l_1751[2][0][3]) != 0L,
                                                                                                                                                                                                                                                                                                                             p_123),
                                                                                                                                                                                                                                                                                                   0),
                                                                                                                                                                                                                                            2uL),
                                                                                                                                                                                                                   0xdcabL) >= l_1751[2][0][3],
                                                                                                                                                                                        g_152[0].f3),
                                                                                                                                                           6)) & g_973),
                                               1uL) != l_845) <= g_283.f1 > g_283.f2)
                {
                    int8_t l_1769 = 0x4fL;
                    struct S0 l_1771[2] = { { 1L, 0x7eL, 4294967295uL, 5L, 0x8eecL }, { 1L, 0x7eL, 4294967295uL, 5L, 0x8eecL } };
                    int i;
                    if (g_283.f3 = safe_rshift_func_uint16_t_u_u(-1L <= (l_1753 > +(safe_mod_func_int32_t_s_s(p_123 = 9L,
                                                                                                              safe_lshift_func_int8_t_s_u(((g_59[4] == (safe_div_func_uint16_t_u_u(safe_rshift_func_int16_t_s_u(l_1751[2][0][3],
                                                                                                                                                                                                                safe_rshift_func_int16_t_s_s(safe_sub_func_uint8_t_u_u(l_1768 > g_1185,
                                                                                                                                                                                                                                                                       g_283.f4 ^ 0x6a3cd088L > l_1704),
                                                                                                                                                                                                                                             l_1535[0]) <= g_69),
                                                                                                                                                                                   l_1751[0][0][4]) && g_231)) >= p_122 && p_122) >= l_1769 > 0x77cb05e3L ^ l_1259[0][3].f2,
                                                                                                                                          4)) & p_122) && g_616[4]),
                                                                 g_277))
                    {
                        return l_1656[4][0];
                    }
                    else
                    {
                        l_1771[0] = l_1770;
                        if (l_1753)
                            goto lbl_1305;
                    }
                    if (g_58)
                        continue;
                    l_1772[0]++;
                }
                else
                {
                    uint8_t l_1776 = 0x73L;
                    int32_t l_1788 = 0xe39e2fc0L;
                    int32_t l_1791 = 0L;
                    l_1776++;
                    for (g_1707 = 7; g_1707 == 16; g_1707 = safe_add_func_uint8_t_u_u(g_1707,
                                                                                      2))
                    {
                        p_123 = safe_mul_func_uint8_t_u_u(safe_rshift_func_int16_t_s_u(safe_unary_minus_func_uint8_t_u(0x229L <= (g_976 ^ 1uL)),
                                                                                       safe_mul_func_uint16_t_u_u(l_1788 <= 0x73fdL,
                                                                                                                  g_59[8] | (0xae4b8255L == (4294967295uL & safe_lshift_func_int8_t_s_u(l_1791 = 0xa6a1L <= g_621[1][4][2],
                                                                                                                                                                                        p_122)) | p_122))),
                                                          6L) > p_122;
                        p_123 = l_1682;
                    }
                }
            }
            for (l_1682 = 0; l_1682 <= 4; l_1682 += 1)
            {
                int32_t l_1793 = -7L;
                int32_t l_1794 = 1L;
                int32_t l_1795 = 0x75322655L;
                int32_t l_1796 = -5L;
                int32_t l_1797 = 0x3cd94247L;
                int32_t l_1798 = -1L;
                int32_t l_1799 = 0x4e890445L;
                int32_t l_1800 = 8L;
                int32_t l_1803 = 7L;
                int32_t l_1804 = 7L;
                int32_t l_1805 = 1L;
                int32_t l_1806[2];
                int i, j;
                for (i = 0; i < 2; i++)
                    l_1806[i] = 0xa361129cL;
                if (l_1656[l_1682][l_1682])
                    break;
                l_1807--;
            }
            if ((g_152[0].f1 ^= l_1172 = safe_rshift_func_uint16_t_u_u(safe_sub_func_uint32_t_u_u(safe_mul_func_int8_t_s_s(safe_sub_func_uint32_t_u_u(((0x80L <= safe_rshift_func_int8_t_s_s(g_1570 ^ safe_div_func_int32_t_s_s(p_122,
                                                                                                                                                                                                                                p_122),
                                                                                                                                                                                             safe_rshift_func_uint16_t_u_s(3uL,
                                                                                                                                                                                                                           2)) | safe_mul_func_uint32_t_u_u(l_1259[0][3].f0,
                                                                                                                                                                                                                                                            !(g_22 |= g_465) != safe_lshift_func_uint8_t_u_u(safe_mod_func_uint16_t_u_u(l_1683,
                                                                                                                                                                                                                                                                                                                                        safe_sub_func_uint32_t_u_u(+safe_lshift_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(0x7ac3L,
                                                                                                                                                                                                                                                                                                                                                                                                                            g_23[2]) || 0xd0c6L,
                                                                                                                                                                                                                                                                                                                                                                                                 g_5[1]),
                                                                                                                                                                                                                                                                                                                                                                   l_867.f2) >= 0L ^ 0uL | 0xa67e61e1L) > p_122,
                                                                                                                                                                                                                                                                                                             l_866[1][4]) >= l_1836)) & 0x8L) <= p_123,
                                                                                                                                                      0xd652c15cL),
                                                                                                                           p_122) && p_122,
                                                                                                  0x76cbe144L),
                                                                       l_624[6])) != p_122)
            {
                p_123 = ~(p_123 != (l_1837 && safe_div_func_int8_t_s_s(0xab5950a6L >= (safe_sub_func_int16_t_s_s(0x16L >= (0x52460606L < g_283.f3) != p_122 & (safe_rshift_func_int8_t_s_u(l_1702[0][3][1] |= g_621[0][1][3] != safe_rshift_func_int8_t_s_s(l_1802[4],
                                                                                                                                                                                                                                                            p_123),
                                                                                                                                                                                           2) != p_122) >= g_1185 && 0xd840d154L,
                                                                                                                 p_123) && g_1707),
                                                                       p_122)) >= g_152[0].f4 & 4294967295uL);
            }
            else
            {
                for (l_971 = 19; l_971 < 10; l_971--)
                {
                    return p_122;
                }
            }
        }
    }
    l_345 |= safe_mul_func_uint8_t_u_u(safe_mod_func_uint8_t_u_u(safe_mul_func_int16_t_s_s(g_616[4],
                                                                                           l_1855 ^ safe_sub_func_uint16_t_u_u(+safe_mul_func_int8_t_s_s(p_122,
                                                                                                                                                         ((p_123 ^ l_1860 > safe_lshift_func_int16_t_s_u(l_347[2] = (l_292 |= safe_div_func_uint8_t_u_u(safe_add_func_uint16_t_u_u(~p_122,
                                                                                                                                                                                                                                                                                   g_551 = safe_add_func_uint32_t_u_u(~p_123,
                                                                                                                                                                                                                                                                                                                      safe_mul_func_uint8_t_u_u(0xd2L == p_122,
                                                                                                                                                                                                                                                                                                                                                l_516))),
                                                                                                                                                                                                                                                        l_304[2]) < g_26 >= 247uL) != 0xa931226eL & l_1871,
                                                                                                                                                                                                         l_624[2])) == g_152[0].f3 || 0x5f8950aL) | 0x9960eedeL),
                                                                                                                               l_956) < l_866[1][3] || l_1385),
                                                                 0x5cL),
                                       5uL);
    l_345 |= safe_mul_func_uint8_t_u_u(safe_mod_func_uint8_t_u_u(safe_mul_func_int16_t_s_s(g_616[4],
                                                                                           l_1855 ^ safe_sub_func_uint16_t_u_u(+safe_mul_func_int8_t_s_s(p_122,
                                                                                                                                                         ((p_123 ^ l_1860 > safe_lshift_func_int16_t_s_u(l_347[2] = (l_292 |= safe_div_func_uint8_t_u_u(safe_add_func_uint16_t_u_u(~p_122,
                                                                                                                                                                                                                                                                                   g_551 = safe_add_func_uint32_t_u_u(~p_123,
                                                                                                                                                                                                                                                                                                                      safe_mul_func_uint8_t_u_u(0xd2L == p_122,
                                                                                                                                                                                                                                                                                                                                                l_516))),
                                                                                                                                                                                                                                                        l_304[2]) < g_26 >= 247uL) != 0xa931226eL & l_1871,
                                                                                                                                                                                                         l_624[2])) == g_152[0].f3 || 0x5f8950aL) | 0x9960eedeL),
                                                                                                                               l_956) < l_866[1][3] || l_1385),
                                                                 0x5cL),
                                       5uL);
    return g_1707;
}
static uint16_t func_124(struct S0 p_125,
                         struct S0 p_126,
                         struct S0 p_127,
                         int32_t p_128)
{
    {
        for (g_58 = 0; g_58 < 9; g_58 += 1)
        {
            g_59[g_58] = 0uL;
        }
        return g_57;
    }
    return g_57;
}
static struct S0 func_129(int32_t p_130,
                          struct S0 p_131,
                          uint32_t p_132,
                          int16_t p_133)
{
    struct S0 l_151 = { 0x15L, -5L, 0uL, 1L, 0xbb46L };
    int32_t l_195 = 0x2c72d125L;
    int16_t l_230 = 1L;
    uint32_t l_235 = 4294967295uL;
    uint16_t l_280 = 0xe747L;
    for (p_132 = 0; p_132 <= 39; ++p_132)
    {
        int32_t l_164 = -2L;
        int32_t l_199 = 1L;
        int32_t l_276 = 8L;
        for (p_131.f0 = 0; p_131.f0 <= 2; p_131.f0 += 1)
        {
            int8_t l_163[9][6] = { { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L }, { 0x75L, -7L, 1L, 1L, -7L, 0x75L }, { 0x92L, 0x75L, 0xc2L, -7L, 0xc2L, 0x75L }, { 0xc2L, 0x92L, 1L, 6L, 6L, 1L }, { 0xc2L, 0xc2L, 6L, -7L, 0x46L, -7L }, { 0x92L, 0xc2L, 0x92L, 1L, 6L, 6L }, { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L } };
            uint32_t l_165 = 0x1019322eL;
            struct S0 l_166 = { 0L, 0L, 4uL, 0L, 0x9c02L };
            int32_t l_197 = 9L;
            int32_t l_200 = 0x27b00caL;
            uint32_t l_224 = 9uL;
            int8_t l_279 = -1L;
            int i, j;
            g_152[0] = l_151;
            l_151.f3 = g_81[p_131.f0];
            if (g_23[p_131.f0] < safe_lshift_func_int16_t_s_u((l_151.f0 ^ safe_mod_func_int16_t_s_s(0x58c3L,
                                                                                                    safe_sub_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u(p_132,
                                                                                                                                                          --g_22) <= 4uL && (p_131.f4 = 0x517bL),
                                                                                                                              8uL))) & (l_164 = l_163[1][3]) | p_133,
                                                              12) ^ l_151.f1)
            {
                struct S0 l_196 = { 1L, 0x8bL, 0x6bbbdf83L, 5L, 0xef4fL };
                int32_t l_202 = 0xd4c5443cL;
                if (!g_152[0].f0)
                {
                    g_152[0] = g_152[1];
                }
                else
                {
                    uint32_t l_177 = 0xaeae63daL;
                    uint16_t l_194 = 65535uL;
                    int32_t l_198 = 0x43b8f344L;
                    l_165 = p_130;
                    l_166 = g_152[0];
                    g_80 = +(safe_mul_func_int16_t_s_s((l_164 ^ (g_58 | safe_sub_func_uint8_t_u_u(safe_mod_func_int16_t_s_s(safe_rshift_func_uint16_t_u_u(l_151.f3 ^= g_4[7][0][1],
                                                                                                                                                          (l_177 != (g_57 == ((safe_add_func_uint8_t_u_u(safe_unary_minus_func_uint32_t_u(safe_sub_func_uint32_t_u_u(g_4[7][0][1],
                                                                                                                                                                                                                                                                     safe_unary_minus_func_int8_t_s((l_195 = safe_mul_func_int16_t_s_s((safe_lshift_func_uint8_t_u_s(safe_mod_func_int32_t_s_s(g_152[0].f3 |= safe_add_func_uint16_t_u_u(safe_div_func_uint16_t_u_u((p_133 = 0x557eL) < 0L & 0x264c02d8L ^ 1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    l_194),
                                                                                                                                                                                                                                                                                                                                                                                                                                         g_32),
                                                                                                                                                                                                                                                                                                                                                                                               0xbca6f5d4L),
                                                                                                                                                                                                                                                                                                                                                                     2) && 0xc7L && 0xc0aaL && p_131.f1) | g_23[1],
                                                                                                                                                                                                                                                                                                                                       g_152[0].f4)) != g_23[2]))),
                                                                                                                                                                                                         g_5[2]) || 255uL) | 1uL))) > g_152[0].f0) && 0L,
                                                                                                                            l_151.f0),
                                                                                                  g_57) == 0xf4L) < 0x12L ^ g_57) <= l_166.f2 == -10L,
                                                       -1L) < p_131.f1);
                    for (l_164 = 0; l_164 <= 2; l_164 += 1)
                    {
                        int16_t l_201 = 1L;
                        g_152[0] = l_196;
                        l_197 &= 8L | p_130;
                        g_203[2]++;
                    }
                }
                l_166.f3 |= 65535uL < (g_152[0].f4 = ~safe_lshift_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(l_202 > safe_mul_func_int16_t_s_s(safe_lshift_func_int8_t_s_u(0xbaL,
                                                                                                                                                                             1),
                                                                                                                                                 g_214),
                                                                                                               l_164),
                                                                                  l_151.f0)) < (l_199 = safe_add_func_int8_t_s_s(safe_unary_minus_func_uint16_t_u(0uL),
                                                                                                                                 safe_sub_func_uint8_t_u_u(p_131.f3 <= (safe_mod_func_uint16_t_u_u(safe_lshift_func_uint8_t_u_s(254uL,
                                                                                                                                                                                                                                g_23[2]),
                                                                                                                                                                                                   g_81[3]) && l_166.f1),
                                                                                                                                                           g_214) | 0x9aL) & l_224) <= l_196.f4 > l_164 >= l_151.f2;
            }
            else
            {
                uint16_t l_225[8];
                int i;
                for (i = 0; i < 8; i++)
                    l_225[i] = 0x7036L;
                l_225[5]++;
                for (l_200 = 0; l_200 <= 2; l_200 += 1)
                {
                    int32_t l_228[3];
                    int32_t l_229[4] = { 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L };
                    int i;
                    for (i = 0; i < 3; i++)
                        l_228[i] = 0x4e14c23fL;
                    for (g_32 = 3; g_32 <= 8; g_32 += 1)
                    {
                        int32_t l_278[6] = { 7L, 7L, 7L, 7L, 7L, 7L };
                        int i;
                        --g_231;
                        l_235++;
                        l_278[2] |= g_152[0].f3 = safe_add_func_int32_t_s_s((g_277 = (g_23[l_200] ^ safe_sub_func_uint8_t_u_u(g_23[l_200],
                                                                                                                              g_203[l_200] & (safe_lshift_func_int8_t_s_s(safe_sub_func_uint32_t_u_u(safe_add_func_uint16_t_u_u((l_166.f3 = safe_sub_func_uint8_t_u_u(((safe_rshift_func_uint8_t_u_u(g_22++,
                                                                                                                                                                                                                                                                                                     5) & 1L) != (0x3aL == (g_80 = safe_div_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(l_164,
                                                                                                                                                                                                                                                                                                                                                                                                                                             l_229[3]),
                                                                                                                                                                                                                                                                                                                                                                                                                  -1L),
                                                                                                                                                                                                                                                                                                                                                                                       safe_add_func_int8_t_s_s(safe_rshift_func_uint8_t_u_u(((g_59[l_200 + 3] &= safe_mul_func_uint16_t_u_u(safe_add_func_uint8_t_u_u((safe_div_func_int8_t_s_s(safe_div_func_uint32_t_u_u(g_26 <= g_23[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            0x709e64e2L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 255uL) | 0x9c42605aL) > p_131.f0,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       -3L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             -1L)) || g_152[0].f0) <= 65531uL,
                                                                                                                                                                                                                                                                                                                                                                                                                                             3),
                                                                                                                                                                                                                                                                                                                                                                                                                g_23[2])) && g_23[2],
                                                                                                                                                                                                                                                                                                                                                             g_203[l_200])) <= l_276 < 0xa9caeaabL >= l_225[5])) >= g_152[0].f1,
                                                                                                                                                                                                                                                                      l_225[5])) == g_27,
                                                                                                                                                                                                                                0x1bd3L),
                                                                                                                                                                                                     g_5[2]) < l_151.f1,
                                                                                                                                                                          0) | g_152[0].f0) < 0xa4L)) <= g_152[0].f0 <= p_131.f2 != 1uL) < g_152[0].f3 != 0xf1cdL,
                                                                            l_225[5]);
                        l_278[0] |= 5L;
                    }
                    l_151 = g_152[1];
                }
                l_279 = g_81[2];
            }
        }
    }
    for (l_195 = 0; l_195 <= 3; l_195 += 1)
    {
        int i;
        if (g_81[l_195])
            break;
        for (p_132 = 0; p_132 <= 39; ++p_132)
        {
            int32_t l_164 = -2L;
            int32_t l_199 = 1L;
            int32_t l_276 = 8L;
            for (p_131.f0 = 0; p_131.f0 <= 2; p_131.f0 += 1)
            {
                int8_t l_163[9][6] = { { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L }, { 0x75L, -7L, 1L, 1L, -7L, 0x75L }, { 0x92L, 0x75L, 0xc2L, -7L, 0xc2L, 0x75L }, { 0xc2L, 0x92L, 1L, 6L, 6L, 1L }, { 0xc2L, 0xc2L, 6L, -7L, 0x46L, -7L }, { 0x92L, 0xc2L, 0x92L, 1L, 6L, 6L }, { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L } };
                uint32_t l_165 = 0x1019322eL;
                struct S0 l_166 = { 0L, 0L, 4uL, 0L, 0x9c02L };
                int32_t l_197 = 9L;
                int32_t l_200 = 0x27b00caL;
                uint32_t l_224 = 9uL;
                int8_t l_279 = -1L;
                int i, j;
                g_152[0] = l_151;
                l_151.f3 = g_81[p_131.f0];
                if (g_23[p_131.f0] < safe_lshift_func_int16_t_s_u((l_151.f0 ^ safe_mod_func_int16_t_s_s(0x58c3L,
                                                                                                        safe_sub_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u(p_132,
                                                                                                                                                              --g_22) <= 4uL && (p_131.f4 = 0x517bL),
                                                                                                                                  8uL))) & (l_164 = l_163[1][3]) | p_133,
                                                                  12) ^ l_151.f1)
                {
                    struct S0 l_196 = { 1L, 0x8bL, 0x6bbbdf83L, 5L, 0xef4fL };
                    int32_t l_202 = 0xd4c5443cL;
                    if (!g_152[0].f0)
                    {
                        g_152[0] = g_152[1];
                    }
                    else
                    {
                        uint32_t l_177 = 0xaeae63daL;
                        uint16_t l_194 = 65535uL;
                        int32_t l_198 = 0x43b8f344L;
                        l_165 = p_130;
                        l_166 = g_152[0];
                        g_80 = +(safe_mul_func_int16_t_s_s((l_164 ^ (g_58 | safe_sub_func_uint8_t_u_u(safe_mod_func_int16_t_s_s(safe_rshift_func_uint16_t_u_u(l_151.f3 ^= g_4[7][0][1],
                                                                                                                                                              (l_177 != (g_57 == ((safe_add_func_uint8_t_u_u(safe_unary_minus_func_uint32_t_u(safe_sub_func_uint32_t_u_u(g_4[7][0][1],
                                                                                                                                                                                                                                                                         safe_unary_minus_func_int8_t_s((l_195 = safe_mul_func_int16_t_s_s((safe_lshift_func_uint8_t_u_s(safe_mod_func_int32_t_s_s(g_152[0].f3 |= safe_add_func_uint16_t_u_u(safe_div_func_uint16_t_u_u((p_133 = 0x557eL) < 0L & 0x264c02d8L ^ 1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        l_194),
                                                                                                                                                                                                                                                                                                                                                                                                                                             g_32),
                                                                                                                                                                                                                                                                                                                                                                                                   0xbca6f5d4L),
                                                                                                                                                                                                                                                                                                                                                                         2) && 0xc7L && 0xc0aaL && p_131.f1) | g_23[1],
                                                                                                                                                                                                                                                                                                                                           g_152[0].f4)) != g_23[2]))),
                                                                                                                                                                                                             g_5[2]) || 255uL) | 1uL))) > g_152[0].f0) && 0L,
                                                                                                                                l_151.f0),
                                                                                                      g_57) == 0xf4L) < 0x12L ^ g_57) <= l_166.f2 == -10L,
                                                           -1L) < p_131.f1);
                        for (l_164 = 0; l_164 <= 2; l_164 += 1)
                        {
                            int16_t l_201 = 1L;
                            g_152[0] = l_196;
                            l_197 &= 8L | p_130;
                            g_203[2]++;
                        }
                    }
                    l_166.f3 |= 65535uL < (g_152[0].f4 = ~safe_lshift_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(l_202 > safe_mul_func_int16_t_s_s(safe_lshift_func_int8_t_s_u(0xbaL,
                                                                                                                                                                                 1),
                                                                                                                                                     g_214),
                                                                                                                   l_164),
                                                                                      l_151.f0)) < (l_199 = safe_add_func_int8_t_s_s(safe_unary_minus_func_uint16_t_u(0uL),
                                                                                                                                     safe_sub_func_uint8_t_u_u(p_131.f3 <= (safe_mod_func_uint16_t_u_u(safe_lshift_func_uint8_t_u_s(254uL,
                                                                                                                                                                                                                                    g_23[2]),
                                                                                                                                                                                                       g_81[3]) && l_166.f1),
                                                                                                                                                               g_214) | 0x9aL) & l_224) <= l_196.f4 > l_164 >= l_151.f2;
                }
                else
                {
                    uint16_t l_225[8];
                    int i;
                    for (i = 0; i < 8; i++)
                        l_225[i] = 0x7036L;
                    l_225[5]++;
                    for (l_200 = 0; l_200 <= 2; l_200 += 1)
                    {
                        int32_t l_228[3];
                        int32_t l_229[4] = { 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L };
                        int i;
                        for (i = 0; i < 3; i++)
                            l_228[i] = 0x4e14c23fL;
                        for (g_32 = 3; g_32 <= 8; g_32 += 1)
                        {
                            int32_t l_278[6] = { 7L, 7L, 7L, 7L, 7L, 7L };
                            int i;
                            --g_231;
                            l_235++;
                            l_278[2] |= g_152[0].f3 = safe_add_func_int32_t_s_s((g_277 = (g_23[l_200] ^ safe_sub_func_uint8_t_u_u(g_23[l_200],
                                                                                                                                  g_203[l_200] & (safe_lshift_func_int8_t_s_s(safe_sub_func_uint32_t_u_u(safe_add_func_uint16_t_u_u((l_166.f3 = safe_sub_func_uint8_t_u_u(((safe_rshift_func_uint8_t_u_u(g_22++,
                                                                                                                                                                                                                                                                                                         5) & 1L) != (0x3aL == (g_80 = safe_div_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(l_164,
                                                                                                                                                                                                                                                                                                                                                                                                                                                 l_229[3]),
                                                                                                                                                                                                                                                                                                                                                                                                                      -1L),
                                                                                                                                                                                                                                                                                                                                                                                           safe_add_func_int8_t_s_s(safe_rshift_func_uint8_t_u_u(((g_59[l_200 + 3] &= safe_mul_func_uint16_t_u_u(safe_add_func_uint8_t_u_u((safe_div_func_int8_t_s_s(safe_div_func_uint32_t_u_u(g_26 <= g_23[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                0x709e64e2L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     255uL) | 0x9c42605aL) > p_131.f0,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           -3L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 -1L)) || g_152[0].f0) <= 65531uL,
                                                                                                                                                                                                                                                                                                                                                                                                                                                 3),
                                                                                                                                                                                                                                                                                                                                                                                                                    g_23[2])) && g_23[2],
                                                                                                                                                                                                                                                                                                                                                                 g_203[l_200])) <= l_276 < 0xa9caeaabL >= l_225[5])) >= g_152[0].f1,
                                                                                                                                                                                                                                                                          l_225[5])) == g_27,
                                                                                                                                                                                                                                    0x1bd3L),
                                                                                                                                                                                                         g_5[2]) < l_151.f1,
                                                                                                                                                                              0) | g_152[0].f0) < 0xa4L)) <= g_152[0].f0 <= p_131.f2 != 1uL) < g_152[0].f3 != 0xf1cdL,
                                                                                l_225[5]);
                            l_278[0] |= 5L;
                        }
                        l_151 = g_152[1];
                    }
                    l_279 = g_81[2];
                }
            }
        }
    }
    for (p_132 = 0; p_132 <= 39; ++p_132)
    {
        int32_t l_164 = -2L;
        int32_t l_199 = 1L;
        int32_t l_276 = 8L;
        for (p_131.f0 = 0; p_131.f0 <= 2; p_131.f0 += 1)
        {
            int8_t l_163[9][6] = { { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L }, { 0x75L, -7L, 1L, 1L, -7L, 0x75L }, { 0x92L, 0x75L, 0xc2L, -7L, 0xc2L, 0x75L }, { 0xc2L, 0x92L, 1L, 6L, 6L, 1L }, { 0xc2L, 0xc2L, 6L, -7L, 0x46L, -7L }, { 0x92L, 0xc2L, 0x92L, 1L, 6L, 6L }, { 0x75L, 0x92L, 0x92L, 0x75L, 0xc2L, -7L }, { -7L, 0x75L, 6L, 0x75L, -7L, 1L } };
            uint32_t l_165 = 0x1019322eL;
            struct S0 l_166 = { 0L, 0L, 4uL, 0L, 0x9c02L };
            int32_t l_197 = 9L;
            int32_t l_200 = 0x27b00caL;
            uint32_t l_224 = 9uL;
            int8_t l_279 = -1L;
            int i, j;
            g_152[0] = l_151;
            l_151.f3 = g_81[p_131.f0];
            if (g_23[p_131.f0] < safe_lshift_func_int16_t_s_u((l_151.f0 ^ safe_mod_func_int16_t_s_s(0x58c3L,
                                                                                                    safe_sub_func_uint8_t_u_u(safe_lshift_func_int8_t_s_u(p_132,
                                                                                                                                                          --g_22) <= 4uL && (p_131.f4 = 0x517bL),
                                                                                                                              8uL))) & (l_164 = l_163[1][3]) | p_133,
                                                              12) ^ l_151.f1)
            {
                struct S0 l_196 = { 1L, 0x8bL, 0x6bbbdf83L, 5L, 0xef4fL };
                int32_t l_202 = 0xd4c5443cL;
                if (!g_152[0].f0)
                {
                    g_152[0] = g_152[1];
                }
                else
                {
                    uint32_t l_177 = 0xaeae63daL;
                    uint16_t l_194 = 65535uL;
                    int32_t l_198 = 0x43b8f344L;
                    l_165 = p_130;
                    l_166 = g_152[0];
                    g_80 = +(safe_mul_func_int16_t_s_s((l_164 ^ (g_58 | safe_sub_func_uint8_t_u_u(safe_mod_func_int16_t_s_s(safe_rshift_func_uint16_t_u_u(l_151.f3 ^= g_4[7][0][1],
                                                                                                                                                          (l_177 != (g_57 == ((safe_add_func_uint8_t_u_u(safe_unary_minus_func_uint32_t_u(safe_sub_func_uint32_t_u_u(g_4[7][0][1],
                                                                                                                                                                                                                                                                     safe_unary_minus_func_int8_t_s((l_195 = safe_mul_func_int16_t_s_s((safe_lshift_func_uint8_t_u_s(safe_mod_func_int32_t_s_s(g_152[0].f3 |= safe_add_func_uint16_t_u_u(safe_div_func_uint16_t_u_u((p_133 = 0x557eL) < 0L & 0x264c02d8L ^ 1L,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    l_194),
                                                                                                                                                                                                                                                                                                                                                                                                                                         g_32),
                                                                                                                                                                                                                                                                                                                                                                                               0xbca6f5d4L),
                                                                                                                                                                                                                                                                                                                                                                     2) && 0xc7L && 0xc0aaL && p_131.f1) | g_23[1],
                                                                                                                                                                                                                                                                                                                                       g_152[0].f4)) != g_23[2]))),
                                                                                                                                                                                                         g_5[2]) || 255uL) | 1uL))) > g_152[0].f0) && 0L,
                                                                                                                            l_151.f0),
                                                                                                  g_57) == 0xf4L) < 0x12L ^ g_57) <= l_166.f2 == -10L,
                                                       -1L) < p_131.f1);
                    for (l_164 = 0; l_164 <= 2; l_164 += 1)
                    {
                        int16_t l_201 = 1L;
                        g_152[0] = l_196;
                        l_197 &= 8L | p_130;
                        g_203[2]++;
                    }
                }
                l_166.f3 |= 65535uL < (g_152[0].f4 = ~safe_lshift_func_int8_t_s_s(safe_lshift_func_uint8_t_u_u(l_202 > safe_mul_func_int16_t_s_s(safe_lshift_func_int8_t_s_u(0xbaL,
                                                                                                                                                                             1),
                                                                                                                                                 g_214),
                                                                                                               l_164),
                                                                                  l_151.f0)) < (l_199 = safe_add_func_int8_t_s_s(safe_unary_minus_func_uint16_t_u(0uL),
                                                                                                                                 safe_sub_func_uint8_t_u_u(p_131.f3 <= (safe_mod_func_uint16_t_u_u(safe_lshift_func_uint8_t_u_s(254uL,
                                                                                                                                                                                                                                g_23[2]),
                                                                                                                                                                                                   g_81[3]) && l_166.f1),
                                                                                                                                                           g_214) | 0x9aL) & l_224) <= l_196.f4 > l_164 >= l_151.f2;
            }
            else
            {
                uint16_t l_225[8];
                int i;
                for (i = 0; i < 8; i++)
                    l_225[i] = 0x7036L;
                l_225[5]++;
                for (l_200 = 0; l_200 <= 2; l_200 += 1)
                {
                    int32_t l_228[3];
                    int32_t l_229[4] = { 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L, 0x11ed2f5L };
                    int i;
                    for (i = 0; i < 3; i++)
                        l_228[i] = 0x4e14c23fL;
                    for (g_32 = 3; g_32 <= 8; g_32 += 1)
                    {
                        int32_t l_278[6] = { 7L, 7L, 7L, 7L, 7L, 7L };
                        int i;
                        --g_231;
                        l_235++;
                        l_278[2] |= g_152[0].f3 = safe_add_func_int32_t_s_s((g_277 = (g_23[l_200] ^ safe_sub_func_uint8_t_u_u(g_23[l_200],
                                                                                                                              g_203[l_200] & (safe_lshift_func_int8_t_s_s(safe_sub_func_uint32_t_u_u(safe_add_func_uint16_t_u_u((l_166.f3 = safe_sub_func_uint8_t_u_u(((safe_rshift_func_uint8_t_u_u(g_22++,
                                                                                                                                                                                                                                                                                                     5) & 1L) != (0x3aL == (g_80 = safe_div_func_uint8_t_u_u(safe_add_func_uint8_t_u_u(safe_sub_func_uint16_t_u_u(safe_div_func_uint32_t_u_u(l_164,
                                                                                                                                                                                                                                                                                                                                                                                                                                             l_229[3]),
                                                                                                                                                                                                                                                                                                                                                                                                                  -1L),
                                                                                                                                                                                                                                                                                                                                                                                       safe_add_func_int8_t_s_s(safe_rshift_func_uint8_t_u_u(((g_59[l_200 + 3] &= safe_mul_func_uint16_t_u_u(safe_add_func_uint8_t_u_u((safe_div_func_int8_t_s_s(safe_div_func_uint32_t_u_u(g_26 <= g_23[2],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            0x709e64e2L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 255uL) | 0x9c42605aL) > p_131.f0,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       -3L),
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             -1L)) || g_152[0].f0) <= 65531uL,
                                                                                                                                                                                                                                                                                                                                                                                                                                             3),
                                                                                                                                                                                                                                                                                                                                                                                                                g_23[2])) && g_23[2],
                                                                                                                                                                                                                                                                                                                                                             g_203[l_200])) <= l_276 < 0xa9caeaabL >= l_225[5])) >= g_152[0].f1,
                                                                                                                                                                                                                                                                      l_225[5])) == g_27,
                                                                                                                                                                                                                                0x1bd3L),
                                                                                                                                                                                                     g_5[2]) < l_151.f1,
                                                                                                                                                                          0) | g_152[0].f0) < 0xa4L)) <= g_152[0].f0 <= p_131.f2 != 1uL) < g_152[0].f3 != 0xf1cdL,
                                                                            l_225[5]);
                        l_278[0] |= 5L;
                    }
                    l_151 = g_152[1];
                }
                l_279 = g_81[2];
            }
        }
    }
    --l_280;
    --l_280;
    return p_131;
}
int main(int argc, char * argv[])
{
    int i, j, k;
    int print_hash_value = 0;
    crc32_gentab();
    func_1();
    transparent_crc(g_3, "g_3", print_hash_value);
    for (i = 0; i < 10; i++)
    {
        for (j = 0; j < 4; j++)
        {
            for (k = 0; k < 2; k++)
            {
                transparent_crc(g_4[i][j][k], "g_4[i][j][k]", print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_5[i], "g_5[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_22, "g_22", print_hash_value);
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_23[i], "g_23[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_26, "g_26", print_hash_value);
    transparent_crc(g_27, "g_27", print_hash_value);
    transparent_crc(g_32, "g_32", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        for (j = 0; j < 8; j++)
        {
            transparent_crc(g_55[i][j], "g_55[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    transparent_crc(g_57, "g_57", print_hash_value);
    transparent_crc(g_58, "g_58", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        transparent_crc(g_59[i], "g_59[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_69, "g_69", print_hash_value);
    transparent_crc(g_80, "g_80", print_hash_value);
    for (i = 0; i < 4; i++)
    {
        transparent_crc(g_81[i], "g_81[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 2; i++)
    {
        transparent_crc(g_152[i].f0, "g_152[i].f0", print_hash_value);
        transparent_crc(g_152[i].f1, "g_152[i].f1", print_hash_value);
        transparent_crc(g_152[i].f2, "g_152[i].f2", print_hash_value);
        transparent_crc(g_152[i].f3, "g_152[i].f3", print_hash_value);
        transparent_crc(g_152[i].f4, "g_152[i].f4", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 3; i++)
    {
        transparent_crc(g_203[i], "g_203[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_214, "g_214", print_hash_value);
    transparent_crc(g_231, "g_231", print_hash_value);
    transparent_crc(g_234, "g_234", print_hash_value);
    transparent_crc(g_277, "g_277", print_hash_value);
    transparent_crc(g_283.f0, "g_283.f0", print_hash_value);
    transparent_crc(g_283.f1, "g_283.f1", print_hash_value);
    transparent_crc(g_283.f2, "g_283.f2", print_hash_value);
    transparent_crc(g_283.f3, "g_283.f3", print_hash_value);
    transparent_crc(g_283.f4, "g_283.f4", print_hash_value);
    transparent_crc(g_407, "g_407", print_hash_value);
    transparent_crc(g_410, "g_410", print_hash_value);
    transparent_crc(g_465, "g_465", print_hash_value);
    transparent_crc(g_466, "g_466", print_hash_value);
    transparent_crc(g_551, "g_551", print_hash_value);
    for (i = 0; i < 5; i++)
    {
        transparent_crc(g_616[i], "g_616[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 2; i++)
    {
        for (j = 0; j < 9; j++)
        {
            for (k = 0; k < 5; k++)
            {
                transparent_crc(g_621[i][j][k],
                                "g_621[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_973, "g_973", print_hash_value);
    transparent_crc(g_976, "g_976", print_hash_value);
    transparent_crc(g_1185, "g_1185", print_hash_value);
    transparent_crc(g_1356, "g_1356", print_hash_value);
    transparent_crc(g_1477, "g_1477", print_hash_value);
    transparent_crc(g_1570, "g_1570", print_hash_value);
    transparent_crc(g_1707, "g_1707", print_hash_value);
    transparent_crc(g_1917, "g_1917", print_hash_value);
    transparent_crc(g_2181, "g_2181", print_hash_value);
    transparent_crc(g_2432, "g_2432", print_hash_value);
    platform_main_end(crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
